#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2017]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2012 
#au titre des revenus percus en 2011. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************
 #
  ####   #    #    ##    #####         #####      #
 #    #  #    #   #  #   #    #        #          #
 #       ######  #    #  #    #        #          #
 #       #    #  ######  #####         #####      #
 #    #  #    #  #    #  #                 #      #
  ####   #    #  #    #  #     #####   #####      #
 #
 #
 #
 #
 #
 #
 #           CALCUL DES DROITS SIMPLES RESULTANT DU TAUX PROGRESSIF
 #
 #
 #
 #
 #
 #
regle 5010:
application : pro , bareme , oceans , iliad , batch  ;
IMT11 = max(ID11-ADO1 , IMI)*(1-INDTXMOY)
         + IMO * INDTXMOY ;
IMT12 = max(ID11 , IMI)*(1-INDTXMOY)
         + IMO * INDTXMOY ;
IMTANT11 = max(IDANT11-ADO1 , IMI)*(1-INDTXMOY)
         + IMO * INDTXMOY ;
IMTANT12 = max(IDANT11 , IMI)*(1-INDTXMOY)
         + IMO * INDTXMOY ;
IPHQ = arr(IMT11 * (IMPFHQ1 / ID11)) ;
IPHQ2 = arr(IMT12 * (IMPFHQ1 / ID11)) ;
IPHQANT2 = arr(IMTANT12 * (IMPFHQANT1 / IDANT11)) ;
IPQT = IMT11 - IPHQ;
IPQT2 = IMT12 - IPHQ2;
regle 502:
application : pro , oceans , bareme , iliad , batch  ;
pour z = 1,2:
ID1z =  arr( IPQz * arr(RIz+REVQUO) / arr(RB0z+TONEQUO) );
IDANT11 =  arr( IPQANT1 * arr(RI1+REVQUO) / arr(RB01+TONEQUO) );
ID14 = IN04;
ID16 = IN06;
IMPFHQ1 = (1-positif(IPTEFN)) * EXO1 * arr(ID11 * IPQ01 / IPQ1);
IMPFHQANT1 = (1-positif(IPTEFN)) * EXO1 
             * arr(IDANT11 * IPQANT01 / IPQANT1);
regle 5021:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
IPQz = IPQ0z*EXO1 + IPQ100z;
IPQANT1 = IPQANT01*EXO1 + IPQANT1001;
IPQ5 = IPQ05 + IPQ1005;
regle 50201:
application : pro , oceans , iliad , batch  ;
pour z = 1,2:
IDOM3z = (positif(IND_TDR) * IDOM14)
         +
     ((1-positif(IND_TDR)) * ((V_CR2 * IDOM1z) + ((1-V_CR2) * (IPQz - ADO3z))));
regle 50211:
application : pro , oceans ,iliad , batch  ;
SEUILEXO = SEUIL_EXO1 + (SEUIL_EXO2 - SEUIL_EXO1)
           * positif_ou_nul( max(AGV,AGC) - LIM_AGE_EXO );
EXO1 =    (1-min(abs(IPTEFN) + IPTEFP+INDTEFF , 1)) * 
                                  positif(R1649+PREREV + RG + TOTALQUO +(AB
                                          *(1-present(IPVLOC)))-SEUILEXO)   
            + 
            (min(abs(IPTEFN) + IPTEFP +INDTEFF, 1)) 
        ; 
regle 502110:
application :  bareme  ;
EXO1 =   present(V_9ZZ);

regle 5022:
application : pro , oceans , iliad , batch  ;
IMI = arr (BMI * TX_MIN_MET / 100 
              + arr(PRODOM + PROGUY) * TX_MIN_DOM / 100) 
          * V_CR2;
IMO = arr (BMI * TMOY / 100
              + arr(PRODOM + PROGUY) * TX_MIN_DOM / 100) 
          * V_CR2;
RASAR = arr (BRAS * TX_RASAR / 100) ;
regle 50221:
application : pro , oceans , bareme , iliad , batch  ;
BMI = arr( RI1 + REVQUO - PRODOM - PROGUY ) ;
regle 50222:
application : pro , oceans , iliad , batch  ;
TMOY = inf(IPQ5/(max(0,RB05 + TONEQUOM)) * 10000) / 100 * V_CR2;
regle 503:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2,5,7:
IQUOTOTz = IN5z - IN0z;
IQUOTOTANT1 = INANT51 - INANT01;
regle 50299:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
ZIPQ1z = positif(somme(i=2..4:GLi)+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
          * arr(IQUOTOTz * RPQ1 / TONEQUO1)
         + (1 - positif(somme(i=2..4:GLi)+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * IQUOTOTz ;
ZIPQANT11 = positif(somme(i=2..4:GLi)+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
          * arr(IQUOTOTANT1 * RPQ1 / TONEQUO1)
         + (1 - positif(somme(i=2..4:GLi)+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * IQUOTOTANT1 ;
ZIPQ15 = positif(somme(i=2..4:GLiM)+GLFTOTM+GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) 
          * arr(IQUOTOT5 * RPQ1M / TONEQUOM1)
         + (1 - positif(somme(i=2..4:GLiM)+GLFTOTM+GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) * IQUOTOT7 ;
pour z=1,2:
ZIPQ2z = positif(somme(i=3,4:GLi)+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
          * arr(IQUOTOTz * RPQ2 / TONEQUO1)
         + (1 - positif(somme(i=3,4:GLi)+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * (IQUOTOTz-ZIPQ1z) ;
ZIPQANT21 = positif(somme(i=3,4:GLi)+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
          * arr(IQUOTOTANT1 * RPQ2 / TONEQUO1)
         + (1 - positif(somme(i=3,4:GLi)+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * (IQUOTOTANT1 -ZIPQANT11);
ZIPQ25 = positif(somme(i=3,4:GLiM)+GLFTOTM+GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) 
          * arr(IQUOTOT5 * RPQ2M / TONEQUOM1)
         + (1 - positif(somme(i=3,4:GLiM)+GLFTOTM+GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) * (IQUOTOT7 -ZIPQ15);
pour z=1,2:
ZIPQ3z = positif(GL4+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
          * arr(IQUOTOTz * RPQ3 / TONEQUO1)
         + (1 - positif(GL4+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * (IQUOTOTz -somme(x=1,2:ZIPQxz));
ZIPQANT31 = positif(GL4+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
          * arr(IQUOTOTANT1 * RPQ3 / TONEQUO1)
         + (1 - positif(GL4+GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * (IQUOTOTANT1 -somme(x=1,2:ZIPQANTx1));
ZIPQ35 = positif(GL4M+GLFTOTM+GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) 
          * arr(IQUOTOT5 * RPQ3M / TONEQUOM1)
         + (1 - positif(GL4M+GLFTOTM+GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) * (IQUOTOT7 -somme(x=1,2:ZIPQx5));
pour z=1,2:
ZIPQ4z = positif(GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
          * arr(IQUOTOTz * RPQ4 / TONEQUO1)
         + (1 - positif(GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * (IQUOTOTz -somme(x=1..3:ZIPQxz));
ZIPQANT41 = positif(GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
          * arr(IQUOTOTANT1 * RPQ4 / TONEQUO1)
         + (1 - positif(GLFTOT+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * (IQUOTOTANT1 -somme(x=1..3:ZIPQANTx1));
ZIPQ45 = positif(GLFTOTM+GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) 
          * arr(IQUOTOT5 * RPQ4M / TONEQUOM1)
         + (1 - positif(GLFTOTM+GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) * (IQUOTOT7 -somme(x=1..3:ZIPQx5));
regle 50341:
application : pro , oceans , bareme , iliad , batch  ;
ZIPQ1TOT= somme(i=1..4 : ZIPQi1);
ZIPQ2TOT= somme(i=1..4 : ZIPQi2);
ZIPQ5TOT= somme(i=1..4 : ZIPQi5);
ZIPQANT1TOT= somme(i=1..4 : ZIPQANTi1);
regle 5034:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
ZIPQFVz = positif(somme(i=C,1..4:GLFi)+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTz*RPQFV/TONEQUO1)
         + (1 - positif(somme(i=C,1..4:GLFi)+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT))
		* (IQUOTOTz-ZIPQzTOT);
ZIPQFANTV1 = positif(somme(i=C,1..4 : GLFi) +GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTANT1*RPQFV/TONEQUO1)
         + (1 - positif(somme(i=C,1..4 : GLFi) +GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) 
		* (IQUOTOTANT1-ZIPQANT1TOT) ;
ZIPQFV5 = positif(somme(i=C,1..4 : GLFiM) +GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) 
		* arr(IQUOTOT5*RPQFVM/TONEQUOM1)
         + (1 - positif(somme(i=C,1..4 : GLFiM) +GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) 
		* (IQUOTOT5-ZIPQ5TOT);
pour z=1,2:
ZIPQFCz = positif(somme(i=1..4:GLFi)+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTz*RPQFC/TONEQUO1)
         + (1 - positif(somme(i=1..4:GLFi)+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT))
		* (IQUOTOTz-ZIPQzTOT-ZIPQFVz);
ZIPQFANTC1 = positif(somme(i=1..4 : GLFi) +GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTANT1*RPQFC/TONEQUO1)
         + (1 - positif(somme(i=1..4 : GLFi) +GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) 
		* (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANTV1) ;
ZIPQFC5 = positif(somme(i=1..4 : GLFiM) +GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) 
		* arr(IQUOTOT5*RPQFCM/TONEQUOM1)
         + (1 - positif(somme(i=C,1..4 : GLFiM) +GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) 
		* (IQUOTOT5-ZIPQ5TOT-ZIPQFV5);
pour z=1,2:
ZIPQF1z = positif(somme(i=2,3,4:GLFi)+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTz*RPQF1/TONEQUO1)
         + (1 - positif(somme(i=2..4:GLFiM)+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT))
		* (IQUOTOTz-ZIPQzTOT-somme(x=V,C:ZIPQFxz));
ZIPQFANT11 = positif(somme(i=2..4 : GLFi) +GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTANT1*RPQF1/TONEQUO1)
         + (1 - positif(somme(i=2..4 : GLFi) +GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) 
		* (IQUOTOTANT1-ZIPQANT1TOT-somme(x=V,C:ZIPQFANTx1)) ;
ZIPQF15 = positif(somme(i=2,3,4 : GLFiM) +GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) 
		* arr(IQUOTOT5*RPQF1M/TONEQUOM1)
         + (1 - positif(somme(i=2..4 : GLFiM) +GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) 
		* (IQUOTOT5-ZIPQ5TOT-somme(x=V,C:ZIPQFx5));
pour z=1,2:
ZIPQF2z = positif(somme(i=3,4:GLFi)+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTz*RPQF2/TONEQUO1)
         + (1 - positif(somme(i=3,4:GLFi)+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT))
		* (IQUOTOTz-ZIPQzTOT-somme(x=V,C,1:ZIPQFxz));
ZIPQFANT21 = positif(somme(i=3,4 : GLFi) +GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTANT1*RPQF2/TONEQUO1)
         + (1 - positif(somme(i=3,4 : GLFi) +GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) 
		* (IQUOTOTANT1-ZIPQANT1TOT-somme(x=V,C,1:ZIPQFANTx1)) ;
ZIPQF25 = positif(somme(i=3,4 : GLFiM) +GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) 
		* arr(IQUOTOT5*RPQF2M/TONEQUOM1)
         + (1 - positif(somme(i=3,4 : GLFiM) +GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) 
		* (IQUOTOT5-ZIPQ5TOT-somme(x=V,C,1:ZIPQFx5));
pour z=1,2:
ZIPQF3z = positif(GLF4+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTz*RPQF3/TONEQUO1)
         + (1 - positif(GLF4+GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT))
		* (IQUOTOTz-ZIPQzTOT-somme(x=V,C,1,2:ZIPQFxz));
ZIPQFANT31 = positif(GLF4 +GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTANT1*RPQF3/TONEQUO1)
         + (1 - positif(GLF4 +GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) 
		* (IQUOTOTANT1-ZIPQANT1TOT-somme(x=V,C,1,2:ZIPQFANTx1)) ;
ZIPQF35 = positif(GLF4M +GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) 
		* arr(IQUOTOT5*RPQF3M/TONEQUOM1)
         + (1 - positif(GLF4M +GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) 
		* (IQUOTOT5-ZIPQ5TOT-somme(x=V,C,1,2:ZIPQFx5));
pour z=1,2:
ZIPQF4z = positif(GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTz*RPQF4/TONEQUO1)
         + (1 - positif(GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT))
		* (IQUOTOTz-ZIPQzTOT-somme(x=V,C,1..3:ZIPQFxz));
ZIPQFANT41 = positif(GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) 
		* arr(IQUOTOTANT1*RPQF4/TONEQUO1)
         + (1 - positif(GLPALIMTOT+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) 
		* (IQUOTOTANT1-ZIPQANT1TOT-somme(x=V,C,1..3:ZIPQFANTx1)) ;
ZIPQF45 = positif(GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) 
		* arr(IQUOTOT5*RPQF4M/TONEQUOM1)
         + (1 - positif(GLPALIMTOTM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) 
		* (IQUOTOT5-ZIPQ5TOT-somme(x=V,C,1..3:ZIPQFx5));
ZIPQF1TOT= somme(i=V,C,1..4 : ZIPQFi1);
ZIPQF2TOT= somme(i=V,C,1..4 : ZIPQFi2);
ZIPQF5TOT= somme(i=V,C,1..4 : ZIPQFi5);
ZIPQFANT1TOT= somme(i=V,C,1..4 : ZIPQFANTi1);
regle 50396:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
ZIPQPALIMVz = positif(somme(i=C,1..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) * arr(IQUOTOTz*RPQPALIMV/TONEQUO1)
         + (1 - positif(somme(i=C,1..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT);
ZIPQPALIMANTV1 = positif(somme(i=C,1..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT + somme(i= V,C : GLTSAFNi)) * arr(IQUOTOTANT1*RPQPALIMV/TONEQUO1)
         + (1 - positif(somme(i=C,1..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT
        );
ZIPQPALIMV5 = positif(somme(i=C,1..4:GLPALIMiM)+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPALIMVM/TONEQUOM1)
         + (1 - positif(somme(i=C,1..4:GLPALIMiM)+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT );
pour z=1,2:
ZIPQPALIMCz = positif(somme(i=1..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) * arr(IQUOTOTz*RPQPALIMC/TONEQUO1)
         + (1 - positif(somme(i=1..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMVz);
ZIPQPALIMANTC1 = positif(somme(i=1..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT + somme(i= V,C : GLTSAFNi)) * arr(IQUOTOTANT1*RPQPALIMC/TONEQUO1)
         + (1 - positif(somme(i=1..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANTV1
        );
ZIPQPALIMC5 = positif(somme(i=1..4:GLPALIMiM)+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPALIMCM/TONEQUOM1)
         + (1 - positif(somme(i=1..4:GLPALIMiM)+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIMV5 );
pour z=1,2:
ZIPQPALIM1z = positif(somme(i=2..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) * arr(IQUOTOTz*RPQPALIM1/TONEQUO1)
         + (1 - positif(somme(i=2..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-somme(i=V,C:ZIPQPALIMiz));
ZIPQPALIMANT11 = positif(somme(i=2..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT + somme(i= V,C : GLTSAFNi)) * arr(IQUOTOTANT1*RPQPALIM1/TONEQUO1)
         + (1 - positif(somme(i=2..4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-somme(i=V,C:ZIPQPALIMANTi1)
        );
ZIPQPALIM15 = positif(somme(i=2..4:GLPALIMiM)+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPALIM1M/TONEQUOM1)
         + (1 - positif(somme(i=2..4:GLPALIMiM)+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-somme(i=V,C:ZIPQPALIMi5));
pour z=1,2:
ZIPQPALIM2z = positif(somme(i=3,4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) * arr(IQUOTOTz*RPQPALIM2/TONEQUO1)
         + (1 - positif(somme(i=3,4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-somme(i=V,C,1:ZIPQPALIMiz));
ZIPQPALIMANT21 = positif(somme(i=3,4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT + somme(i= V,C : GLTSAFNi)) * arr(IQUOTOTANT1*RPQPALIM2/TONEQUO1)
         + (1 - positif(somme(i=3,4:GLPALIMi)+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-somme(i=V,C,1:ZIPQPALIMANTi1)
        );
ZIPQPALIM25 = positif(somme(i=3,4:GLPALIMiM)+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPALIM2M/TONEQUOM1)
         + (1 - positif(somme(i=3,4:GLPALIMiM)+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-somme(i=V,C,1:ZIPQPALIMi5));
pour z=1,2:
ZIPQPALIM3z = positif(GLPALIM4+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) * arr(IQUOTOTz*RPQPALIM3/TONEQUO1)
         + (1 - positif(GLPALIM4+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-somme(i=V,C,1..2:ZIPQPALIMiz));
ZIPQPALIMANT31 = positif(GLPALIM4+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT + somme(i= V,C : GLTSAFNi)) * arr(IQUOTOTANT1*RPQPALIM3/TONEQUO1)
         + (1 - positif(GLPALIM4+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-somme(i=V,C,1..2:ZIPQPALIMANTi1)
        );
ZIPQPALIM35 = positif(GLPALIM4M+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPALIM3M/TONEQUOM1)
         + (1 - positif(GLPALIM4M+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-somme(i=V,C,1..2:ZIPQPALIMi5));
pour z=1,2:
ZIPQPALIM4z = positif(GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT) * arr(IQUOTOTz*RPQPALIM4/TONEQUO1)
         + (1 - positif(GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-somme(i=V,C,1..3:ZIPQPALIMiz));
ZIPQPALIMANT41 = positif(GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT + somme(i= V,C : GLTSAFNi)) * arr(IQUOTOTANT1*RPQPALIM4/TONEQUO1)
         + (1 - positif(GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRCMTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-somme(i=V,C,1..3:ZIPQPALIMANTi1)
        );
ZIPQPALIM45 = positif(GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPALIM4M/TONEQUOM1)
         + (1 - positif(GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-somme(i=V,C,1..3:ZIPQPALIMi5));
ZIPQPALIM1TOT= somme(i=V,C,1..4 : ZIPQPALIMi1);
ZIPQPALIM2TOT= somme(i=V,C,1..4 : ZIPQPALIMi2);
ZIPQPALIM5TOT= somme(i=V,C,1..4 : ZIPQPALIMi5);
ZIPQPALIMANT1TOT= somme(i=V,C,1..4 : ZIPQPALIMANTi1);
regle 50397:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
ZIPQRCMDCz = positif(GLRCMFU+GLRCMCH+GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQRCMDC/TONEQUO1)
         + (1 - positif(GLRCMFU+GLRCMCH+GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT);
ZIPQRCMDCANT1 = positif(GLRCMFU+GLRCMCH+GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQRCMDC/TONEQUO1)
         + (1 - positif(GLRCMFU+GLRCMCH+GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT
        );
ZIPQRCMDC5 = positif(GLRCMFUM+GLRCMCHM+GLRCMTSM+GLRCMGOM+GLRCMTRM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQRCMDCM/TONEQUOM1)
         + (1 - positif(GLRCMFUM+GLRCMCHM+GLRCMTSM+GLRCMGOM+GLRCMTRM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRCMTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT);
regle 50398:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
ZIPQRCMFUz = positif(GLRCMCH+GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQRCMFU/TONEQUO1)
         + (1 - positif(GLRCMCH+GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMDCz);
ZIPQRCMFUANT1 = positif(GLRCMCH+GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQRCMFU/TONEQUO1)
         + (1 - positif(GLRCMCH+GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMDCANT1
        );
ZIPQRCMFU5 = positif(GLRCMCHM+GLRCMTSM+GLRCMGOM+GLRCMTRM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQRCMFUM/TONEQUOM1)
         + (1 - positif(GLRCMCHM+GLRCMTSM+GLRCMGOM+GLRCMTRM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCMDC5);
regle 50401:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
ZIPQRCMCHz = positif(GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQRCMCH/TONEQUO1)
         + (1 - positif(GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMDCz-ZIPQRCMFUz);
ZIPQRCMCHANT1 = positif(GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQRCMCH/TONEQUO1)
         + (1 - positif(GLRCMTS+GLRCMGO+GLRCMTR+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMDCANT1-ZIPQRCMFUANT1
        );
ZIPQRCMCH5 = positif(GLRCMTSM+GLRCMGOM+GLRCMTRM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQRCMCHM/TONEQUOM1)
         + (1 - positif(GLRCMTSM+GLRCMGOM+GLRCMTRM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCMDC5-ZIPQRCMFU5);
regle 50402:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
ZIPQRCMTRz = positif(GLRCMGO+GLRCMTS+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQRCMTR/TONEQUO1)
         + (1 - positif(GLRCMGO+GLRCMTS+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMDCz-ZIPQRCMFUz-ZIPQRCMCHz);
ZIPQRCMTRANT1 = positif(GLRCMGO+GLRCMTS+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQRCMTR/TONEQUO1)
         + (1 - positif(GLRCMGO+GLRCMTS+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMDCANT1-ZIPQRCMFUANT1-ZIPQRCMCHANT1
        );
ZIPQRCMTR5 = positif(GLRCMGOM+GLRCMTSM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQRCMTRM/TONEQUOM1)
         + (1 - positif(GLRCMGOM+GLRCMTSM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCMDC5-ZIPQRCMFU5-ZIPQRCMCH5);
regle 50403:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
ZIPQRCMGOz = positif(GLRCMTS+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQRCMGO/TONEQUO1)
         + (1 - positif(GLRCMTS+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMDCz-ZIPQRCMFUz-ZIPQRCMCHz-ZIPQRCMTRz);
ZIPQRCMGOANT1 = positif(GLRCMTS+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQRCMGO/TONEQUO1)
         + (1 - positif(GLRCMTS+GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMDCANT1-ZIPQRCMFUANT1-ZIPQRCMCHANT1-ZIPQRCMTRANT1
        );
ZIPQRCMGO5 = positif(GLRCMTSM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQRCMGOM/TONEQUOM1)
         + (1 - positif(GLRCMTSM+GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCMDC5-ZIPQRCMFU5-ZIPQRCMCH5-ZIPQRCMTR5);
regle 50404:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
ZIPQRCMTSz = positif(GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQRCMTS/TONEQUO1)
         + (1 - positif(GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMDCz-ZIPQRCMFUz-ZIPQRCMCHz-ZIPQRCMTRz-ZIPQRCMGOz);
ZIPQRCMTSANT1 = positif(GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQRCMTS/TONEQUO1)
         + (1 - positif(GLTSTOT+GLTSREMPTOT+GLPRRTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMDCANT1-ZIPQRCMFUANT1-ZIPQRCMCHANT1-ZIPQRCMTRANT1-ZIPQRCMGOANT1
        );
ZIPQRCMTS5 = positif(GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQRCMTSM/TONEQUOM1)
         + (1 - positif(GLTSTOTM+GLTSREMPTOTM+GLPRRTOTM+GLRVOTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCMDC5-ZIPQRCMFU5-ZIPQRCMCH5-ZIPQRCMTR5-ZIPQRCMGO5);
ZIPQRCM1TOT= ZIPQRCMDC1 + ZIPQRCMFU1 + ZIPQRCMCH1 + ZIPQRCMTS1 + ZIPQRCMGO1 + ZIPQRCMTR1;
ZIPQRCM2TOT= ZIPQRCMDC2 + ZIPQRCMFU2 + ZIPQRCMCH2 + ZIPQRCMTS2 + ZIPQRCMGO2 + ZIPQRCMTR2;
ZIPQRCM5TOT= ZIPQRCMDC5 + ZIPQRCMFU5 + ZIPQRCMCH5 + ZIPQRCMTS5 + ZIPQRCMGO5 + ZIPQRCMTR5;
ZIPQRCMANT1TOT= ZIPQRCMDCANT1 + ZIPQRCMFUANT1 + ZIPQRCMCHANT1 + ZIPQRCMTSANT1 + ZIPQRCMGOANT1 + ZIPQRCMTRANT1;
regle 50410:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
ZIPQPRRVz = positif(somme(i=C,1..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQPRRV/TONEQUO1)
         + (1 - positif(somme(i=C,1..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMzTOT);
ZIPQPRRANTV1 = positif(somme(i=C,1..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQPRRV/TONEQUO1)
         + (1 - positif(somme(i=C,1..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMANT1TOT
        );
ZIPQPRRV5 = positif(somme(i=C,1..4 : GLPRRiM)+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPRRVM/TONEQUOM1)
         + (1 - positif(somme(i=C,1..4 : GLPRRiM)+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCM5TOT);
pour z=1,2:
ZIPQPRRCz = positif(somme(i=1..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQPRRC/TONEQUO1)
         + (1 - positif(somme(i=1..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMzTOT-ZIPQPRRVz);
ZIPQPRRANTC1 = positif(somme(i=1..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQPRRC/TONEQUO1)
         + (1 - positif(somme(i=1..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMANT1TOT-ZIPQPRRANTV1
        );
ZIPQPRRC5 = positif(somme(i=1..4 : GLPRRiM)+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPRRCM/TONEQUOM1)
         + (1 - positif(somme(i=1..4 : GLPRRiM)+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCM5TOT-ZIPQPRRV5);
pour z=1,2:
ZIPQPRR1z = positif(somme(i=2..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQPRR1/TONEQUO1)
         + (1 - positif(somme(i=2..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMzTOT-ZIPQPRRVz-ZIPQPRRCz);
ZIPQPRRANT11 = positif(somme(i=2..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQPRR1/TONEQUO1)
         + (1 - positif(somme(i=2..4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMANT1TOT-ZIPQPRRANTV1-ZIPQPRRANTC1
        );
ZIPQPRR15 = positif(somme(i=2..4 : GLPRRiM)+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPRR1M/TONEQUOM1)
         + (1 - positif(somme(i=2..4 : GLPRRiM)+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCM5TOT-ZIPQPRRV5-ZIPQPRRC5);
pour z=1,2:
ZIPQPRR2z = positif(somme(i=3,4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQPRR2/TONEQUO1)
         + (1 - positif(somme(i=3,4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMzTOT-ZIPQPRRVz-ZIPQPRRCz-ZIPQPRR1z);
ZIPQPRRANT21 = positif(somme(i=3,4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQPRR2/TONEQUO1)
         + (1 - positif(somme(i=3,4 : GLPRRi)+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMANT1TOT-ZIPQPRRANTV1-ZIPQPRRANTC1-ZIPQPRRANT11
        );
ZIPQPRR25 = positif(somme(i=3,4 : GLPRRiM)+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPRR2M/TONEQUOM1)
         + (1 - positif(somme(i=3,4 : GLPRRiM)+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCM5TOT-ZIPQPRRV5-ZIPQPRRC5-ZIPQPRR15);
pour z=1,2:
ZIPQPRR3z = positif(GLPRR4+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQPRR3/TONEQUO1)
         + (1 - positif(GLPRR4+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMzTOT-ZIPQPRRVz-ZIPQPRRCz-ZIPQPRR1z-ZIPQPRR2z);
ZIPQPRRANT31 = positif(GLPRR4+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQPRR3/TONEQUO1)
         + (1 - positif(GLPRR4+GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMANT1TOT-ZIPQPRRANTV1-ZIPQPRRANTC1-ZIPQPRRANT11-ZIPQPRRANT21
        );
ZIPQPRR35 = positif(GLPRR4M+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPRR3M/TONEQUOM1)
         + (1 - positif(GLPRR4M+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCM5TOT-ZIPQPRRV5-ZIPQPRRC5-ZIPQPRR15-ZIPQPRR25);
pour z=1,2:
ZIPQPRR4z = positif(GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTz*RPQPRR4/TONEQUO1)
         + (1 - positif(GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMzTOT-ZIPQPRRVz-ZIPQPRRCz-ZIPQPRR1z-ZIPQPRR2z-ZIPQPRR3z);
ZIPQPRRANT41 = positif(GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT) * arr(IQUOTOTANT1*RPQPRR4/TONEQUO1)
         + (1 - positif(GLTSTOT+GLTSREMPTOT+GLRVOTOT+GLRFTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMANT1TOT-ZIPQPRRANTV1-ZIPQPRRANTC1-ZIPQPRRANT11-ZIPQPRRANT21-ZIPQPRRANT31
        );
ZIPQPRR45 = positif(GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM) *arr(IQUOTOT5*RPQPRR4M/TONEQUOM1)
         + (1 - positif(GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM+GLRFTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCM5TOT-ZIPQPRRV5-ZIPQPRRC5-ZIPQPRR15-ZIPQPRR25-ZIPQPRR35);
ZIPQPRR1TOT= somme(i=V,C,1..4 : ZIPQPRRi1);
ZIPQPRR2TOT= somme(i=V,C,1..4 : ZIPQPRRi2);
ZIPQPRR5TOT= somme(i=V,C,1..4 : ZIPQPRRi5);
ZIPQPRRANT1TOT= somme(i=V,C,1..4 : ZIPQPRRANTi1);
regle 50415:
application : pro , oceans , bareme , iliad , batch  ;
pour z=1,2:
ZIPQRF1z = positif(GLRF2+GLTSTOT+GLTSREMPTOT+GLRVOTOT) * arr(IQUOTOTz*RPQRF1/TONEQUO1)
         + (1 - positif(GLRF2+GLTSTOT+GLTSREMPTOT+GLRVOTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-ZIPQRCMzTOT-ZIPQPRRzTOT);
ZIPQRFANT11 = positif(GLRF2+GLTSTOT+GLTSREMPTOT+GLRVOTOT) * arr(IQUOTOTANT1*RPQRF1/TONEQUO1)
         + (1 - positif(GLRF2+GLTSTOT+GLTSREMPTOT+GLRVOTOT)) * 
         (IQUOTOTANT1-ZIPQANT1TOT-ZIPQFANT1TOT-ZIPQPALIMANT1TOT-ZIPQRCMANT1TOT-ZIPQPRRANT1TOT
        );
ZIPQRF15 = positif(GLRF2M+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM) *arr(IQUOTOT5*RPQRF1M/TONEQUOM1)
         + (1 - positif(GLRF2M+GLTSTOTM+GLTSREMPTOTM+GLRVOTOTM)) * 
           (IQUOTOT5-ZIPQ5TOT-ZIPQF5TOT-ZIPQPALIM5TOT-ZIPQRCM5TOT-ZIPQPRR5TOT);
pour z=1,2:
ZIPQRF2z = positif(GLTSTOT+GLTSREMPTOT+GLRVOTOT) * arr(IQUOTOTz*RPQRF2/TONEQUO1)
         + (1 - positif(GLTSTOT+GLTSREMPTOT+GLRVOTOT)) * 
         (IQUOTOTz-ZIPQzTOT-ZIPQFzTOT-ZIPQPALIMzTOT-