#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2019]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2019 
#au titre des revenus perçus en 2018. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************

# ======================================================================
# Chapitre 4 : Calcul de l'impôt brut
# ======================================================================


application : bareme , iliad ;


IRB = IAMD2 ; 
IRB2 = IAMD2 + TAXASSUR + IPCAPTAXTOT + TAXLOY + CHRAPRES ;

regle 401020:
application : bareme , iliad ;


IAMD1 = IAD11 + IBATMARG + ITP + PVMTS + REI + COD8EA + AUTOVERSSUP + TAXASSUR + IPCAPTAXTOT + TAXLOY + CHRAPRES + AVFISCOPTER + BRAS + NRINET + IMPRET + CODZRA;

regle 401023:
application : bareme , iliad ;

IRBAF = IAD11  + ITP + PVMTS + REI + COD8EA + AUTOVERSSUP;

regle 401025:
application : bareme , iliad ;

IAMD2 = IAD11 + IBATMARG + ITP + PVMTS + REI + COD8EA + AUTOVERSSUP + AVFISCOPTER;
IAMD2TH = positif_ou_nul(IAMD2 - SEUIL_61)*IAMD2;


regle 401030:
application : bareme , iliad ;
IAVIM2 = IAMD1 + PTOT + PTAXA + PPCAP + PTAXLOY + PHAUTREV ;

regle 401060:
application : iliad ;

DOMITPD = arr(BN1 + SPEPV + BI12F + BA1) * (TX896/100) * positif(V_EAD);
DOMITPG = arr(BN1 + SPEPV + BI12F + BA1) * (TX768/100) * positif(V_EAG);
DOMAVTD = arr((BN1 + SPEPV + BI12F + BA1) * (TX128 - TX896)/100) * positif(V_EAD);
DOMAVTG = arr((BN1 + SPEPV + BI12F + BA1) * (TX128 - TX768)/100) * positif(V_EAG);
DOMAVTO = DOMAVTD + DOMAVTG;
DOMABDB = max(PLAF_RABDOM - ABADO , 0) * positif(V_EAD)
          + max(PLAF_RABGUY - ABAGU , 0) * positif(V_EAG);
DOMDOM = max(DOMAVTO - DOMABDB , 0) * positif(V_EAD + V_EAG);
ITP = (

	arr((BPTP2 * TX225/100) 
       + (BPTPVT * TX19/100) 
       + (BPTP4 * TX30/100) 
       +  DOMITPD + DOMITPG
       +(BPTP3 * TX128/100) 
       + (BPTP40 * TX41/100)
       + DOMDOM * positif(V_EAD + V_EAG)
       + (BPTP18 * TX18/100)
       + (BPTP5 * TX128/100) * positif(FLAG_EXIT)
       + (BPTPSJ * TX19/100)
       + (BPTPWI * TX24/100)
       + (BPTPWJ * TX19/100)
       + (BPTPPI * TX50/100)
       + IMPOT75
       + (BPTP24 * TX24/100)
	  )
       * (1 - positif(present(TAX1649)+present(RE168)))); 

regle 401070:
application : iliad ;


REVTP = BPTP2 + BPTPVT + BPTP4 + BPTP3 + BPTP40 + BPTP18 + (BPTP5 * positif(FLAG_EXIT)) + BPTPSJ + BPTPWI + BPTPWJ + BPTPPI + RCMIMPTR + BPTP24 ;

regle 401080:
application : iliad ;

BPTP3 =(BTP3A*(1 - positif(V_EAD + V_EAG)) + (1-positif(COD2OP))*(BTPM3VG+BTPM3UA+BPTPSB+BTPM3TJ+COD3SZ+RCMIMPTN))*(1-positif(present(TAX1649)+present(RE168)));
regle 401085:
application : iliad ;

BTP3A =(BN1 + SPEPV + BI12F + BA1 );
BPTPD = BTP3A * positif(V_EAD)*(1-positif(present(TAX1649)+present(RE168)));
BPTPG = BTP3A * positif(V_EAG)*(1-positif(present(TAX1649)+present(RE168)));
BTP3G = BPVRCM;


BTPM3VG =(1-positif(COD2OP))*BPVRCM * (1-positif(present(TAX1649)+present(RE168)))  
                      + positif (COD2OP)* (max(0,(BPVRCM-COD3SG))) * (1-positif(present(TAX1649)+present(RE168))); 

BTPM3UA =(1-positif(COD2OP))*(max(0,(COD3UA-ABDETPLUS)))*(1-positif(present(TAX1649)+present(RE168)))
         +(positif(COD2OP)) * ((max(0,(COD3UA-ABDETPLUS-COD3SL)))* (1-positif(present(TAX1649)+present(RE168))));


BTPM3TJ =COD3TJ* (1-positif(present(TAX1649)+present(RE168))) ;

BPTPWI = COD3WI * (1-positif(present(TAX1649)+present(RE168))) ;

BPTPWJ = COD3WJ * (1-positif(present(TAX1649)+present(RE168))) ;

BPTP2 = PEA*(1-positif(present(TAX1649)+present(RE168)));
BPTPVT = GAINPEA *(1-positif(present(TAX1649)+present(RE168)));

BPTP18 = BPV18V * (1-positif(present(TAX1649)+present(RE168))) ;

BPTP4 = (BPCOPTV + BPVSK) * (1 - positif(present(TAX1649) + present(RE168))) ;
BPTP4I = BPCOPTV * (1 - positif(present(TAX1649) + present(RE168))) ;

BPTP40 = BPV40V * (1-positif(present(TAX1649)+present(RE168))) ;

BPTP5 = (PVIMPOS * (1-positif(present(TAX1649)+present(RE168))) + PVSURSI) * (1-present(COD2OP));

BPTPSJ = BPVSJ * (1-positif(present(TAX1649)+present(RE168))) ;
BPTPSK = BPVSK * (1-positif(present(TAX1649)+present(RE168)));



BPTPSB = PVTAXSB * (1-positif(present(TAX1649)+present(RE168))) ;

BTPM3SB  = BPTPSB *(1-positif(present(TAX1649)+present(RE168))) ;

BTPM3SZ = COD3SZ * (1-positif(present(TAX1649)+present(RE168)));

BPTPPI = COD3PI  * (1-positif(present(TAX1649)+present(RE168))) ;
BPTP19 = (BPVSJ + GAINPEA) * (1 - positif(present(TAX1649) + present(RE168))) ;

BPTP24 = RCM2FA * (1 - positif(present(TAX1649) + present(RE168))) * (1 - V_CNR) ;
ITPRCM =( arr(BPTP24 * TX24/100));

BPT19 = BPTP19 + BPTPWJ ;

BPT24 = BPTP24 + BPTPWI ;

regle 401090:
application : iliad ;


REI = IPREP + IPPRICORSE ;

regle 401100:
application : bareme , iliad ;

IAD11 = ( max(0,IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RED) *(1-positif(V_CNR))
        + positif(V_CNR) *max(0 , IDOM11 - RED) )
                                * (1-positif(RE168+TAX1649))
        + positif(RE168+TAX1649) * (IDOM16 - DEC6); 
IAD13 = ( max(0,IDOM13-DEC13-RMENAGE3WG-RED3WG) *(1-positif(V_CNR))
        + positif(V_CNR) *max(0 , IDOM13 - RED3WG) )
                                * (1-positif(RE168+TAX1649))
        + positif(RE168+TAX1649) * IDOM16 ;

regle 401105:
application : bareme , iliad ;

3WBHORBAR = arr(PVIMPOS * positif(1-COD2OP) * TX128/100) * (1 - V_CNR);
3WAHORBAR = arr(PVSURSI * positif(1-COD2OP) * TX128/100) * (1 - V_CNR);
regle 401112:
application : bareme , iliad ;

IREXITI = present(FLAG_EXIT) * abs(ID11 - V_ID113WB) * positif(positif(PVIMPOS)+positif(CODRWB)) * (1 - V_CNR) * positif(COD2OP) + 3WBHORBAR;

IREXITS = (
           abs(V_ID113WA-V_ID113WB) * positif(positif(PVIMPOS)+positif(CODRWB))
         + abs(V_ID113WA-ID11) * (1-positif(positif(PVIMPOS)+positif(CODRWB)))
          ) 
          * present(FLAG_EXIT) * positif(positif(PVSURSI)+positif(CODRWA))
          * (1 - V_CNR) * positif(COD2OP) + 3WAHORBAR;


regle 401113:
application : bareme , iliad ;
EXITTAX3 = (V_ID113WB * positif(positif(PVIMPOS)+positif(CODRWB)) + NAPTIR * positif(positif(PVSURSI)+positif(CODRWA)) * (1-positif(positif(PVIMPOS)+positif(CODRWB)))) * (1 - V_CNR) ;


PVCREA = PVSURSI + CODRWA ;

PVCREB = PVIMPOS + CODRWB ;
regle 401115:
application : bareme , iliad ;



PVMTS =( COD3WR) ;

regle 401120:
application : bareme , iliad ;

IREXIT = IREXITI + IREXITS;
regle 401140:
application : bareme , iliad ;


DEC11 = min(max(arr(((SEUIL_BARCOT1 * FLAG_BAREM + SEUIL_DECOTE1 * (1 - FLAG_BAREM)) * (1 - BOOL_0AM)) 
                    + ((SEUIL_BARCOT2 * FLAG_BAREM + SEUIL_DECOTE2 * (1 - FLAG_BAREM)) * BOOL_0AM) - (IDOM11 * (45.25/100 * FLAG_BAREM + 3/4 * (1 - FLAG_BAREM)))) , 0) , IDOM11) * (1 - V_CNR) ;

DEC12 = min(max(arr(((SEUIL_BARCOT1 * FLAG_BAREM + SEUIL_DECOTE1 * (1 - FLAG_BAREM)) * (1 - BOOL_0AM)) 
                    + ((SEUIL_BARCOT2 * FLAG_BAREM + SEUIL_DECOTE2 * (1 - FLAG_BAREM)) * BOOL_0AM) - (IDOM12 * (45.25/100 * FLAG_BAREM + 3/4 * (1 - FLAG_BAREM)))) , 0) , IDOM12) * (1 - V_CNR) ;

DEC13 = min(max(arr(((SEUIL_BARCOT1 * FLAG_BAREM + SEUIL_DECOTE1 * (1 - FLAG_BAREM)) * (1 - BOOL_0AM)) 
                    + ((SEUIL_BARCOT2 * FLAG_BAREM + SEUIL_DECOTE2 * (1 - FLAG_BAREM)) * BOOL_0AM) - (IDOM13 * (45.25/100 * FLAG_BAREM + 3/4 * (1 - FLAG_BAREM)))) , 0) , IDOM13) * (1 - V_CNR) ;

DEC6 = min(max(arr(((SEUIL_BARCOT1 * FLAG_BAREM + SEUIL_DECOTE1 * (1 - FLAG_BAREM)) * (1 - BOOL_0AM)) 
                   + ((SEUIL_BARCOT2 * FLAG_BAREM + SEUIL_DECOTE2 * (1 - FLAG_BAREM)) * BOOL_0AM) - (IDOM16 * (45.25/100 * FLAG_BAREM + 3/4 * (1 - FLAG_BAREM)))) , 0) , IDOM16) * (1 - V_CNR) ;

regle 401150:
application : iliad ;

ART1731BIS = positif(positif(SOMMERI_2) + PREM8_11) ;

regle 401160:
application : iliad ;

      
RED = RCOTFOR + RREPA + RDIFAGRI + RPRESSE + RFORET + RFIPDOM 
      + RFIPC + RCINE + RRESTIMO 
      + RSOCREPR + RRPRESCOMP + RHEBE + RSURV + RINNO + RSOUFIP
      + RRIRENOV + RLOGDOM + RCOMP + RRETU + RDONS + CRDIE
      + RDUFLOTOT + RPINELTOT + RNOUV + RPENTOT 
      + RFOR + RTOURREP + RTOUREPA + RREHAB + RCOD7KZ + RRESTIMO1
      + RCELTOT + RLOCNPRO
      + RPATNAT3 + RPATNAT
      + RDOMSOC1 + RLOGSOC + RCOLENT + RLOCENT 
       ;

REDTL = ASURV + ACOMP ;

CIMPTL = ATEC + ADEVDUR + TOTBGE ;

regle 401180:
application : iliad ;

DPRESSE = COD7MY + COD7MX ;

APRESSE502_1 = min(COD7MY , LIM5000 * (1 + BOOL_0AM)) * (1 - V_CNR) ;

APRESSE302_1 = min(COD7MX , max(0 , LIM5000 * (1 + BOOL_0AM) - APRESSE502_1)) * (1 - V_CNR) ;

APRESSE = ((APRESSE502_1 + APRESSE302_1) * (1 - ART1731BIS) + min((APRESSE502_1 + APRESSE302_1) , APRESSE_2) * ART1731BIS) 
           * (1 - V_CNR) ;

RAPRESSE = arr((APRESSE502_1 * TX50/100) + (APRESSE302_1 * TX30/100)) ;

RPRESSE_1 = max(min(RAPRESSE , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1) , 0) ;

RPRESSE = RPRESSE_1 * (1-ART1731BIS) + min(RPRESSE_1 , RPRESSE_2) * ART1731BIS ;

regle 401185:
application : iliad ;

DFORET = FORET ;

AFORET_1 = max(min(DFORET,LIM_FORET),0) * (1-V_CNR) ;

AFORET = (AFORET_1 * (1 - ART1731BIS) + min(AFORET_1 , AFORET_2) * ART1731BIS) * (1 - V_CNR) ;

RAFORET = arr(AFORET_1*TX_FORET/100) ;

RFORET_1 =  max(min(RAFORET , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1) , 0) ;

RFORET = RFORET_1 * (1 - ART1731BIS) + min(RFORET_1 , RFORET_2) * ART1731BIS ;

regle 401190:
application : iliad ;

DFIPDOM = FIPDOMCOM ;

AFIPDOM_1 = max( min(DFIPDOM , LIMFIPDOM * (1 + BOOL_0AM)) , 0) * (1 - null(V_REGCO-2)) ;

AFIPDOM = max(0 , AFIPDOM_1 * (1 - ART1731BIS) + min(AFIPDOM_1 , AFIPDOM_2) * ART1731BIS) * (1 - null(V_REGCO-2)) ;

RFIPDOMCOM = arr(AFIPDOM_1 * TXFIPDOM/100) *  (1 - null(V_REGCO-2));

RFIPDOM_1 = max(min(RFIPDOMCOM , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1-RFORET_1-RCINE_1) , 0) ;

RFIPDOM = RFIPDOM_1 * (1 - ART1731BIS) + min(RFIPDOM_1 , RFIPDOM_2) * ART1731BIS ;

regle 401200:
application : iliad ;

DFIPC = FIPCORSE ;

AFIPC_1 = max( min(DFIPC , LIM_FIPCORSE * (1 + BOOL_0AM)) , 0) * (1 - V_CNR) ;

AFIPC = max(0 , AFIPC_1 * (1 - ART1731BIS) + min(AFIPC_1 , AFIPC_2) * ART1731BIS) * (1 - V_CNR) ;

RFIPCORSE = arr(AFIPC_1 * TX_FIPCORSE/100) * (1 - V_CNR) ;

RFIPC_1 = max( min( RFIPCORSE , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1
                                                    -RFORET_1-RCINE_1-RFIPDOM_1) , 0) ;

RFIPC = RFIPC_1 * (1 - ART1731BIS) + min(RFIPC_1 , RFIPC_2) * ART1731BIS ;

regle 401210:
application : iliad ;

BSURV = min( RDRESU , PLAF_RSURV + PLAF_COMPSURV * (EAC + V_0DN) + PLAF_COMPSURVQAR * (V_0CH + V_0DP) );

RRS = arr(BSURV * TX_REDSURV / 100) * (1 - V_CNR) ;

DSURV = RDRESU ;

ASURV = (BSURV * (1 - ART1731BIS) + min(BSURV , ASURV_2) * ART1731BIS) * (1 - V_CNR) ;

RSURV_1 = max(min(RRS , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPDOM_1-RFIPC_1
			            -RCINE_1-RRESTIMO_1-RSOCREPR_1-RRPRESCOMP_1-RHEBE_1 ) , 0) ;

RSURV = max(0 , RSURV_1 * (1 - ART1731BIS) + min(RSURV_1 , RSURV_2) * ART1731BIS) ;

regle 401220:
application : iliad ;


DCINE = COD7EN + CINE1 + CINE2 ;

ACINE_1 = max(0 , min(DCINE , min(arr(max(SOFIRNG,RNG) * TX_CINE3/100) , PLAF_CINE))) * (1 - V_CNR) ;

ACINE = max(0 , ACINE_1 * (1-ART1731BIS) + min(ACINE_1 , ACINE_2) * ART1731BIS) * (1-V_CNR) ; 

RRCN1 = min(COD7EN , min(max(SOFIRNG,RNG) * TX_CINE3/100 , PLAF_CINE)) ;
RRCN2 = min(CINE1 , max(min(max(SOFIRNG,RNG) * TX_CINE3/100 , PLAF_CINE) - RRCN1 , 0)) ;
RRCN3 = min(CINE2 , max(min(max(SOFIRNG,RNG) * TX_CINE3/100 , PLAF_CINE) - RRCN1 - RRCN2 , 0)) ;

RRCN = arr((RRCN1 * TX48/100) + (RRCN2 * TX_CINE1/100) + (RRCN3 * TX_CINE2/100)) * (1 - V_CNR) ;

RCINE_1 = max(min(RRCN , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1
                               -RFORET_1) , 0) ;

RCINE = max(0 , RCINE_1 * (1-ART1731BIS) + min(RCINE_1 , RCINE_2) * ART1731BIS) ;

regle 401230:
application : iliad ;


BSOUFIP = min(FFIP , LIM_SOUFIP * (1 + BOOL_0AM)) ;

RFIP = arr(BSOUFIP * TX_REDFIP / 100) * (1 - V_CNR) ;

DSOUFIP = FFIP ;

ASOUFIP = (BSOUFIP * (1 - ART1731BIS) + min(BSOUFIP , ASOUFIP_2) * ART1731BIS) * (1 - V_CNR) ;

RSOUFIP_1 = max(min(RFIP , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPDOM_1-RFIPC_1
			   -RCINE_1-RRESTIMO_1-RSOCREPR_1-RRPRESCOMP_1-RHEBE_1-RSURV_1-RINNO_1) , 0 ) ;

RSOUFIP = max(0 , RSOUFIP_1 * (1 - ART1731BIS) + min(RSOUFIP_1 ,RSOUFIP_2) * ART1731BIS) ;

regle 401240:
application : iliad ;


BRENOV = min(RIRENOV , PLAF_RENOV) ;

RENOV = arr(BRENOV * TX_RENOV / 100) * (1 - V_CNR) ;

DRIRENOV = RIRENOV ;

ARIRENOV = (BRENOV * (1 - ART1731BIS) + min(BRENOV , ARIRENOV_2) * ART1731BIS) * (1 - V_CNR) ;

RRIRENOV_1 = max(min(RENOV , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPDOM_1-RFIPC_1-RCINE_1
			     -RRESTIMO_1-RSOCREPR_1-RRPRESCOMP_1-RHEBE_1-RSURV_1-RINNO_1-RSOUFIP_1) , 0 ) ;

RRIRENOV = max(0 , RRIRENOV_1 * (1 - ART1731BIS) + min(RRIRENOV_1 , RRIRENOV_2) * ART1731BIS) ;

regle 401250:
application : iliad ;


RFC = min(RDCOM,PLAF_FRCOMPTA * max(1,NBACT)) * present(RDCOM)*(1-V_CNR);

NCOMP = ( max(1,NBACT)* present(RDCOM) * (1-ART1731BIS) + min( max(1,NBACT)* present(RDCOM) , NCOMP1731+0) * ART1731BIS ) * (1-V_CNR);

DCOMP = RDCOM ;

ACOMP = RFC * (1 - ART1731BIS) + min(RFC , ACOMP_2) * ART1731BIS ;

regle 401260:
application : iliad ;

RCOMP_1 = max(min(RFC , RRI1-RLOGDOM) , 0) ;

RCOMP = max(0 , RCOMP_1 * (1 - ART1731BIS) + min(RCOMP_1 , RCOMP_2) * ART1731BIS) ; 

regle 401270:
application : iliad ;




DDUFREPFI = DUFLOFI ;

ADUFREPFI_1 = (min(DUFLOFI + 0 , LIMREPDUF) * (1 - COD7QV) + (DUFLOFI + 0) * COD7QV) * (1 - V_CNR) ;

ADUFREPFI = ADUFREPFI_1 * (1-ART1731BIS) + min(ADUFREPFI_1 , ADUFREPFI_2) * ART1731BIS ; 

DDUFREPFK = DUFLOFK ;

ADUFREPFK_1 = (min(DUFLOFK + 0 , LIMREPDUF) * (1 - COD7QV) + (DUFLOFK + 0) * COD7QV) * (1 - V_CNR) ;

ADUFREPFK = ADUFREPFK_1 * (1-ART1731BIS) + min(ADUFREPFK_1 , ADUFREPFK_2) * ART1731BIS ; 

DDUFREPFR = DUFLOFR ;

ADUFREPFR_1 = (min(DUFLOFR + 0 , LIMREPDUF) * (1 - COD7QV) + (DUFLOFR + 0) * COD7QV) * (1 - V_CNR) ;

ADUFREPFR = ADUFREPFR_1 * (1-ART1731BIS) + min(ADUFREPFR_1 , ADUFREPFR_2) * ART1731BIS ; 

DDUFREPFV = DUFLOFV ;

ADUFREPFV_1 = (min(DUFLOFV + 0 , LIMREPDUF) * (1 - COD7QV) + (DUFLOFV + 0) * COD7QV) * (1 - V_CNR) ;

ADUFREPFV = ADUFREPFV_1 * (1-ART1731BIS) + min(ADUFREPFV_1 , ADUFREPFV_2) * ART1731BIS ; 

DDUFREPFW = COD7FW ;

ADUFREPFW_1 = (min(COD7FW + 0 , LIMREPDUF) * (1 - COD7QV) + (COD7FW + 0) * COD7QV) * (1 - V_CNR) ;

ADUFREPFW = ADUFREPFW_1 * (1-ART1731BIS) + min(ADUFREPFW_1 , ADUFREPFW_2) * ART1731BIS ; 

DPIREPAI = PINELAI ;

APIREPAI_1 = (min(PINELAI + 0 , LIMREPPIN1) * (1 - COD7QV) + (PINELAI + 0) * COD7QV) * (1 - V_CNR) ;

APIREPAI = APIREPAI_1 * (1-ART1731BIS) + min(APIREPAI_1 , APIREPAI_2) * ART1731BIS ; 

DPIREPBI = PINELBI ;

APIREPBI_1 = (min(PINELBI + 0 , LIMREPPIN1) * (1 - COD7QV) + (PINELBI + 0) * COD7QV) * (1 - V_CNR) ;

APIREPBI = APIREPBI_1 * (1-ART1731BIS) + min(APIREPBI_1 , APIREPBI_2) * ART1731BIS ; 

DPIREPCI = PINELCI ;

APIREPCI_1 = (min(PINELCI + 0 , LIMREPPIN3) * (1 - COD7QV) + (PINELCI + 0) * COD7QV) * (1 - V_CNR) ;

APIREPCI = APIREPCI_1 * (1-ART1731BIS) + min(APIREPCI_1 , APIREPCI_2) * ART1731BIS ; 

DPIREPDI = PINELDI ;

APIREPDI_1 = (min(PINELDI + 0 , LIMREPPIN2) * (1 - COD7QV) + (PINELDI + 0) * COD7QV) * (1 - V_CNR) ;

APIREPDI = APIREPDI_1 * (1-ART1731BIS) + min(APIREPDI_1 , APIREPDI_2) * ART1731BIS ; 

DPIREPBZ = PINELBZ ;

APIREPBZ_1 = (min(PINELBZ + 0 , LIMREPPIN1) * (1 - COD7QV) + (PINELBZ + 0) * COD7QV) * (1 - V_CNR) ;

APIREPBZ = APIREPBZ_1 * (1-ART1731BIS) + min(APIREPBZ_1 , APIREPBZ_2) * ART1731BIS ; 

DPIREPCZ = PINELCZ ;

APIREPCZ_1 = (min(PINELCZ + 0 , LIMREPPIN1) * (1 - COD7QV) + (PINELCZ + 0) * COD7QV) * (1 - V_CNR) ;

APIREPCZ = APIREPCZ_1 * (1-ART1731BIS) + min(APIREPCZ_1 , APIREPCZ_2) * ART1731BIS ; 

DPIREPDZ = PINELDZ ;

APIREPDZ_1 = (min(PINELDZ + 0 , LIMREPPIN3) * (1 - COD7QV) + (PINELDZ + 0) * COD7QV) * (1 - V_CNR) ;

APIREPDZ = APIREPDZ_1 * (1-ART1731BIS) + min(APIREPDZ_1 , APIREPDZ_2) * ART1731BIS ; 

DPIREPEZ = PINELEZ ;

APIREPEZ_1 = (min(PINELEZ + 0 , LIMREPPIN2) * (1 - COD7QV) + (PINELEZ + 0) * COD7QV) * (1 - V_CNR) ;

APIREPEZ = APIREPEZ_1 * (1-ART1731BIS) + min(APIREPEZ_1 , APIREPEZ_2) * ART1731BIS ;

DPIREPQZ = PINELQZ ;

APIREPQZ_1 = (min(PINELQZ + 0 , LIMREPPIN1) * (1 - COD7QV) + (PINELQZ + 0) * COD7QV) * (1 - V_CNR) ;

APIREPQZ = APIREPQZ_1 * (1-ART1731BIS) + min(APIREPQZ_1 , APIREPQZ_2) * ART1731BIS ;

DPIREPRZ = PINELRZ ;

APIREPRZ_1 = (min(PINELRZ + 0 , LIMREPPIN1) * (1 - COD7QV) + (PINELRZ + 0) * COD7QV) * (1 - V_CNR) ;

APIREPRZ = APIREPRZ_1 * (1-ART1731BIS) + min(APIREPRZ_1 , APIREPRZ_2) * ART1731BIS ;

DPIREPSZ = PINELSZ ;

APIREPSZ_1 = (min(PINELSZ + 0 , LIMREPPIN3) * (1 - COD7QV) + (PINELSZ + 0) * COD7QV) * (1 - V_CNR) ;

APIREPSZ = APIREPSZ_1 * (1-ART1731BIS) + min(APIREPSZ_1 , APIREPSZ_2) * ART1731BIS ;

DPIREPTZ = PINELTZ ;

APIREPTZ_1 = (min(PINELTZ + 0 , LIMREPPIN2) * (1 - COD7QV) + (PINELTZ + 0) * COD7QV) * (1 - V_CNR) ;

APIREPTZ = APIREPTZ_1 * (1-ART1731BIS) + min(APIREPTZ_1 , APIREPTZ_2) * ART1731BIS ;

DPIREPRA = COD7RA ;

APIREPRA_1 = (min(COD7RA + 0 , LIMREPPIN1) * (1 - COD7QV) + (COD7RA + 0) * COD7QV) * (1 - V_CNR) ;

APIREPRA = APIREPRA_1 * (1-ART1731BIS) + min(APIREPRA_1 , APIREPRA_2) * ART1731BIS ;

DPIREPRB = COD7RB ;

APIREPRB_1 = (min(COD7RB + 0 , LIMREPPIN1) * (1 - COD7QV) + (COD7RB + 0) * COD7QV) * (1 - V_CNR) ;

APIREPRB = APIREPRB_1 * (1-ART1731BIS) + min(APIREPRB_1 , APIREPRB_2) * ART1731BIS ;

DPIREPRC = COD7RC ;

APIREPRC_1 = (min(COD7RC + 0 , LIMREPPIN3) * (1 - COD7QV) + (COD7RC + 0) * COD7QV) * (1 - V_CNR) ;

APIREPRC = APIREPRC_1 * (1-ART1731BIS) + min(APIREPRC_1 , APIREPRC_2) * ART1731BIS ;

DPIREPRD = COD7RD ;

APIREPRD_1 = (min(COD7RD + 0 , LIMREPPIN2) * (1 - COD7QV) + (COD7RD + 0) * COD7QV) * (1 - V_CNR) ;

APIREPRD = APIREPRD_1 * (1-ART1731BIS) + min(APIREPRD_1 , APIREPRD_2) * ART1731BIS ;

DPIQTU = COD7QT + COD7QU ;

APIQTU_1 = (arr(min(COD7QU + 0 , LIMDUFLO) /9) + arr(min(COD7QT + 0 , LIMDUFLO - min(COD7QU + 0 , LIMDUFLO)) /6)) * (1 - V_CNR) ;

APIQTU = APIQTU_1 * (1-ART1731BIS) + min(APIQTU_1 , APIQTU_2) * ART1731BIS ;

DPIQRS = COD7QR + COD7QS ;

APIQRS_1 = (arr(min(COD7QS + 0 , LIMDUFLO - min(COD7QT + COD7QU + 0 , LIMDUFLO)) /9) 
            + arr(min(COD7QR + 0 , LIMDUFLO - min(COD7QT + COD7QU + COD7QS + 0 , LIMDUFLO)) /6)) * (1 - V_CNR) ;

APIQRS = APIQRS_1 * (1-ART1731BIS) + min(APIQRS_1 , APIQRS_2) * ART1731BIS ;

DPIQOP = PINELQO + PINELQP ;

APIQOP_1 = (arr(min(PINELQP + 0 , LIMDUFLO) /9) + arr(min(PINELQO + 0 , LIMDUFLO - min(PINELQP + 0 , LIMDUFLO)) /6)) * (1 - V_CNR) ;

APIQOP = APIQOP_1 * (1-ART1731BIS) + min(APIQOP_1 , APIQOP_2) * ART1731BIS ;

DPIQMN = PINELQM + PINELQN ;

APIQMN_1 = (arr(min(PINELQN + 0 , LIMDUFLO - min(PINELQO + PINELQP + 0 , LIMDUFLO)) /9) 
            + arr(min(PINELQM + 0 , LIMDUFLO - min(PINELQO + PINELQP + PINELQN + 0 , LIMDUFLO)) /6)) * (1 - V_CNR) ;

APIQMN = APIQMN_1 * (1-ART1731BIS) + min(APIQMN_1 , APIQMN_2) * ART1731BIS ;

DPIQKL = PINELQK + PINELQL ;

APIQKL_1 = (arr(min(PINELQL + 0 , LIMDUFLO) /9) + arr(min(PINELQK + 0 , LIMDUFLO - min(PINELQL + 0 , LIMDUFLO)) /6)) * (1 - V_CNR) ;

APIQKL = APIQKL_1 * (1-ART1731BIS) + min(APIQKL_1 , APIQKL_2) * ART1731BIS ;

DPIQIJ = PINELQI + PINELQJ ;

APIQIJ_1 = (arr(min(PINELQJ + 0 , LIMDUFLO - min(PINELQL + PINELQK + 0 , LIMDUFLO)) /9) 
            + arr(min(PINELQI + 0 , LIMDUFLO - min(PINELQL + PINELQK + PINELQJ + 0 , LIMDUFLO)) /6)) * (1 - V_CNR) ;

APIQIJ = APIQIJ_1 * (1-ART1731BIS) + min(APIQIJ_1 , APIQIJ_2) * ART1731BIS ;

DPIQGH = PINELQG + PINELQH ;

APIQGH_1 = (arr(min(PINELQH + 0 , LIMDUFLO) /9) + arr(min(PINELQG + 0 , LIMDUFLO - min(PINELQH + 0 , LIMDUFLO)) /6)) * (1 - V_CNR) ;

APIQGH = APIQGH_1 * (1-ART1731BIS) + min(APIQGH_1 , APIQGH_2) * ART1731BIS ;

DPIQEF = PINELQE + PINELQF ;

APIQEF_1 = (arr(min(PINELQF + 0 , LIMDUFLO - min(PINELQH + PINELQG + 0 , LIMDUFLO)) /9) 
            + arr(min(PINELQE + 0 , LIMDUFLO - min(PINELQH + PINELQG + PINELQF + 0 , LIMDUFLO)) /6)) * (1 - V_CNR) ;

APIQEF = APIQEF_1 * (1-ART1731BIS) + min(APIQEF_1 , APIQEF_2) * ART1731BIS ;

DPIQCD = PINELQC + PINELQD ;

APIQCD_1 = (arr(min(PINELQD + 0 , LIMDUFLO - min(DUFLOEL + 0, LIMDUFLO)) /9) 
            + arr(min(PINELQC + 0 , LIMDUFLO - min(DUFLOEL + PINELQD + 0 , LIMDUFLO)) /6)) * (1 - V_CNR) ;

APIQCD = APIQCD_1 * (1-ART1731BIS) 
         + min( APIQCD_1, APIQCD_2 ) * ART1731BIS ;

DPIQAB = PINELQA + PINELQB ;

APIQAB_1 = (arr(min(PINELQB + 0 , LIMDUFLO - min(DUFLOEL + PINELQD + PINELQC + DUFLOEK + 0 , LIMDUFLO)) /9) 
            + arr(min(PINELQA + 0 , LIMDUFLO - min(DUFLOEL + PINELQD + PINELQC + DUFLOEK + PINELQB + 0 , LIMDUFLO)) /6)) * (1 - V_CNR) ;

APIQAB = APIQAB_1 * (1-ART1731BIS) + min(APIQAB_1 , APIQAB_2) * ART1731BIS ;

DDUFLOEKL = DUFLOEK + DUFLOEL ;

ADUFLOEKL_1 = (arr(min(DUFLOEL + 0 , LIMDUFLO) /9) + arr(min(DUFLOEK + 0 , LIMDUFLO - min(DUFLOEL + PINELQD + PINELQC + 0 , LIMDUFLO)) /9)) * (1 - V_CNR) ;

ADUFLOEKL = ADUFLOEKL_1 * (1-ART1731BIS) + min(ADUFLOEKL_1 , ADUFLOEKL_2) * ART1731BIS ;

DDUFLOGIH = DUFLOGI + DUFLOGH ;

ADUFLOGIH_1 = (arr(min(DUFLOGI + 0 , LIMDUFLO) /9) + arr(min(DUFLOGH + 0 , LIMDUFLO - min(DUFLOGI + 0 , LIMDUFLO) ) /9)) * (1 - V_CNR) ;

ADUFLOGIH =  ADUFLOGIH_1 * (1-ART1731BIS) + min(ADUFLOGIH_1 , ADUFLOGIH_2) * ART1731BIS ;

RPINTU = (arr(arr(min(COD7QU + 0 , LIMDUFLO) /9) * (TX29/100))
          + arr(arr(min(COD7QT + 0 , LIMDUFLO - min(COD7QU + 0 , LIMDUFLO)) /6) * (TX23/100))) * (1 - V_CNR) ;

RPINRS = (arr(arr(min(COD7QS + 0 , LIMDUFLO - min(COD7QT + COD7QU + 0 , LIMDUFLO)) /9) * (TX18/100))
          + arr(arr(min(COD7QR + 0 , LIMDUFLO - min(COD7QT + COD7QU + COD7QS + 0 , LIMDUFLO)) /6) * (TX12/100))) * (1 - V_CNR) ;

RPINOP = (arr(arr(min(PINELQP + 0 , LIMDUFLO) /9) * (TX29/100))
          + arr(arr(min(PINELQO + 0 , LIMDUFLO - min(PINELQP + 0 , LIMDUFLO)) /6) * (TX23/100))) * (1 - V_CNR) ;

RPINMN = (arr(arr(min(PINELQN + 0 , LIMDUFLO - min(PINELQP + PINELQO + 0 , LIMDUFLO)) /9) * (TX18/100))
          + arr(arr(min(PINELQM + 0 , LIMDUFLO - min(PINELQP + PINELQO + PINELQN + 0 , LIMDUFLO)) /6) * (TX12/100))) * (1 - V_CNR) ;

RPINKL = (arr(arr(min(PINELQL + 0 , LIMDUFLO) /9) * (TX29/100))
          + arr(arr(min(PINELQK + 0 , LIMDUFLO - min(PINELQL + 0 , LIMDUFLO)) /6) * (TX23/100))) * (1 - V_CNR) ;

RPINIJ = (arr(arr(min(PINELQJ + 0 , LIMDUFLO - min(PINELQL + PINELQK + 0 , LIMDUFLO)) /9) * (TX18/100))
          + arr(arr(min(PINELQI + 0 , LIMDUFLO - min(PINELQL + PINELQK + PINELQJ + 0 , LIMDUFLO)) /6) * (TX12/100))) * (1 - V_CNR) ;

RPINGH = (arr(arr(min(PINELQH + 0 , LIMDUFLO) /9) * (TX29/100))
          + arr(arr(min(PINELQG + 0 , LIMDUFLO - min(PINELQH + 0 , LIMDUFLO)) /6) * (TX23/100))) * (1 - V_CNR) ;

RPINEF = (arr(arr(min(PINELQF + 0 , LIMDUFLO - min(PINELQH + PINELQG + 0 , LIMDUFLO)) /9) * (TX18/100))
          + arr(arr(min(PINELQE + 0 , LIMDUFLO - min(PINELQH + PINELQG + PINELQF + 0 , LIMDUFLO)) /6) * (TX12/100))) * (1 - V_CNR) ;

RDUFLO_EKL = (arr(arr(min(DUFLOEL + 0 , LIMDUFLO) /9) * (TX29/100))
              + arr(arr(min(DUFLOEK + 0 , LIMDUFLO - min(DUFLOEL + PINELQD + PINELQC + 0 , LIMDUFLO)) /9) * (TX18/100))) * (1 - V_CNR) ;

RPINCD = (arr(arr(min(PINELQD + 0 , LIMDUFLO - min(DUFLOEL + 0 , LIMDUFLO)) /9) * (TX29/100))
          + arr(arr(min(PINELQC + 0 , LIMDUFLO - min(DUFLOEL + PINELQD + 0 , LIMDUFLO)) /6) * (TX23/100))) * (1 - V_CNR) ; 

RPINAB = (arr(arr(min(PINELQB + 0 , LIMDUFLO - min(DUFLOEL + PINELQD + PINELQC + DUFLOEK + 0 , LIMDUFLO)) /9) * (TX18/100))
          + arr(arr(min(PINELQA + 0 , LIMDUFLO - min(DUFLOEL + PINELQD + PINELQC + DUFLOEK + PINELQB + 0 , LIMDUFLO)) /6) * (TX12/100))) * (1 - V_CNR) ; 

RDUFLO_GIH = (arr(arr(min(DUFLOGI + 0 , LIMDUFLO) /9) * (TX29/100)) 
              + arr(arr(min(DUFLOGH + 0 , LIMDUFLO - min(DUFLOGI + 0 , LIMDUFLO)) /9) * (TX18/100))) * (1 - V_CNR) ;

regle 401280:
application : iliad ;


RRI1DUPI = RRI1 - RLOGDOM - RCOMP_1 - RRETU_1 - RDONS_1 - CRDIE_1 ;
VARTMP1 = 0 ;

RDUFREPFI_1 = max(0 , min(ADUFREPFI_1 , RRI1DUPI)) ;
RDUFREPFI = max(0 , RDUFREPFI_1 * (1 - ART1731BIS) + min(RDUFREPFI_1 , RDUFREPFI_2) * ART1731BIS) ; 
VARTMP1 = RDUFREPFI_1 ;

RDUFREPFK_1 = max(0 , min(ADUFREPFK_1 , RRI1DUPI - VARTMP1)) ;
RDUFREPFK = max(0 , RDUFREPFK_1 * (1 - ART1731BIS) + min(RDUFREPFK_1 , RDUFREPFK_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RDUFREPFK_1 ;

RDUFREPFR_1 = max(0 , min(ADUFREPFR_1 , RRI1DUPI - VARTMP1)) ;
RDUFREPFR = max(0 , RDUFREPFR_1 * (1 - ART1731BIS) + min( RDUFREPFR_1 , RDUFREPFR_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RDUFREPFR_1 ;

RDUFREPFV_1 = max(0 , min(ADUFREPFV_1 , RRI1DUPI - VARTMP1)) ;
RDUFREPFV = max(0 , RDUFREPFV_1 * (1 - ART1731BIS) + min( RDUFREPFV_1 , RDUFREPFV_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RDUFREPFV_1 ;

RDUFREPFW_1 = max(0 , min(ADUFREPFW_1 , RRI1DUPI - VARTMP1)) ;
RDUFREPFW = max(0 , RDUFREPFW_1 * (1 - ART1731BIS) + min( RDUFREPFW_1 , RDUFREPFW_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RDUFREPFW_1 ;

RDUFLOEKL_1 = max(0 , min(RDUFLO_EKL , RRI1DUPI - VARTMP1)) ;
RDUFLOEKL = max(0 , RDUFLOEKL_1 * (1 - ART1731BIS)  + min ( RDUFLOEKL_1 , RDUFLOEKL_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RDUFLOEKL_1 ;

RDUFLOGIH_1 = max(0 , min(RDUFLO_GIH , RRI1DUPI - VARTMP1)) ;
RDUFLOGIH = max(0 , RDUFLOGIH_1 * (1 - ART1731BIS) + min ( RDUFLOGIH_1 , RDUFLOGIH_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RDUFLOGIH_1 ;

RPIREPAI_1 = max(0 , min(APIREPAI_1 , RRI1DUPI - VARTMP1)) ;
RPIREPAI = max(0 , RPIREPAI_1 * (1 - ART1731BIS) + min( RPIREPAI_1 , RPIREPAI_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIREPAI_1 ;

RPIREPBI_1 = max(0 , min(APIREPBI_1 , RRI1DUPI - VARTMP1)) ;
RPIREPBI = max(0 , RPIREPBI_1 * (1 - ART1731BIS) + min( RPIREPBI_1 , RPIREPBI_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIREPBI_1 ;

RPIREPCI_1 = max(0 , min(APIREPCI_1 , RRI1DUPI - VARTMP1)) ;
RPIREPCI = max(0 , RPIREPCI_1 * (1 - ART1731BIS) + min( RPIREPCI_1 , RPIREPCI_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIREPCI_1 ;

RPIREPDI_1 = max(0 , min(APIREPDI_1 , RRI1DUPI - VARTMP1)) ;
RPIREPDI = max(0 , RPIREPDI_1 * (1 - ART1731BIS) + min( RPIREPDI_1 , RPIREPDI_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIREPDI_1 ;

RPIREPBZ_1 = max(0 , min(APIREPBZ_1 , RRI1DUPI - VARTMP1)) ;
RPIREPBZ = max(0 , RPIREPBZ_1 * (1 - ART1731BIS) + min( RPIREPBZ_1 , RPIREPBZ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPBZ_1 ;

RPIREPCZ_1 = max(0 , min(APIREPCZ_1 , RRI1DUPI - VARTMP1)) ;
RPIREPCZ = max(0 , RPIREPCZ_1 * (1 - ART1731BIS) + min( RPIREPCZ_1 , RPIREPCZ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPCZ_1 ;

RPIREPDZ_1 = max(0 , min( APIREPDZ_1 , RRI1DUPI - VARTMP1)) ;
RPIREPDZ = max(0 , RPIREPDZ_1 * (1 - ART1731BIS) + min(RPIREPDZ_1 , RPIREPDZ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPDZ_1 ;

RPIREPEZ_1 = max(0 , min(APIREPEZ_1 , RRI1DUPI - VARTMP1)) ;
RPIREPEZ = max(0 , RPIREPEZ_1 * (1 - ART1731BIS) + min(RPIREPEZ_1 , RPIREPEZ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPEZ_1 ;

RPIREPQZ_1 = max(0 , min(APIREPQZ_1 , RRI1DUPI - VARTMP1)) ;
RPIREPQZ = max(0 , RPIREPQZ_1 * (1 - ART1731BIS) + min(RPIREPQZ_1 , RPIREPQZ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPQZ_1 ;

RPIREPRZ_1 = max(0 , min(APIREPRZ_1 , RRI1DUPI - VARTMP1)) ;
RPIREPRZ = max(0 , RPIREPRZ_1 * (1 - ART1731BIS) + min(RPIREPRZ_1 , RPIREPRZ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPRZ_1 ;

RPIREPSZ_1 = max(0 , min(APIREPSZ_1 , RRI1DUPI - VARTMP1)) ;
RPIREPSZ = max(0 , RPIREPSZ_1 * (1 - ART1731BIS) + min(RPIREPSZ_1 , RPIREPSZ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPSZ_1 ;

RPIREPTZ_1 = max(0 , min(APIREPTZ_1 , RRI1DUPI - VARTMP1)) ;
RPIREPTZ = max(0 , RPIREPTZ_1 * (1 - ART1731BIS) + min(RPIREPTZ_1 , RPIREPTZ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPTZ_1 ;

RPIREPRA_1 = max(0 , min(APIREPRA_1 , RRI1DUPI - VARTMP1)) ;
RPIREPRA = max(0 , RPIREPRA_1 * (1 - ART1731BIS) + min(RPIREPRA_1 , RPIREPRA_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPRA_1 ;

RPIREPRB_1 = max(0 , min(APIREPRB_1 , RRI1DUPI - VARTMP1)) ;
RPIREPRB = max(0 , RPIREPRB_1 * (1 - ART1731BIS) + min(RPIREPRB_1 , RPIREPRB_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPRB_1 ;

RPIREPRC_1 = max(0 , min(APIREPRC_1 , RRI1DUPI - VARTMP1)) ;
RPIREPRC = max(0 , RPIREPRC_1 * (1 - ART1731BIS) + min(RPIREPRC_1 , RPIREPRC_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPRC_1 ;

RPIREPRD_1 = max(0 , min(APIREPRD_1 , RRI1DUPI - VARTMP1)) ;
RPIREPRD = max(0 , RPIREPRD_1 * (1 - ART1731BIS) + min(RPIREPRD_1 , RPIREPRD_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RPIREPRD_1 ;

RPIQTU_1 = max(0 , min(RPINTU , RRI1DUPI - VARTMP1)) ;
RPIQTU = max(0 , RPIQTU_1 * (1 - ART1731BIS) + min(RPIQTU_1 , RPIQTU_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIQTU_1 ;

RPIQRS_1 = max(0 , min(RPINRS , RRI1DUPI - VARTMP1)) ;
RPIQRS = max(0 , RPIQRS_1 * (1 - ART1731BIS) + min(RPIQRS_1 , RPIQRS_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIQRS_1 ;

RPIQOP_1 = max(0 , min(RPINOP , RRI1DUPI - VARTMP1)) ;
RPIQOP = max(0 , RPIQOP_1 * (1 - ART1731BIS) + min(RPIQOP_1 , RPIQOP_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIQOP_1 ;

RPIQMN_1 = max(0 , min(RPINMN , RRI1DUPI - VARTMP1)) ;
RPIQMN = max(0 , RPIQMN_1 * (1 - ART1731BIS) + min(RPIQMN_1 , RPIQMN_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIQMN_1 ;

RPIQKL_1 = max(0 , min(RPINKL , RRI1DUPI - VARTMP1)) ;
RPIQKL = max(0 , RPIQKL_1 * (1 - ART1731BIS) + min(RPIQKL_1 , RPIQKL_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIQKL_1 ;

RPIQIJ_1 = max(0 , min(RPINIJ , RRI1DUPI - VARTMP1)) ;
RPIQIJ = max(0 , RPIQIJ_1 * (1 - ART1731BIS) + min(RPIQIJ_1 , RPIQIJ_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIQIJ_1 ;

RPIQGH_1 = max(0 , min(RPINGH , RRI1DUPI - VARTMP1)) ;
RPIQGH = max(0 , RPIQGH_1 * (1 - ART1731BIS) + min(RPIQGH_1 , RPIQGH_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIQGH_1 ;

RPIQEF_1 = max(0 , min(RPINEF , RRI1DUPI - VARTMP1)) ;
RPIQEF = max(0 , RPIQEF_1 * (1 - ART1731BIS) + min(RPIQEF_1 , RPIQEF_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIQEF_1 ;

RPIQCD_1 = max(0 , min(RPINCD , RRI1DUPI - VARTMP1)) ;
RPIQCD = max(0 , RPIQCD_1 * (1 - ART1731BIS) + min(RPIQCD_1 , RPIQCD_2) * ART1731BIS) ; 
VARTMP1 = VARTMP1 + RPIQCD_1 ;

RPIQAB_1 = max(0 , min(RPINAB , RRI1DUPI - VARTMP1)) ;
RPIQAB = max(0 , RPIQAB_1 * (1 - ART1731BIS) + min(RPIQAB_1 , RPIQAB_2) * ART1731BIS) ; 
VARTMP1 = 0 ;

DDUFREP = DDUFREPFI + DDUFREPFK + DDUFREPFR + DDUFREPFV + DDUFREPFW ;
ADUFREP = ADUFREPFI + ADUFREPFK + ADUFREPFR + ADUFREPFV + ADUFREPFW ;
RDUFREP = RDUFREPFI + RDUFREPFK + RDUFREPFR + RDUFREPFV + RDUFREPFW ;

DDUFLO = DDUFLOGIH + DDUFLOEKL ;
ADUFLO = ADUFLOGIH + ADUFLOEKL ;
RDUFLO = RDUFLOGIH + RDUFLOEKL ;

RDUFLOTOT = RDUFREP + RDUFLO ;

RDUFLOTOT_1 = RDUFREPFI_1 + RDUFREPFK_1 + RDUFREPFR_1 + RDUFREPFV_1 + RDUFREPFW_1 + RDUFLOGIH_1 + RDUFLOEKL_1 ;

DPIREP = DPIREPAI + DPIREPBI + DPIREPCI + DPIREPDI + DPIREPBZ + DPIREPCZ + DPIREPDZ + DPIREPEZ + DPIREPQZ + DPIREPRZ + DPIREPSZ + DPIREPTZ + DPIREPRA + DPIREPRB + DPIREPRC + DPIREPRD ;
APIREP = APIREPAI + APIREPBI + APIREPCI + APIREPDI + APIREPBZ + APIREPCZ + APIREPDZ + APIREPEZ + APIREPQZ + APIREPRZ + APIREPSZ + APIREPTZ + APIREPRA + APIREPRB + APIREPRC + APIREPRD ;
RPIREP = RPIREPAI + RPIREPBI + RPIREPCI + RPIREPDI + RPIREPBZ + RPIREPCZ + RPIREPDZ + RPIREPEZ + RPIREPQZ + RPIREPRZ + RPIREPSZ + RPIREPTZ + RPIREPRA + RPIREPRB + RPIREPRC + RPIREPRD ;

DPINEL = DPIQTU + DPIQRS + DPIQOP + DPIQMN + DPIQKL + DPIQIJ + DPIQGH + DPIQEF + DPIQCD + DPIQAB ;
APINEL = APIQTU + APIQRS + APIQOP + APIQMN + APIQKL + APIQIJ + APIQGH + APIQEF + APIQCD + APIQAB ;
RPINEL = RPIQTU + RPIQRS + RPIQOP + RPIQMN + RPIQKL + RPIQIJ + RPIQGH + RPIQEF + RPIQCD + RPIQAB ;

RPINELTOT = RPIREP + RPINEL ;

RPINELTOT_1 = RPIREPAI_1 + RPIREPBI_1 + RPIREPCI_1 + RPIREPDI_1  + RPIREPBZ_1 + RPIREPCZ_1 + RPIREPDZ_1 + RPIREPEZ_1 + RPIREPQZ_1 + RPIREPRZ_1 
              + RPIREPSZ_1 + RPIREPTZ_1 + RPIREPRA_1 + RPIREPRB_1 + RPIREPRC_1 + RPIREPRD_1 + RPIQTU_1 + RPIQRS_1 + RPIQOP_1 + RPIQMN_1 
	      + RPIQKL_1 + RPIQIJ_1 + RPIQGH_1 + RPIQEF_1 + RPIQCD_1 + RPIQAB_1 ;

regle 401290:
application : iliad ;


RIVPIQU = arr(arr(min(COD7QU + 0 , LIMDUFLO) /9) * (TX29/100)) * (1 - V_CNR) ;

RIVPIQU8 = max (0 , arr(min(COD7QU + 0 , LIMDUFLO) * (TX29/100)) - 8 * RIVPIQU) * (1 - V_CNR) ; 

RIVPIQS = arr(arr(min(COD7QS + 0 , LIMDUFLO - min(COD7QU + COD7QT + 0 , LIMDUFLO)) /9) * (TX18/100)) * (1 - V_CNR) ;

RIVPIQS8 = max(0 , arr(min(COD7QS + 0 , LIMDUFLO - min(COD7QU + COD7QT + 0 , LIMDUFLO)) * (TX18/100)) - 8 * RIVPIQS) * (1 - V_CNR) ;

RIVPIQT = arr(arr(min(COD7QT + 0 , LIMDUFLO - min(COD7QU + 0 , LIMDUFLO)) /6) * (TX23/100)) * (1 - V_CNR) ;

RIVPIQT5 = max(0 , arr(min(COD7QT + 0 , LIMDUFLO - min(COD7QU + 0 , LIMDUFLO)) * (TX23/100)) - 5 * RIVPIQT) * (1 - V_CNR) ;

RIVPIQR = arr(arr(min(COD7QR + 0 , LIMDUFLO - min(COD7QU + COD7QT + COD7QS + 0 , LIMDUFLO)) /6) * (TX12/100)) * (1 - V_CNR) ;

RIVPIQR5 = max(0 ,  arr(min(COD7QR + 0 , LIMDUFLO - min(COD7QU + COD7QT + COD7QS + 0 , LIMDUFLO)) * (TX12/100)) - 5 * RIVPIQR) * (1 - V_CNR) ;


RIVPIQP = arr(arr(min(PINELQP + 0 , LIMDUFLO) /9) * (TX29/100)) * (1 - V_CNR) ;

RIVPIQP8 = max (0 , arr(min(PINELQP + 0 , LIMDUFLO) * (TX29/100)) - 8 * RIVPIQP) * (1 - V_CNR) ; 

RIVPIQN = arr(arr(min(PINELQN + 0 , LIMDUFLO - min(PINELQP + PINELQO + 0 , LIMDUFLO)) /9) * (TX18/100)) * (1 - V_CNR) ;

RIVPIQN8 = max(0 , arr(min(PINELQN + 0 , LIMDUFLO - min(PINELQP + PINELQO + 0 , LIMDUFLO)) * (TX18/100)) - 8 * RIVPIQN) * (1 - V_CNR) ;

RIVPIQO = arr(arr(min(PINELQO + 0 , LIMDUFLO - min(PINELQP + 0 , LIMDUFLO)) /6) * (TX23/100)) * (1 - V_CNR) ;

RIVPIQO5 = max(0 , arr(min(PINELQO + 0 , LIMDUFLO - min(PINELQP + 0 , LIMDUFLO)) * (TX23/100)) - 5 * RIVPIQO) * (1 - V_CNR) ;

RIVPIQM = arr(arr(min(PINELQM + 0 , LIMDUFLO - min(PINELQP + PINELQO + PINELQN + 0 , LIMDUFLO)) /6) * (TX12/100)) * (1 - V_CNR) ;

RIVPIQM5 = max(0 ,  arr(min(PINELQM + 0 , LIMDUFLO - min(PINELQP + PINELQO + PINELQN + 0 , LIMDUFLO)) * (TX12/100)) - 5 * RIVPIQM) * (1 - V_CNR) ;


RIVPIQL = arr(arr(min(PINELQL + 0 , LIMDUFLO) /9) * (TX29/100)) * (1 - V_CNR) ;

RIVPIQL8 = max (0 , arr(min(PINELQL + 0 , LIMDUFLO) * (TX29/100)) - 8 * RIVPIQL) * (1 - V_CNR) ; 

RIVPIQJ = arr(arr(min(PINELQJ + 0 , LIMDUFLO - min(PINELQL + PINELQK + 0 , LIMDUFLO)) /9) * (TX18/100)) * (1 - V_CNR) ;

RIVPIQJ8 = max(0 , arr(min(PINELQJ + 0 , LIMDUFLO - min(PINELQL + PINELQK + 0 , LIMDUFLO)) * (TX18/100)) - 8 * RIVPIQJ) * (1 - V_CNR) ;

RIVPIQK = arr(arr(min(PINELQK + 0 , LIMDUFLO - min(PINELQL + 0 , LIMDUFLO)) /6) * (TX23/100)) * (1 - V_CNR) ;

RIVPIQK5 = max(0 , arr(min(PINELQK + 0 , LIMDUFLO - min(PINELQL + 0 , LIMDUFLO)) * (TX23/100)) - 5 * RIVPIQK) * (1 - V_CNR) ;

RIVPIQI = arr(arr(min(PINELQI + 0 , LIMDUFLO - min(PINELQL + PINELQK + PINELQJ + 0 , LIMDUFLO)) /6) * (TX12/100)) * (1 - V_CNR) ;

RIVPIQI5 = max(0 ,  arr(min(PINELQI + 0 , LIMDUFLO - min(PINELQL + PINELQK + PINELQJ + 0 , LIMDUFLO)) * (TX12/100)) - 5 * RIVPIQI) * (1 - V_CNR) ;


RIVPIQH = arr(arr(min(PINELQH + 0 , LIMDUFLO) /9) * (TX29/100)) * (1 - V_CNR) ;

RIVPIQH8 = max(0 , arr(min(PINELQH + 0 , LIMDUFLO) * (TX29/100)) - 8 * RIVPIQH) * (1 - V_CNR) ; 

RIVPIQF = arr(arr(min(PINELQF + 0 , LIMDUFLO - min(PINELQH + PINELQG + 0 , LIMDUFLO)) /9) * (TX18/100)) * (1 - V_CNR) ;

RIVPIQF8 = max(0 , arr(min(PINELQF + 0 , LIMDUFLO - min(PINELQH + PINELQG + 0 , LIMDUFLO)) * (TX18/100)) - 8 * RIVPIQF) * (1 - V_CNR) ;

RIVPIQG = arr(arr(min(PINELQG + 0 , LIMDUFLO - min(PINELQH + 0 , LIMDUFLO)) /6) * (TX23/100)) * (1 - V_CNR) ;

RIVPIQG5 = max(0 , arr(min(PINELQG + 0 , LIMDUFLO - min(PINELQH + 0 , LIMDUFLO)) * (TX23/100)) - 5 * RIVPIQG) * (1 - V_CNR) ;

RIVPIQE = arr(arr(min(PINELQE + 0 , LIMDUFLO - min(PINELQH + PINELQG + PINELQF + 0 , LIMDUFLO)) /6) * (TX12/100)) * (1 - V_CNR) ;

RIVPIQE5 = max(0 , arr(min(PINELQE + 0 , LIMDUFLO - min(PINELQH + PINELQG + PINELQF + 0 , LIMDUFLO)) * (TX12/100)) - 5 * RIVPIQE) * (1 - V_CNR) ;

RIVDUEKL = (arr(arr(min(DUFLOEL + 0 , LIMDUFLO) /9) * (TX29/100)) 
            + arr(arr(min(DUFLOEK + 0 , LIMDUFLO - min(DUFLOEL + PINELQD + PINELQC + 0 , LIMDUFLO)) /9) * (TX18/100))) * (1 - V_CNR) ;

RIVDUEKL8 = max(0 , (arr(min(DUFLOEL + 0 , LIMDUFLO) * (TX29/100)) 
                     + arr(min(DUFLOEK + 0 , LIMDUFLO - min( DUFLOEL + PINELQD + PINELQC + 0, LIMDUFLO)) * (TX18/100))) 
                     - 8 * RIVDUEKL) * (1 - V_CNR) ; 

RIVPIQD = arr(arr(min(PINELQD + 0, LIMDUFLO - min( DUFLOEL + 0, LIMDUFLO)) /9) * (TX29/100)
             ) * ( 1 - V_CNR ) ; 

RIVPIQD8 = max(0 , arr(min(PINELQD + 0, LIMDUFLO - min( DUFLOEL + 0, LIMDUFLO)) * (TX29/100)) 
                   - 8 * RIVPIQD) * (1 - V_CNR) ; 

RIVPIQB =  arr(arr( min(PINELQB + 0, LIMDUFLO - min( DUFLOEL + PINELQD + PINELQC + DUFLOEK + 0, LIMDUFLO)) /9) * (TX18/100)
              )  * ( 1 - V_CNR ) ; 

RIVPIQB8 = max(0 , arr(min(PINELQB + 0, LIMDUFLO - min( DUFLOEL + PINELQD + PINELQC + DUFLOEK + 0, LIMDUFLO)) * (TX18/100)) 
                   - 8 * RIVPIQB) * (1 - V_CNR) ; 

RIVPIQC = arr(arr(min(PINELQC + 0 , LIMDUFLO - min( DUFLOEL + PINELQD + 0, LIMDUFLO)) /6) * (TX23/100)
             ) * ( 1 - V_CNR ) ;

RIVPIQC5 = max(0 , arr(min(PINELQC + 0, LIMDUFLO - min( DUFLOEL + PINELQD + 0, LIMDUFLO)) * (TX23/100)) 
                   - 5 * RIVPIQC) * (1 - V_CNR) ;

RIVPIQA = arr(arr(min(PINELQA + 0 , LIMDUFLO - min( DUFLOEL + PINELQD + PINELQC + DUFLOEK + PINELQB + 0, LIMDUFLO)) / 6) * (TX12/100)
             ) * ( 1 - V_CNR ) ;

RIVPIQA5 = max(0 , arr(min(PINELQA + 0 , LIMDUFLO - min( DUFLOEL + PINELQD + PINELQC + DUFLOEK + PINELQB + 0, LIMDUFLO)) * (TX12/100))
                   - 5 * RIVPIQA) * (1 - V_CNR) ; 

RIVDUGIH = (arr(arr(min(DUFLOGI + 0 , LIMDUFLO) /9) * (TX29/100)) 
            + arr(arr(min(DUFLOGH + 0 , LIMDUFLO - min(DUFLOGI + 0 , LIMDUFLO)) /9) * (TX18/100))) 
	   * (1 - V_CNR) ;

RIVDUGIH8 = max(0 , (arr(min(DUFLOGI + 0 , LIMDUFLO) * (TX29/100)) 
                     + arr(min(DUFLOGH + 0 , LIMDUFLO - min(DUFLOGI + 0 , LIMDUFLO)) * (TX18/100))) 
                    - 8 * RIVDUGIH) 
	    * (1 - V_CNR) ; 

REPDUEKL = RIVDUEKL * 7 + RIVDUEKL8 ;

REPIQU = RIVPIQU * 7 + RIVPIQU8 ;
REPIQS = RIVPIQS * 7 + RIVPIQS8 ;
REPIQT = RIVPIQT * 4 + RIVPIQT5 ;
REPIQR = RIVPIQR * 4 + RIVPIQR5 ;
REPIQP = RIVPIQP * 7 + RIVPIQP8 ;
REPIQN = RIVPIQN * 7 + RIVPIQN8 ;
REPIQO = RIVPIQO * 4 + RIVPIQO5 ;
REPIQM = RIVPIQM * 4 + RIVPIQM5 ;
REPIQL = RIVPIQL * 7 + RIVPIQL8 ;
REPIQJ = RIVPIQJ * 7 + RIVPIQJ8 ;
REPIQK = RIVPIQK * 4 + RIVPIQK5 ;
REPIQI = RIVPIQI * 4 + RIVPIQI5 ;
REPIQH = RIVPIQH * 7 + RIVPIQH8 ;
REPIQF = RIVPIQF * 7 + RIVPIQF8 ;
REPIQG = RIVPIQG * 4 + RIVPIQG5 ;
REPIQE = RIVPIQE * 4 + RIVPIQE5 ;
REPIQB = RIVPIQB * 7 + RIVPIQB8 ;
REPIQD = RIVPIQD * 7 + RIVPIQD8 ;
REPIQA = RIVPIQA * 4 + RIVPIQA5 ;
REPIQC = RIVPIQC * 4 + RIVPIQC5 ;
REPDUGIH = RIVDUGIH * 7 + RIVDUGIH8 ;

regle 401300:
application : iliad ;



DCELRREDLM = CELRREDLM ;

ACELRREDLM = (CELRREDLM * (1-ART1731BIS) + min(CELRREDLM , ACELRREDLM_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLN = CELRREDLN ;

ACELRREDLN = (CELRREDLN * (1-ART1731BIS) + min(CELRREDLN , ACELRREDLN_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLG = CELRREDLG ;

ACELRREDLG = (CELRREDLG * (1-ART1731BIS) + min(CELRREDLG , ACELRREDLG_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLK = CELRREDLK ;

ACELRREDLK = (CELRREDLK * (1-ART1731BIS) + min(CELRREDLK , ACELRREDLK_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLQ = CELRREDLQ ;

ACELRREDLQ = (CELRREDLQ * (1-ART1731BIS) + min(CELRREDLQ , ACELRREDLQ_2) * ART1731BIS) * (1 - V_CNR) ;

DCELLA = COD7LA ;

ACELLA = (COD7LA * (1-ART1731BIS) + min(COD7LA , ACELLA_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLS = CELRREDLS ;

ACELRREDLS = (CELRREDLS * (1-ART1731BIS) + min(CELRREDLS , ACELRREDLS_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLT = CELRREDLT;

ACELRREDLT = (CELRREDLT * (1-ART1731BIS) + min(CELRREDLT , ACELRREDLT_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLH = CELRREDLH;

ACELRREDLH = (CELRREDLH * (1-ART1731BIS) + min(CELRREDLH , ACELRREDLH_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLL = CELRREDLL ;

ACELRREDLL = (CELRREDLL * (1-ART1731BIS) + min(CELRREDLL , ACELRREDLL_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLR = CELRREDLR ;

ACELRREDLR = (CELRREDLR * (1-ART1731BIS) + min(CELRREDLR , ACELRREDLR_2) * ART1731BIS) * (1 - V_CNR) ;

DCELLB = COD7LB ;

ACELLB = (COD7LB * (1-ART1731BIS) + min(COD7LB , ACELLB_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLZ = CELRREDLZ ;

ACELRREDLZ = (CELRREDLZ * (1-ART1731BIS) + min(CELRREDLZ , ACELRREDLZ_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLX = CELRREDLX ;

ACELRREDLX = (CELRREDLX * (1-ART1731BIS) + min(CELRREDLX , ACELRREDLX_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLI = CELRREDLI ;

ACELRREDLI = (CELRREDLI * (1-ART1731BIS) + min(CELRREDLI , ACELRREDLI_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLO = CELRREDLO ;

ACELRREDLO = (CELRREDLO * (1-ART1731BIS) + min(CELRREDLO , ACELRREDLO_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLU = CELRREDLU ;

ACELRREDLU = (CELRREDLU * (1-ART1731BIS) + min(CELRREDLU , ACELRREDLU_2) * ART1731BIS) * (1 - V_CNR) ;

DCELLC = COD7LC ;

ACELLC = (COD7LC * (1-ART1731BIS) + min(COD7LC , ACELLC_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDMG = CELRREDMG ;

ACELRREDMG = (CELRREDMG * (1-ART1731BIS) + min(CELRREDMG , ACELRREDMG_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDMH = CELRREDMH ;

ACELRREDMH = (CELRREDMH * (1-ART1731BIS) + min(CELRREDMH , ACELRREDMH_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLJ = CELRREDLJ ;

ACELRREDLJ = (CELRREDLJ * (1-ART1731BIS) + min(CELRREDLJ , ACELRREDLJ_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLP = CELRREDLP ;

ACELRREDLP = (CELRREDLP * (1-ART1731BIS) + min(CELRREDLP , ACELRREDLP_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRREDLV = CELRREDLV ;

ACELRREDLV = (CELRREDLV * (1-ART1731BIS) + min(CELRREDLV , ACELRREDLV_2) * ART1731BIS) * (1 - V_CNR) ;

DCELLY = COD7LY ;

ACELLY = (COD7LY * (1-ART1731BIS) + min(COD7LY , ACELLY_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPHU = CELREPHU ; 

BCELHU = min(LIMREPSC1 , DCELREPHU) * (1 - COD7YE) + DCELREPHU * COD7YE ;
ACELREPHU = (BCELHU * (1 - ART1731BIS) + min(BCELHU , ACELREPHU_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPHT = CELREPHT ; 

BCELHT = min(LIMREPSC1 , DCELREPHT) * (1 - COD7YE) + DCELREPHT * COD7YE ;
ACELREPHT = (BCELHT * (1 - ART1731BIS) + min(BCELHT , ACELREPHT_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPHZ = CELREPHZ ; 

BCELHZ = min(LIMREPSC1 , DCELREPHZ) * (1 - COD7YE) + DCELREPHZ * COD7YE ;
ACELREPHZ = (BCELHZ * (1 - ART1731BIS) + min(BCELHZ , ACELREPHZ_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPHX = CELREPHX ; 

BCELHX = min(LIMREPSC1 , DCELREPHX) * (1 - COD7YE) + DCELREPHX * COD7YE ;
ACELREPHX = (BCELHX * (1 - ART1731BIS) + min(BCELHX , ACELREPHX_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPHW = CELREPHW ; 

BCELHW = min(LIMREPSC1 , DCELREPHW) * (1 - COD7YE) + DCELREPHW * COD7YE ;
ACELREPHW = (BCELHW * (1 - ART1731BIS) + min(BCELHW , ACELREPHW_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPHV = CELREPHV ; 

BCELHV = min(LIMREPSC1 , DCELREPHV) * (1 - COD7YE) + DCELREPHV * COD7YE ;
ACELREPHV = (BCELHV * (1 - ART1731BIS) + min(BCELHV , ACELREPHV_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPHF = CELREPHF ; 

BCELHF = min(LIMREPSC7 , DCELREPHF) * (1 - COD7YE) + DCELREPHF * COD7YE ;
ACELREPHF = (BCELHF * (1 - ART1731BIS) + min(BCELHF , ACELREPHF_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPHD = CELREPHD ; 

BCELHD = min(LIMREPSC7 , DCELREPHD) * (1 - COD7YE) + DCELREPHD * COD7YE ;
ACELREPHD = (BCELHD * (1 - ART1731BIS) + min(BCELHD , ACELREPHD_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPHA = CELREPHA ; 

BCELHA = min(LIMREPSC3 , DCELREPHA) * (1 - COD7YE) + DCELREPHA * COD7YE ;
ACELREPHA = (BCELHA * (1 - ART1731BIS) + min(BCELHA , ACELREPHA_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPGU = CELREPGU ; 

BCELGU = min(LIMREPSC7 , DCELREPGU) * (1 - COD7YE) + DCELREPGU * COD7YE ;
ACELREPGU = (BCELGU * (1 - ART1731BIS) + min(BCELGU , ACELREPGU_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPGS = CELREPGS ; 

BCELGS = min(LIMREPSC7 , DCELREPGS) * (1 - COD7YE) + DCELREPGS * COD7YE ;
ACELREPGS = (BCELGS * (1 - ART1731BIS) + min(BCELGS , ACELREPGS_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPGL = CELREPGL ; 

BCELGL = min(LIMREPSC6 , DCELREPGL) * (1 - COD7YE) + DCELREPGL * COD7YE ;
ACELREPGL = (BCELGL * (1 - ART1731BIS) + min(BCELGL , ACELREPGL_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPGJ = CELREPGJ ; 

BCELGJ = min(LIMREPSC2 , DCELREPGJ) * (1 - COD7YE) + DCELREPGJ * COD7YE ;
ACELREPGJ = (BCELGJ * (1 - ART1731BIS) + min(BCELGJ , ACELREPGJ_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYH = CELREPYH ; 

BCELYH = min(LIMREPSC7 , DCELREPYH) * (1 - COD7YE) + DCELREPYH * COD7YE ;
ACELREPYH = (BCELYH * (1 - ART1731BIS) + min(BCELYH , ACELREPYH_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYF = CELREPYF ; 

BCELYF = min(LIMREPSC7 , DCELREPYF) * (1 - COD7YE) + DCELREPYF * COD7YE ;
ACELREPYF = (BCELYF * (1 - ART1731BIS) + min(BCELYF , ACELREPYF_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYD = CELREPYD ; 

BCELYD = min(LIMREPSC6 , DCELREPYD) * (1 - COD7YE) + DCELREPYD * COD7YE ;
ACELREPYD = (BCELYD * (1 - ART1731BIS) + min(BCELYD , ACELREPYD_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYB = CELREPYB ; 

BCELYB = min(LIMREPSC4 , DCELREPYB) * (1 - COD7YE) + DCELREPYB * COD7YE ;
ACELREPYB = (BCELYB * (1 - ART1731BIS) + min(BCELYB , ACELREPYB_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYP = CELREPYP ; 

BCELYP = min(LIMREPSC7 , DCELREPYP) * (1 - COD7YE) + DCELREPYP * COD7YE ;
ACELREPYP = (BCELYP * (1 - ART1731BIS) + min(BCELYP , ACELREPYP_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYS = CELREPYS ; 

BCELYS = min(LIMREPSC6 , DCELREPYS) * (1 - COD7YE) + DCELREPYS * COD7YE ;
ACELREPYS = (BCELYS * (1 - ART1731BIS) + min(BCELYS , ACELREPYS_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYO = CELREPYO ; 

BCELYO = min(LIMREPSC7 , DCELREPYO) * (1 - COD7YE) + DCELREPYO * COD7YE ;
ACELREPYO = (BCELYO * (1 - ART1731BIS) + min(BCELYO , ACELREPYO_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYR = CELREPYR ; 

BCELYR = min(LIMREPSC9 , DCELREPYR) * (1 - COD7YE) + DCELREPYR * COD7YE ;
ACELREPYR = (BCELYR * (1 - ART1731BIS) + min(BCELYR , ACELREPYR_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYN = CELREPYN ; 

BCELYN = min(LIMREPSC6 , DCELREPYN) * (1 - COD7YE) + DCELREPYN * COD7YE ;
ACELREPYN = (BCELYN * (1 - ART1731BIS) + min(BCELYN , ACELREPYN_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYQ = CELREPYQ ; 

BCELYQ = min(LIMREPSC8 , DCELREPYQ) * (1 - COD7YE) + DCELREPYQ * COD7YE ;
ACELREPYQ = (BCELYQ * (1 - ART1731BIS) + min(BCELYQ , ACELREPYQ_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYM = CELREPYM ; 

BCELYM = min(LIMREPSC4 , DCELREPYM) * (1 - COD7YE) + DCELREPYM * COD7YE ;
ACELREPYM = (BCELYM * (1 - ART1731BIS) + min(BCELYM , ACELREPYM_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYW = CELREPYW ; 

BCELYW = min(LIMREPSC7 , DCELREPYW) * (1 - COD7YE) + DCELREPYW * COD7YE ;
ACELREPYW = (BCELYW * (1 - ART1731BIS) + min(BCELYW , ACELREPYW_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYZ = CELREPYZ ; 

BCELYZ = min(LIMREPSC6 , DCELREPYZ) * (1 - COD7YE) + DCELREPYZ * COD7YE ;
ACELREPYZ = (BCELYZ * (1 - ART1731BIS) + min(BCELYZ , ACELREPYZ_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYV = CELREPYV ; 

BCELYV = min(LIMREPSC7 , DCELREPYV) * (1 - COD7YE) + DCELREPYV * COD7YE ;
ACELREPYV = (BCELYV * (1 - ART1731BIS) + min(BCELYV , ACELREPYV_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYY = CELREPYY ; 

BCELYY = min(LIMREPSC9 , DCELREPYY) * (1 - COD7YE) + DCELREPYY * COD7YE ;
ACELREPYY = (BCELYY * (1 - ART1731BIS) + min(BCELYY , ACELREPYY_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYU = CELREPYU ; 

BCELYU = min(LIMREPSC6 , DCELREPYU) * (1 - COD7YE) + DCELREPYU * COD7YE ;
ACELREPYU = (BCELYU * (1 - ART1731BIS) + min(BCELYU , ACELREPYU_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYX = CELREPYX ; 

BCELYX = min(LIMREPSC8 , DCELREPYX) * (1 - COD7YE) + DCELREPYX * COD7YE ;
ACELREPYX = (BCELYX * (1 - ART1731BIS) + min(BCELYX , ACELREPYX_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPYT = CELREPYT ; 

BCELYT = min(LIMREPSC4 , DCELREPYT) * (1 - COD7YE) + DCELREPYT * COD7YE ;
ACELREPYT = (BCELYT * (1 - ART1731BIS) + min(BCELYT , ACELREPYT_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPWZ = CELREPWZ ; 

BCELWZ = min(LIMREPSC4 , DCELREPWZ) * (1 - COD7YE) + DCELREPWZ * COD7YE ;
ACELREPWZ = (BCELWZ * (1 - ART1731BIS) + min(BCELWZ , ACELREPWZ_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPWY = CELREPWY ; 

BCELWY = min(LIMREPSC9 , DCELREPWY) * (1 - COD7YE) + DCELREPWY * COD7YE ;
ACELREPWY = (BCELWY * (1 - ART1731BIS) + min(BCELWY , ACELREPWY_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPWX = CELREPWX ; 

BCELWX = min(LIMREPSC8 , DCELREPWX) * (1 - COD7YE) + DCELREPWX * COD7YE ;
ACELREPWX = (BCELWX * (1 - ART1731BIS) + min(BCELWX , ACELREPWX_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPWW = CELREPWW ; 

BCELWW = min(LIMREPSC7 , DCELREPWW) * (1 - COD7YE) + DCELREPWW * COD7YE ;
ACELREPWW = (BCELWW * (1 - ART1731BIS) + min(BCELWW , ACELREPWW_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPWV = CELREPWV ; 

BCELWV = min(LIMREPSC7 , DCELREPWV) * (1 - COD7YE) + DCELREPWV * COD7YE ;
ACELREPWV = (BCELWV * (1 - ART1731BIS) + min(BCELWV , ACELREPWV_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPWU = CELREPWU ; 

BCELWU = min(LIMREPSC6 , DCELREPWU) * (1 - COD7YE) + DCELREPWU * COD7YE ;
ACELREPWU = (BCELWU * (1 - ART1731BIS) + min(BCELWU , ACELREPWU_2) * ART1731BIS) * (1 - V_CNR) ;

DCELREPWT = CELREPWT ; 

BCELWT = min(LIMREPSC4 , DCELREPWT) * (1 - COD7YE) + DCELREPWT * COD7YE ;
ACELREPWT = (BCELWT * (1 - ART1731BIS) + min(BCELWT , ACELREPWT_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRW = COD7RW ;

BCELRW = min(LIMREPSC5 , DCELRW) * (1 - COD7YE) + DCELRW * COD7YE ;
ACELRW = (BCELRW * (1 - ART1731BIS) + min(BCELRW , ACELRW_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRV = COD7RV ;

BCELRV = min(LIMREPSC8 , DCELRV) * (1 - COD7YE) + DCELRV * COD7YE ;
ACELRV = (BCELRV * (1 - ART1731BIS) + min(BCELRV , ACELRV_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRU = COD7RU ;

BCELRU = min(LIMREPSC3 , DCELRU) * (1 - COD7YE) + DCELRU * COD7YE ;
ACELRU = (BCELRU * (1 - ART1731BIS) + min(BCELRU , ACELRU_2) * ART1731BIS) * (1 - V_CNR) ;

DCELRT = COD7RT ;

BCELRT = min(LIMREPSC4 , DCELRT) * (1 - COD7YE) + DCELRT * COD7YE ;
ACELRT = (BCELRT * (1 - ART1731BIS) + min(BCELRT , ACELRT_2) * ART1731BIS) * (1 - V_CNR) ;


DCELZV = COD7ZV ;

BCELZV = arr(min(DCELZV , LIMCELLIER) /3) ;
ACELZV = (BCELZV * (1 - ART1731BIS) + min(BCELZV , ACELZV_2) * ART1731BIS) * (1 - V_CNR) ;


DCELZE = COD7ZE ;

BCELZE = arr(min(DCELZE , LIMCELLIER) /3) ;
ACELZE = (BCELZE * (1 - ART1731BIS) + min(BCELZE , ACELZE_2) * ART1731BIS) * (1 - V_CNR) ;

DCELZF = COD7ZF ;

BCELZF = arr(min(DCELZF , LIMCELLIER) /3) ;
ACELZF = (BCELZF * (1 - ART1731BIS) + min(BCELZF , ACELZF_2) * ART1731BIS) * (1 - V_CNR) ;

DCELZG = COD7ZG ;

BCELZG = arr(min(DCELZG , LIMCELLIER) /3) ;
ACELZG = (BCELZG * (1 - ART1731BIS) + min(BCELZG , ACELZG_2) * ART1731BIS) * (1 - V_CNR) ;

DCELZH = COD7ZH ;

BCELZH = arr(min(DCELZH , LIMCELLIER) /3) ;
ACELZH = (BCELZH * (1 - ART1731BIS) + min(BCELZH , ACELZH_2) * ART1731BIS) * (1 - V_CNR) ;


DCELZI = COD7ZI ;

BCELZI = arr(min(DCELZI , LIMCELLIER) /3) ;
ACELZI = (BCELZI * (1 - ART1731BIS) + min(BCELZI , ACELZI_2) * ART1731BIS) * (1 - V_CNR) ;

DCELZJ = COD7ZJ ;

BCELZJ = arr(min(DCELZJ , LIMCELLIER) /3) ;
ACELZJ = (BCELZJ * (1 - ART1731BIS) + min(BCELZJ , ACELZJ_2) * ART1731BIS) * (1 - V_CNR) ;

DCELZK = COD7ZK ;

BCELZK = arr(min(DCELZK , LIMCELLIER) /3) ;
ACELZK = (BCELZK * (1 - ART1731BIS) + min(BCELZK , ACELZK_2) * ART1731BIS) * (1 - V_CNR) ;

DCELZL = COD7ZL ;

BCELZL = arr(min(DCELZL , LIMCELLIER) /3) ;
ACELZL = (BCELZL * (1 - ART1731BIS) + min(BCELZL , ACELZL_2) * ART1731BIS) * (1 - V_CNR) ;

DCELSE = COD7SE ;

BCELSE = arr(min(DCELSE , LIMCELLIER) /3) ;
ACELSE = (BCELSE * (1 - ART1731BIS) + min(BCELSE , ACELSE_2) * ART1731BIS) * (1 - V_CNR) ;

DCELSF = COD7SF ;

BCELSF = arr(min(DCELSF , LIMCELLIER) /3) ;
ACELSF = (BCELSF * (1 - ART1731BIS) + min(BCELSF , ACELSF_2) * ART1731BIS) * (1 - V_CNR) ;

DCELSG = COD7SG ;

BCELSG = arr(min(DCELSG , LIMCELLIER) /3) ;
ACELSG = (BCELSG * (1 - ART1731BIS) + min(BCELSG , ACELSG_2) * ART1731BIS) * (1 - V_CNR) ;

DCELSH = COD7SH ;

BCELSH = arr(min(DCELSH , LIMCELLIER) /3) ;
ACELSH = (BCELSH * (1 - ART1731BIS) + min(BCELSH , ACELSH_2) * ART1731BIS) * (1 - V_CNR) ;

DCELSI = COD7SI ;

BCELSI = arr(min(DCELSI , LIMCELLIER) /3) ;
ACELSI = (BCELSI * (1 - ART1731BIS) + min(BCELSI , ACELSI_2) * ART1731BIS) * (1 - V_CNR) ;

DCELSJ = COD7SJ ;

BCELSJ = arr(min(DCELSJ , LIMCELLIER) /3) ;
ACELSJ = (BCELSJ * (1 - ART1731BIS) + min(BCELSJ , ACELSJ_2) * ART1731BIS) * (1 - V_CNR) ;

DCELSK = COD7SK ;

BCELSK = arr(min(DCELSK , LIMCELLIER) /3) ;
ACELSK = (BCELSK * (1 - ART1731BIS) + min(BCELSK , ACELSK_2) * ART1731BIS) * (1 - V_CNR) ;

DCELSL = COD7SL ;

BCELSL = arr(min(DCELSL , LIMCELLIER) /3) ;
ACELSL = (BCELSL * (1 - ART1731BIS) + min(BCELSL , ACELSL_2) * ART1731BIS) * (1 - V_CNR) ;

DCELSM = COD7SM ;

BCELSM = arr(min(DCELSM , LIMCELLIER) /3) ;
ACELSM = (BCELSM * (1 - ART1731BIS) + min(BCELSM , ACELSM_2) * ART1731BIS) * (1 - V_CNR) ;


RCEL_ZV = arr(BCELZV * (TX06/100)) * (1 - V_CNR) ;

RCEL_ZE = arr(BCELZE * (TX05/100)) * (1 - V_CNR) ;

RCEL_ZF = arr(BCELZF * (TX06/100)) * (1 - V_CNR) ;

RCEL_ZG = arr(BCELZG * (TX06/100)) * (1 - V_CNR) ;

RCEL_ZH = arr(BCELZH * (TX05/100)) * (1 - V_CNR) ;

RCEL_ZI = arr(BCELZI * (TX04/100)) * (1 - V_CNR) ;

RCEL_ZJ = arr(BCELZJ * (TX05/100)) * (1 - V_CNR) ;

RCEL_ZK = arr(BCELZK * (TX05/100)) * (1 - V_CNR) ;

RCEL_ZL = arr(BCELZL * (TX04/100)) * (1 - V_CNR) ;

RCEL_SE = arr(BCELSE * (TX05/100)) * (1 - V_CNR) ;

RCEL_SF = arr(BCELSF * (TX06/100)) * (1 - V_CNR) ;

RCEL_SG = arr(BCELSG * (TX06/100)) * (1 - V_CNR) ;

RCEL_SH = arr(BCELSH * (TX05/100)) * (1 - V_CNR) ;

RCEL_SI = arr(BCELSI * (TX04/100)) * (1 - V_CNR) ;

RCEL_SJ = arr(BCELSJ * (TX05/100)) * (1 - V_CNR) ;

RCEL_SK = arr(BCELSK * (TX05/100)) * (1 - V_CNR) ;

RCEL_SL = arr(BCELSL * (TX04/100)) * (1 - V_CNR) ;

RCEL_SM = arr(BCELSM * (TX04/100)) * (1 - V_CNR) ;

RCELREP_HU = arr((min(LIMREPSC1 , CELREPHU) * (1 - COD7YE) + CELREPHU * COD7YE) * (TX40/100)) * (1 - V_CNR) ;

RCELREP_HT = arr((min(LIMREPSC1 , CELREPHT) * (1 - COD7YE) + CELREPHT * COD7YE) * (TX25/100)) * (1 - V_CNR) ;

RCELREP_HZ = arr((min(LIMREPSC1 , CELREPHZ) * (1 - COD7YE) + CELREPHZ * COD7YE) * (TX40/100)) * (1 - V_CNR) ;

RCELREP_HX = arr((min(LIMREPSC1 , CELREPHX) * (1 - COD7YE) + CELREPHX * COD7YE) * (TX25/100)) * (1 - V_CNR) ;

RCELREP_HW = arr((min(LIMREPSC1 , CELREPHW) * (1 - COD7YE) + CELREPHW * COD7YE) * (TX40/100)) * (1 - V_CNR) ;

RCELREP_HV = arr((min(LIMREPSC1 , CELREPHV) * (1 - COD7YE) + CELREPHV * COD7YE) * (TX25/100)) * (1 - V_CNR) ;

regle 401310:
application : iliad ;

REDUCAVTCEL_1 = RCOTFOR_1 + RREPA_1 + RDIFAGRI_1 + RPRESSE_1 + RFORET_1 + RFIPDOM_1 + RFIPC_1 + RCINE_1 + RRESTIMO_1 + RSOCREPR_1
	        + RRPRESCOMP_1 + RHEBE_1 + RSURV_1 + RINNO_1 + RSOUFIP_1 + RRIRENOV_1 + RLOGDOM + RCOMP_1 + RRETU_1 + RDONS_1 + CRDIE_1 
		+ RDUFLOTOT_1 + RPINELTOT_1 + RNOUV_1 + RPENTOT + RFOR_1 + RTOURREP_1 + RTOUREPA_1 + RRREHAP_1 + RCOD7KZ_1 + RRESTIMO1_1 ;
REDUCAVTCEL = RCOTFOR + RREPA + RDIFAGRI + RPRESSE + RFORET + RFIPDOM + RFIPC + RCINE + RRESTIMO + RSOCREPR
	      + RRPRESCOMP + RHEBE + RSURV + RINNO + RSOUFIP + RRIRENOV + RLOGDOM + RCOMP + RRETU + RDONS + CRDIE 
	      + RDUFLOTOT + RPINELTOT + RNOUV + RPENTOT + RFOR + RTOURREP + RTOUREPA + RREHAB + RCOD7KZ + RRESTIMO1 ;

VARTMP1 = DEC11 + (RMENAGE*null(FLAG_PVRO) + RMENAGE3WG*FLAG_PVRO) + REDUCAVTCEL_1 ;
RCELRREDLM_1 = max(min(CELRREDLM, IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLM = max(0 , RCELRREDLM_1 * (1 - ART1731BIS) +  min(RCELRREDLM_1 , RCELRREDLM_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLM_1 ;

RCELRREDLN_1 = max(min(CELRREDLN, IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLN = max(0, RCELRREDLN_1 * (1 - ART1731BIS) +  min( RCELRREDLN_1, RCELRREDLN_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLN_1 ;

RCELRREDLG_1 = max(min(CELRREDLG, IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLG = max(0, RCELRREDLG_1 * (1 - ART1731BIS) +  min( RCELRREDLG_1, RCELRREDLG_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLG_1 ;

RCELRREDLK_1 = max(min(CELRREDLK , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLK = max(0 , RCELRREDLK_1 * (1 - ART1731BIS) +  min(RCELRREDLK_1 , RCELRREDLK_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLK_1 ;

RCELRREDLQ_1 = max(min(CELRREDLQ , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLQ = max(0 , RCELRREDLQ_1 * (1 - ART1731BIS) + min(RCELRREDLQ_1 , RCELRREDLQ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLQ_1 ;

RCELLA_1 = max(min(COD7LA , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELLA = max(0 , RCELLA_1 * (1 - ART1731BIS) + min(RCELLA_1 , RCELLA_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELLA_1 ;

RCELRREDLS_1 = max(min(CELRREDLS , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLS = max(0 , RCELRREDLS_1 * (1 - ART1731BIS) +  min(RCELRREDLS_1 , RCELRREDLS_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLS_1 ;

RCELRREDLT_1 = max(min(CELRREDLT , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLT = max(0 , RCELRREDLT_1 * (1 - ART1731BIS) +  min(RCELRREDLT_1 , RCELRREDLT_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLT_1 ;

RCELRREDLH_1 = max(min(CELRREDLH , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLH = max(0 , RCELRREDLH_1 * (1 - ART1731BIS) +  min(RCELRREDLH_1 , RCELRREDLH_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLH_1 ;

RCELRREDLL_1 = max(min(CELRREDLL , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLL = max(0 , RCELRREDLL_1 * (1 - ART1731BIS) +  min(RCELRREDLL_1 , RCELRREDLL_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLL_1 ;

RCELRREDLR_1 = max(min(CELRREDLR , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLR = max(0 , RCELRREDLR_1 * (1 - ART1731BIS) +  min(RCELRREDLR_1 , RCELRREDLR_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLR_1 ;

RCELLB_1 = max(min(COD7LB , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELLB = max(0 , RCELLB_1 * (1 - ART1731BIS) +  min(RCELLB_1 , RCELLB_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELLB_1 ;

RCELRREDLZ_1 = max(min(CELRREDLZ , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLZ = max(0 , RCELRREDLZ_1 * (1 - ART1731BIS) +  min(RCELRREDLZ_1 , RCELRREDLZ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLZ_1 ;

RCELRREDLX_1 = max(min(CELRREDLX , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLX = max(0 , RCELRREDLX_1 * (1 - ART1731BIS) +  min(RCELRREDLX_1 , RCELRREDLX_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLX_1 ;

RCELRREDLI_1 = max(min(CELRREDLI , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLI = max(0 , RCELRREDLI_1 * (1 - ART1731BIS) +  min(RCELRREDLI_1 , RCELRREDLI_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLI_1 ;

RCELRREDLO_1 = max(min(CELRREDLO , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLO = max(0 , RCELRREDLO_1 * (1 - ART1731BIS) +  min(RCELRREDLO_1 , RCELRREDLO_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLO_1 ;

RCELRREDLU_1 = max(min(CELRREDLU , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLU = max(0 , RCELRREDLU_1 * (1 - ART1731BIS) +  min(RCELRREDLU_1 , RCELRREDLU_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLU_1 ;

RCELLC_1 = max(min(COD7LC , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELLC = max(0 , RCELLC_1 * (1 - ART1731BIS) +  min(RCELLC_1 , RCELLC_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELLC_1 ;

RCELRREDMG_1 = max(min(CELRREDMG , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDMG = max(0 , RCELRREDMG_1 * (1 - ART1731BIS) + min (RCELRREDMG_1 , RCELRREDMG_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDMG_1 ;

RCELRREDMH_1 = max(min(CELRREDMH , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDMH = max(0 , RCELRREDMH_1 * (1 - ART1731BIS) + min (RCELRREDMH_1 , RCELRREDMH_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDMH_1 ;

RCELRREDLJ_1 = max(min(CELRREDLJ , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLJ = max(0 , RCELRREDLJ_1 * (1 - ART1731BIS) +  min(RCELRREDLJ_1 , RCELRREDLJ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLJ_1 ;

RCELRREDLP_1 = max(min(CELRREDLP , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLP = max(0 , RCELRREDLP_1 * (1 - ART1731BIS) +  min(RCELRREDLP_1 , RCELRREDLP_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLP_1 ;

RCELRREDLV_1 = max(min(CELRREDLV , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELRREDLV = max(0 , RCELRREDLV_1 * (1 - ART1731BIS) +  min(RCELRREDLV_1 , RCELRREDLV_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RCELRREDLV_1 ;

RCELLY_1 = max(min(COD7LY , IDOM11 - VARTMP1) , 0 ) * ( 1 - V_CNR ) ;
RCELLY = max(0 , RCELLY_1 * (1 - ART1731BIS) +  min(RCELLY_1 , RCELLY_2) * ART1731BIS) ;
VARTMP1 = 0 ;

DCELSOM1 = somme (i=M,N,G,K,Q,S,T,H,L,R,Z,X,I,O,U,J,P,V : CELRREDLi) + somme (i=A,B,C,Y : COD7Li) + CELRREDMG + CELRREDMH ;

ACELSOM1 = somme (i=M,N,G,K,Q,S,T,H,L,R,Z,X,I,O,U,J,P,V : ACELRREDLi) + somme (i=A,B,C,Y : ACELLi) + ACELRREDMG + ACELRREDMH ;

RCELSOM1 = somme (i=M,N,G,K,Q,S,T,H,L,R,Z,X,I,O,U,J,P,V : RCELRREDLi) + somme (i=A,B,C,Y : RCELLi) + RCELRREDMG + RCELRREDMH ;

regle 401312:
application : iliad ;

RCELZP_1 = max(min(COD7ZP , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - REDUCAVTCEL_1 -RCELSOM1) , 0) * (1 - V_CNR) ;

RCELZP = max(0 , RCELZP_1 * (1 - ART1731BIS) +  min(RCELZP_1 , RCELZP_2) * ART1731BIS) * (1 - V_CNR) ;

RCELXP_1 = max(min(COD7XP , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - REDUCAVTCEL_1 -RCELSOM1-RCELZP_1) , 0) * (1 - V_CNR) ;

RCELXP = max(0 , RCELXP_1 * (1 - ART1731BIS) +  min(RCELXP_1 , RCELXP_2) * ART1731BIS) * (1 - V_CNR) ;

RCELZO_1 = max(min(COD7ZO , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - REDUCAVTCEL_1 -RCELSOM1-RCELZP_1-RCELXP_1) , 0) * (1 - V_CNR) ;

RCELZO = max(0 , RCELZO_1 * (1 - ART1731BIS) +  min(RCELZO_1 , RCELZO_2) * ART1731BIS) * (1 - V_CNR) ;

RCELXO_1 = max(min(COD7XO , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - REDUCAVTCEL_1 -RCELSOM1-RCELZP_1-RCELXP_1-RCELZO_1) , 0) * (1 - V_CNR) ;

RCELXO = max(0 , RCELXO_1 * (1 - ART1731BIS) +  min(RCELXO_1 , RCELXO_2) * ART1731BIS) * (1 - V_CNR) ;

RCELXQ_1 = max(min(COD7XQ , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - REDUCAVTCEL_1 -RCELSOM1-RCELZP_1-RCELXP_1-RCELZO_1-RCELXO_1) , 0) * (1 - V_CNR) ;

RCELXQ = max(0 , RCELXQ_1 * (1 - ART1731BIS) +  min(RCELXQ_1 , RCELXQ_2) * ART1731BIS) * (1 - V_CNR) ;

DCELSOM2 = COD7ZP + COD7XP + COD7ZO + COD7XO + COD7XQ ;

ACELSOM2 = DCELSOM2 * (1 - V_CNR) ;

RCELSOM2 = RCELZP + RCELXP + RCELZO + RCELXO + RCELXQ ;

RCELREPHU_1 = max(min(RCELREP_HU , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - REDUCAVTCEL_1 -RCELSOM1-RCELSOM2) , 0)
	      * (1 - V_CNR) ;

RCELREPHU = max(0 , RCELREPHU_1 * (1 - ART1731BIS) + min(RCELREPHU_1 , RCELREPHU_2) * ART1731BIS) * (1 - V_CNR) ;

RCELREPHT_1 = max(min(RCELREP_HT , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - REDUCAVTCEL_1 -RCELSOM1-RCELSOM2
                                         -RCELREPHU_1) , 0) * (1 - V_CNR) ;

RCELREPHT = max(0 , RCELREPHT_1 * (1 - ART1731BIS) +  min(RCELREPHT_1 , RCELREPHT_2) * ART1731BIS) * (1 - V_CNR) ;

RCELREPHZ_1 = max(min(RCELREP_HZ , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - REDUCAVTCEL_1 -RCELSOM1-RCELSOM2
                                         -RCELREPHU_1-RCELREPHT_1) , 0) * (1 - V_CNR) ;

RCELREPHZ = max(0 , RCELREPHZ_1 * (1 - ART1731BIS) +  min(RCELREPHZ_1 , RCELREPHZ_2) * ART1731BIS) * (1 - V_CNR) ;

RCELREPHX_1 = max(min(RCELREP_HX , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - REDUCAVTCEL_1 -RCELSOM1-RCELSOM2
                                               -RCELREPHU_1-RCELREPHT_1-RCELREPHZ_1) , 0) * (1 - V_CNR) ;

RCELREPHX = max(0 , RCELREPHX_1 * (1 - ART1731BIS) +  min(RCELREPHX_1 , RCELREPHX_2) * ART1731BIS) * (1 - V_CNR) ;

RCELREPHW_1 = max(min(RCELREP_HW , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - REDUCAVTCEL_1 -RCELSOM1-RCELSOM2
                                         -RCELREPHU_1-RCELREPHT_1-RCELREPHZ_1-RCELREPHX_1) , 0) * (1 - V_CNR) ;

RCELREPHW = max(0 , RCELREPHW_1 * (1 - ART1731BIS) +  min(RCELREPHW_1 , RCELREPHW_2) * ART1731BIS) * (1 - V_CNR) ;

RCELREPHV_1 = max(min(RCELREP_HV , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - REDUCAVTCEL_1 -RCELSOM1-RCELSOM2
                                         -RCELREPHU_1-RCELREPHT_1-RCELREPHZ_1-RCELREPHX_1-RCELREPHW_1) , 0) * (1 - V_CNR) ;

RCELREPHV = max(0 , RCELREPHV_1 * (1 - ART1731BIS) +  min(RCELREPHV_1 , RCELREPHV_2) * ART1731BIS) * (1 - V_CNR) ;

DCELSOM3 = somme (i=U,T,Z,X,W,V : DCELREPHi) ;

ACELSOM3 = somme (i=U,T,Z,X,W,V : ACELREPHi) ;

RCELSOM3 = somme (i=U,T,Z,X,W,V : RCELREPHi) ;

regle 401314:
application : iliad ;

VARTMP1 = DEC11 + (RMENAGE*null(FLAG_PVRO) + RMENAGE3WG*FLAG_PVRO) + REDUCAVTCEL_1 + RCELSOM1 + RCELSOM2 + RCELSOM3 ;

RCELREPHF_1 = max(min(BCELHF , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPHF = max(0 , RCELREPHF_1 * (1 - ART1731BIS) +  min(RCELREPHF_1 , RCELREPHF_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPHF_1 ;

RCELREPHD_1 = max(min(BCELHD , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPHD = max(0 , RCELREPHD_1 * (1 - ART1731BIS) +  min(RCELREPHD_1 , RCELREPHD_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPHD_1 ;

RCELREPHA_1 = max(min(BCELHA , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPHA = max(0 , RCELREPHA_1 * (1 - ART1731BIS) +  min(RCELREPHA_1 , RCELREPHA_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPHA_1 ;

RCELREPGU_1 = max(min(BCELGU , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPGU = max(0 , RCELREPGU_1 * (1 - ART1731BIS) +  min(RCELREPGU_1 , RCELREPGU_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPGU_1 ;

RCELREPGS_1 = max(min(BCELGS , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPGS = max(0 , RCELREPGS_1 * (1 - ART1731BIS) +  min(RCELREPGS_1 , RCELREPGS_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPGS_1 ;

RCELREPGL_1 = max(min(BCELGL , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPGL = max(0 , RCELREPGL_1 * (1 - ART1731BIS) +  min(RCELREPGL_1 , RCELREPGL_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPGL_1 ;

RCELREPGJ_1 = max(min(BCELGJ , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPGJ = max(0 , RCELREPGJ_1 * (1 - ART1731BIS) +  min(RCELREPGJ_1 , RCELREPGJ_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPGJ_1 ;

RCELREPYH_1 = max(min(BCELYH , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYH = max(0 , RCELREPYH_1 * (1 - ART1731BIS) + min (RCELREPYH_1 , RCELREPYH_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYH_1 ;

RCELREPYF_1 = max(min(BCELYF , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYF = max(0 , RCELREPYF_1 * (1 - ART1731BIS) + min (RCELREPYF_1 , RCELREPYF_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYF_1 ;

RCELREPYD_1 = max(min(BCELYD , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYD = max(0 , RCELREPYD_1 * (1 - ART1731BIS) + min(RCELREPYD_1 , RCELREPYD_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYD_1 ;

RCELREPYB_1 = max(min(BCELYB , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYB = max(0 , RCELREPYB_1 * (1 - ART1731BIS) + min(RCELREPYB_1 , RCELREPYB_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYB_1 ;

RCELREPYP_1 = max(min(BCELYP , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYP = max(0 , RCELREPYP_1 * (1 - ART1731BIS) + min(RCELREPYP_1 , RCELREPYP_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYP_1 ;

RCELREPYS_1 = max(min(BCELYS , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYS = max(0 , RCELREPYS_1 * (1 - ART1731BIS) + min(RCELREPYS_1 , RCELREPYS_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYS_1 ;

RCELREPYO_1 = max(min(BCELYO , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYO = max(0 , RCELREPYO_1 * (1 - ART1731BIS) + min(RCELREPYO_1 , RCELREPYO_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYO_1 ;

RCELREPYR_1 = max(min(BCELYR , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYR = max(0 , RCELREPYR_1 * (1 - ART1731BIS) + min(RCELREPYR_1 , RCELREPYR_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYR_1 ;

RCELREPYN_1 = max(min(BCELYN , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYN = max(0 , RCELREPYN_1 * (1 - ART1731BIS) + min(RCELREPYN_1 , RCELREPYN_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYN_1 ;

RCELREPYQ_1 = max(min(BCELYQ , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYQ = max(0 , RCELREPYQ_1 * (1 - ART1731BIS) + min(RCELREPYQ_1 , RCELREPYQ_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYQ_1 ;

RCELREPYM_1 = max(min(BCELYM , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYM = max(0 , RCELREPYM_1 * (1 - ART1731BIS) + min(RCELREPYM_1 , RCELREPYM_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYM_1 ;

RCELREPYW_1 = max(min(BCELYW , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYW = max(0 , RCELREPYW_1 * (1 - ART1731BIS) + min(RCELREPYW_1 , RCELREPYW_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYW_1 ;

RCELREPYZ_1 = max(min(BCELYZ , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYZ = max(0 , RCELREPYZ_1 * (1 - ART1731BIS) + min(RCELREPYZ_1 , RCELREPYZ_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYZ_1 ;

RCELREPYV_1 = max(min(BCELYV , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYV = max(0 , RCELREPYV_1 * (1 - ART1731BIS) + min(RCELREPYV_1 , RCELREPYV_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYV_1 ;

RCELREPYY_1 = max(min(BCELYY , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYY = max(0 , RCELREPYY_1 * (1 - ART1731BIS) + min(RCELREPYY_1 , RCELREPYY_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYY_1 ;

RCELREPYU_1 = max(min(BCELYU , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYU = max(0 , RCELREPYU_1 * (1 - ART1731BIS) + min(RCELREPYU_1 , RCELREPYU_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYU_1 ;

RCELREPYX_1 = max(min(BCELYX , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYX = max(0 , RCELREPYX_1 * (1 - ART1731BIS) + min(RCELREPYX_1 , RCELREPYX_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYX_1 ;

RCELREPYT_1 = max(min(BCELYT , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPYT = max(0 , RCELREPYT_1 * (1 - ART1731BIS) + min(RCELREPYT_1 , RCELREPYT_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPYT_1 ;

RCELREPWW_1 = max(min(BCELWW , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPWW = max(0 , RCELREPWW_1 * (1 - ART1731BIS) + min(RCELREPWW_1 , RCELREPWW_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPWW_1 ;

RCELREPWZ_1 = max(min(BCELWZ , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPWZ = max(0 , RCELREPWZ_1 * (1 - ART1731BIS) + min(RCELREPWZ_1 , RCELREPWZ_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPWZ_1 ;

RCELREPWV_1 = max(min(BCELWV , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPWV = max(0 , RCELREPWV_1 * (1 - ART1731BIS) + min(RCELREPWV_1 , RCELREPWV_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPWV_1 ;

RCELREPWY_1 = max(min(BCELWY , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPWY = max(0 , RCELREPWY_1 * (1 - ART1731BIS) + min(RCELREPWY_1 , RCELREPWY_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPWY_1 ;

RCELREPWU_1 = max(min(BCELWU , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPWU = max(0 , RCELREPWU_1 * (1 - ART1731BIS) + min(RCELREPWU_1 , RCELREPWU_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPWU_1 ;

RCELREPWX_1 = max(min(BCELWX , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPWX = max(0 , RCELREPWX_1 * (1 - ART1731BIS) + min(RCELREPWX_1 , RCELREPWX_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPWX_1 ;

RCELREPWT_1 = max(min(BCELWT , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELREPWT = max(0 , RCELREPWT_1 * (1 - ART1731BIS) + min(RCELREPWT_1 , RCELREPWT_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELREPWT_1 ;

RCELRW_1 = max(min(BCELRW , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELRW = max(0 , RCELRW_1 * (1 - ART1731BIS) + min(RCELRW_1 , RCELRW_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELRW_1 ;

RCELRV_1 = max(min(BCELRV , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELRV = max(0 , RCELRV_1 * (1 - ART1731BIS) + min(RCELRV_1 , RCELRV_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELRV_1 ;

RCELRU_1 = max(min(BCELRU , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELRU = max(0 , RCELRU_1 * (1 - ART1731BIS) + min(RCELRU_1 , RCELRU_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELRU_1 ;

RCELRT_1 = max(min(BCELRT , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELRT = max(0 , RCELRT_1 * (1 - ART1731BIS) + min(RCELRT_1 , RCELRT_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = 0 ;

DCELSOM4 = DCELREPHF + DCELREPHD + DCELREPHA + DCELREPGU + DCELREPGS + DCELREPGL + DCELREPGJ + DCELREPYH + DCELREPYF + DCELREPYD 
           + DCELREPYB + DCELREPYP + DCELREPYS + DCELREPYO + DCELREPYR + DCELREPYN + DCELREPYQ + DCELREPYM + DCELREPYW + DCELREPYZ 
	   + DCELREPYV + DCELREPYY + DCELREPYU + DCELREPYX + DCELREPYT + DCELREPWW + DCELREPWZ + DCELREPWV + DCELREPWY + DCELREPWU 
	   + DCELREPWX + DCELREPWT + DCELRW + DCELRV + DCELRU + DCELRT ;

ACELSOM4 = ACELREPHF + ACELREPHD + ACELREPHA + ACELREPGU + ACELREPGS + ACELREPGL + ACELREPGJ + ACELREPYH + ACELREPYF + ACELREPYD 
           + ACELREPYB + ACELREPYP + ACELREPYS + ACELREPYO + ACELREPYR + ACELREPYN + ACELREPYQ + ACELREPYM + ACELREPYW + ACELREPYZ 
	   + ACELREPYV + ACELREPYY + ACELREPYU + ACELREPYX + ACELREPYT + ACELREPWW + ACELREPWZ + ACELREPWV + ACELREPWY + ACELREPWU 
	   + ACELREPWX + ACELREPWT + ACELRW + ACELRV + ACELRU + ACELRT ;

RCELSOM4 = RCELREPHF + RCELREPHD + RCELREPHA + RCELREPGU + RCELREPGS + RCELREPGL + RCELREPGJ + RCELREPYH + RCELREPYF + RCELREPYD 
           + RCELREPYB + RCELREPYP + RCELREPYS + RCELREPYO + RCELREPYR + RCELREPYN + RCELREPYQ + RCELREPYM + RCELREPYW + RCELREPYZ 
	   + RCELREPYV + RCELREPYY + RCELREPYU + RCELREPYX + RCELREPYT + RCELREPWW + RCELREPWZ + RCELREPWV + RCELREPWY + RCELREPWU 
	   + RCELREPWX + RCELREPWT + RCELRW + RCELRV + RCELRU + RCELRT ;

regle 401316:
application : iliad ;

VARTMP1 = DEC11 + (RMENAGE*null(FLAG_PVRO) + RMENAGE3WG*FLAG_PVRO) + REDUCAVTCEL_1 + RCELSOM1 + RCELSOM2 + RCELSOM3 + RCELSOM4 ;

ACELZM = (min(LIMREPSC11 * (1 - COD7YE) , COD7ZM) + (COD7YE * COD7ZM)) * (1 - V_CNR) ;

RCELZM_1 = max(min(ACELZM * (1 - ART1731BIS) + ((1 - COD7YE) * min(LIMREPSC11 , COD7ZM) + COD7YE * COD7ZM) * ART1731BIS , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RCELZM = max(0 , RCELZM_1 * (1 - ART1731BIS) + min(RCELZM_1 , RCELZM_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZM_1 ;
ACELZN = (min(LIMREPSC11 * (1 - COD7YE) , COD7ZN) + (COD7YE * COD7ZN)) * (1 - V_CNR) ;

RCELZN_1 = max(min(ACELZN * (1 - ART1731BIS) + ((1 - COD7YE) * min(LIMREPSC11 , COD7ZN) + COD7YE * COD7ZN) * ART1731BIS , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RCELZN = max(0 , RCELZN_1 * (1 - ART1731BIS) + min(RCELZN_1 , RCELZN_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = 0 ;

DCELSOM5 = COD7ZM + COD7ZN ;

ACELSOM5 = ACELZM + ACELZN ;

RCELSOM5 = RCELZM + RCELZN ;

VARTMP1 = DEC11 + (RMENAGE*null(FLAG_PVRO) + RMENAGE3WG*FLAG_PVRO) + REDUCAVTCEL_1 + RCELSOM1 + RCELSOM2 + RCELSOM3 + RCELSOM4 + RCELSOM5 ;

ACELZQ = (min(LIMREPSC11 * (1 - COD7YE) , COD7ZQ) + (COD7YE * COD7ZQ)) * (1 - V_CNR) ;

RCELZQ_1 = max(min(ACELZQ * (1 - ART1731BIS) + ((1 - COD7YE) * min(LIMREPSC11 , COD7ZQ) + COD7YE * COD7ZQ) * ART1731BIS , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RCELZQ = max(0 , RCELZQ_1 * (1 - ART1731BIS) + min(RCELZQ_1 , RCELZQ_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZQ_1 ;

ACELZR = (min(LIMREPSC11 * (1 - COD7YE) , COD7ZR) + (COD7YE * COD7ZR)) * (1 - V_CNR) ;

RCELZR_1 = max(min(ACELZR * (1 - ART1731BIS) + ((1 - COD7YE) * min(LIMREPSC11 , COD7ZR) + COD7YE * COD7ZR) * ART1731BIS , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RCELZR = max(0 , RCELZR_1 * (1 - ART1731BIS) + min(RCELZR_1 , RCELZR_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZR_1 ;

ACELZS = (min(LIMREPSC11 * (1 - COD7YE) , COD7ZS) + (COD7YE * COD7ZS)) * (1 - V_CNR) ;

RCELZS_1 = max(min(ACELZS * (1 - ART1731BIS) + ((1 - COD7YE) * min(LIMREPSC11 , COD7ZS) + COD7YE * COD7ZS) * ART1731BIS , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RCELZS = max(0 , RCELZS_1 * (1 - ART1731BIS) + min(RCELZS_1 , RCELZS_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZS_1 ;

ACELZT = (min(LIMREPSC12 * (1 - COD7YE) , COD7ZT) + (COD7YE * COD7ZT)) * (1 - V_CNR) ;

RCELZT_1 = max(min(ACELZT * (1 - ART1731BIS) + ((1 - COD7YE) * min(LIMREPSC12 , COD7ZT) + COD7YE * COD7ZT) * ART1731BIS , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RCELZT = max(0 , RCELZT_1 * (1 - ART1731BIS) + min(RCELZT_1 , RCELZT_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZT_1 ;

ACELZU = (min(LIMREPSC10 * (1 - COD7YE) , COD7ZU) + (COD7YE * COD7ZU)) * (1 - V_CNR) ;

RCELZU_1 = max(min(ACELZU * (1 - ART1731BIS) + ((1 - COD7YE) * min(LIMREPSC10 , COD7ZU) + COD7YE * COD7ZU) * ART1731BIS , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RCELZU = max(0 , RCELZU_1 * (1 - ART1731BIS) + min(RCELZU_1 , RCELZU_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = 0 ;

DCELSOM6 = COD7ZQ + COD7ZR + COD7ZS + COD7ZT + COD7ZU ;

ACELSOM6 = ACELZQ + ACELZR + ACELZS + ACELZT + ACELZU ;

RCELSOM6 = RCELZQ + RCELZR + RCELZS + RCELZT + RCELZU ;

DCELSOM56 = DCELSOM5 + DCELSOM6 ;

ACELSOM56 = ACELSOM5 + ACELSOM6 ;

RCELSOM56 = RCELSOM5 + RCELSOM6 ;

regle 401318:
application : iliad ;

VARTMP1 = DEC11 + (RMENAGE*null(FLAG_PVRO) + RMENAGE3WG*FLAG_PVRO) + REDUCAVTCEL_1 + RCELSOM1 + RCELSOM2 + RCELSOM3 + RCELSOM4 + RCELSOM5 + RCELSOM6 ;

RCELZV_1 = max(min(RCEL_ZV , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELZV = max( 0, RCELZV_1 * (1 - ART1731BIS) + min (RCELZV_1 , RCELZV_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZV_1 ;

RCELZE_1 = max(min(RCEL_ZE , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELZE = max( 0, RCELZE_1 * (1 - ART1731BIS) + min (RCELZE_1 , RCELZE_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZE_1 ;

RCELZF_1 = max(min(RCEL_ZF , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELZF = max( 0, RCELZF_1 * (1 - ART1731BIS) + min (RCELZF_1 , RCELZF_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZF_1 ;

RCELZG_1 = max(min(RCEL_ZG , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELZG = max( 0, RCELZG_1 * (1 - ART1731BIS) + min (RCELZG_1 , RCELZG_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZG_1 ;

RCELZH_1 = max(min(RCEL_ZH , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELZH = max( 0, RCELZH_1 * (1 - ART1731BIS) + min (RCELZH_1 , RCELZH_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZH_1 ;

RCELZI_1 = max(min(RCEL_ZI , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELZI = max( 0, RCELZI_1 * (1 - ART1731BIS) + min (RCELZI_1 , RCELZI_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZI_1 ;

RCELZJ_1 = max(min(RCEL_ZJ , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELZJ = max( 0, RCELZJ_1 * (1 - ART1731BIS) + min (RCELZJ_1 , RCELZJ_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZJ_1 ;

RCELZK_1 = max(min(RCEL_ZK , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELZK = max( 0, RCELZK_1 * (1 - ART1731BIS) + min (RCELZK_1 , RCELZK_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZK_1 ;

RCELZL_1 = max(min(RCEL_ZL , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELZL = max( 0, RCELZL_1 * (1 - ART1731BIS) + min (RCELZL_1 , RCELZL_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELZL_1 ;

RCELSE_1 = max(min(RCEL_SE , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELSE = max( 0, RCELSE_1 * (1 - ART1731BIS) + min (RCELSE_1 , RCELSE_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELSE_1 ;

RCELSF_1 = max(min(RCEL_SF , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELSF = max( 0, RCELSF_1 * (1 - ART1731BIS) + min (RCELSF_1 , RCELSF_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELSF_1 ;

RCELSG_1 = max(min(RCEL_SG , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELSG = max( 0, RCELSG_1 * (1 - ART1731BIS) + min (RCELSG_1 , RCELSG_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELSG_1 ;

RCELSH_1 = max(min(RCEL_SH , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELSH = max( 0, RCELSH_1 * (1 - ART1731BIS) + min (RCELSH_1 , RCELSH_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELSH_1 ;

RCELSI_1 = max(min(RCEL_SI , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELSI = max( 0, RCELSI_1 * (1 - ART1731BIS) + min (RCELSI_1 , RCELSI_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELSI_1 ;

RCELSJ_1 = max(min(RCEL_SJ , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELSJ = max( 0, RCELSJ_1 * (1 - ART1731BIS) + min (RCELSJ_1 , RCELSJ_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELSJ_1 ;

RCELSK_1 = max(min(RCEL_SK , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELSK = max( 0, RCELSK_1 * (1 - ART1731BIS) + min (RCELSK_1 , RCELSK_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELSK_1 ;

RCELSL_1 = max(min(RCEL_SL , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELSL = max( 0, RCELSL_1 * (1 - ART1731BIS) + min (RCELSL_1 , RCELSL_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = VARTMP1 + RCELSL_1 ;

RCELSM_1 = max(min(RCEL_SM , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;
RCELSM = max( 0, RCELSM_1 * (1 - ART1731BIS) + min (RCELSM_1 , RCELSM_2) * ART1731BIS) * (1 - V_CNR) ;

VARTMP1 = 0 ;

DCELSOM7 = DCELZV + DCELZE + DCELZF + DCELZG + DCELZH + DCELZI + DCELZJ + DCELZK + DCELZL + DCELSE + DCELSF + DCELSG + DCELSH + DCELSI + DCELSJ + DCELSK + DCELSL + DCELSM ;

ACELSOM7 = ACELZV + ACELZE + ACELZF + ACELZG + ACELZH + ACELZI + ACELZJ + ACELZK + ACELZL + ACELSE + ACELSF + ACELSG + ACELSH + ACELSI + ACELSJ + ACELSK + ACELSL + ACELSM ;

RCELSOM7 = RCELZV + RCELZE + RCELZF + RCELZG + RCELZH + RCELZI + RCELZJ + RCELZK + RCELZL + RCELSE + RCELSF + RCELSG + RCELSH + RCELSI + RCELSJ + RCELSK + RCELSL + RCELSM ;

RCELTOT = RCELSOM1 + RCELSOM2 + RCELSOM3 + RCELSOM4 + RCELSOM5 + RCELSOM6 + RCELSOM7 ;


regle 401320:
application : iliad ;


RIVCELZV1 = arr(BCELZV * TX06/100) * (1 - V_CNR) ;

RIVCELZV3 = (arr((min(DCELZV , LIMCELLIER)) * TX06/100) - (2 * RIVCELZV1)) * (1 - V_CNR) ;

RIVCELZEF1 = arr((BCELZE + BCELZH) * (TX05/100) + (BCELZF + BCELZG) * (TX06/100)) * (1 - V_CNR) ;

RIVCELZEF3 = (arr((min(DCELZE , LIMCELLIER) + min(DCELZH , LIMCELLIER)) * TX05/100
                   + (min(DCELZF , LIMCELLIER) + min(DCELZG , LIMCELLIER)) * TX06/100) - (2 * RIVCELZEF1)) * (1 - V_CNR) ;

RIVCELZIJ1 = arr((BCELZI + BCELZL) * (TX04/100) + (BCELZJ + BCELZK) * (TX05/100)) * (1 - V_CNR) ;

RIVCELZIJ3 = (arr((min(DCELZI , LIMCELLIER) + min(DCELZL , LIMCELLIER)) * TX04/100
                   + (min(DCELZJ , LIMCELLIER) + min(DCELZK , LIMCELLIER)) * TX05/100) - (2 * RIVCELZIJ1)) * (1 - V_CNR) ;

RIVCELSEF1 = arr((BCELSE + BCELSH) * (TX05/100) + (BCELSF + BCELSG) * (TX06/100)) * (1 - V_CNR) ;

RIVCELSEF3 = (arr((min(DCELSE , LIMCELLIER) + min(DCELSH , LIMCELLIER)) * TX05/100
                   + (min(DCELSF , LIMCELLIER) + min(DCELSG , LIMCELLIER)) * TX06/100) - (2 * RIVCELSEF1)) * (1 - V_CNR) ;

RIVCELSIJ1 = arr((BCELSI + BCELSL) * (TX04/100) + (BCELSJ + BCELSK) * (TX05/100)) * (1 - V_CNR) ;

RIVCELSIJ3 = (arr((min(DCELSI , LIMCELLIER) + min(DCELSL , LIMCELLIER)) * TX04/100
                   + (min(DCELSJ , LIMCELLIER) + min(DCELSK , LIMCELLIER)) * TX05/100) - (2 * RIVCELSIJ1)) * (1 - V_CNR) ;

RIVCELSM1 = arr(BCELSM * TX04/100) * (1 - V_CNR) ;

RIVCELSM3 = (arr((min(DCELSM , LIMCELLIER)) * TX04/100) - (2 * RIVCELSM1)) * (1 - V_CNR) ;


RRCELMG = max(0 , CELRREDMG - RCELRREDMG) * (1 - V_CNR) ;

RRCELMH = max(0 , CELRREDMH - RCELRREDMH) * (1 - V_CNR) ; 

RRCELLJ = max(0 , CELRREDLJ - RCELRREDLJ) * (1 - V_CNR) ; 

RRCELLP = max(0 , CELRREDLP - RCELRREDLP) * (1 - V_CNR) ; 

RRCELLV = max(0 , CELRREDLV - RCELRREDLV) * (1 - V_CNR) ; 

RRCELLY = max(0 , COD7LY - RCELLY) * (1 - V_CNR) ; 

RRCEL2012 =  max( 0, BCELGJ + BCELYB + BCELYQ + BCELYM + BCELYX + BCELYT + BCELWX + BCELWT + BCELRT 
                     - RCELREPGJ - RCELREPYB - RCELREPYQ - RCELREPYM - RCELREPYX - RCELREPYT - RCELREPWX - RCELREPWT - RCELRT)
	     * (1 - V_CNR) ;

RRCELLZ = max(0, CELRREDLZ - RCELRREDLZ) * (1 - V_CNR) ;

RRCELLX = max(0, CELRREDLX - RCELRREDLX) * (1 - V_CNR) ;

RRCELLI = max(0, CELRREDLI - RCELRREDLI) * (1 - V_CNR) ;

RRCELLO = max(0, CELRREDLO - RCELRREDLO) * (1 - V_CNR) ;

RRCELLU = max(0, CELRREDLU - RCELRREDLU) * (1 - V_CNR) ;

RRCELLC = max(0, COD7LC - RCELLC) * (1 - V_CNR) ;

RRCEL2011 = max(0 , BCELGL + BCELHA + BCELYD + BCELYN + BCELYR + BCELYY + BCELYU + BCELWY + BCELWU + BCELRU 
                    - RCELREPGL - RCELREPHA - RCELREPYD - RCELREPYN - RCELREPYR - RCELREPYY - RCELREPYU - RCELREPWY - RCELREPWU - RCELRU) 
            * (1 - V_CNR) ;

RRCELLS = max(0 , CELRREDLS - RCELRREDLS) * (1 - V_CNR) ;

RRCELLT = max(0 , CELRREDLT - RCELRREDLT) * (1 - V_CNR) ;

RRCELLH = max(0 , CELRREDLH - RCELRREDLH) * (1 - V_CNR) ;

RRCELLL = max(0 , CELRREDLL - RCELRREDLL) * (1 - V_CNR) ;

RRCELLR = max(0 , CELRREDLR - RCELRREDLR) * (1 - V_CNR) ;

RRCELLB = max(0 , COD7LB - RCELLB) * (1 - V_CNR) ;

RRCEL2010 = max(0 , BCELHD + RCELREP_HW + RCELREP_HV + BCELGS + BCELYF + BCELYS + BCELYO + BCELYZ + BCELYV + BCELWZ + BCELWV + BCELRV 
                    - RCELREPHD - RCELREPHW - RCELREPHV - RCELREPGS - RCELREPYF - RCELREPYS - RCELREPYO - RCELREPYZ - RCELREPYV - RCELREPWZ - RCELREPWV - RCELRV)
            * (1 - V_CNR) ;

RRCELLM = max(0 , CELRREDLM - RCELRREDLM) * (1 - V_CNR) ; 

RRCELLN = max(0 , CELRREDLN - RCELRREDLN) * (1 - V_CNR) ; 

RRCELLG = max(0 , CELRREDLG - RCELRREDLG) * (1 - V_CNR) ; 

RRCELLK = max(0 , CELRREDLK - RCELRREDLK) * (1 - V_CNR) ; 

RRCELLQ = max(0 , CELRREDLQ - RCELRREDLQ) * (1 - V_CNR) ; 

RRCELLA = max(0 , COD7LA - RCELLA) * (1 - V_CNR) ; 

RRCEL2009 = max(0 , somme(i=T,U,X,Z:RCELREP_Hi) + BCELHF + BCELGU + BCELYH + BCELYP + BCELYW + BCELWW + BCELRW
                    - somme(i=T,U,X,Z:RCELREPHi) - RCELREPHF - RCELREPGU - RCELREPYH - RCELREPYP - RCELREPYW - RCELREPWW - RCELRW) * (1 - V_CNR) ;

RRCELZP = max(0 , COD7ZP + COD7ZN - RCELZP - RCELZN) * (1 - V_CNR) ;

RRCELE = max(0 , RCEL_ZF + RCEL_SF - RCELZF - RCELSF) * (1 - V_CNR) ;

RRCELZO = max(0 , COD7ZO + COD7ZM - RCELZO - RCELZM) * (1 - V_CNR) ;

RRCELF = max(0 , RCEL_ZE + RCEL_ZG + RCEL_ZH + RCEL_ZJ + RCEL_SE + RCEL_SG + RCEL_SH + RCEL_SJ 
                 - RCELZE - RCELZG - RCELZH - RCELZJ - RCELSE - RCELSG - RCELSH - RCELSJ) * (1 - V_CNR) ;

RRCELG = max(0 , RCEL_ZI + RCEL_ZK + RCEL_ZL + RCEL_SI + RCEL_SK + RCEL_SL + RCEL_SM 
                 - RCELZI - RCELZK - RCELZL - RCELSI - RCELSK - RCELSL - RCELSM) * (1 - V_CNR) ;

RRCELH = max(0 , RCEL_ZV - RCELZV) * (1 - V_CNR) ;

RRCELZRS = max(0 , COD7ZR + COD7ZS + COD7XP - RCELZR - RCELZS - RCELXP) * (1 - V_CNR) ;

RRCELZQT = max(0 , COD7ZQ + COD7ZT + COD7XO - RCELZQ - RCELZT - RCELXO) * (1 - V_CNR) ;

RRCELZUQ = max(0 , COD7ZU + COD7XQ - RCELZU - RCELXQ) * (1 - V_CNR) ;

REPCELZV = RIVCELZV1 + RIVCELZV3 ;

REPCELZEFGH = RIVCELZEF1 + RIVCELZEF3 ;

REPCELZIJKL = RIVCELZIJ1 + RIVCELZIJ3 ;

REPCELSEFGH = RIVCELSEF1 + RIVCELSEF3 ;

REPCELSIJKL = RIVCELSIJ1 + RIVCELSIJ3 ;

REPCELSM = RIVCELSM1 + RIVCELSM3 ;

regle 401330:
application : iliad ;

RITOUR = (arr((INVLOCXN + COD7UY) * TX_REDIL25 / 100)
        + arr((INVLOCXV + COD7UZ) * TX_REDIL20 / 100)) ;


DTOURREP = INVLOCXN + COD7UY ;

ATOURREP = DTOURREP * (1 - ART1731BIS) + min(DTOURREP , ATOURREP_2) * ART1731BIS ;

DTOUREPA = INVLOCXV + COD7UZ ;

ATOUREPA = DTOUREPA * (1 - ART1731BIS) + min(DTOUREPA , ATOUREPA_2) * ART1731BIS ;

regle 401340:
application : iliad ;

RTOURREP_1 = max(min(arr(DTOURREP * TX_REDIL25 /100) , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1
                                                           -RPENTOT-RFOR_1) , 0) ;

RTOURREP = RTOURREP_1 * (1-ART1731BIS) + min(RTOURREP_1 , RTOURREP_2) * ART1731BIS ;

RTOUREPA_1 = max(min(arr(DTOUREPA * TX_REDIL20 /100) , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1
                                                           -RPENTOT-RFOR_1-RTOURREP_1) , 0) ;

RTOUREPA = RTOUREPA_1 * (1-ART1731BIS) + min(RTOUREPA_1 , RTOUREPA_2) * ART1731BIS ;

RTOUR = RTOURREP ;

regle 401360:
application : iliad ;




DPATNAT3 = PATNAT3 ;

APATNAT3 = (PATNAT3 * (1-ART1731BIS) + min(PATNAT3 , APATNAT3_2) * ART1731BIS) * (1 - V_CNR) ;


DPATNAT = PATNAT4 ;

APATNAT = (PATNAT4 * (1-ART1731BIS) + min(PATNAT4 , APATNAT_2) * ART1731BIS) * (1 - V_CNR) ;

regle 401370:
application : iliad ;

RPATNAT3_1 = max(min(APATNAT3, RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1
                                   -RPENTOT-RFOR_1-RTOURREP_1-RTOUREPA_1-RRREHAP_1-RCOD7KZ_1-RRESTIMO1_1-RCELTOT
                                   -RLOCNPRO_1) , 0) * (1 - V_CNR) ;

RPATNAT3 = max(0 , RPATNAT3_1 * (1 - ART1731BIS) + min(RPATNAT3_1 , RPATNAT3_2) * ART1731BIS)* (1 - V_CNR) ;


RPATNAT_1 = max(min(APATNAT , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1
                                  -RPENTOT-RFOR_1-RTOURREP_1-RTOUREPA_1-RRREHAP_1-RCOD7KZ_1-RRESTIMO1_1-RCELTOT
		        	  -RLOCNPRO_1-RPATNAT3) , 0) * (1 - V_CNR) ;

RPATNAT = max(0 , RPATNAT_1 * (1 - ART1731BIS) + min(RPATNAT_1 , RPATNAT_2) * ART1731BIS)* (1 - V_CNR) ;

RPATNATOT = RPATNAT3 + RPATNAT ; 

regle 401380:
application : iliad ;
 


REPNATR3 = max(PATNAT3 - RPATNAT3,0) * (1 - V_CNR) ;

REPNATR = max(PATNAT4 -  RPATNAT,0) * (1 - V_CNR) ;
REPNATR4 = REPNATR ;

regle 401390 :
application : iliad ;

RRI1 = IDOM11 - DEC11 - (RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) - RCOTFOR - RREPA - RDIFAGRI - RPRESSE - RFORET - RFIPDOM - RFIPC - RCINE
              - RRESTIMO - RSOCREPR - RRPRESCOMP - RHEBE - RSURV - RINNO - RSOUFIP - RRIRENOV ;

regle 401400 :
application : iliad ;


BAH = (min (RVCURE,LIM_CURE) + min(RCCURE,LIM_CURE)) * (1 - V_CNR) ;

RAH = arr (BAH * TX_CURE /100) ;

DHEBE = RVCURE + RCCURE ;

AHEBE = BAH * (1-ART1731BIS)
         + min(BAH , AHEBE_2) * ART1731BIS ;

RHEBE_1 = max( min( RAH , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPDOM_1-RFIPC_1
			-RCINE_1-RRESTIMO_1-RSOCREPR_1-RRPRESCOMP_1) , 0 );

RHEBE = max( 0, RHEBE_1 * (1-ART1731BIS) 
                 + min( RHEBE_1 , RHEBE_2 ) * ART1731BIS ) ;

regle 401410:
application : iliad ;


DREPA = RDREP + DONETRAN ;

EXCEDANTA = max(0 , RDREP + DONETRAN - PLAF_REDREPAS) ;

BAALIM = min(DREPA , PLAF_REDREPAS) ;

RAALIM = arr(BAALIM * TX_REDREPAS/100) * (1 - V_CNR) ;

AREPA = (BAALIM * (1 - ART1731BIS) + min(BAALIM , AREPA_2) * ART1731BIS) * (1 - V_CNR) ;

RREPA_1 = max(min(RAALIM , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1) , 0) ;

RREPA = RREPA_1 * (1 - ART1731BIS) + min(RREPA_1 , RREPA_2) * ART1731BIS ;

regle 401420:
application : iliad ;
 
DNOUV = REPSNO3 + REPSNO2 + REPSNO1 + COD7CQ + COD7CR + COD7CV + COD7CX + RDSNO ;

BSN1 = min (REPSNO3 + REPSNO2 + REPSNO1 , LIM_SOCNOUV2 * (1 + BOOL_0AM)) ;

BSN2 = min (COD7CQ + COD7CR + COD7CV + COD7CX + RDSNO , LIM_TITPRISE * (1 + BOOL_0AM) - BSN1) ;


BSNCL = min(REPSNO3 , LIM_SOCNOUV2 * (1 + BOOL_0AM)) ;
RSNNCL =  BSNCL * TX18/100 ;

BSNCM = max(0, min(REPSNO2 , LIM_SOCNOUV2 * (1 + BOOL_0AM) - BSNCL)) ;
RSNNCM = BSNCM * TX18/100 ;

BSNCN = max(0, min(REPSNO1 , LIM_SOCNOUV2 * (1 + BOOL_0AM) - BSNCL - BSNCM)) ;
RSNNCN = BSNCN * TX18/100 ;

BSNCQ = max(0, min(COD7CQ , LIM_TITPRISE * (1 + BOOL_0AM) - BSN1)) ;
RSNNCQ = BSNCQ * TX18/100 ;

BSNCR = max(0, min(COD7CR , LIM_TITPRISE * (1 + BOOL_0AM) - BSN1 - BSNCQ)) ;
RSNNCR = BSNCR * TX18/100 ;

BSNCV = max(0, min(COD7CV , LIM_TITPRISE * (1 + BOOL_0AM) - BSN1 - BSNCQ - BSNCR)) ;
RSNNCV = BSNCV * TX18/100 ;

BSNCX = max(0, min(COD7CX , LIM_TITPRISE * (1 + BOOL_0AM) - BSN1 - BSNCQ - BSNCR - BSNCV)) ;
RSNNCX = BSNCX * TX18/100 ;

BSNCF = max(0, min(RDSNO , LIM_TITPRISE * (1 + BOOL_0AM) - BSN1 - BSNCQ  - BSNCR - BSNCV - BSNCX)) ;
RSNNCF = BSNCF * TX18/100 ;

RSN = arr(RSNNCL + RSNNCM + RSNNCN + RSNNCQ + RSNNCR  + RSNNCV + RSNNCX + RSNNCF) * (1 - V_CNR) ;

ANOUV = ((BSN1 + BSN2) * (1-ART1731BIS) + min(BSN1 + BSN2 , ANOUV_2) * ART1731BIS) * (1 - V_CNR) ;

regle 401430:
application : iliad ;

RSNCL_1 = max(0 , min(RSNNCL , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1)) ;
RSNCL_2 = max(RSNCL_P + RSNCLP2 , RSNCL1731) * (1-PREM8_11) * ART1731BIS ; 
RSNCL = (RSNCL_1 * (1-ART1731BIS) + min(RSNCL_1 , RSNCL_2) * ART1731BIS) * (1 - V_CNR) ;

RSNCM_1 = max(0, min(RSNNCM, RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
                             -RDUFLOTOT_1-RPINELTOT_1-RSNCL_1 )) ;
RSNCM_2 = max( RSNCM_P + RSNCMP2 , RSNCM1731) * (1-PREM8_11) * ART1731BIS ;
RSNCM = ( RSNCM_1 * (1-ART1731BIS) + min( RSNCM_1, RSNCM_2 ) * ART1731BIS ) * (1 - V_CNR) ;

RSNCN_1 = max(0, min(RSNNCN, RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
                             -RDUFLOTOT_1-RPINELTOT_1-RSNCL_1-RSNCM_1 )) ;
RSNCN_2 = max( RSNCN_P + RSNCNP2 , RSNCN1731) * (1-PREM8_11) * ART1731BIS ;
RSNCN = ( RSNCN_1 * (1-ART1731BIS) + min( RSNCN_1, RSNCN_2 ) * ART1731BIS ) * (1 - V_CNR) ;

RSNCC_1 = max(0, min(RSNNCC, RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
                             -RDUFLOTOT_1-RPINELTOT_1-RSNCL_1-RSNCM_1-RSNCN_1 )) ;
RSNCC_2 = max( RSNCC_P + RSNCCP2 , RSNCC1731) * (1-PREM8_11) * ART1731BIS ;
RSNCC = ( RSNCC_1 * (1-ART1731BIS) + min( RSNCC_1, RSNCC_2 ) * ART1731BIS ) * (1 - V_CNR) ;

RSNCQ_1 = max(0, min(RSNNCQ, RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
                             -RDUFLOTOT_1-RPINELTOT_1-RSNCL_1-RSNCM_1-RSNCN_1-RSNCC_1
			     )) ;
RSNCQ_2 = max( RSNCQ_P + RSNCQP2 , RSNCQ1731) * (1-PREM8_11) * ART1731BIS ;
RSNCQ = ( RSNCQ_1 * (1-ART1731BIS) + min( RSNCQ_1, RSNCQ_2 ) * ART1731BIS ) * (1 - V_CNR) ;

RSNCR_1 = max(0, min(RSNNCR, RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
                             -RDUFLOTOT_1-RPINELTOT_1-RSNCL_1-RSNCM_1-RSNCN_1-RSNCC_1
			     -RSNCQ_1 )) ;
RSNCR_2 = max( RSNCR_P + RSNCRP2 , RSNCR1731) * (1-PREM8_11) * ART1731BIS ;
RSNCR = ( RSNCR_1 * (1-ART1731BIS) + min( RSNCR_1, RSNCR_2 ) * ART1731BIS ) * (1 - V_CNR) ;

RSNCV_1 = max(0, min(RSNNCV, RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
                             -RDUFLOTOT_1-RPINELTOT_1-RSNCL_1-RSNCM_1-RSNCN_1-RSNCC_1
			     -RSNCQ_1-RSNCR_1 )) ;
RSNCV_2 = max( RSNCV_P + RSNCVP2 , RSNCV1731) * (1-PREM8_11) * ART1731BIS ;
RSNCV = ( RSNCV_1 * (1-ART1731BIS) + min( RSNCV_1, RSNCV_2 ) * ART1731BIS ) * (1 - V_CNR) ;

RSNCX_1 = max(0, min(RSNNCX, RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
                             -RDUFLOTOT_1-RPINELTOT_1-RSNCL_1-RSNCM_1-RSNCN_1-RSNCC_1
			     -RSNCQ_1-RSNCR_1 )) ;
RSNCX_2 = max( RSNCX_P + RSNCXP2 , RSNCX1731) * (1-PREM8_11) * ART1731BIS ;
RSNCX = ( RSNCX_1 * (1-ART1731BIS) + min( RSNCX_1, RSNCX_2 ) * ART1731BIS ) * (1 - V_CNR) ;

RSNCF_1 = max(0, min(RSNNCF, RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1
                             -RDUFLOTOT_1-RPINELTOT_1-RSNCL_1-RSNCM_1-RSNCN_1-RSNCC_1
			     -RSNCQ_1-RSNCR_1-RSNCX_1-RSNCV_1 )) ;
RSNCF_2 = max( RSNCF_P + RSNCFP2 , RSNCF1731) * (1-PREM8_11) * ART1731BIS ;
RSNCF = ( RSNCF_1 * (1-ART1731BIS) + min( RSNCF_1, RSNCF_2 ) * ART1731BIS ) * (1 - V_CNR) ;

RNOUV_1 = max( min( RSN , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1) , 0) ;

RNOUV = (RNOUV_1 * (1-ART1731BIS) + min(RNOUV_1 , RNOUV_2) * ART1731BIS) * (1 - V_CNR) ;

regle 401440:
application : iliad ;


DPENTCY = COD7CY ;
APENTCY_1 = COD7CY * positif(COD7CY) * (1 - V_CNR) ;
APENTCY = APENTCY_1 * (1-ART1731BIS) + min(APENTCY_1 , APENTCY_2) * ART1731BIS ; 

RPENTCY_1 = max( min(APENTCY_1 , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1) , 0) ;

RPENTCY = RPENTCY_1 * (1-ART1731BIS) + min(RPENTCY_1 , RPENTCY_2 ) * ART1731BIS ;

DPENTDY = COD7DY ;
APENTDY_1 = COD7DY * positif(COD7DY) * (1 - V_CNR) ;
APENTDY = APENTDY_1 * (1-ART1731BIS) + min(APENTDY_1 , APENTDY_2) * ART1731BIS ;

RPENTDY_1 = max(min(APENTDY_1 , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPENTCY_1) , 0) ;

RPENTDY = RPENTDY_1 * (1-ART1731BIS) + min(RPENTDY_1 , RPENTDY_2) * ART1731BIS ;

DPENTEY = COD7EY ;
APENTEY_1 = COD7EY * positif(COD7EY) * (1 - V_CNR) ;
APENTEY = APENTEY_1 * (1-ART1731BIS) + min(APENTEY_1 , APENTEY_2) * ART1731BIS ;

RPENTEY_1 = max(min(APENTEY_1 , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPENTCY_1
                                    -RPENTDY_1) , 0) ;

RPENTEY = RPENTEY_1 * (1-ART1731BIS) + min(RPENTEY_1 , RPENTEY_2) * ART1731BIS ;

DPENTFY = COD7FY ;
APENTFY_1 = COD7FY * positif(COD7FY) * (1 - V_CNR) ;
APENTFY = APENTFY_1 * (1-ART1731BIS) + min(APENTFY_1 , APENTFY_2) * ART1731BIS ;

RPENTFY_1 = max(min(APENTFY_1 , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPENTCY_1
                                    -RPENTDY_1-RPENTEY_1) , 0) ;

RPENTFY = RPENTFY_1 * (1-ART1731BIS) + min(RPENTFY_1 , RPENTFY_2) * ART1731BIS ;

DPENTGY = COD7GY ;
APENTGY_1 = COD7GY * positif(COD7GY) * (1 - V_CNR) ;
APENTGY = APENTGY_1 * (1-ART1731BIS) + min(APENTGY_1 , APENTGY_2) * ART1731BIS ;

RPENTGY_1 =  max(min(APENTGY_1 , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPENTCY_1
				 -RPENTDY_1-RPENTEY_1-RPENTFY_1) , 0) ;

RPENTGY = RPENTGY_1 * (1-ART1731BIS) + min(RPENTGY_1 , RPENTGY_2) * ART1731BIS ;

RPENTOT = RPENTCY + RPENTDY + RPENTEY + RPENTFY + RPENTGY ;


regle 401450:
application : iliad ;


REPINVPME3 = max(0 , REPSNO2 - max(0 , (LIM_SOCNOUV2 * (1+BOOL_0AM)) - min(REPSNO3 , LIM_SOCNOUV2 * (1+BOOL_0AM))))
              * (1 - V_CNR) ;

REPINVPME2 = max(0 , REPSNO2 - max(0 , (LIM_SOCNOUV2 * (1+BOOL_0AM)) - min(REPSNO3 , LIM_SOCNOUV2 * (1+BOOL_0AM)))) 
	      * (1 - V_CNR) ; 

RINVPECR = max(0 , COD7CR - max(0 , (LIM_TITPRISE * (1 + BOOL_0AM)) - max(0 , min(BSNCL + REPSNO2 + REPSNO1 , LIM_SOCNOUV2 * (1 + BOOL_0AM)) + COD7CQ))) 
           * (1 - V_CNR) ;

RINVPECV = max(0 , COD7CV - max(0 , (LIM_TITPRISE * (1 + BOOL_0AM)) 
			     - max(0 , min( BSNCL + REPSNO2 + REPSNO1 ,LIM_SOCNOUV2 * (1 + BOOL_0AM)) + COD7CQ + COD7CR)))
	       * (1 - V_CNR) ;

RINVPECX = max(0 , COD7CX - max(0 , (LIM_TITPRISE * (1 + BOOL_0AM)) 
			     - max(0 , min( BSNCL + REPSNO2 + REPSNO1 , LIM_SOCNOUV2 * (1 + BOOL_0AM)) + COD7CQ + COD7CR + COD7CV))) 
	       * (1 - V_CNR) ;

RINVPECF = max(0 , RDSNO - max(0 , (LIM_TITPRISE * (1 + BOOL_0AM)) 
			     - max(0 , min( BSNCL + REPSNO2 + REPSNO1 , LIM_SOCNOUV2 * (1 + BOOL_0AM)) + COD7CQ + COD7CR + COD7CV + COD7CX))) 
	       * (1 - V_CNR) ;

regle 401460:
application : iliad ;



PLAFREPETOT = arr(max(0 , RSNCF + RSNCQ + RSNCR + RSNCV + RSNCX + RPENTCY + RPENTDY + RPENTEY + RPENTFY + RPENTGY - 10000)) * (1 - V_CNR) * positif(AVFISCOPTER) ;

RPLAFPME18 = arr(max(0 , RSNCF - 10000)) * (1 - V_CNR) * positif(AVFISCOPTER) ;

RPLAFPME13 = arr(max(0 , RSNCF +  RPENTCY - (10000 + RPLAFPME18))) * positif(AVFISCOPTER) ;

RPLAFPME14 = arr(max(0 , RSNCF + RSNCQ + RPENTCY + RPENTDY -(10000 + RPLAFPME18 + RPLAFPME13))) * positif(AVFISCOPTER) ;

RPLAFPME15 = arr(max(0 , RSNCF + RSNCQ + RSNCR + RPENTCY + RPENTDY + RPENTEY - (10000 +  RPLAFPME18 + RPLAFPME13 + RPLAFPME14))) * positif(AVFISCOPTER) ;

RPLAFPME16 = arr(max(0 , RSNCF + RSNCQ + RSNCR + RSNCV + RPENTCY + RPENTDY + RPENTEY + RPENTFY - (10000 +  RPLAFPME18 + RPLAFPME13 + RPLAFPME14 + RPLAFPME15))) * positif(AVFISCOPTER) ;

RPLAFPME17 = arr(max(0 , RSNCF + RSNCQ + RSNCR + RSNCV + RSNCX + RPENTCY + RPENTDY + RPENTEY + RPENTFY + RPENTGY - (10000 +  RPLAFPME18 + RPLAFPME13 + RPLAFPME14
		       + RPLAFPME15 + RPLAFPME16 ))) * positif(AVFISCOPTER) ;

regle 401470:
application : iliad ;


DILMIY = LOCMEUBIY ;

AILMIY = (DILMIY * (1 - ART1731BIS) + min(DILMIY , AILMIY_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPA = COD7PA ;

AILMPA = (DILMPA * (1 - ART1731BIS) + min(DILMPA , AILMPA_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPF = COD7PF ;

AILMPF = (DILMPF * (1 - ART1731BIS) + min(DILMPF , AILMPF_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPK = COD7PK ;

AILMPK = (DILMPK * (1 - ART1731BIS) + min(DILMPK , AILMPK_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPP = COD7PP ;

AILMPP = (DILMPP * (1 - ART1731BIS) + min(DILMPP , AILMPP_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPU = COD7PU ;

AILMPU = (DILMPU * (1 - ART1731BIS) + min(DILMPU , AILMPU_2) * ART1731BIS) * (1 - V_CNR) ;

DILMJC = LOCMEUBJC ;

AILMJC = (DILMJC * (1 - ART1731BIS) + min(DILMJC , AILMJC_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPB = COD7PB ;

AILMPB = (DILMPB * (1 - ART1731BIS) + min(DILMPB , AILMPB_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPG = COD7PG ;

AILMPG = (DILMPG * (1 - ART1731BIS) + min(DILMPG , AILMPG_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPL = COD7PL ;

AILMPL = (DILMPL * (1 - ART1731BIS) + min(DILMPL , AILMPL_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPQ = COD7PQ ;

AILMPQ = (DILMPQ * (1 - ART1731BIS) + min(DILMPQ , AILMPQ_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPV = COD7PV ;

AILMPV = (DILMPV * (1 - ART1731BIS) + min(DILMPV , AILMPV_2) * ART1731BIS) * (1 - V_CNR) ;

DILMJI = LOCMEUBJI ;

AILMJI = (DILMJI * (1 - ART1731BIS) + min(DILMJI , AILMJI_2) * ART1731BIS ) * (1 - V_CNR) ;

DILMPC = COD7PC ;

AILMPC = ( DILMPC * (1 - ART1731BIS) + min( DILMPC , AILMPC_2 ) * ART1731BIS) * (1 - V_CNR) ;

DILMPH = COD7PH ;

AILMPH = ( DILMPH * (1 - ART1731BIS) + min( DILMPH , AILMPH_2 ) * ART1731BIS) * (1 - V_CNR) ;

DILMPM = COD7PM ;

AILMPM = (DILMPM * (1 - ART1731BIS) + min(DILMPM , AILMPM_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPR = COD7PR ;

AILMPR = (DILMPR * (1 - ART1731BIS) + min(DILMPR , AILMPR_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPW = COD7PW ;

AILMPW = (DILMPW * (1 - ART1731BIS) + min(DILMPW , AILMPW_2) * ART1731BIS) * (1 - V_CNR) ;

DILMJS = LOCMEUBJS ;

AILMJS = (DILMJS * (1 - ART1731BIS) + min(DILMJS , AILMJS_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPD = COD7PD ;

AILMPD = (DILMPD * (1 - ART1731BIS) + min(DILMPD , AILMPD_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPI = COD7PI ;

AILMPI = (DILMPI * (1 - ART1731BIS) + min(DILMPI , AILMPI_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPN = COD7PN ;

AILMPN = (DILMPN * (1 - ART1731BIS) + min(DILMPN , AILMPN_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPS = COD7PS ;

AILMPS = (DILMPS * (1 - ART1731BIS) + min(DILMPS , AILMPS_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPX = COD7PX ;

AILMPX = (DILMPX * (1 - ART1731BIS) + min(DILMPX , AILMPX_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPE = COD7PE ;

AILMPE = (DILMPE * (1 - ART1731BIS) + min(DILMPE , AILMPE_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPJ = COD7PJ ;

AILMPJ = (DILMPJ * (1 - ART1731BIS) + min(DILMPJ , AILMPJ_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPO = COD7PO ;

AILMPO = (DILMPO * (1 - ART1731BIS) + min(DILMPO , AILMPO_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPT = COD7PT ;

AILMPT = (DILMPT * (1 - ART1731BIS) + min(DILMPT , AILMPT_2) * ART1731BIS) * (1 - V_CNR) ;

DILMPY = COD7PY ;

AILMPY = (DILMPY * (1 - ART1731BIS) + min(DILMPY , AILMPY_2) * ART1731BIS) * (1 - V_CNR) ;


DPROREP = INVNPROREP ;

BPROREP = min(LIMREPLOC10 , DPROREP) * (1 - COD7OZ) + DPROREP * COD7OZ ;
APROREP = (BPROREP * (1 - ART1731BIS) + min(BPROREP , APROREP_2) * ART1731BIS) * (1 - V_CNR) ;

RETPROREP = arr(BPROREP * TX25 / 100) * (1 - V_CNR) ;

DREPNPRO = INVREPNPRO ;

BREPNPRO = min(LIMREPLOC10 , DREPNPRO) * (1 - COD7OZ) + DREPNPRO * COD7OZ ;
AREPNPRO = (BREPNPRO * (1 - ART1731BIS) + min(BREPNPRO , AREPNPRO_2) * ART1731BIS) * (1 - V_CNR) ;

RETREPNPRO = arr(BREPNPRO * TX25 / 100) * (1 - V_CNR) ;

DREPMEU = INVREPMEU ;

BREPMEU = min(LIMREPLOC10 , DREPMEU) * (1 - COD7OZ) + DREPMEU * COD7OZ ;
AREPMEU = (BREPMEU * (1 - ART1731BIS) + min(BREPMEU , AREPMEU_2) * ART1731BIS) * (1 - V_CNR) ;

RETREPMEU = arr(BREPMEU * TX25 / 100) * (1 - V_CNR) ;

DILMIC = LOCMEUBIC ;

BILMIC = min(LIMREPLOC8 , DILMIC) * (1 - COD7OZ) + DILMIC * COD7OZ ;
AILMIC = (BILMIC * (1 - ART1731BIS) + min(BILMIC , AILMIC_2) * ART1731BIS) * (1 - V_CNR) ;

DILMIB = LOCMEUBIB ;

BILMIB = min(LIMREPLOC6 , DILMIB) * (1 - COD7OZ) + DILMIB * COD7OZ ;
AILMIB = (BILMIB * (1 - ART1731BIS) + min(BILMIB , AILMIB_2) * ART1731BIS) * (1 - V_CNR) ;

DILMIA = LOCMEUBIA ;

BILMIA = min(LIMREPLOC2 , DILMIA) * (1 - COD7OZ) + DILMIA * COD7OZ ;
AILMIA = (BILMIA * (1 - ART1731BIS) + min(BILMIA , AILMIA_2) * ART1731BIS) * (1 - V_CNR) ;

DILMJY = LOCMEUBJY ;

BILMJY = min(LIMREPLOC8 , DILMJY) * (1 - COD7OZ) + DILMJY * COD7OZ ;
AILMJY = (BILMJY * (1 - ART1731BIS) + min(BILMJY , AILMJY_2) * ART1731BIS) * (1 - V_CNR) ;

DILMJX = LOCMEUBJX ;

BILMJX = min(LIMREPLOC6 , DILMJX) * (1 - COD7OZ) + DILMJX * COD7OZ ;
AILMJX = (BILMJX * (1 - ART1731BIS) + min(BILMJX , AILMJX_2) * ART1731BIS) * (1 - V_CNR) ;

DILMJW = LOCMEUBJW ;

BILMJW = min(LIMREPLOC5 , DILMJW) * (1 - COD7OZ) + DILMJW * COD7OZ ;
AILMJW = (BILMJW * (1 - ART1731BIS) + min(BILMJW , AILMJW_2) * ART1731BIS) * (1 - V_CNR) ;

DILMJV = LOCMEUBJV ;

BILMJV = min(LIMREPLOC1 , DILMJV) * (1 - COD7OZ) + DILMJV * COD7OZ ;
AILMJV = (BILMJV * (1 - ART1731BIS) + min(BILMJV , AILMJV_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOE = COD7OE ;

BILMOE = min(LIMREPLOC8 , DILMOE) * (1 - COD7OZ) + DILMOE * COD7OZ ;
AILMOE = (BILMOE * (1 - ART1731BIS) + min(BILMOE , AILMOE_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOD = COD7OD ;

BILMOD = min(LIMREPLOC8 , DILMOD) * (1 - COD7OZ) + DILMOD * COD7OZ ;
AILMOD = (BILMOD * (1 - ART1731BIS) + min(BILMOD , AILMOD_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOC = COD7OC ;

BILMOC = min(LIMREPLOC6 , DILMOC) * (1 - COD7OZ) + DILMOC * COD7OZ ;
AILMOC = (BILMOC * (1 - ART1731BIS) + min(BILMOC , AILMOC_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOB = COD7OB ;

BILMOB = min(LIMREPLOC5 , DILMOB) * (1 - COD7OZ) + DILMOB * COD7OZ ;
AILMOB = (BILMOB * (1 - ART1731BIS) + min(BILMOB , AILMOB_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOA = COD7OA ;

BILMOA = min(LIMREPLOC1 , DILMOA) * (1 - COD7OZ) + DILMOA * COD7OZ ;
AILMOA = (BILMOA * (1 - ART1731BIS) + min(BILMOA , AILMOA_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOJ = COD7OJ ;

BILMOJ = min(LIMREPLOC8 , DILMOJ) * (1 - COD7OZ) + DILMOJ * COD7OZ ;
AILMOJ = (BILMOJ * (1 - ART1731BIS) + min(BILMOJ , AILMOJ_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOI = COD7OI ;

BILMOI = min(LIMREPLOC8 , DILMOI) * (1 - COD7OZ) + DILMOI * COD7OZ ;
AILMOI = (BILMOI * (1 - ART1731BIS) + min(BILMOI , AILMOI_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOH = COD7OH ;

BILMOH = min(LIMREPLOC6 , DILMOH) * (1 - COD7OZ) + DILMOH * COD7OZ ;
AILMOH = (BILMOH * (1 - ART1731BIS) + min(BILMOH , AILMOH_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOG = COD7OG ;

BILMOG = min(LIMREPLOC5 , DILMOG) * (1 - COD7OZ) + DILMOG * COD7OZ ;
AILMOG = (BILMOG * (1 - ART1731BIS) + min(BILMOG , AILMOG_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOF = COD7OF ;

BILMOF = min(LIMREPLOC3 , DILMOF) * (1 - COD7OZ) + DILMOF * COD7OZ ;
AILMOF = (BILMOF * (1 - ART1731BIS) + min(BILMOF , AILMOF_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOO = COD7OO ;

BILMOO = min(LIMREPLOC8 , DILMOO) * (1 - COD7OZ) + DILMOO * COD7OZ ;
AILMOO = (BILMOO * (1 - ART1731BIS) + min(BILMOO , AILMOO_2) * ART1731BIS) * (1 - V_CNR) ;

DILMON = COD7ON ;

BILMON = min(LIMREPLOC8 , DILMON) * (1 - COD7OZ) + DILMON * COD7OZ ;
AILMON = (BILMON * (1 - ART1731BIS) + min(BILMON , AILMON_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOM = COD7OM ;

BILMOM = min(LIMREPLOC6 , DILMOM) * (1 - COD7OZ) + DILMOM * COD7OZ ;
AILMOM = (BILMOM * (1 - ART1731BIS) + min(BILMOM , AILMOM_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOL = COD7OL ;

BILMOL = min(LIMREPLOC5 , DILMOL) * (1 - COD7OZ) + DILMOL * COD7OZ ;
AILMOL = (BILMOL * (1 - ART1731BIS) + min(BILMOL , AILMOL_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOK = COD7OK ;

BILMOK = min(LIMREPLOC4 , DILMOK) * (1 - COD7OZ) + DILMOK * COD7OZ ;
AILMOK = (BILMOK * (1 - ART1731BIS) + min(BILMOK , AILMOK_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOT = COD7OT ;

BILMOT = min(LIMREPLOC8 , DILMOT) * (1 - COD7OZ) + DILMOT * COD7OZ ;
AILMOT = (BILMOT * (1 - ART1731BIS) + min(BILMOT , AILMOT_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOS = COD7OS ;

BILMOS = min(LIMREPLOC8 , DILMOS) * (1 - COD7OZ) + DILMOS * COD7OZ ;
AILMOS = (BILMOS * (1 - ART1731BIS) + min(BILMOS , AILMOS_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOR = COD7OR ;

BILMOR = min(LIMREPLOC6 , DILMOR) * (1 - COD7OZ) + DILMOR * COD7OZ ;
AILMOR = (BILMOR * (1 - ART1731BIS) + min(BILMOR , AILMOR_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOQ = COD7OQ ;

BILMOQ = min(LIMREPLOC5 , DILMOQ) * (1 - COD7OZ) + DILMOQ * COD7OZ ;
AILMOQ = (BILMOQ * (1 - ART1731BIS) + min(BILMOQ , AILMOQ_2) * ART1731BIS) * (1 - V_CNR) ;

DILMOP = COD7OP ;

BILMOP = min(LIMREPLOC7 , DILMOP) * (1 - COD7OZ) + DILMOP * COD7OZ ;
AILMOP = (BILMOP * (1 - ART1731BIS) + min(BILMOP , AILMOP_2) * ART1731BIS) * (1 - V_CNR) ;

DILMSA = COD7SA ;

BILMSA = min(LIMREPLOC9 , DILMSA) * (1 - COD7OZ) + DILMSA * COD7OZ ;
AILMSA = (BILMSA * (1 - ART1731BIS) + min(BILMSA , AILMSA_2) * ART1731BIS) * (1 - V_CNR) ;

DILMSB = COD7SB ;

BILMSB = min(LIMREPLOC1 , DILMSB) * (1 - COD7OZ) + DILMSB * COD7OZ ;
AILMSB = (BILMSB * (1 - ART1731BIS) + min(BILMSB , AILMSB_2) * ART1731BIS) * (1 - V_CNR) ;

DILMSC = COD7SC ;

BILMSC = min(LIMREPLOC2 , DILMSC) * (1 - COD7OZ) + DILMSC * COD7OZ ;
AILMSC = (BILMSC * (1 - ART1731BIS) + min(BILMSC , AILMSC_2) * ART1731BIS) * (1 - V_CNR) ;

regle 401500:
application : iliad ;

VARTMP1 = 0 ;

RILMIY_1 = max(min(DILMIY , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT) , 0) * (1 - V_CNR)  ;
RILMIY = max(0 , RILMIY_1 * (1 - ART1731BIS) + min(RILMIY_1 , RILMIY_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMIY_1 ;

REPMEUIY = (DILMIY - RILMIY) * (1 - V_CNR) ;
 
RILMPA_1 = max(min(DILMPA , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPA = max(0 , RILMPA_1 * (1 - ART1731BIS) + min(RILMPA_1 , RILMPA_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPA_1 ;

REPMEUPA = (DILMPA - RILMPA) * (1 - V_CNR) ;

RILMPF_1 = max(min(DILMPF , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPF = max(0 , RILMPF_1 * (1 - ART1731BIS) + min(RILMPF_1 , RILMPF_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPF_1 ;

REPMEUPF = (DILMPF - RILMPF) * (1 - V_CNR) ;

RILMPK_1 = max(min(DILMPK , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPK = max(0 , RILMPK_1 * (1 - ART1731BIS) + min(RILMPK_1 , RILMPK_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPK_1 ;

REPMEUPK = (DILMPK - RILMPK) * (1 - V_CNR) ;

RILMPP_1 = max(min(DILMPP , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPP = max(0 , RILMPP_1 * (1 - ART1731BIS) + min(RILMPP_1 , RILMPP_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPP_1 ;

REPMEUPP = (DILMPP - RILMPP) * (1 - V_CNR) ;

RILMPU_1 = max(min(DILMPU , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPU = max(0 , RILMPU_1 * (1 - ART1731BIS) + min(RILMPU_1 , RILMPU_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPU_1 ;

REPMEUPU = (DILMPU - RILMPU) * (1 - V_CNR) ;

RILMJC_1 = max(min(DILMJC , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMJC = max(0 , RILMJC_1 * (1 - ART1731BIS) + min(RILMJC_1 , RILMJC_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMJC_1 ;

REPMEUJC = (DILMJC - RILMJC) * (1 - V_CNR) ;

RILMPB_1 = max(min(DILMPB , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPB = max(0 , RILMPB_1 * (1 - ART1731BIS) + min(RILMPB_1 , RILMPB_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPB_1 ;

REPMEUPB = (DILMPB - RILMPB) * (1 - V_CNR) ;

RILMPG_1 = max(min(DILMPG , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPG = max(0 , RILMPG_1 * (1 - ART1731BIS) + min(RILMPG_1 , RILMPG_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPG_1 ;

REPMEUPG = (DILMPG - RILMPG) * (1 - V_CNR) ;

RILMPL_1 = max(min(DILMPL , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPL = max(0 , RILMPL_1 * (1 - ART1731BIS) + min(RILMPL_1 , RILMPL_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPL_1 ;

REPMEUPL = (DILMPL - RILMPL) * (1 - V_CNR) ;

RILMPQ_1 = max(min(DILMPQ , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPQ = max(0 , RILMPQ_1 * (1 - ART1731BIS) + min(RILMPQ_1 , RILMPQ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPQ_1 ;

REPMEUPQ = (DILMPQ - RILMPQ) * (1 - V_CNR) ;

RILMPV_1 = max(min(DILMPV , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPV = max(0 , RILMPV_1 * (1 - ART1731BIS) + min(RILMPV_1 , RILMPV_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPV_1 ;

REPMEUPV = (DILMPV - RILMPV) * (1 - V_CNR) ;

RILMJI_1 = max(min(DILMJI , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMJI = max(0 , RILMJI_1 * (1 - ART1731BIS) + min(RILMJI_1 , RILMJI_2 ) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMJI_1 ;

REPMEUJI = (DILMJI - RILMJI) * (1 - V_CNR) ;

RILMPC_1 = max(min(DILMPC , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPC = max(0 , RILMPC_1 * (1 - ART1731BIS) + min(RILMPC_1 , RILMPC_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPC_1 ;

REPMEUPC = (DILMPC - RILMPC) * (1 - V_CNR) ;

RILMPH_1 = max(min(DILMPH , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPH = max(0 , RILMPH_1 * (1 - ART1731BIS) + min(RILMPH_1 , RILMPH_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPH_1 ;

REPMEUPH = (DILMPH - RILMPH) * (1 - V_CNR) ;

RILMPM_1 = max(min(DILMPM , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPM = max(0 , RILMPM_1 * (1 - ART1731BIS) + min(RILMPM_1 , RILMPM_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPM_1 ;

REPMEUPM = (DILMPM - RILMPM) * (1 - V_CNR) ;

RILMPR_1 = max(min(DILMPR , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPR = max(0 , RILMPR_1 * (1 - ART1731BIS) + min(RILMPR_1 , RILMPR_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPR_1 ;

REPMEUPR = (DILMPR - RILMPR) * (1 - V_CNR) ;

RILMPW_1 = max(min(DILMPW , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPW = max(0 , RILMPW_1 * (1 - ART1731BIS) + min(RILMPW_1 , RILMPW_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPW_1 ;

REPMEUPW = (DILMPW - RILMPW) * (1 - V_CNR) ;

RILMJS_1 = max(min(DILMJS , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMJS = max(0 , RILMJS_1 * (1 - ART1731BIS) + min(RILMJS_1 , RILMJS_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMJS_1 ;

REPMEUJS = (DILMJS - RILMJS) * (1 - V_CNR) ;

RILMPD_1 = max(min(DILMPD , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPD = max(0 , RILMPD_1 * (1 - ART1731BIS) + min(RILMPD_1 , RILMPD_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPD_1 ;

REPMEUPD = (DILMPD - RILMPD) * (1 - V_CNR) ;

RILMPI_1 = max(min(DILMPI , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPI = max(0 , RILMPI_1 * (1 - ART1731BIS) + min(RILMPI_1 , RILMPI_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPI_1 ;

REPMEUPI = (DILMPI - RILMPI) * (1 - V_CNR) ;

RILMPN_1 = max(min(DILMPN , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPN = max(0 , RILMPN_1 * (1 - ART1731BIS) + min(RILMPN_1 , RILMPN_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPN_1 ;

REPMEUPN = (DILMPN - RILMPN) * (1 - V_CNR) ;

RILMPS_1 = max(min(DILMPS , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPS = max(0 , RILMPS_1 * (1 - ART1731BIS) + min(RILMPS_1 , RILMPS_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPS_1 ;

REPMEUPS = (DILMPS - RILMPS) * (1 - V_CNR) ;

RILMPX_1 = max(min(DILMPX , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPX = max(0 , RILMPX_1 * (1 - ART1731BIS) + min(RILMPX_1 , RILMPX_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPX_1 ;

REPMEUPX = (DILMPX - RILMPX) * (1 - V_CNR) ;

RILMPE_1 = max(min(DILMPE , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPE = max(0 , RILMPE_1 * (1 - ART1731BIS) + min(RILMPE_1 , RILMPE_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPE_1 ;

REPMEUPE = (DILMPE - RILMPE) * (1 - V_CNR) ;

RILMPJ_1 = max(min(DILMPJ , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPJ = max(0 , RILMPJ_1 * (1 - ART1731BIS) + min(RILMPJ_1 , RILMPJ_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPJ_1 ;

REPMEUPJ = (DILMPJ - RILMPJ) * (1 - V_CNR) ;

RILMPO_1 = max(min(DILMPO , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPO = max(0 , RILMPO_1 * (1 - ART1731BIS) + min(RILMPO_1 , RILMPO_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPO_1 ;

REPMEUPO = (DILMPO - RILMPO) * (1 - V_CNR) ;

RILMPT_1 = max(min(DILMPT , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPT = max(0 , RILMPT_1 * (1 - ART1731BIS) + min(RILMPT_1 , RILMPT_2) * ART1731BIS) ;
VARTMP1 = VARTMP1 + RILMPT_1  ;

REPMEUPT = (DILMPT - RILMPT) * (1 - V_CNR) ;

RILMPY_1 = max(min(DILMPY , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT - VARTMP1) , 0) * (1 - V_CNR)  ;
RILMPY = max(0 , RILMPY_1 * (1 - ART1731BIS) + min(RILMPY_1 , RILMPY_2) * ART1731BIS) ;
VARTMP1 = 0 ;

REPMEUPY = (DILMPY - RILMPY) * (1 - V_CNR) ;

DILMNP1 = DILMIY + DILMPA + DILMPF + DILMPK + DILMPP + DILMPU +  DILMJC + DILMPB + DILMPG + DILMPL + DILMPQ + DILMPV + DILMJI 
          + DILMPC + DILMPH + DILMPM + DILMPR + DILMPW + DILMJS + DILMPD + DILMPI + DILMPN + DILMPS + DILMPX + DILMPE + DILMPJ
	  + DILMPO + DILMPT + DILMPY ;

AILMNP1 = AILMIY + AILMPA + AILMPF + AILMPK + AILMPP + AILMPU + AILMJC + AILMPB + AILMPG + AILMPL + AILMPQ + AILMPV + AILMJI 
          + AILMPC + AILMPH + AILMPM + AILMPR + AILMPW + AILMJS + AILMPD + AILMPI + AILMPN + AILMPS + AILMPX + AILMPE + AILMPJ
	  + AILMPO + AILMPT + AILMPY ;

RILMNP1 = RILMIY + RILMPA + RILMPF + RILMPK + RILMPP + RILMPU + RILMJC + RILMPB + RILMPG + RILMPL + RILMPQ + RILMPV + RILMJI 
          + RILMPC + RILMPH + RILMPM + RILMPR + RILMPW + RILMJS + RILMPD + RILMPI + RILMPN + RILMPS + RILMPX + RILMPE + RILMPJ
	  + RILMPO + RILMPT + RILMPY ;

regle 401679:
application : iliad ;


RPROREP_1 = max(min(RETPROREP , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1) , 0) ;

RPROREP = max(0 , RPROREP_1 * (1-ART1731BIS) + min( RPROREP_1 , RPROREP_2 ) * ART1731BIS) ;

REPMEUIR = (RETPROREP - RPROREP) * (1 - V_CNR) ;

RREPNPRO_1 = max(min(RETREPNPRO , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1
					-RPROREP_1) , 0) ;

RREPNPRO = max(0 , RREPNPRO_1 * (1-ART1731BIS) + min( RREPNPRO_1 , RREPNPRO_2 ) * ART1731BIS) ;

REPMEUIQ = (RETREPNPRO - RREPNPRO) * (1 - V_CNR) ;

RREPMEU_1 = max(min(RETREPMEU , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1
				      -RPROREP_1-RREPNPRO_1) , 0) ;

RREPMEU = max(0 , RREPMEU_1 * (1-ART1731BIS) + min( RREPMEU_1 , RREPMEU_2 ) * ART1731BIS) ;

REPMEUIP = (RETREPMEU - RREPMEU) * (1 - V_CNR) ;

DILMNP2 = DPROREP + DREPNPRO + DREPMEU ;

AILMNP2 = APROREP + AREPNPRO + AREPMEU ;

RILMNP2 = RPROREP + RREPNPRO + RREPMEU ;

regle 401680:
application : iliad ;

VARTMP1 = DEC11 + (RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO) + REDUCAVTCEL_1 + RCELTOT + RILMNP1 + RILMNP2 ;

RILMIC_1 = max(min(BILMIC , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMIC = max(0 , RILMIC_1 * (1 - ART1731BIS) + min(RILMIC_1 , RILMIC_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMIC_1 ;

RILMIB_1 = max(min(BILMIB , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMIB = max(0 , RILMIB_1 * (1 - ART1731BIS) + min(RILMIB_1 , RILMIB_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMIB_1 ;

RILMIA_1 = max(min(BILMIA , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMIA = max(0 , RILMIA_1 * (1 - ART1731BIS) + min(RILMIA_1 , RILMIA_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMIA_1 ;

RILMJY_1 = max(min(BILMJY , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMJY = max(0 , RILMJY_1 * (1 - ART1731BIS) + min(RILMJY_1 , RILMJY_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMJY_1 ;

RILMJX_1 = max(min(BILMJX , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMJX = max(0 , RILMJX_1 * (1 - ART1731BIS) + min(RILMJX_1 , RILMJX_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMJX_1 ;

RILMJW_1 = max(min(BILMJW , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMJW = max(0 , RILMJW_1 * (1 - ART1731BIS) + min(RILMJW_1 , RILMJW_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMJW_1 ;

RILMJV_1 = max(min(BILMJV , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMJV = max(0 , RILMJV_1 * (1 - ART1731BIS) + min(RILMJV_1 , RILMJV_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMJV_1 ;

RILMOE_1 = max(min(BILMOE , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOE = max(0 , RILMOE_1 * (1 - ART1731BIS) + min(RILMOE_1 , RILMOE_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOE_1 ;

RILMOD_1 = max(min(BILMOD , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOD = max(0 , RILMOD_1 * (1 - ART1731BIS) + min(RILMOD_1 , RILMOD_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOD_1 ;

RILMOC_1 = max(min(BILMOC , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOC = max(0 , RILMOC_1 * (1 - ART1731BIS) + min(RILMOC_1 , RILMOC_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOC_1 ;

RILMOB_1 = max(min(BILMOB , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOB = max(0 , RILMOB_1 * (1 - ART1731BIS) + min(RILMOB_1 , RILMOB_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOB_1 ;

RILMOA_1 = max(min(BILMOA , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOA = max(0 , RILMOA_1 * (1 - ART1731BIS) + min(RILMOA_1 , RILMOA_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOA_1 ;

RILMOJ_1 = max(min(BILMOJ , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOJ = max(0 , RILMOJ_1 * (1 - ART1731BIS) + min(RILMOJ_1 , RILMOJ_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOJ_1 ;

RILMOI_1 = max(min(BILMOI , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOI = max(0 , RILMOI_1 * (1 - ART1731BIS) + min(RILMOI_1 , RILMOI_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOI_1 ;

RILMOH_1 = max(min(BILMOH , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOH = max(0 , RILMOH_1 * (1 - ART1731BIS) + min(RILMOH_1 , RILMOH_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOH_1 ;

RILMOG_1 = max(min(BILMOG , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOG = max(0 , RILMOG_1 * (1 - ART1731BIS) + min(RILMOG_1 , RILMOG_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOG_1 ;

RILMOF_1 = max(min(BILMOF , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOF = max(0 , RILMOF_1 * (1 - ART1731BIS) + min(RILMOF_1 , RILMOF_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOF_1 ;

RILMOO_1 = max(min(BILMOO , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOO = max(0 , RILMOO_1 * (1 - ART1731BIS) + min(RILMOO_1 , RILMOO_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOO_1 ;

RILMON_1 = max(min(BILMON , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMON = max(0 , RILMON_1 * (1 - ART1731BIS) + min(RILMON_1 , RILMON_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMON_1 ;

RILMOM_1 = max(min(BILMOM , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOM = max(0 , RILMOM_1 * (1 - ART1731BIS) + min(RILMOM_1 , RILMOM_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOM_1 ;

RILMOL_1 = max(min(BILMOL , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOL = max(0 , RILMOL_1 * (1 - ART1731BIS) + min(RILMOL_1 , RILMOL_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOL_1 ;

RILMOK_1 = max(min(BILMOK , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOK = max(0 , RILMOK_1 * (1 - ART1731BIS) + min(RILMOK_1 , RILMOK_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOK_1 ;

RILMOT_1 = max(min(BILMOT , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOT = max(0 , RILMOT_1 * (1 - ART1731BIS) + min(RILMOT_1 , RILMOT_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOT_1 ;

RILMOS_1 = max(min(BILMOS , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOS = max(0 , RILMOS_1 * (1 - ART1731BIS) + min(RILMOS_1 , RILMOS_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOS_1 ;

RILMOR_1 = max(min(BILMOR , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOR = max(0 , RILMOR_1 * (1 - ART1731BIS) + min(RILMOR_1 , RILMOR_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOR_1 ;

RILMOQ_1 = max(min(BILMOQ , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOQ = max(0 , RILMOQ_1 * (1 - ART1731BIS) + min(RILMOQ_1 , RILMOQ_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOQ_1 ;

RILMOP_1 = max(min(BILMOP , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMOP = max(0 , RILMOP_1 * (1 - ART1731BIS) + min(RILMOP_1 , RILMOP_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMOP_1  ;

RILMSA_1 = max(min(BILMSA , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMSA = max(0 , RILMSA_1 * (1 - ART1731BIS) + min(RILMSA_1 , RILMSA_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMSA_1 ;

RILMSB_1 = max(min(BILMSB , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMSB = max(0 , RILMSB_1 * (1 - ART1731BIS) + min(RILMSB_1 , RILMSB_2) * ART1731BIS) ;

VARTMP1 = VARTMP1 + RILMSB_1 ;

RILMSC_1 = max(min(BILMSC , IDOM11 - VARTMP1) , 0) * (1 - V_CNR) ;

RILMSC = max(0 , RILMSC_1 * (1 - ART1731BIS) + min(RILMSC_1 , RILMSC_2) * ART1731BIS) ;

VARTMP1 = 0 ;


DILMNP3 = DILMIA + DILMIB + DILMIC + DILMJV + DILMJW + DILMJX + DILMJY + DILMOA + DILMOB + DILMOC + DILMOD + DILMOE + DILMOF + DILMOG 
        + DILMOH + DILMOI + DILMOJ + DILMOK + DILMOL + DILMOM + DILMON + DILMOO + DILMOP + DILMOQ + DILMOR + DILMOS + DILMOT + DILMSA
        + DILMSB + DILMSC ;

AILMNP3 = AILMIA + AILMIB + AILMIC + AILMJV + AILMJW + AILMJX + AILMJY + AILMOA + AILMOB + AILMOC + AILMOD + AILMOE + AILMOF + AILMOG 
        + AILMOH + AILMOI + AILMOJ + AILMOK + AILMOL + AILMOM + AILMON + AILMOO + AILMOP + AILMOQ + AILMOR + AILMOS + AILMOT + AILMSA
        + AILMSB + AILMSC ;

RILMNP3 = RILMIA + RILMIB + RILMIC + RILMJV + RILMJW + RILMJX + RILMJY + RILMOA + RILMOB + RILMOC + RILMOD + RILMOE + RILMOF + RILMOG 
        + RILMOH + RILMOI + RILMOJ + RILMOK + RILMOL + RILMOM + RILMON + RILMOO + RILMOP + RILMOQ + RILMOR + RILMOS + RILMOT + RILMSA
       	+ RILMSB + RILMSC ;



REPMEUIC = (BILMIC - RILMIC) * (1 - V_CNR) ;
REPMEUIB = (BILMIB - RILMIB) * (1 - V_CNR) ;
REPMEUIA = (BILMIA - RILMIA) * (1 - V_CNR) ;
REPMEUJY = (BILMJY - RILMJY) * (1 - V_CNR) ;
REPMEUJX = (BILMJX - RILMJX) * (1 - V_CNR) ;
REPMEUJW = (BILMJW - RILMJW) * (1 - V_CNR) ;
REPMEUJV = (BILMJV - RILMJV) * (1 - V_CNR) ;
REPMEUOE = (BILMOE - RILMOE) * (1 - V_CNR) ;
REPMEUOD = (BILMOD - RILMOD) * (1 - V_CNR) ;
REPMEUOC = (BILMOC - RILMOC) * (1 - V_CNR) ;
REPMEUOB = (BILMOB - RILMOB) * (1 - V_CNR) ;
REPMEUOA = (BILMOA - RILMOA) * (1 - V_CNR) ;
REPMEUOJ = (BILMOJ - RILMOJ) * (1 - V_CNR) ;
REPMEUOI = (BILMOI - RILMOI) * (1 - V_CNR) ;
REPMEUOH = (BILMOH - RILMOH) * (1 - V_CNR) ;
REPMEUOG = (BILMOG - RILMOG) * (1 - V_CNR) ;
REPMEUOF = (BILMOF - RILMOF) * (1 - V_CNR) ;
REPMEUOO = (BILMOO - RILMOO) * (1 - V_CNR) ;
REPMEUON = (BILMON - RILMON) * (1 - V_CNR) ;
REPMEUOM = (BILMOM - RILMOM) * (1 - V_CNR) ;
REPMEUOL = (BILMOL - RILMOL) * (1 - V_CNR) ;
REPMEUOK = (BILMOK - RILMOK) * (1 - V_CNR) ;
REPMEUOT = (BILMOT - RILMOT) * (1 - V_CNR) ;
REPMEUOS = (BILMOS - RILMOS) * (1 - V_CNR) ;
REPMEUOR = (BILMOR - RILMOR) * (1 - V_CNR) ;
REPMEUOQ = (BILMOQ - RILMOQ) * (1 - V_CNR) ;
REPMEUOP = (BILMOP - RILMOP) * (1 - V_CNR) ;
REPMEUSA = (BILMSA - RILMSA) * (1 - V_CNR) ;
REPMEUSB = (BILMSB - RILMSB) * (1 - V_CNR) ;
REPMEUSC = (BILMSC - RILMSC) * (1 - V_CNR) ;

regle 401750:
application : iliad ;


DCODOY = COD7OY ;
ACODOY_1 = min(DCODOY , PLAF_RESINEUV) * (1 - V_CNR) ;
ACODOY = ACODOY_1 * (1 -ART1731BIS) + min(ACODOY_1 , ACODOY_2) * ART1731BIS ;

DCODOX = COD7OX ;
ACODOX_1 =  min(DCODOX , PLAF_RESINEUV) * (1 - V_CNR) ;
ACODOX = ACODOX_1 * (1 -ART1731BIS) + min(ACODOX_1 , ACODOX_2) * ART1731BIS ;

DCODOW = COD7OW ;
ACODOW_1 = min(DCODOW , PLAF_RESINEUV) * (1 - V_CNR) ;
ACODOW = ACODOW_1 * (1 -ART1731BIS) + min(ACODOW_1 , ACODOW_2) * ART1731BIS ;

DCODOV = COD7OV ;
ACODOV_1 = min(DCODOV , PLAF_RESINEUV) * (1 - V_CNR) ;
ACODOV = ACODOV_1 * (1 -ART1731BIS) + min(ACODOV_1 , ACODOV_2) * ART1731BIS ;

DCODOU = COD7OU ;
ACODOU_1 = min(DCODOU , PLAF_RESINEUV) * (1 - V_CNR) ;
ACODOU = ACODOU_1 * (1 -ART1731BIS) + min(ACODOU_1 , ACODOU_2) * ART1731BIS ;

DCODJTJU = LOCMEUBJT ;
ACODJT = min(LOCMEUBJT , PLAF_RESINEUV) * (1 - V_CNR) ;

ACODJTJU_1 = ACODJT  ;
ACODJTJU = ACODJTJU_1 * (1 -ART1731BIS)
            + min(ACODJTJU_1 , ACODJTJU_2)* ART1731BIS ; 

DLOCIDEFG = LOCMEUBID ;

ACODID_1 = min(LOCMEUBID , PLAF_RESINEUV)* (1 - V_CNR) ;
ACODID = (ACODID_1 * (1-ART1731BIS) + min(ACODID_1 , ACODID_2) * ART1731BIS) * (1 - V_CNR) ;

ALOCIDEFG_1 = (ACODID ) ; 
ALOCIDEFG = ALOCIDEFG_1 * (1 - ART1731BIS) + min(ALOCIDEFG_1 , ALOCIDEFG_2) * ART1731BIS ;

DRESINEUV = LOCRESINEUV + INVNPROF1 ;

ACODIN = min(INVNPROF1 , PLAF_RESINEUV) * (1 - V_CNR) ;
ACODIJ = min(LOCRESINEUV ,( PLAF_RESINEUV - ACODIN)) * (1 - V_CNR) ;

ARESINEUV_1 = ACODIN  + ACODIJ  ; 
ARESINEUV = ARESINEUV_1 * (1 - ART1731BIS) + min(ARESINEUV_1 , ARESINEUV_2) * ART1731BIS ;

DRESIVIEU = RESIVIEU ;

ACODIM = min(RESIVIEU , PLAF_RESINEUV) * (1 - V_CNR) ;

ARESIVIEU_1 = ACODIM  ;
ARESIVIEU = ARESIVIEU_1 * (1-ART1731BIS) + min(ARESIVIEU_1 , ARESIVIEU_2) * ART1731BIS ;


RETCODOY = arr((ACODOY_1 * TX11/100) /9) ;

RETCODOX = arr((ACODOX_1 * TX11/100) /9) ;

RETCODOW = arr((ACODOW_1* TX11/100)  /9) ;

RETCODOV = arr((ACODOV_1* TX11/100) /9) ;

RETCODOU = arr((ACODOU_1* TX11/100) /9) ;

RETCODJT = arr((ACODJT* TX11/100) / 9)  ;

RETCODID = arr((ACODID_1* TX11/100) /9)  ;

RETLOCIDEFG_1 = arr((ACODID* TX11/100) /9) ;

RETLOCIDEFG = arr((ACODID* TX11/100) /9)  * (1 - ART1731BIS) + min(ALOCIDEFG_1 , ALOCIDEFG1731 + 0) * ART1731BIS ;

RETRESINEUV = arr((ACODIN * TX20 / 100) / 9) + arr((ACODIJ * TX18 / 100) / 9)  * (1 - ART1731BIS)
              + min(ARESINEUV_1 , ARESINEUV1731 + 0) * ART1731BIS ;

RETRESINEUV_1 = arr((ACODIN * TX20 / 100) / 9) + arr((ACODIJ  * TX18 / 100) / 9) ;

RETCODIN = arr((ACODIN  * TX20 / 100) / 9) ;

RETCODIJ = arr((ACODIJ  * TX18 / 100) / 9) ;

RETRESIVIEU = arr((ACODIM * TX25 / 100)/9 ) * (1 - ART1731BIS) + min(ARESIVIEU_1 , ARESIVIEU1731+0) * ART1731BIS ;

RETRESIVIEU_1 = arr((ACODIM * TX25 / 100) / 9) ;

RETCODIM = arr((ACODIM * TX25 / 100) / 9)  ;

regle 401770:
application : iliad ;


RCODIM_1 = max(min(RETCODIM , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1
                                    -RILMNP2-RILMNP3) , 0) ;

RCODIM = max(0 , RCODIM_1 * (1-ART1731BIS) + min(RCODIM_1 , RCODIM_2) * ART1731BIS) ;

REPLOCIM = (RETCODIM - RCODIM) * positif(RESIVIEU + 0) * (1 - V_CNR) ;

RRESIVIEU_1 = RCODIM_1 ;
RRESIVIEU = RCODIM ;


RCODIN_1 = max(min(RETCODIN , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1
                                    -RILMNP2-RILMNP3-RCODIM_1) , 0) ;

RCODIN = RCODIN_1 * (1-ART1731BIS) + min(RCODIN_1 , RCODIN_2) * ART1731BIS ;

REPLOCIN = (RETCODIN - RCODIN) * positif(INVNPROF1 + 0) * (1 - V_CNR) ;

RCODIJ_1 = max(min(RETCODIJ , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1
                                    -RILMNP2-RILMNP3-RCODIM_1-RCODIN_1) , 0) ;

RCODIJ = RCODIJ_1 * (1-ART1731BIS) + min(RCODIJ_1 , RCODIJ_2) * ART1731BIS ;

REPLOCIJ = (RETCODIJ - RCODIJ) * positif(LOCRESINEUV + 0) * (1 - V_CNR) ;

RRESINEUV_1 = RCODIN_1 + RCODIJ_1 ;
RRESINEUV = RCODIN + RCODIJ ;


RCODID_1 = max(min(RETCODID , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1
                                    -RILMNP2-RILMNP3-RCODIM_1-RCODIN_1-RCODIJ_1) , 0) ;

RCODID = RCODID_1 * (1-ART1731BIS) + min(RCODID_1 , RCODID_2) * ART1731BIS ;  

REPLOCID = (RETCODID - RCODID) * positif(LOCMEUBID + 0) * (1 - V_CNR) ;

RLOCIDEFG_1 = RCODID_1 ;
RLOCIDEFG = RCODID ;


RCODJT_1 = max(min(RETCODJT , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1
                                    -RILMNP2-RILMNP3-RCODIM_1-RCODIN_1-RCODIJ_1-RCODID_1) , 0) ;

RCODJT = max(0 , RCODJT_1 * (1-ART1731BIS) + min(RCODJT_1 , RCODJT_2) * ART1731BIS) ;

RCODJTJU_1 = RCODJT_1 ;
RCODJTJU = RCODJT ;

REPLOCJT = (RETCODJT - RCODJT) * positif(LOCMEUBJT + 0) * (1 - V_CNR) ;

RCODOU_1 = max(min(RETCODOU , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1
                                    -RILMNP2-RILMNP3-RCODIM_1-RCODIN_1-RCODIJ_1-RCODID_1-RCODJT_1) , 0) ;

RCODOU = max(0 , RCODOU_1 * ( 1 - ART1731BIS) + min(RCODOU_1 , RCODOU_2) * ART1731BIS) ;

REPMEUOU = (RETCODOU - RCODOU) * positif(COD7OU + 0) * (1 - V_CNR) ;

RCODOV_1 = max(min(RETCODOV , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1
                                    -RILMNP2-RILMNP3-RCODIM_1-RCODIN_1-RCODIJ_1-RCODID_1-RCODJT_1-RCODOU_1) , 0) ;

RCODOV = max(0 , RCODOV_1 * ( 1 - ART1731BIS) + min(RCODOV_1 , RCODOV_2) * ART1731BIS) ;

REPMEUOV = (RETCODOV - RCODOV) * positif(COD7OV + 0) * (1 - V_CNR) ;

RCODOW_1 = max(min(RETCODOW , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1 
                                    -RILMNP2-RILMNP3-RCODIM_1-RCODIN_1-RCODIJ_1-RCODID_1-RCODJT_1-RCODOU_1-RCODOV_1) , 0) ;

RCODOW = max(0 , RCODOW_1 * (1 - ART1731BIS) + min(RCODOW_1 , RCODOW_2) * ART1731BIS) ;

REPMEUOW = (RETCODOW - RCODOW) * positif(COD7OW + 0) * (1 - V_CNR) ;

RCODOX_1 = max(min(RETCODOX , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1 
                                    -RILMNP2-RILMNP3-RCODIM_1-RCODIN_1-RCODIJ_1-RCODID_1-RCODJT_1-RCODOU_1-RCODOV_1-RCODOW_1) , 0) ;

RCODOX = max(0 , RCODOX_1 * (1 - ART1731BIS) + min(RCODOX_1 , RCODOX_2) * ART1731BIS) ;

REPMEUOX = (RETCODOX - RCODOX) * positif(COD7OX + 0) * (1 - V_CNR) ;

RCODOY_1 = max(min(RETCODOY , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-REDUCAVTCEL_1-RCELTOT-RILMNP1
 				     -RILMNP2-RILMNP3-RCODIM_1-RCODIN_1-RCODIJ_1-RCODID_1-RCODJT_1-RCODOU_1-RCODOV_1-RCODOW_1-RCODOX_1 ) , 0) ;

RCODOY = max(0 , RCODOY_1 * (1 - ART1731BIS) + min(RCODOY_1 , RCODOY_2) * ART1731BIS) ;

REPMEUOY = (RETCODOY - RCODOY) * positif(COD7OY + 0) * (1 - V_CNR) ;


DILMNP4 = DRESIVIEU + DRESINEUV + DLOCIDEFG + DCODJTJU + DCODOU + DCODOV + DCODOW + DCODOX + DCODOY ;

AILMNP4 = ARESIVIEU + ARESINEUV + ALOCIDEFG + ACODJTJU + ACODOU + ACODOV + ACODOW + ACODOX + ACODOY ;

RILMNP4 = RRESIVIEU + RRESINEUV + RLOCIDEFG + RCODJTJU + RCODOU + RCODOV + RCODOW + RCODOX + RCODOY ;

RLOCNPRO = RILMNP1 + RILMNP2 + RILMNP3 + RILMNP4 ;

RLOCNPRO_1 = RILMNP1 + RILMNP2 + RILMNP3 + RILMNP4 ;

regle 401810:
application : iliad ;


REP13MEU = REPLOCJT + REPMEUOA + REPMEUOU + REPMEUOV + REPMEUOF + REPMEUOW + REPMEUOK + REPMEUOX + REPMEUOY + REPMEUOP + REPMEUSA ;

REP12MEU = REPMEUJV + REPLOCID + REPMEUOB + REPMEUOG + REPMEUOL + REPMEUOQ + REPMEUSB ; 

REP11MEU = REPMEUIA + REPMEUJW + REPLOCIN + REPLOCIJ + REPMEUOC + REPMEUOH + REPMEUOM + REPMEUOR + REPMEUSC ;

REP10MEU = REPMEUIP + REPMEUIB + REPMEUJX + REPLOCIM + REPMEUOD + REPMEUOI + REPMEUON + REPMEUOS ;

REP9MEU =  REPMEUIR + REPMEUIQ + REPMEUIC + REPMEUJY + REPMEUOE + REPMEUOJ + REPMEUOO + REPMEUOT ; 
           
regle 401820:
application : iliad ;

RCODOY1 = arr((ACODOY_1 * TX11/100)/9) ;
RCODOY8 = (arr(min(PLAF_RESINEUV , COD7OY) * TX11/100) - 8 * RCODOY1) * (1 - V_CNR) ;

REPLOCOY = (RCODOY8 + RCODOY1 * 7) ;


RCODOX1 = arr((ACODOX_1 * TX11/100)/9) ;
RCODOX8 = (arr(min(PLAF_RESINEUV , COD7OX) * TX11/100) - 8 * RCODOX1) * (1 -V_CNR) ;

REPLOCOX = (RCODOX8 + RCODOX1 * 7) ;

RCODOW1 = arr((ACODOW_1 * TX11/100)/9) ;
RCODOW8 = (arr(min(PLAF_RESINEUV , COD7OW) * TX11/100) - 8 * RCODOW1) * (1 -V_CNR) ;

REPLOCOW = (RCODOW8 + RCODOW1 * 7) ;

RCODOV1 = arr((ACODOV_1 * TX11/100)/9) ;
RCODOV8 = (arr(min(PLAF_RESINEUV , COD7OV) * TX11/100) - 8 * RCODOV1) * (1 -V_CNR) ;

REPLOCOV = (RCODOV8 + RCODOV1 * 7) ;

RCODOU1 = arr((ACODOU_1 * TX11/100)/9) ;
RCODOU8 = (arr(min(PLAF_RESINEUV , COD7OU) * TX11/100) - 8 * RCODOU1) * (1 -V_CNR) ;

REPLOCOU = (RCODOU8 + RCODOU1 * 7) * (1-null(2-V_REGCO)) * (1-null(4-V_REGCO)) ;

RCODJT1 = arr(arr(ACODJT * TX11/100) / 9) ;
RCODJT8 = arr(ACODJT * TX11/100) - 8 * RCODJT1 ; 

REPLNPT = (RCODJT1 * 7) + RCODJT8 ;

RLOCIDFG1 = arr(arr(ACODID_1 * TX11/100) / 9) ;
RLOCIDFG8 = arr(ACODID_1 * TX11/100) - (8 * RLOCIDFG1) ;

REPLOCIDFG = (RLOCIDFG1 * 7) + RLOCIDFG8 ;

RESINEUV1 = arr((ACODIN* TX20/100) / 9) + arr((ACODIJ * TX18/100) / 9) ;
RESINEUV8 = arr(ACODIN * TX20/100) + arr(ACODIJ * TX18/100) - (8 * RESINEUV1) ;

REPINVLOCNP = (RESINEUV1 * 7) + RESINEUV8 ;

RESIVIEU1 = arr((ACODIM * TX25/100) / 9) ;
RESIVIEU8 = arr(ACODIM * TX25/100) - (8 * RESIVIEU1) ;

REPINVIEU = (RESIVIEU1 * 7) + RESIVIEU8 ;

regle 401830:
application : iliad ;


BSOCREP = min(RSOCREPRISE , LIM_SOCREPR * ( 1 + BOOL_0AM)) ;

RSOCREP = arr ( TX_SOCREPR/100 * BSOCREP ) * (1 - V_CNR);

DSOCREPR = RSOCREPRISE;

ASOCREPR = (BSOCREP * (1 - ART1731BIS) 
             + min( BSOCREP , ASOCREPR_2) * ART1731BIS
           ) * (1-V_CNR)  ;

RSOCREPR_1 = max( min( RSOCREP , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1
                                             -RFORET_1-RFIPDOM_1-RFIPC_1-RCINE_1-RRESTIMO_1) , 0 );

RSOCREPR = max( 0, RSOCREPR_1 * (1-ART1731BIS) 
                    + min( RSOCREPR_1 , RSOCREPR_2 ) * ART1731BIS
              ) ;

regle 401835:
application : iliad ;


RCOD7KZ_1 = max(0 , min(COD7KZ , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPDOM_1-RFIPC_1
                                       -RCINE_1-RRESTIMO_1-RSOCREPR_1-RRPRESCOMP_1-RHEBE_1-RSURV_1- RINNO_1-RSOUFIP_1-RRIRENOV_1-RLOGDOM-RCOMP_1- RRETU_1-RDONS_1
	                               -CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPENTOT-RFOR_1-RTOURREP_1-RTOUREPA_1-RRREHAP_1)) ;

RCOD7KZ = max(0 , RCOD7KZ_1 * (1 - ART1731BIS) + min(RCOD7KZ_1 , RCOD7KZ_2) * ART1731BIS) * (1-null(V_REGCO - 2)) ;

REPRESTKZ = max(0 , COD7KZ - (IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPDOM_1-RFIPC_1
                                    -RCINE_1-RRESTIMO_1-RSOCREPR_1-RRPRESCOMP_1-RHEBE_1-RSURV_1- RINNO_1-RSOUFIP_1-RRIRENOV_1-RLOGDOM-RCOMP_1- RRETU_1-RDONS_1
       	                            -CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPENTOT-RFOR_1-RTOURREP_1-RTOUREPA_1-RRREHAP_1)) * (1-null(V_REGCO - 2)) ;

regle 401840:
application : iliad ;


DRESTIMO = COD7NX + COD7NY ;


DRESTIMO1 = COD7TX + COD7TY ;


RESTIMONX = min(COD7NX , LIM_RESTIMO) ;

RRESTIMONX = max (min (RESTIMONX * TX30/100 , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RFIPDOM_1
                                            -RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPC_1-RCINE_1) , 0) ;

RESTIMONY = min(COD7NY , max(0,LIM_RESTIMO - RESTIMONX)) ;

RRESTIMONY = max (min (RESTIMONY * TX22/100 , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RFIPDOM_1
                                            -RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPC_1
                                            -RCINE_1-RRESTIMONX ) , 0) ;

regle 401844:
application : iliad ;


RESTIMOTX = min(COD7TX , max(0,LIM_RESTIMO1- V_BTDRIMM1 * (1-present(COD7ST))-COD7ST)) ;
RRESTIMOTX = max(min(RESTIMOTX * TX30/100 , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RFIPDOM_1
                                                  -RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPC_1-RCINE_1-RRESTIMO_1-RSOCREPR_1-RRPRESCOMP_1 
					          -RHEBE_1-RSURV_1-RINNO_1-RSOUFIP_1-RRIRENOV_1-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1
						  -RPINELTOT_1-RNOUV_1-RPENTCY_1-RPENTDY_1-RPENTEY_1-RFOR_1-RTOURREP_1-RTOUREPA_1-RLOGDOM-RRESTIMONX-RRESTIMONY) , 0) ;
											                                            
RESTIMOTY = min(COD7TY , (LIM_RESTIMO1-RESTIMOTX) * present(COD7TX) + max(0,LIM_RESTIMO1- V_BTDRIMM1 * (1-present(COD7ST))-COD7ST) * (1-present(COD7TX))) ;
RRESTIMOTY = max(min(RESTIMOTY * TX22/100 , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RFIPDOM_1
                                                  -RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPC_1-RCINE_1-RRESTIMO_1-RSOCREPR_1-RRPRESCOMP_1 
						  -RHEBE_1-RSURV_1-RINNO_1-RSOUFIP_1-RRIRENOV_1-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1
						  -RPINELTOT_1-RNOUV_1-RPENTCY_1-RPENTDY_1-RPENTEY_1-RFOR_1-RTOURREP_1-RTOUREPA_1-RLOGDOM-RRESTIMONX-RRESTIMONY-RRESTIMOTX) , 0) ;

regle 401845:
application : iliad ;

ARESTIMO_1 = (RESTIMONX + RESTIMONY) * (1 - V_CNR) ;

ARESTIMO = ( ARESTIMO_1 * (1-ART1731BIS)
              + min( ARESTIMO_1, ARESTIMO_2) * ART1731BIS
           ) * (1 - V_CNR) ;

RETRESTIMO = arr((RESTIMONX * TX30/100) + (RESTIMONY * TX22/100)) * (1 - V_CNR) ;

RRESTIMO_1 = max (min (RETRESTIMO , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RFIPDOM_1
                               -RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPC_1-RCINE_1) , 0) ;

RRESTIMO = max ( 0 , RRESTIMO_1 * (1-ART1731BIS)
                     + min( RRESTIMO_1 , RRESTIMO_2 ) * ART1731BIS
               ) ;
regle 401847:
application : iliad ;

ARESTIMO1 = (RESTIMOTX + RESTIMOTY) * (1 - V_CNR) ;

RETRESTIMO_2 = arr((RESTIMOTX * TX30/100) + (RESTIMOTY * TX22/100) ) * (1 - V_CNR) ;

RRESTIMO1_1 = max(min(RETRESTIMO_2 , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPDOM_1-RFIPC_1
                                           -RCINE_1-RRESTIMO_1-RSOCREPR_1-RRPRESCOMP_1-RHEBE_1-RSURV_1- RINNO_1-RSOUFIP_1-RRIRENOV_1-RLOGDOM-RCOMP_1- RRETU_1-RDONS_1
					   -CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPENTOT-RFOR_1-RTOURREP_1-RTOUREPA_1-RRREHAP_1-RCOD7KZ_1),0);

RRESTIMO1 = max(0 , RRESTIMO1_1 * (1 - ART1731BIS) + min(RRESTIMO1_1 , RRESTIMO1_2) * ART1731BIS) ;

A12RRESTIMO_1 = RRESTIMO_1 * (1 - V_CNR) ;

A12RRESTIMO_2 = max(A12RRESTIMO_P + A12RRESTIMOP2 , A12RRESTIMO1731)*(1-PREM8_11)*ART1731BIS ;

A12RRESTIMO = max(0 , A12RRESTIMO_1 * (1-ART1731BIS) + min(A12RRESTIMO_1 , A12RRESTIMO_2) * ART1731BIS) * (1 - V_CNR) ;

REPRESTXY = max(0 , RETRESTIMO_2 - RRESTIMO1) * (1 - V_CNR) ;

regle 401850:
application : iliad ;

REVDON = max(0,RBL1+TOTALQUOHT-SDD-SDC1) ;
BDON7UH = min(LIM15000,COD7UH);
BASEDONB = REPDON03 + REPDON04 + REPDON05 + REPDON06 + REPDON07 + RDDOUP + COD7UH + DONAUTRE;
BASEDONP = RDDOUP + BDON7UH + DONAUTRE + EXCEDANTA;
BON = arr (min (REPDON03+REPDON04+REPDON05+REPDON06+REPDON07+RDDOUP+BDON7UH+DONAUTRE+EXCEDANTA,REVDON *(TX_BASEDUP)/100));


regle 401860:
application : iliad ;

BASEDONF = min(REPDON03,arr(REVDON * (TX_BASEDUP)/100)) ;
REPDON = max(BASEDONF + REPDON04 + REPDON05 + REPDON06 + REPDON07+BASEDONP - arr(REVDON * (TX_BASEDUP)/100),0)*(1-V_CNR);

REPDONR4 = (positif_ou_nul(BASEDONF - arr(REVDON * (TX_BASEDUP)/100)) * REPDON04
            + (1 - positif_ou_nul(BASEDONF - arr(REVDON * (TX_BASEDUP)/100)))
	      * max(REPDON04 + (BASEDONF - arr(REVDON * (TX_BASEDUP)/100)),0)
	   )
	   * (1 - V_CNR);

REPDONR3 = (positif_ou_nul(BASEDONF + REPDON04 - arr(REVDON * (TX_BASEDUP)/100)) * REPDON05
	    + (1 - positif_ou_nul(BASEDONF + REPDON04 - arr(REVDON * (TX_BASEDUP)/100)))
	      * max(REPDON05 + (BASEDONF + REPDON04 - arr(REVDON * (TX_BASEDUP)/100)),0)
           ) 
	   * (1 - V_CNR);

REPDONR2 = (positif_ou_nul(BASEDONF + REPDON04 + REPDON05 - arr(REVDON * (TX_BASEDUP)/100)) * REPDON06
            + (1 - positif_ou_nul(BASEDONF + REPDON04 + REPDON05 - arr(REVDON * (TX_BASEDUP)/100)))
	      * max(REPDON06 + (BASEDONF + REPDON04 + REPDON05 - arr(REVDON * (TX_BASEDUP)/100)),0)
	   )
	   * (1 - V_CNR);

REPDONR1 = (positif_ou_nul(BASEDONF + REPDON04 + REPDON05 + REPDON06 - arr(REVDON * (TX_BASEDUP)/100)) * REPDON07
	    + (1 - positif_ou_nul(BASEDONF + REPDON04 + REPDON05 + REPDON06 - arr(REVDON * (TX_BASEDUP)/100)))
	      * max(REPDON07 + (BASEDONF + REPDON04 + REPDON05 + REPDON06 - arr(REVDON * (TX_BASEDUP)/100)),0)
           )
	   * (1 - V_CNR) ;

REPDONR = max(REPDON - REPDONR1 - REPDONR2 - REPDONR3 - REPDONR4,0)*(1-V_CNR);

regle 401870:
application : iliad ;


RON = arr( BON *(TX_REDDON)/100 ) * (1 - V_CNR) ;

DDONS = RDDOUP + DONAUTRE + REPDON03 + REPDON04 + REPDON05 + REPDON06 + REPDON07 + COD7UH;

ADONS = ( BON * (1-ART1731BIS) 
          + min( BON , ADONS_2 ) * ART1731BIS
        ) * (1 - V_CNR) ;

regle 401880:
application : iliad ;

RDONS_1 = max( min( RON , RRI1-RLOGDOM-RCOMP_1-RRETU_1) , 0 ) ;

RDONS = max( 0, RDONS_1 * (1-ART1731BIS) 
                + min( RDONS_1 , RDONS_2 ) * ART1731BIS
           ) ;

regle 401885:
application : iliad ;

CRCFA = arr(IPQ1 * REGCI / (RB01 + TONEQUO)) * (1 - positif(RE168 + TAX1649)) ;

regle 401887:
application : iliad ;

CRDIE_1 = max( min( CRCFA , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1) , 0 ) ;
CRDIE = max( min( CRCFA , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1) , 0 ) ;

regle 401890:
application : iliad ;


SEUILRED1 = arr((arr(RI1)+REVQUO) / NBPT) ;

regle 401900:
application : iliad ;


RETUD = arr((RDENS * MTRC) + (RDENL * MTRL) + (RDENU * MTRS) + (RDENSQAR * MTRC /2) + (RDENLQAR * MTRL /2) + (RDENUQAR * MTRS /2)) 
        * (1 - V_CNR) ;

DNBE = RDENS + RDENL + RDENU + RDENSQAR + RDENLQAR + RDENUQAR ;

RNBE_1 = DNBE ;

RNBE = RNBE_1 * (1-ART1731BIS) + min(RNBE_1 , RNBE_2) * ART1731BIS ;

regle 401910:
application : iliad ;

RRETU_1 = max(min(RETUD , RRI1-RLOGDOM-RCOMP_1) , 0) ;

RRETU = max(0 , RRETU_1 * (1-ART1731BIS) + min(RRETU_1 , RRETU_2) * ART1731BIS) ; 

regle 401920:
application : iliad ;


BFCPI_1 = ( positif(BOOL_0AM) * min (FCPI,PLAF_FCPI*2) + positif(1-BOOL_0AM) * min (FCPI,PLAF_FCPI) ) * (1-V_CNR);

BFCPI = BFCPI_1 * (1-ART1731BIS) 
         + min(BFCPI_1 , BFCPI_2 ) * ART1731BIS ;


RFCPI = arr (BFCPI_1  * TX_FCPI /100) ; 

RINNO_1 = max( min( RFCPI , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RFIPDOM_1-RDIFAGRI_1-RPRESSE_1-RFORET_1-RFIPC_1
			  -RCINE_1-RRESTIMO_1-RSOCREPR_1-RRPRESCOMP_1-RHEBE_1-RSURV_1) , 0 );

RINNO = max( 0, RINNO_1 * (1-ART1731BIS)
                + min (RINNO_1 , RINNO_2) * ART1731BIS
           ) ;

regle 401930:
application : iliad ;


BPRESCOMP =(RDPRESREPORT 
	   + (1-positif(RDPRESREPORT+0)) * 
	   arr(
	         ((1 - present(SUBSTITRENTE)) * 
                  arr (
                 null(PRESCOMP2000 - PRESCOMPJUGE)
                   * min(PLAFPRESCOMP,PRESCOMP2000)
	         + positif(PRESCOMPJUGE - PRESCOMP2000)
                   * (positif_ou_nul(PLAFPRESCOMP -PRESCOMPJUGE))
                   * PRESCOMP2000
	         + positif(PRESCOMPJUGE - PRESCOMP2000)
                    * (1 - positif_ou_nul(PLAFPRESCOMP -PRESCOMPJUGE))
                    * PLAFPRESCOMP * PRESCOMP2000/PRESCOMPJUGE
                       )
	       +
             present(SUBSTITRENTE) *
                  arr (
                   null(PRESCOMP2000 - SUBSTITRENTE)
		   * 
		   (positif_ou_nul(PLAFPRESCOMP - PRESCOMPJUGE)*SUBSTITRENTE
		   + 
		   positif(PRESCOMPJUGE-PLAFPRESCOMP)*arr(PLAFPRESCOMP*SUBSTITRENTE/PRESCOMPJUGE))
                 + 
		   positif(SUBSTITRENTE - PRESCOMP2000)
		   * (positif_ou_nul(PLAFPRESCOMP - PRESCOMPJUGE)*PRESCOMP2000
		   + 
		   positif(PRESCOMPJUGE-PLAFPRESCOMP)*arr(PLAFPRESCOMP*(SUBSTITRENTE/PRESCOMPJUGE)*(PRESCOMP2000/SUBSTITRENTE)))
                       )
	           )
                )
              )
               *(1 - V_CNR);


RPRESCOMP = arr (BPRESCOMP * TX_PRESCOMP / 100) * (1 -V_CNR);
BPRESCOMP01 = max(0,(1 - present(SUBSTITRENTE)) * 
                   (  positif_ou_nul(PLAFPRESCOMP -PRESCOMPJUGE)
                       * (PRESCOMPJUGE - BPRESCOMP)
                     + positif(PRESCOMPJUGE - PLAFPRESCOMP)
                       * (PLAFPRESCOMP - BPRESCOMP)
                   )
	       +
             present(SUBSTITRENTE) *
                   (  positif_ou_nul(PLAFPRESCOMP -PRESCOMPJUGE)
                       * (SUBSTITRENTE - PRESCOMP2000)
                     + positif(PRESCOMPJUGE - PLAFPRESCOMP)
		     *arr(PLAFPRESCOMP*(SUBSTITRENTE/PRESCOMPJUGE)*((SUBSTITRENTE-PRESCOMP2000)/SUBSTITRENTE))
                   )
		* (1 - V_CNR)
		);
DPRESCOMP = PRESCOMP2000 + RDPRESREPORT ;

APRESCOMP = ( BPRESCOMP * (1-ART1731BIS) 
              + min( BPRESCOMP , APRESCOMP_2 ) * ART1731BIS
            ) * (1 - V_CNR) ;

RRPRESCOMP_1 = max( min( RPRESCOMP , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RFIPDOM_1-RDIFAGRI_1-RPRESSE_1-RFORET_1
                                                 -RFIPC_1-RCINE_1-RRESTIMO_1-RSOCREPR_1) , 0) ;

RRPRESCOMP = max( 0 , RRPRESCOMP_1 * (1-ART1731BIS) 
                       + min( RRPRESCOMP_1 , RRPRESCOMP_2 ) * ART1731BIS ) ;

RPRESCOMPREP = max( min( RPRESCOMP , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR-RREPA-RFIPDOM-RDIFAGRI-RPRESSE-RFORET
				      -RFIPC-RCINE-RRESTIMO-RSOCREPR) , 0) * positif(RDPRESREPORT) ;

RPRESCOMPAN = RRPRESCOMP * (1-positif(RDPRESREPORT)) ;

regle 401940:
application : iliad ;
                                     

DCOTFOR = COTFORET ;

ACOTFOR_R = min(DCOTFOR , PLAF_FOREST1 * (1 + BOOL_0AM)) * (1 - V_CNR) ;

ACOTFOR = (ACOTFOR_R * (1-ART1731BIS)
           + min( ACOTFOR_R, ACOTFOR_2 ) * ART1731BIS
          ) * (1 - V_CNR);

RCOTFOR_1 = max( min( arr(ACOTFOR_R * TX76/100) , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)) , 0) ;

RCOTFOR = RCOTFOR_1 * (1-ART1731BIS)
          + min( RCOTFOR_1, RCOTFOR_2 ) * ART1731BIS ;


regle 401950:
application : iliad ;

FORTRA = REPSINFOR1 + REPSINFOR2 + REPSINFOR3 + REPSINFOR4 ;

DFOREST = FORTRA + RDFOREST;


AFOREST_1 = min (FORTRA, max(0 , (PLAF_FOREST1 * (1 + BOOL_0AM)) - ACOTFOR)) * (1 - V_CNR) 
             + min (RDFOREST, PLAF_FOREST * (1 + BOOL_0AM));

AFOREST = ( AFOREST_1 * (1-ART1731BIS) 
            + min( AFOREST_1 , AFOREST_2 ) * ART1731BIS
          ) * (1 - V_CNR) ;

RFOREST1 = min( REPSINFOR1 , max(0 , (PLAF_FOREST1 * (1 + BOOL_0AM)) - ACOTFOR)) ;

RFOREST2 = min( REPSINFOR2 , max(0 , (PLAF_FOREST1 * (1 + BOOL_0AM)) - ACOTFOR - RFOREST1)) ;

RFOREST3 = min( REPSINFOR3 +REPSINFOR4, max(0 , (PLAF_FOREST1 * (1 + BOOL_0AM)) - ACOTFOR - RFOREST1 - RFOREST2)) ;

RFOREST = (arr(RFOREST1 * TX25/100) + arr(RFOREST2 * TX22/100) + arr(RFOREST3 * TX18/100)
	  + arr( max(0 , AFOREST - RFOREST1 - RFOREST2 - RFOREST3) * TX18/100)) * (1 - V_CNR) ;

regle 401960:
application : iliad ;

RFOR_1 = max(min(RFOREST , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1-RDIFAGRI_1-RPRESSE_1-RFORET_1
                                 -RFIPDOM_1-RFIPC_1-RCINE_1-RRESTIMO_1-RSOCREPR_1-RRPRESCOMP_1-RHEBE_1-RSURV_1-RINNO_1-RSOUFIP_1-RRIRENOV_1 
                                 -RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPENTOT) , 0) ;

RFOR = max(0 , RFOR_1 * (1-ART1731BIS) + min(RFOR_1 , RFOR_2) * ART1731BIS) ;

regle 401970:
application : iliad ;



REPFORSIN2 = (positif_ou_nul(REPSINFOR1 - max(0 , (PLAF_FOREST1 * (1 + BOOL_0AM)) - ACOTFOR_R)) * REPSINFOR2 
           + (1-positif_ou_nul(REPSINFOR1 - max(0 , (PLAF_FOREST1 * (1 + BOOL_0AM)) - ACOTFOR_R)))
              * max(0,REPSINFOR2 - max(0 , (PLAF_FOREST1 * (1 + BOOL_0AM)) - ACOTFOR_R) + REPSINFOR1)) * (1 - V_CNR); 
            
REPFORSIN3 = (positif_ou_nul(REPSINFOR1 + REPSINFOR2- max(0 , (PLAF_FOREST1 * (1 + BOOL_0AM)) - ACOTFOR_R)) * REPSINFOR3
           + (1-positif_ou_nul(REPSINFOR1 + REPSINFOR2- max(0 , (PLAF_FOREST1 * (1 + BOOL_0AM)) - ACOTFOR_R)))
              * max(0,REPSINFOR3 - max(0 , (PLAF_FOREST1 * (1 + BOOL_0AM)) - ACOTFOR_R) + REPSINFOR1+REPSINFOR2)) * (1 - V_CNR); 

REPNIS=(positif_ou_nul(REPSINFOR1+REPSINFOR2+REPSINFOR3-max(0,(PLAF_FOREST1*(1+BOOL_0AM))-ACOTFOR_R))
       *REPSINFOR4
       +
       (1-positif_ou_nul(REPSINFOR1+REPSINFOR2+REPSINFOR3-max(0,(PLAF_FOREST1*(1+BOOL_0AM))-ACOTFOR_R)))
       *max(0,REPSINFOR4-max(0,(PLAF_FOREST1*(1+BOOL_0AM))-ACOTFOR_R)+REPSINFOR1+REPSINFOR2+REPSINFOR3))*(1-V_CNR); 

REP7UV = REPFOREST3 + REPEST ;

REP7TE = REPSIN + REPFORSIN + REPFORSIN2 + REPFORSIN3 + REPNIS ;

regle 401980:
application : iliad ;


BDIFAGRI =   min ( INTDIFAGRI , LIM_DIFAGRI * ( 1 + BOOL_0AM)) * ( 1 - V_CNR) ;

DDIFAGRI = INTDIFAGRI ;

ADIFAGRI = BDIFAGRI * (1-ART1731BIS)
            + min( BDIFAGRI , ADIFAGRI_2) * ART1731BIS ;

RAGRI = arr (BDIFAGRI  * TX_DIFAGRI / 100 );

RDIFAGRI_1 = max( min(RAGRI , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)-RCOTFOR_1-RREPA_1),0);

RDIFAGRI =  RDIFAGRI_1 * (1-ART1731BIS)
            + min( RDIFAGRI_1 , RDIFAGRI_2) * ART1731BIS ;

regle 401990:
application : iliad ;


ITRED = min( RED , IDOM11-DEC11-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)) ;

regle 402000:
application : iliad ;


NNRI2 = max(0 , RRI1 - (INVLOG2008 + INVLGDEB2009 + INVLGDEB + INVOMLOGOA + INVOMLOGOH + INVOMLOGOL + INVOMLOGOO + INVOMLOGOS + INVLGAUTRE + INVLGDEB2010 + INVLOG2009
                        + INVOMLOGOB + INVOMLOGOC + INVOMLOGOI + INVOMLOGOJ + INVOMLOGOK + INVOMLOGOM + INVOMLOGON + INVOMLOGOP + INVOMLOGOQ + INVOMLOGOR + INVOMLOGOT
			+ INVOMLOGOU + INVOMLOGOV + INVOMLOGOW + CODHOD + CODHOE + CODHOF + CODHOG + CODHOX + CODHOY + CODHOZ + CODHUA + CODHUB + CODHUC + CODHUD + CODHUE
			+ CODHUF + CODHUG + CODHUH + CODHUI + CODHUJ + CODHUK + CODHUL + CODHUM + CODHUN + CODHUO + CODHUP + CODHUQ + CODHUR + CODHUS + CODHUT + CODHUU
			+ CODHVA + CODHVB + CODHVC + CODHVD + CODHVE + CODHVF + CODHVG + CODHVH
                        + RFC + RETUD + RON + CRCFA + ADUFREPFI + ADUFREPFK + ADUFREPFR + ADUFREPFV + ADUFREPFW + RDUFLO_EKL + RDUFLO_GIH + APIREPAI + APIREPBI + APIREPCI 
			+ APIREPDI + APIREPBZ + APIREPCZ + APIREPDZ + APIREPEZ + APIREPQZ + APIREPRZ + APIREPSZ + APIREPTZ + APIREPRA + APIREPRB + APIREPRC + APIREPRD 
			+ RPINTU + RPINRS + RPINOP + RPINMN + RPINKL + RPINIJ + RPINGH + RPINEF + RPINCD + RPINAB 
			+ RSN + COD7CY + COD7DY + COD7EY + COD7FY + COD7GY + RFOREST + arr(ATOURREP * TX_REDIL25 / 100) + arr(ATOUREPA * TX_REDIL20 / 100)
                        + CELRREDLM + CELRREDLN + CELRREDLG + CELRREDLK + CELRREDLS + CELRREDLT + CELRREDLH + CELRREDLL + CELRREDLZ 
                        + CELRREDLX + CELRREDLI + CELRREDLO + CELRREDMG + CELRREDMH + CELRREDLJ + CELRREDLP + CELRREDLQ + CELRREDLR + CELRREDLU + CELRREDLV 
			+ COD7LA + COD7LB + COD7LC + COD7LY
			+ RCELREP_HU + RCELREP_HT + RCELREP_HZ + RCELREP_HX + RCELREP_HW + RCELREP_HV + ACELREPHF + ACELREPHD + ACELREPHA + ACELREPGU + ACELREPGS 
			+ ACELREPGL + ACELREPGJ + ACELREPYH  + ACELREPYF + ACELREPYD + ACELREPYB + ACELREPYP + ACELREPYS + ACELREPYO + ACELREPYR + ACELREPYN + ACELREPYQ 
			+ ACELREPYM + ACELREPYW + ACELREPYZ + ACELREPYV + ACELREPYY + ACELREPYU + ACELREPYX + ACELREPYT + ACELREPWT + ACELREPWU + ACELREPWV + ACELREPWW 
			+ ACELREPWX + ACELREPWY + ACELREPWZ + ACELRW + ACELRV + ACELRU + ACELRT
			+ RCEL_ZV + RCEL_ZE + RCEL_ZF + RCEL_ZG + RCEL_ZH + RCEL_ZI + RCEL_ZJ + RCEL_ZK + RCEL_ZL
			+ RCEL_SE + RCEL_SF + RCEL_SG + RCEL_SH + RCEL_SI + RCEL_SJ + RCEL_SK + RCEL_SL + RCEL_SM
			+ RETPROREP + RETREPNPRO + RETREPMEU + RETRESIVIEU + RETRESINEUV + RETLOCIDEFG + RETCODJT + RETCODOU + RETCODOV + RETCODOW + RETCODOX + RETCODOY 
			+ AILMIY + AILMPA + AILMPF + AILMPK + AILMPP + AILMPU + AILMJC + AILMPB + AILMPG + AILMPL + AILMPQ + AILMPV + AILMJI + AILMPC + AILMPH 
			+ AILMPM + AILMPR + AILMPW + AILMJS + AILMPD + AILMPI + AILMPN + AILMPS + AILMPX + AILMPE + AILMPJ + AILMPO + AILMPT + AILMPY
			+ AILMIA + AILMIB + AILMIC + AILMJV + AILMJW + AILMJX + AILMJY + AILMOA + AILMOB + AILMOC + AILMOD + AILMOE + AILMOF + AILMOG + AILMOH
			+ AILMOI + AILMOJ + AILMOK + AILMOL + AILMOM + AILMON + AILMOO + AILMOP + AILMOQ + AILMOR + AILMOS + AILMOT + AILMSA + AILMSB + AILMSC
                        + RRREHAP + APATNAT3 + APATNAT)) ; 

regle 402010:
application : iliad ;




DLOGDOM = INVLOG2008 + INVLGDEB2009 + INVLGDEB + INVLGAUTRE + INVLGDEB2010 + INVLOG2009 + INVOMLOGOA + INVOMLOGOB 
          + INVOMLOGOC + INVOMLOGOH + INVOMLOGOI + INVOMLOGOJ + INVOMLOGOK + INVOMLOGOL + INVOMLOGOM + INVOMLOGON 
          + INVOMLOGOO + INVOMLOGOP + INVOMLOGOQ + INVOMLOGOR + INVOMLOGOS + INVOMLOGOT + INVOMLOGOU + INVOMLOGOV 
          + INVOMLOGOW 
          + CODHOD + CODHOE + CODHOF + CODHOG + CODHOX + CODHOY + CODHOZ + CODHUA + CODHUB + CODHUC + CODHUD + CODHUE 
          + CODHUF + CODHUG + CODHUH + CODHUI + CODHUJ + CODHUK + CODHUL + CODHUM + CODHUN + CODHUO + CODHUP + CODHUQ
	  + CODHUR + CODHUS + CODHUT + CODHUU + CODHVA + CODHVB + CODHVC + CODHVD + CODHVE + CODHVF + CODHVG + CODHVH ;


DDOMSOC1 = CODHRA + CODHRB + CODHRC + CODHRD + CODHXA + CODHXB + CODHXC + CODHXE + CODHXF + CODHXG + CODHXH + CODHXI 
           + CODHXK + CODHXL + CODHXM + CODHXN + CODHXO + CODHXP + CODHXU + CODHXQ + CODHXR + CODHXS + CODHXT ;

DLOGSOC = CODHYA + CODHYB ;


DCOLENT = CODHSA + CODHSB + CODHSC + CODHSE + CODHSF + CODHSG + CODHSH + CODHSJ + CODHSK + CODHSL + CODHSM + CODHSO + CODHSP + CODHSQ 
	  + CODHSR + CODHST + CODHSU + CODHSV + CODHSW + CODHSY + CODHSZ + CODHTA + CODHTB + CODHTD + CODHAA + CODHAB + CODHAC + CODHAE 
	  + CODHAF + CODHAG + CODHAH + CODHAJ + CODHAK + CODHAL + CODHAM + CODHAO + CODHAP + CODHAQ + CODHAR + CODHAT + CODHAU + CODHAV 
	  + CODHAW + CODHAY + CODHBA + CODHBB + CODHBE + CODHBG + CODHBI + CODHBJ + CODHBK + CODHBM + CODHBN + CODHBO + CODHBP + CODHBR 
	  + CODHBS + CODHBT + CODHBU + CODHBW + CODHBX + CODHBY + CODHBZ + CODHCB + CODHCC + CODHCD + CODHCE + CODHCG + CODHCI + CODHCJ 
	  + CODHCK + CODHCM + CODHCN + CODHCO + CODHCP + CODHCR + CODHCS + CODHCT + CODHCU + CODHCW + CODHDI + CODHDJ + CODHDK + CODHDM 
	  + CODHDN + CODHDO + CODHDP + CODHDR + CODHDS + CODHDT + CODHDU + CODHDW ;

DLOCENT = CODHEN + CODHEO + CODHEP + CODHER + CODHES + CODHET + CODHEU + CODHEW ;

regle 402020:
application : iliad ;



TOTALPLAF1 = INVRETRA + INVRETRB + INVRETRC + INVRETRD + INVRETXA + INVRETXB + INVRETXC + INVRETXE + INVRETXF + INVRETXG 
             + INVRETXH + INVRETXI + INVRETXK + INVRETXL + INVRETXM + INVRETXN + INVRETXO + INVRETXP + INVRETXU + INVRETXQ 
	     + INVRETXR + INVRETXS + INVRETXT + INVRETYB + INVRETYA + INVRETQL + INVRETQM + INVRETQD + INVRETOB + INVRETOC 
	     + INVRETOM + INVRETON + INVRETOD + INVRETUA + INVRETUH + INVRETUO + INVRETVA
	     + INVRETRAR + INVRETRBR + INVRETRCR + INVRETRDR + INVRETXAR + INVRETXBR + INVRETXCR + INVRETXER + INVRETXFR 
	     + INVRETXGR + INVRETXHR + INVRETXIR + INVRETXKR + INVRETXLR + INVRETXMR + INVRETXNR + INVRETXUR + INVRETXQR 
	     + INVRETXRR + INVRETXSR + INVRETXTR + INVRETYBR + INVRETYAR + INVRETXOR + INVRETXPR ;

TOTALPLAF2 = INVRETSB + INVRETSG + INVRETSA + INVRETSF + INVRETSC + INVRETSH + INVRETSE + INVRETSJ + INVRETAB + INVRETAG 
             + INVRETAA + INVRETAF + INVRETAC + INVRETAH + INVRETAE + INVRETAJ + INVRETOI + INVRETOJ + INVRETOK + INVRETOP 
	     + INVRETOQ + INVRETOR + INVRETOE + INVRETOF + INVRETUB + INVRETUC + INVRETUI + INVRETUJ + INVRETUP + INVRETUQ 
	     + INVRETVB + INVRETVC
	     + INVRETSBR + INVRETSGR + INVRETSAR + INVRETSFR + INVRETABR + INVRETAGR + INVRETAAR + INVRETAFR ;

TOTALPLAF3 = INVRETSL + INVRETSQ + INVRETSV + INVRETTA + INVRETSK + INVRETSP + INVRETSU + INVRETSZ + INVRETSM + INVRETSR + INVRETSW 
             + INVRETTB + INVRETSO + INVRETST + INVRETSY + INVRETTD + INVRETAL + INVRETAQ + INVRETAV + INVRETBB + INVRETAK + INVRETAP 
	     + INVRETAU + INVRETBA + INVRETAM + INVRETAR + INVRETAW + INVRETBE + INVRETAO + INVRETAT + INVRETAY + INVRETBG + INVRETBJ 
	     + INVRETBO + INVRETBT + INVRETBY + INVRETCD + INVRETBI + INVRETBN + INVRETBS + INVRETBX + INVRETCC + INVRETBK + INVRETBP 
	     + INVRETBU + INVRETBZ + INVRETCE + INVRETBM + INVRETBR + INVRETBW + INVRETCB + INVRETCG + INVRETCT + INVRETCJ + INVRETCO 
	     + INVRETCS + INVRETCI + INVRETCN + INVRETCK + INVRETCP + INVRETCU + INVRETCM + INVRETCR + INVRETCW + INVRETDT + INVRETDJ 
	     + INVRETDO + INVRETDS + INVRETDI + INVRETDN + INVRETET + INVRETEO + INVRETES + INVRETEN + INVRETEP + INVRETEU + INVRETER 
	     + INVRETEW + INVRETDK + INVRETDP + INVRETDU + INVRETDM + INVRETDR + INVRETDW + INVRETOT + INVRETOU + INVRETOV + INVRETOW 
	     + INVRETOG + INVRETOX + INVRETOY + INVRETOZ + INVRETUD + INVRETUE + INVRETUF + INVRETUG + INVRETUK + INVRETUL + INVRETUM 
	     + INVRETUN + INVRETUR + INVRETUS + INVRETUT + INVRETUU + INVRETVD + INVRETVE + INVRETVF + INVRETVG + INVRETVH
	     + INVRETSLR + INVRETSQR + INVRETSVR + INVRETTAR + INVRETSKR + INVRETSPR + INVRETSUR + INVRETSZR + INVRETALR + INVRETAQR 
	     + INVRETAVR + INVRETBBR + INVRETAKR + INVRETAPR + INVRETAUR + INVRETBAR + INVRETBJR + INVRETBOR + INVRETBTR + INVRETBYR 
	     + INVRETCDR + INVRETBIR + INVRETBNR + INVRETBSR + INVRETBXR + INVRETCCR + INVRETCTR + INVRETCJR + INVRETCOR + INVRETCSR 
	     + INVRETCIR + INVRETCNR + INVRETDTR + INVRETDJR + INVRETDOR + INVRETDSR + INVRETDIR + INVRETDNR + INVRETETR + INVRETEOR 
	     + INVRETESR + INVRETENR ;

RNIDOM1 = arr((RNG + TTPVQ) * TX15/100) * (1 - V_CNR) ;

RNIDOM2 = arr((RNG + TTPVQ) * TX13/100) * (1 - V_CNR) ;

RNIDOM3 = arr((RNG + TTPVQ) * TX11/100) * (1 - V_CNR) ;

INDPLAF1 = positif(RNIDOM1 - TOTALPLAF1) * (1 - V_CNR) ;

regle 402022:
application : iliad ;


VARTMP1 = 0 ;

INVRETRAA = min(arr(NINVRETRA * TX35 / 100) , max(0 , RNIDOM1)) ;
VARTMP1 = VARTMP1 + INVRETRAA ;

INVRETRBA = min(arr(NINVRETRB * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETRBA ;

INVRETRCA = min(arr(NINVRETRC * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETRCA ;

INVRETRDA = min(arr(NINVRETRD * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETRDA ;

INVRETXAA = min(arr(NINVRETXA * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXAA ;

INVRETXBA = min(arr(NINVRETXB * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXBA ;

INVRETXCA = min(arr(NINVRETXC * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXCA ;

INVRETXEA = min(arr(NINVRETXE * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXEA ;

INVRETXKA = min(arr(NINVRETXK * TX30 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXKA ;

INVRETXFA = min(arr(NINVRETXF * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXFA ;

INVRETXGA = min(arr(NINVRETXG * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXGA ;

INVRETXHA = min(arr(NINVRETXH * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXHA ;

INVRETXIA = min(arr(NINVRETXI * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXIA ;

INVRETXPA = min(arr(NINVRETXP * TX30 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXPA ;

INVRETXLA = min(arr(NINVRETXL * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXLA ;

INVRETXMA = min(arr(NINVRETXM * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXMA ;

INVRETXNA = min(arr(NINVRETXN * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXNA ;

INVRETXOA = min(arr(NINVRETXO * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXOA ;

INVRETXUA = min(arr(NINVRETXU * TX30 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXUA ;

INVRETXQA = min(arr(NINVRETXQ * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXQA ;

INVRETXRA = min(arr(NINVRETXR * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXRA ;

INVRETXSA = min(arr(NINVRETXS * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXSA ;

INVRETXTA = min(arr(NINVRETXT * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXTA ;

INVRETYBA = min(arr(NINVRETYB * TX30 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETYBA ;

INVRETYAA = min(arr(NINVRETYA * TX35 / 100) , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETYAA ;

INVRETQLA = min(NINVRETQL , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETQLA ;

INVRETQMA = min(NINVRETQM , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETQMA ;

INVRETQDA = min(NINVRETQD , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETQDA ;

INVRETOBA = min(NINVRETOB , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOBA ;

INVRETOCA = min(NINVRETOC , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOCA ;

INVRETOMA = min(NINVRETOM , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOMA ;

INVRETONA = min(NINVRETON , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETONA ;

INVRETODA = min(NINVRETOD , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETODA ;

INVRETUAA = min(NINVRETUA , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUAA ;

INVRETUHA = min(NINVRETUH , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUHA ;

INVRETUOA = min(NINVRETUO , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUOA ;

INVRETVAA = min(NINVRETVA , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETVAA ;

INVRETRARA = min(NINVRETRAR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETRARA ;

INVRETRBRA = min(NINVRETRBR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETRBRA ;

INVRETRCRA = min(NINVRETRCR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETRCRA ;

INVRETRDRA = min(NINVRETRDR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETRDRA ;

INVRETXARA = min(NINVRETXAR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXARA ;

INVRETXBRA = min(NINVRETXBR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXBRA ;

INVRETXCRA = min(NINVRETXCR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXCRA ;

INVRETXERA = min(NINVRETXER , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXERA ;

INVRETXKRA = min(NINVRETXKR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXKRA ;

INVRETXFRA = min(NINVRETXFR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXFRA ;

INVRETXGRA = min(NINVRETXGR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXGRA ;

INVRETXHRA = min(NINVRETXHR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXHRA ;

INVRETXIRA = min(NINVRETXIR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXIRA ;

INVRETXPRA = min(NINVRETXPR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXPRA ;

INVRETXLRA = min(NINVRETXLR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXLRA ;

INVRETXMRA = min(NINVRETXMR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXMRA ;

INVRETXNRA = min(NINVRETXNR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXNRA ;

INVRETXORA = min(NINVRETXOR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXORA ;

INVRETXURA = min(NINVRETXUR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXURA ;

INVRETXQRA = min(NINVRETXQR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXQRA ;

INVRETXRRA = min(NINVRETXRR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXRRA ;

INVRETXSRA = min(NINVRETXSR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXSRA ;

INVRETXTRA = min(NINVRETXTR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETXTRA ;

INVRETYBRA = min(NINVRETYBR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETYBRA ;

INVRETYARA = min(NINVRETYAR , max(0 , RNIDOM1 - VARTMP1)) ;
VARTMP1 = 0 ;

TOTALPLAFA = INVRETRAA + INVRETRBA + INVRETRCA + INVRETRDA + INVRETXAA + INVRETXBA + INVRETXCA + INVRETXEA + INVRETXFA + INVRETXGA 
             + INVRETXHA + INVRETXIA + INVRETXKA + INVRETXLA + INVRETXMA + INVRETXNA + INVRETXOA + INVRETXPA + INVRETXUA + INVRETXQA 
	     + INVRETXRA + INVRETXSA + INVRETXTA + INVRETYBA + INVRETYAA + INVRETQLA + INVRETQMA + INVRETQDA + INVRETOBA + INVRETOCA 
	     + INVRETOMA + INVRETONA + INVRETODA + INVRETUAA + INVRETUHA + INVRETUOA + INVRETVAA 
             + INVRETRARA + INVRETRBRA + INVRETRCRA + INVRETRDRA + INVRETXARA + INVRETXBRA + INVRETXCRA + INVRETXERA + INVRETXFRA 
	     + INVRETXGRA + INVRETXHRA + INVRETXIRA + INVRETXKRA + INVRETXLRA + INVRETXMRA + INVRETXNRA + INVRETXORA + INVRETXPRA 
	     + INVRETXURA + INVRETXQRA + INVRETXRRA + INVRETXSRA + INVRETXTRA + INVRETYBRA + INVRETYARA ; 

INDPLAF2 = positif(RNIDOM2 - TOTALPLAF2 - TOTALPLAFA) ;

regle 402024:
application : iliad ;


VARTMP1 = 0 ;
MAXDOM2 = max(0,RNIDOM2 - TOTALPLAFA) ;

INVRETSBA = min(arr(NINVRETSB*TX375/100) , max(0 , MAXDOM2)) ;
VARTMP1 = VARTMP1 + INVRETSBA ;

INVRETSGA = min(arr(NINVRETSG*TX375/100) , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSGA ;

INVRETSAA = min(arr(NINVRETSA*TX4737/100) , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSAA ;

INVRETSFA = min(arr(NINVRETSF*TX4737/100) , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSFA ;

INVRETSCA = min(NINVRETSC , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSCA ;

INVRETSHA = min(NINVRETSH , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSHA ;

INVRETSEA = min(NINVRETSE , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSEA ;

INVRETSJA = min(NINVRETSJ , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSJA ;

INVRETABA = min(arr(NINVRETAB*TX375/100) , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETABA ;

INVRETAGA = min(arr(NINVRETAG*TX375/100) , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAGA ;

INVRETAAA = min(arr(NINVRETAA*TX4737/100) , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAAA ;

INVRETAFA = min(arr(NINVRETAF*TX4737/100) , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAFA ;

INVRETACA = min(NINVRETAC , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETACA ;

INVRETAHA = min(NINVRETAH , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAHA ;

INVRETAEA = min(NINVRETAE , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAEA ;

INVRETAJA = min(NINVRETAJ , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAJA ;

INVRETOIA = min(NINVRETOI , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOIA ;

INVRETOJA = min(NINVRETOJ , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOJA ;

INVRETOKA = min(NINVRETOK , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOKA ;

INVRETOPA = min(NINVRETOP , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOPA ;

INVRETOQA = min(NINVRETOQ , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOQA ;

INVRETORA = min(NINVRETOR , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETORA ;

INVRETOEA = min(NINVRETOE , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOEA ;

INVRETOFA = min(NINVRETOF , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOFA ;

INVRETUBA = min(NINVRETUB , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUBA ;

INVRETUCA = min(NINVRETUC , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUCA ;

INVRETUIA = min(NINVRETUI , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUIA ;

INVRETUJA = min(NINVRETUJ , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUJA ;

INVRETUPA = min(NINVRETUP , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUPA ;

INVRETUQA = min(NINVRETUQ , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUQA ;

INVRETVBA = min(NINVRETVB , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETVBA ;

INVRETVCA = min(NINVRETVC , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETVCA ;

INVRETSBRA = min(NINVRETSBR , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSBRA ;

INVRETSGRA = min(NINVRETSGR , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSGRA ;

INVRETSARA = min(NINVRETSAR , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSARA ;

INVRETSFRA = min(NINVRETSFR , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSFRA ;

INVRETABRA = min(NINVRETABR , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETABRA ;

INVRETAGRA = min(NINVRETAGR , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAGRA ;

INVRETAARA = min(NINVRETAAR , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAARA ;

INVRETAFRA = min(NINVRETAFR , max(0 , MAXDOM2 - VARTMP1)) ;
VARTMP1 = 0 ;

TOTALPLAFB = INVRETSBA + INVRETSGA + INVRETSAA + INVRETSFA + INVRETSCA + INVRETSHA + INVRETSEA + INVRETSJA + INVRETABA + INVRETAGA 
             + INVRETAAA + INVRETAFA + INVRETACA + INVRETAHA + INVRETAEA + INVRETAJA + INVRETOIA + INVRETOJA + INVRETOKA + INVRETOPA 
	     + INVRETOQA + INVRETORA + INVRETOEA + INVRETOFA + INVRETUBA + INVRETUCA + INVRETUIA + INVRETUJA + INVRETUPA + INVRETUQA 
	     + INVRETVBA + INVRETVCA 
	     + INVRETSBRA + INVRETSGRA + INVRETSARA + INVRETSFRA + INVRETABRA + INVRETAGRA + INVRETAARA + INVRETAFRA ;
 
INDPLAF3 = positif(RNIDOM3 - TOTALPLAF3 - TOTALPLAFA - TOTALPLAFB) ;

regle 402026:
application : iliad ;


VARTMP1 = 0 ;
MAXDOM3 = max(0,RNIDOM3 -TOTALPLAFA-TOTALPLAFB) ;

INVRETSLA = min(arr(NINVRETSL*TX375/100) , max(0 , MAXDOM3)) ;
VARTMP1 = VARTMP1 + INVRETSLA ;

INVRETSQA = min(arr(NINVRETSQ*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSQA ;

INVRETSVA = min(arr(NINVRETSV*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSVA ;

INVRETTAA = min(arr(NINVRETTA*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETTAA ;

INVRETSKA = min(arr(NINVRETSK*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSKA ;

INVRETSPA = min(arr(NINVRETSP*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSPA ;

INVRETSUA = min(arr(NINVRETSU*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSUA ;

INVRETSZA = min(arr(NINVRETSZ*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSZA ;

INVRETSMA = min(NINVRETSM , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSMA ;

INVRETSRA = min(NINVRETSR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSRA ;

INVRETSWA = min(NINVRETSW , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSWA ;

INVRETTBA = min(NINVRETTB , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETTBA ;

INVRETSOA = min(NINVRETSO , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSOA ;

INVRETSTA = min(NINVRETST , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSTA ;

INVRETSYA = min(NINVRETSY , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSYA ;

INVRETTDA = min(NINVRETTD , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETTDA ;

INVRETALA = min(arr(NINVRETAL*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETALA ;

INVRETAQA = min(arr(NINVRETAQ*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAQA ;

INVRETAVA = min(arr(NINVRETAV*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAVA ;

INVRETBBA = min(arr(NINVRETBB*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBBA ;

INVRETAKA = min(arr(NINVRETAK*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAKA ;

INVRETAPA = min(arr(NINVRETAP*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAPA ;

INVRETAUA = min(arr(NINVRETAU*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAUA ;

INVRETBAA = min(arr(NINVRETBA*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBAA ;

INVRETAMA = min(NINVRETAM , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAMA ;

INVRETARA = min(NINVRETAR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETARA ;

INVRETAWA = min(NINVRETAW , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAWA ;

INVRETBEA = min(NINVRETBE , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBEA ;

INVRETAOA = min(NINVRETAO , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAOA ;

INVRETATA = min(NINVRETAT , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETATA ;

INVRETAYA = min(NINVRETAY , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAYA ;

INVRETBGA = min(NINVRETBG , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBGA ;

INVRETCDA = min(arr(NINVRETCD*TX34/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCDA ;

INVRETBJA = min(arr(NINVRETBJ*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBJA ;

INVRETBOA = min(arr(NINVRETBO*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBOA ;

INVRETBTA = min(arr(NINVRETBT*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBTA ;

INVRETBYA = min(arr(NINVRETBY*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBYA ;

INVRETCCA = min(arr(NINVRETCC*TX44/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCCA ;

INVRETBIA = min(arr(NINVRETBI*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBIA ;

INVRETBNA = min(arr(NINVRETBN*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBNA ;

INVRETBSA = min(arr(NINVRETBS*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBSA ;

INVRETBXA = min(arr(NINVRETBX*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBXA ;

INVRETBKA = min(NINVRETBK , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBKA ;

INVRETBPA = min(NINVRETBP , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBPA ;

INVRETBUA = min(NINVRETBU , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBUA ;

INVRETBZA = min(NINVRETBZ , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBZA ;

INVRETCEA = min(NINVRETCE , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCEA ;

INVRETBMA = min(NINVRETBM , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBMA ;

INVRETBRA = min(NINVRETBR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBRA ;

INVRETBWA = min(NINVRETBW , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBWA ;

INVRETCBA = min(NINVRETCB , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCBA ;

INVRETCGA = min(NINVRETCG , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCGA ;

INVRETCTA = min(arr(NINVRETCT*TX34/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCTA ;

INVRETCJA = min(arr(NINVRETCJ*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCJA ;

INVRETCOA = min(arr(NINVRETCO*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCOA ;

INVRETCSA = min(arr(NINVRETCS*TX44/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCSA ;

INVRETCIA = min(arr(NINVRETCI*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCIA ;

INVRETCNA = min(arr(NINVRETCN*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCNA ;

INVRETCKA = min(NINVRETCK , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCKA ;

INVRETCPA = min(NINVRETCP , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCPA ;

INVRETCUA = min(NINVRETCU , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCUA ;

INVRETCMA = min(NINVRETCM , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCMA ;

INVRETCRA = min(NINVRETCR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCRA ;

INVRETCWA = min(NINVRETCW , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCWA ;

INVRETDTA = min(arr(NINVRETDT*TX34/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDTA ;

INVRETDJA = min(arr(NINVRETDJ*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDJA ;

INVRETDOA = min(arr(NINVRETDO*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDOA ;

INVRETDSA = min(arr(NINVRETDS*TX44/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDSA ;

INVRETDIA = min(arr(NINVRETDI*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDIA ;

INVRETDNA = min(arr(NINVRETDN*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDNA ;

INVRETDKA = min(NINVRETDK , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDKA ;

INVRETDPA = min(NINVRETDP , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDPA ;

INVRETDUA = min(NINVRETDU , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDUA ;

INVRETDMA = min(NINVRETDM , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDMA ;

INVRETDRA = min(NINVRETDR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDRA ;

INVRETDWA = min(NINVRETDW , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDWA ;

INVRETETA = min(arr(NINVRETET*TX34/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETETA ;

INVRETEOA = min(arr(NINVRETEO*TX375/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETEOA ;

INVRETESA = min(arr(NINVRETES*TX44/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETESA ;

INVRETENA = min(arr(NINVRETEN*TX4737/100) , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETENA ;

INVRETEPA = min(NINVRETEP , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETEPA ;

INVRETEUA = min(NINVRETEU , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETEUA ;

INVRETERA = min(NINVRETER , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETERA ;

INVRETEWA = min(NINVRETEW , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETEWA ;

INVRETOTA = min(NINVRETOT , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOTA ;

INVRETOUA = min(NINVRETOU , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOUA ;

INVRETOVA = min(NINVRETOV , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOVA ;

INVRETOWA = min(NINVRETOW , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOWA ;

INVRETOGA = min(NINVRETOG , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOGA ;

INVRETOXA = min(NINVRETOX , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOXA ;

INVRETOYA = min(NINVRETOY , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOYA ;

INVRETOZA = min(NINVRETOZ , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETOZA ;

INVRETUDA = min(NINVRETUD , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUDA ;

INVRETUEA = min(NINVRETUE , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUEA ;

INVRETUFA = min(NINVRETUF , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUFA ;

INVRETUGA = min(NINVRETUG , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUGA ;

INVRETUKA = min(NINVRETUK , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUKA ;

INVRETULA = min(NINVRETUL , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETULA ;

INVRETUMA = min(NINVRETUM , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUMA ;

INVRETUNA = min(NINVRETUN , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUNA ;

INVRETURA = min(NINVRETUR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETURA ;

INVRETUSA = min(NINVRETUS , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUSA ;

INVRETUTA = min(NINVRETUT , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUTA ;

INVRETUUA = min(NINVRETUU , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETUUA ;

INVRETVDA = min(NINVRETVD , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETVDA ;

INVRETVEA = min(NINVRETVE , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETVEA ;

INVRETVFA = min(NINVRETVF , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETVFA ;

INVRETVGA = min(NINVRETVG , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETVGA ;

INVRETVHA = min(NINVRETVH , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETVHA ;

INVRETSLRA = min(NINVRETSLR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSLRA ;

INVRETSQRA = min(NINVRETSQR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSQRA ;

INVRETSVRA = min(NINVRETSVR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSVRA ;

INVRETTARA = min(NINVRETTAR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETTARA ;

INVRETSKRA = min(NINVRETSKR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSKRA ;

INVRETSPRA = min(NINVRETSPR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSPRA ;

INVRETSURA = min(NINVRETSUR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSURA ;
                                                                            
INVRETSZRA = min(NINVRETSZR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETSZRA ;

INVRETALRA = min(NINVRETALR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETALRA ;

INVRETAQRA = min(NINVRETAQR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAQRA ;

INVRETAVRA = min(NINVRETAVR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAVRA ;

INVRETBBRA = min(NINVRETBBR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBBRA ;

INVRETAKRA = min(NINVRETAKR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAKRA ;

INVRETAPRA = min(NINVRETAPR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAPRA ;

INVRETAURA = min(NINVRETAUR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETAURA ;

INVRETBARA = min(NINVRETBAR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBARA ;

INVRETCDRA = min(NINVRETCDR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCDRA ;

INVRETBJRA = min(NINVRETBJR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBJRA ;

INVRETBORA = min(NINVRETBOR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBORA ;

INVRETBTRA = min(NINVRETBTR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBTRA ;

INVRETBYRA = min(NINVRETBYR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBYRA ;

INVRETCCRA = min(NINVRETCCR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCCRA ;

INVRETBIRA = min(NINVRETBIR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBIRA ;

INVRETBNRA = min(NINVRETBNR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBNRA ;

INVRETBSRA = min(NINVRETBSR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBSRA ;

INVRETBXRA = min(NINVRETBXR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETBXRA ;

INVRETCTRA = min(NINVRETCTR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCTRA ;

INVRETCJRA = min(NINVRETCJR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCJRA ;

INVRETCORA = min(NINVRETCOR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCORA ;

INVRETCSRA = min(NINVRETCSR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCSRA ;

INVRETCIRA = min(NINVRETCIR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCIRA ;

INVRETCNRA = min(NINVRETCNR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETCNRA ;

INVRETDTRA = min(NINVRETDTR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDTRA ;

INVRETDJRA = min(NINVRETDJR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDJRA ;

INVRETDORA = min(NINVRETDOR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDORA ;

INVRETDSRA = min(NINVRETDSR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDSRA ;

INVRETDIRA = min(NINVRETDIR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDIRA ;

INVRETDNRA = min(NINVRETDNR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETDNRA ;

INVRETETRA = min(NINVRETETR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETETRA ;

INVRETEORA = min(NINVRETEOR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETEORA ;

INVRETESRA = min(NINVRETESR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = VARTMP1 + INVRETESRA ;

INVRETENRA = min(NINVRETENR , max(0 , MAXDOM3 - VARTMP1)) ;
VARTMP1 = 0 ;

TOTALPLAFC = INVRETSLA + INVRETSQA + INVRETSVA + INVRETTAA + INVRETSKA + INVRETSPA + INVRETSUA + INVRETSZA + INVRETSMA + INVRETSRA + INVRETSWA + INVRETTBA + INVRETSOA 
             + INVRETSTA + INVRETSYA + INVRETTDA + INVRETALA + INVRETAQA + INVRETAVA + INVRETBBA + INVRETAKA + INVRETAPA + INVRETAUA + INVRETBAA + INVRETAMA + INVRETARA 
	     + INVRETAWA + INVRETBEA + INVRETAOA + INVRETATA + INVRETAYA + INVRETBGA + INVRETBJA + INVRETBOA + INVRETBTA + INVRETBYA + INVRETCDA + INVRETBIA + INVRETBNA 
	     + INVRETBSA + INVRETBXA + INVRETCCA + INVRETBKA + INVRETBPA + INVRETBUA + INVRETBZA + INVRETCEA + INVRETBMA + INVRETBRA + INVRETBWA + INVRETCBA + INVRETCGA 
	     + INVRETCTA + INVRETCJA + INVRETCOA + INVRETCSA + INVRETCIA + INVRETCNA + INVRETCKA + INVRETCPA + INVRETCUA + INVRETCMA + INVRETCRA + INVRETCWA + INVRETDTA 
	     + INVRETDJA + INVRETDOA + INVRETDSA + INVRETDIA + INVRETDNA + INVRETETA + INVRETEOA + INVRETESA + INVRETENA + INVRETDKA + INVRETDPA + INVRETDUA + INVRETDMA 
	     + INVRETDRA + INVRETDWA + INVRETEPA + INVRETEUA + INVRETERA + INVRETEWA + INVRETOTA + INVRETOUA + INVRETOVA + INVRETOWA + INVRETOGA + INVRETOXA + INVRETOYA 
	     + INVRETOZA + INVRETUDA + INVRETUEA + INVRETUFA + INVRETUGA + INVRETUKA + INVRETULA + INVRETUMA + INVRETUNA + INVRETURA + INVRETUSA + INVRETUTA + INVRETUUA 
	     + INVRETVDA + INVRETVEA + INVRETVFA + INVRETVGA + INVRETVHA
             + INVRETSLRA + INVRETSQRA + INVRETSVRA + INVRETTARA + INVRETSKRA + INVRETSPRA + INVRETSURA + INVRETSZRA + INVRETALRA + INVRETAQRA + INVRETAVRA + INVRETBBRA 
	     + INVRETAKRA + INVRETAPRA + INVRETAURA + INVRETBARA + INVRETBJRA + INVRETBORA + INVRETBTRA + INVRETBYRA + INVRETCDRA + INVRETBIRA + INVRETBNRA + INVRETBSRA 
	     + INVRETBXRA + INVRETCCRA + INVRETCTRA + INVRETCJRA + INVRETCORA + INVRETCSRA + INVRETCIRA + INVRETCNRA + INVRETDTRA + INVRETDJRA + INVRETDORA + INVRETDSRA
	     + INVRETDIRA + INVRETDNRA + INVRETETRA + INVRETEORA + INVRETESRA + INVRETENRA ;

INDPLAF = positif(TOTALPLAFA + TOTALPLAFB + TOTALPLAFC - TOTALPLAF1 - TOTALPLAF2 - TOTALPLAF3) * positif(INDPLAF1 + INDPLAF2 + INDPLAF3) * positif(OPTPLAF15) ;


ALOGDOM_1 = (INVLOG2008 + INVLGDEB2009 + INVLGDEB + INVOMLOGOA + INVOMLOGOH + INVOMLOGOL + INVOMLOGOO + INVOMLOGOS
                      + (INVRETQL + INVRETQM + INVRETQD + INVRETOB + INVRETOC + INVRETOM + INVRETON + INVRETOI + INVRETOJ + INVRETOK + INVRETOP 
			 + INVRETOQ + INVRETOR + INVRETOT + INVRETOU + INVRETOV + INVRETOW + INVRETOD + INVRETOE + INVRETOF + INVRETOG
                         + INVRETOX + INVRETOY + INVRETOZ + INVRETUA + INVRETUB + INVRETUC + INVRETUD + INVRETUE + INVRETUF + INVRETUG
                         + INVRETUH + INVRETUI + INVRETUJ + INVRETUK + INVRETUL + INVRETUM + INVRETUN + INVRETUO + INVRETUP + INVRETUQ 
			 + INVRETUR + INVRETUS + INVRETUT + INVRETUU + INVRETVA + INVRETVB + INVRETVC + INVRETVD + INVRETVE + INVRETVF
			 + INVRETVG + INVRETVH) * (1 - INDPLAF)
		      + (INVRETQLA + INVRETQMA + INVRETQDA + INVRETOBA + INVRETOCA + INVRETOMA + INVRETONA + INVRETOIA + INVRETOJA + INVRETOKA 
			 + INVRETOPA + INVRETOQA + INVRETORA + INVRETOTA + INVRETOUA + INVRETOVA + INVRETOWA + INVRETODA + INVRETOEA + INVRETOFA 
			 + INVRETOGA + INVRETOXA + INVRETOYA + INVRETOZA + INVRETUAA + INVRETUBA + INVRETUCA + INVRETUDA + INVRETUEA + INVRETUFA 
			 + INVRETUGA + INVRETUHA + INVRETUIA + INVRETUJA + INVRETUKA + INVRETULA + INVRETUMA + INVRETUNA + INVRETUOA + INVRETUPA 
			 + INVRETUQA + INVRETURA + INVRETUSA + INVRETUTA + INVRETUUA + INVRETVAA + INVRETVBA + INVRETVCA + INVRETVDA + INVRETVEA 
			 + INVRETVFA + INVRETVGA + INVRETVHA) * INDPLAF)
	     * (1 - V_CNR) ;

ALOGDOM = ALOGDOM_1 * (1 - ART1731BIS) + min( ALOGDOM_1 , ALOGDOM_2 ) * ART1731BIS ;

ALOGSOC_1 = ((INVRETYB + INVRETYA + INVRETYBR + INVRETYAR) * (1 - INDPLAF) + (INVRETYBA + INVRETYAA + INVRETYBRA + INVRETYARA) * INDPLAF) * (1 - V_CNR) ;

ALOGSOC = ALOGSOC_1 * (1 - ART1731BIS) + min(ALOGSOC_1 , ALOGSOC_2) * ART1731BIS ;

ADOMSOC1_1 = ((INVRETRA + INVRETRB + INVRETRC + INVRETRD + INVRETXA + INVRETXB + INVRETXC + INVRETXE + INVRETXF + INVRETXG + INVRETXH + INVRETXI 
               + INVRETXK + INVRETXL + INVRETXM + INVRETXN + INVRETXO + INVRETXP + INVRETXU + INVRETXQ + INVRETXR + INVRETXS + INVRETXT
	       + INVRETRAR + INVRETRBR + INVRETRCR + INVRETRDR + INVRETXAR + INVRETXBR + INVRETXCR + INVRETXER + INVRETXFR + INVRETXGR + INVRETXHR 
	       + INVRETXIR + INVRETXKR + INVRETXLR + INVRETXMR + INVRETXNR + INVRETXOR + INVRETXPR + INVRETXUR + INVRETXQR + INVRETXRR + INVRETXSR 
	       + INVRETXTR) * (1 - INDPLAF) 
	     + (INVRETRAA + INVRETRBA + INVRETRCA + INVRETRDA + INVRETXAA + INVRETXBA + INVRETXCA + INVRETXEA + INVRETXFA + INVRETXGA + INVRETXHA 
	        + INVRETXIA + INVRETXKA + INVRETXLA + INVRETXMA + INVRETXNA + INVRETXOA + INVRETXPA + INVRETXUA + INVRETXQA + INVRETXRA + INVRETXSA 
		+ INVRETXTA
                + INVRETRARA + INVRETRBRA + INVRETRCRA + INVRETRDRA + INVRETXARA + INVRETXBRA + INVRETXCRA + INVRETXERA + INVRETXFRA + INVRETXGRA 
		+ INVRETXHRA + INVRETXIRA + INVRETXKRA + INVRETXLRA + INVRETXMRA + INVRETXNRA + INVRETXORA + INVRETXPRA + INVRETXURA + INVRETXQRA 
		+ INVRETXRRA + INVRETXSRA + INVRETXTRA) * INDPLAF) 
              * (1 - V_CNR) ;

ADOMSOC1 = ADOMSOC1_1 * (1 - ART1731BIS) + min(ADOMSOC1_1 , ADOMSOC1_2) * ART1731BIS ;

ALOCENT_1 = ((INVRETET + INVRETEO + INVRETES + INVRETEN + INVRETEP + INVRETEU + INVRETER + INVRETEW
              + INVRETETR + INVRETEOR + INVRETESR + INVRETENR) * (1 - INDPLAF)
            + (INVRETETA + INVRETEOA + INVRETESA + INVRETENA + INVRETEPA + INVRETEUA + INVRETERA + INVRETEWA
               + INVRETETRA + INVRETEORA + INVRETESRA + INVRETENRA) * INDPLAF)
            * (1 - V_CNR) ;

ALOCENT = ALOCENT_1 * (1 - ART1731BIS) + min(ALOCENT_1 , ALOCENT_2) * ART1731BIS ;

ACOLENT_1 = ((INVRETSB + INVRETSG + INVRETSA + INVRETSF + INVRETSC + INVRETSH + INVRETSE + INVRETSJ + INVRETSL + INVRETSQ + INVRETSV + INVRETTA + INVRETSK 
	      + INVRETSP + INVRETSU + INVRETSZ + INVRETSM + INVRETSR + INVRETSW + INVRETTB + INVRETSO + INVRETST + INVRETSY + INVRETTD + INVRETAB + INVRETAG 
	      + INVRETAA + INVRETAF + INVRETAC + INVRETAH + INVRETAE + INVRETAJ + INVRETAL + INVRETAQ + INVRETAV + INVRETBB + INVRETAK + INVRETAP + INVRETAU 
	      + INVRETBA + INVRETAM + INVRETAR + INVRETAW + INVRETBE + INVRETAO + INVRETAT + INVRETAY + INVRETBG + INVRETBJ + INVRETBO + INVRETBT + INVRETBY 
	      + INVRETCD + INVRETBI + INVRETBN + INVRETBS + INVRETBX + INVRETCC + INVRETBK + INVRETBP + INVRETBU + INVRETBZ + INVRETCE + INVRETBM + INVRETBR 
	      + INVRETBW + INVRETCB + INVRETCG + INVRETCT + INVRETCJ + INVRETCO + INVRETCS + INVRETCI + INVRETCN + INVRETCK + INVRETCP + INVRETCU + INVRETCM 
	      + INVRETCR + INVRETCW + INVRETDT + INVRETDJ + INVRETDO + INVRETDS + INVRETDI + INVRETDN + INVRETDK + INVRETDP + INVRETDU + INVRETDM + INVRETDR 
	      + INVRETDW
	      + INVRETSBR + INVRETSGR + INVRETSAR + INVRETSFR + INVRETSLR + INVRETSQR + INVRETSVR + INVRETTAR + INVRETSKR + INVRETSPR + INVRETSUR + INVRETSZR 
	      + INVRETABR + INVRETAGR + INVRETAAR + INVRETAFR + INVRETALR + INVRETAQR + INVRETAVR + INVRETBBR + INVRETAKR + INVRETAPR + INVRETAUR + INVRETBAR 
	      + INVRETBJR + INVRETBOR + INVRETBTR + INVRETBYR + INVRETCDR + INVRETBIR + INVRETBNR + INVRETBSR + INVRETBXR + INVRETCCR + INVRETCTR + INVRETCJR 
	      + INVRETCOR + INVRETCSR + INVRETCIR + INVRETCNR + INVRETDTR + INVRETDJR + INVRETDOR + INVRETDSR + INVRETDIR + INVRETDNR) * (1 - INDPLAF) 
	   + (INVRETSBA + INVRETSGA + INVRETSAA + INVRETSFA + INVRETSCA + INVRETSHA + INVRETSEA + INVRETSJA + INVRETSLA + INVRETSQA + INVRETSVA + INVRETTAA 
	      + INVRETSKA + INVRETSPA + INVRETSUA + INVRETSZA + INVRETSMA + INVRETSRA + INVRETSWA + INVRETTBA + INVRETSOA + INVRETSTA + INVRETSYA + INVRETTDA 
	      + INVRETABA + INVRETAGA + INVRETAAA + INVRETAFA + INVRETACA + INVRETAHA + INVRETAEA + INVRETAJA + INVRETALA + INVRETAQA + INVRETAVA + INVRETBBA 
	      + INVRETAKA + INVRETAPA + INVRETAUA + INVRETBAA + INVRETAMA + INVRETARA + INVRETAWA + INVRETBEA + INVRETAOA + INVRETATA + INVRETAYA + INVRETBGA 
	      + INVRETBJA + INVRETBOA + INVRETBTA + INVRETBYA + INVRETCDA + INVRETBIA + INVRETBNA + INVRETBSA + INVRETBXA + INVRETCCA + INVRETBKA + INVRETBPA 
	      + INVRETBUA + INVRETBZA + INVRETCEA + INVRETBMA + INVRETBRA + INVRETBWA + INVRETCBA + INVRETCGA + INVRETCTA + INVRETCJA + INVRETCOA + INVRETCSA 
	      + INVRETCIA + INVRETCNA + INVRETCKA + INVRETCPA + INVRETCUA + INVRETCMA + INVRETCRA + INVRETCWA + INVRETDTA + INVRETDJA + INVRETDOA + INVRETDSA 
	      + INVRETDIA + INVRETDNA + INVRETDKA + INVRETDPA + INVRETDUA + INVRETDMA + INVRETDRA + INVRETDWA
              + INVRETSBRA + INVRETSGRA + INVRETSARA + INVRETSFRA + INVRETSLRA + INVRETSQRA + INVRETSVRA + INVRETTARA + INVRETSKRA + INVRETSPRA + INVRETSURA 
	      + INVRETSZRA + INVRETABRA + INVRETAGRA + INVRETAARA + INVRETAFRA + INVRETALRA + INVRETAQRA + INVRETAVRA + INVRETBBRA + INVRETAKRA + INVRETAPRA 
	      + INVRETAURA + INVRETBARA + INVRETBJRA + INVRETBORA + INVRETBTRA + INVRETBYRA + INVRETCDRA + INVRETBIRA + INVRETBNRA + INVRETBSRA + INVRETBXRA 
	      + INVRETCCRA + INVRETCTRA + INVRETCJRA + INVRETCORA + INVRETCSRA + INVRETCIRA + INVRETCNRA + INVRETDTRA + INVRETDJRA + INVRETDORA + INVRETDSRA 
	      + INVRETDIRA + INVRETDNRA) * INDPLAF) 
	     * (1 - V_CNR) ;

ACOLENT = ACOLENT_1 * (1 - ART1731BIS) + min(ACOLENT_1 , ACOLENT_2) * ART1731BIS ;         

regle 402030:
application : iliad ;


VARTMP1 = 0 ;

NINVRETQB = max(min(INVLOG2008 , RRI1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETQB ;

NINVRETQC = max(min(INVLGDEB2009 , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETQC ;

NINVRETQT = max(min(INVLGDEB , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETQT ;

NINVRETOA = max(min(INVOMLOGOA , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOA ;

NINVRETOH = max(min(INVOMLOGOH , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOH ;

NINVRETOL = max(min(INVOMLOGOL , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOL ;

NINVRETOO = max(min(INVOMLOGOO , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOO ;

NINVRETOS = max(min(INVOMLOGOS , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOS ;

NINVRETQL = max(min(INVLGAUTRE , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETQL ;

NINVRETQM = max(min(INVLGDEB2010 , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETQM ;

NINVRETQD = max(min(INVLOG2009 , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETQD ;

NINVRETOB = max(min(INVOMLOGOB , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOB ;

NINVRETOC = max(min(INVOMLOGOC , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOC ;

NINVRETOI = max(min(INVOMLOGOI , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOI ;

NINVRETOJ = max(min(INVOMLOGOJ , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOJ ;

NINVRETOK = max(min(INVOMLOGOK , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOK ;

NINVRETOM = max(min(INVOMLOGOM , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOM ;

NINVRETON = max(min(INVOMLOGON , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETON ;

NINVRETOP = max(min(INVOMLOGOP , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOP ;

NINVRETOQ = max(min(INVOMLOGOQ , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOQ ; 

NINVRETOR = max(min(INVOMLOGOR , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOR ;

NINVRETOT = max(min(INVOMLOGOT , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOT ;

NINVRETOU = max(min(INVOMLOGOU , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOU ;

NINVRETOV = max(min(INVOMLOGOV , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOV ;

NINVRETOW = max(min(INVOMLOGOW , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOW ;

NINVRETOD = max(min(CODHOD , RRI1-VARTMP1) , 0) * (1 - V_CNR) ; 
VARTMP1 = VARTMP1 + NINVRETOD ;

NINVRETOE = max(min(CODHOE , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOE ;

NINVRETOF = max(min(CODHOF , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOF ;

NINVRETOG = max(min(CODHOG , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOG ;

NINVRETOX = max(min(CODHOX , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOX ;

NINVRETOY = max(min(CODHOY , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOY ;

NINVRETOZ = max(min(CODHOZ , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETOZ ;

NINVRETUA = max(min(CODHUA , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUA ;

NINVRETUB = max(min(CODHUB , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUB ;

NINVRETUC = max(min(CODHUC , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUC ;

NINVRETUD = max(min(CODHUD , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUD ; 

NINVRETUE = max(min(CODHUE , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUE ;

NINVRETUF = max(min(CODHUF , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUF ;

NINVRETUG = max(min(CODHUG , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUG ;

NINVRETUH = max(min(CODHUH , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUH ;

NINVRETUI = max(min(CODHUI , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUI ;

NINVRETUJ = max(min(CODHUJ , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUJ ;

NINVRETUK = max(min(CODHUK , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUK ;

NINVRETUL = max(min(CODHUL , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUL ;

NINVRETUM = max(min(CODHUM , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUM ;

NINVRETUN = max(min(CODHUN , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUN ;

NINVRETUO = max(min(CODHUO , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUO ;

NINVRETUP = max(min(CODHUP , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUP ;

NINVRETUQ = max(min(CODHUQ , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUQ ;

NINVRETUR = max(min(CODHUR , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUR ;

NINVRETUS = max(min(CODHUS , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUS ;

NINVRETUT = max(min(CODHUT , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUT ;

NINVRETUU = max(min(CODHUU , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETUU ; 

NINVRETVA = max(min(CODHVA , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETVA ;

NINVRETVB = max(min(CODHVB , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETVB ;

NINVRETVC = max(min(CODHVC , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETVC ;

NINVRETVD = max(min(CODHVD , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETVD ;

NINVRETVE = max(min(CODHVE , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETVE ;

NINVRETVF = max(min(CODHVF , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETVF ;

NINVRETVG = max(min(CODHVG , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETVG ;

NINVRETVH = max(min(CODHVH , RRI1-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = 0 ; 

regle 402040:
application : iliad ;


VARTMP1 = 0 ;

NINVRETRA = max(min(CODHRA , NNRI2) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETRA ;

NINVRETRB = max(min(CODHRB , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETRB ;

NINVRETRC = max(min(CODHRC , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETRC ; 

NINVRETRD = max(min(CODHRD , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETRD ;

NINVRETXA = max(min(CODHXA , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXA ;

NINVRETXB = max(min(CODHXB , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXB ;

NINVRETXC = max(min(CODHXC , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXC ;

NINVRETXE = max(min(CODHXE , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXE ;

NINVRETXK = max(min(CODHXK , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXK ;

NINVRETXF = max(min(CODHXF , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXF ;

NINVRETXG = max(min(CODHXG , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXG ;

NINVRETXH = max(min(CODHXH , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXH ;

NINVRETXI = max(min(CODHXI , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXI ;

NINVRETXP = max(min(CODHXP , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXP ;

NINVRETXL = max(min(CODHXL , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXL ; 

NINVRETXM = max(min(CODHXM , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXM ;

NINVRETXN = max(min(CODHXN , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXN ;

NINVRETXO = max(min(CODHXO , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXO ;

NINVRETXU = max(min(CODHXU , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXU ;

NINVRETXQ = max(min(CODHXQ , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXQ ;

NINVRETXR = max(min(CODHXR , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXR ;

NINVRETXS = max(min(CODHXS , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXS ;

NINVRETXT = max(min(CODHXT , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETXT ;

NINVRETYB = max(min(CODHYB , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETYB ;

NINVRETYA = max(min(CODHYA , NNRI2-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = 0 ;

NRDOMSOC1 = NINVRETRA + NINVRETRB + NINVRETRC + NINVRETRD + NINVRETXA + NINVRETXB + NINVRETXC + NINVRETXE + NINVRETXK 
            + NINVRETXF + NINVRETXG + NINVRETXH + NINVRETXI + NINVRETXP + NINVRETXL + NINVRETXM + NINVRETXN + NINVRETXO 
	    + NINVRETXU + NINVRETXQ + NINVRETXR + NINVRETXS + NINVRETXT ;

NRLOGSOC = NINVRETYB + NINVRETYA ;


NINVRETRAR = NINVRETRA - arr(NINVRETRA * TX35 / 100) ;

NINVRETRBR = NINVRETRB - arr(NINVRETRB * TX35 / 100) ;

NINVRETRCR = NINVRETRC - arr(NINVRETRC * TX35 / 100) ;

NINVRETRDR = NINVRETRD - arr(NINVRETRD * TX35 / 100) ;

NINVRETXAR = NINVRETXA - arr(NINVRETXA * TX35 / 100) ;

NINVRETXBR = NINVRETXB - arr(NINVRETXB * TX35 / 100) ;

NINVRETXCR = NINVRETXC - arr(NINVRETXC * TX35 / 100) ;

NINVRETXER = NINVRETXE - arr(NINVRETXE * TX35 / 100) ;

NINVRETXFR = NINVRETXF - arr(NINVRETXF * TX35 / 100) ;

NINVRETXGR = NINVRETXG - arr(NINVRETXG * TX35 / 100) ;

NINVRETXHR = NINVRETXH - arr(NINVRETXH * TX35 / 100) ;

NINVRETXIR = NINVRETXI - arr(NINVRETXI * TX35 / 100) ;

NINVRETXKR = NINVRETXK - arr(NINVRETXK * TX30 / 100) ;

NINVRETXLR = NINVRETXL - arr(NINVRETXL * TX35 / 100) ;

NINVRETXMR = NINVRETXM - arr(NINVRETXM * TX35 / 100) ;

NINVRETXNR = NINVRETXN - arr(NINVRETXN * TX35 / 100) ;

NINVRETXOR = NINVRETXO - arr(NINVRETXO * TX35 / 100) ;

NINVRETXPR = NINVRETXP - arr(NINVRETXP * TX30 / 100) ;

NINVRETXUR = NINVRETXU - arr(NINVRETXU * TX30 / 100) ;

NINVRETXQR = NINVRETXQ - arr(NINVRETXQ * TX35 / 100) ;

NINVRETXRR = NINVRETXR - arr(NINVRETXR * TX35 / 100) ;

NINVRETXSR = NINVRETXS - arr(NINVRETXS * TX35 / 100) ;

NINVRETXTR = NINVRETXT - arr(NINVRETXT * TX35 / 100) ;

NINVRETYBR = NINVRETYB - arr(NINVRETYB * TX30 / 100) ;

NINVRETYAR = NINVRETYA - arr(NINVRETYA * TX35 / 100) ;

regle 402050:
application : iliad ;


VARTMP1 = 0 ;

INVRETRA = min(arr(NINVRETRA * TX35 / 100) , max(0 , PLAF_INVDOM)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETRA ;

INVRETRB = min(arr(NINVRETRB * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETRB ;

INVRETRC = min(arr(NINVRETRC * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETRC ;

INVRETRD = min(arr(NINVRETRD * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETRD ;

INVRETXA = min(arr(NINVRETXA * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXA ;

INVRETXB = min(arr(NINVRETXB * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXB ;

INVRETXC = min(arr(NINVRETXC * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXC ;

INVRETXE = min(arr(NINVRETXE * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXE ;

INVRETXK = min(arr(NINVRETXK * TX30 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXK ;

INVRETXF = min(arr(NINVRETXF * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXF ;

INVRETXG = min(arr(NINVRETXG * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXG ;

INVRETXH = min(arr(NINVRETXH * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXH ;

INVRETXI = min(arr(NINVRETXI * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXI ;

INVRETXP = min(arr(NINVRETXP * TX30 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXP ;

INVRETXL = min(arr(NINVRETXL * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXL ;

INVRETXM = min(arr(NINVRETXM * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXM ;

INVRETXN = min(arr(NINVRETXN * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXN ;

INVRETXO = min(arr(NINVRETXO * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXO ;

INVRETXU = min(arr(NINVRETXU * TX30 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXU ;

INVRETXQ = min(arr(NINVRETXQ * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXQ ;

INVRETXR = min(arr(NINVRETXR * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXR ;

INVRETXS = min(arr(NINVRETXS * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXS ;

INVRETXT = min(arr(NINVRETXT * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETXT ;

INVRETYB = min(arr(NINVRETYB * TX30 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETYB ;

INVRETYA = min(arr(NINVRETYA * TX35 / 100) , max(0 , PLAF_INVDOM -VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = 0 ;

INVRETSOC = INVRETRA + INVRETRB + INVRETRC + INVRETRD + INVRETXA + INVRETXB + INVRETXC + INVRETXE + INVRETXF + INVRETXG 
            + INVRETXH + INVRETXI + INVRETXK + INVRETXL + INVRETXM + INVRETXN + INVRETXO + INVRETXP + INVRETXU + INVRETXQ 
	    + INVRETXR + INVRETXS + INVRETXT + INVRETYB + INVRETYA ;


INVRETRAR = min(arr(INVRETRA * 13 / 7) , NINVRETRA - INVRETRA) * (1 - null(1 - abs(arr(INVRETRA * 13 / 7) - (NINVRETRA - INVRETRA)))) 
                + (NINVRETRA - INVRETRA) * null(1 - abs(arr(INVRETRA * 13 / 7) - (NINVRETRA - INVRETRA))) ;

INVRETRBR = min(arr(INVRETRB * 13 / 7) , NINVRETRB - INVRETRB) * (1 - null(1 - abs(arr(INVRETRB * 13 / 7) - (NINVRETRB - INVRETRB)))) 
                + (NINVRETRB - INVRETRB) * null(1 - abs(arr(INVRETRB * 13 / 7) - (NINVRETRB - INVRETRB))) ;

INVRETRCR = min(arr(INVRETRC * 13 / 7) , NINVRETRC - INVRETRC) * (1 - null(1 - abs(arr(INVRETRC * 13 / 7) - (NINVRETRC - INVRETRC)))) 
                + (NINVRETRC - INVRETRC) * null(1 - abs(arr(INVRETRC * 13 / 7) - (NINVRETRC - INVRETRC))) ;

INVRETRDR = min(arr(INVRETRD * 13 / 7) , NINVRETRD - INVRETRD) * (1 - null(1 - abs(arr(INVRETRD * 13 / 7) - (NINVRETRD - INVRETRD))))
                + (NINVRETRD - INVRETRD) * null(1 - abs(arr(INVRETRD * 13 / 7) - (NINVRETRD - INVRETRD))) ;

INVRETXAR = min(arr(INVRETXA * 13 / 7) , NINVRETXA - INVRETXA) * (1 - null(1 - abs(arr(INVRETXA * 13 / 7) - (NINVRETXA - INVRETXA)))) 
                + (NINVRETXA - INVRETXA) * null(1 - abs(arr(INVRETXA * 13 / 7) - (NINVRETXA - INVRETXA))) ;

INVRETXBR = min(arr(INVRETXB * 13 / 7) , NINVRETXB - INVRETXB) * (1 - null(1 - abs(arr(INVRETXB * 13 / 7) - (NINVRETXB - INVRETXB)))) 
                + (NINVRETXB - INVRETXB) * null(1 - abs(arr(INVRETXB * 13 / 7) - (NINVRETXB - INVRETXB))) ;

INVRETXCR = min(arr(INVRETXC * 13 / 7) , NINVRETXC - INVRETXC) * (1 - null(1 - abs(arr(INVRETXC * 13 / 7) - (NINVRETXC - INVRETXC))))
                + (NINVRETXC - INVRETXC) * null(1 - abs(arr(INVRETXC * 13 / 7) - (NINVRETXC - INVRETXC))) ;

INVRETXER = min(arr(INVRETXE * 13 / 7) , NINVRETXE - INVRETXE) * (1 - null(1 - abs(arr(INVRETXE * 13 / 7) - (NINVRETXE - INVRETXE)))) 
                + (NINVRETXE - INVRETXE) * null(1 - abs(arr(INVRETXE * 13 / 7) - (NINVRETXE - INVRETXE))) ;

INVRETXKR = min(arr(INVRETXK * 7 / 3) , NINVRETXK - INVRETXK) * (1 - null(1 - abs(arr(INVRETXK * 7 / 3) - (NINVRETXK - INVRETXK))))
                + (NINVRETXK - INVRETXK) * null(1 - abs(arr(INVRETXK * 7 / 3) - (NINVRETXK - INVRETXK))) ;

INVRETXFR = min(arr(INVRETXF * 13 / 7) , NINVRETXF - INVRETXF) * (1 - null(1 - abs(arr(INVRETXF * 13 / 7) - (NINVRETXF - INVRETXF)))) 
                + (NINVRETXF - INVRETXF) * null(1 - abs(arr(INVRETXF * 13 / 7) - (NINVRETXF - INVRETXF))) ;

INVRETXGR = min(arr(INVRETXG * 13 / 7) , NINVRETXG - INVRETXG) * (1 - null(1 - abs(arr(INVRETXG * 13 / 7) - (NINVRETXG - INVRETXG)))) 
                + (NINVRETXG - INVRETXG) * null(1 - abs(arr(INVRETXG * 13 / 7) - (NINVRETXG - INVRETXG))) ;

INVRETXHR = min(arr(INVRETXH * 13 / 7) , NINVRETXH - INVRETXH) * (1 - null(1 - abs(arr(INVRETXH * 13 / 7) - (NINVRETXH - INVRETXH))))
                + (NINVRETXH - INVRETXH) * null(1 - abs(arr(INVRETXH * 13 / 7) - (NINVRETXH - INVRETXH))) ;

INVRETXIR = min(arr(INVRETXI * 13 / 7) , NINVRETXI - INVRETXI) * (1 - null(1 - abs(arr(INVRETXI * 13 / 7) - (NINVRETXI - INVRETXI))))
                + (NINVRETXI - INVRETXI) * null(1 - abs(arr(INVRETXI * 13 / 7) - (NINVRETXI - INVRETXI))) ;

INVRETXPR = min(arr(INVRETXP * 7 / 3) , NINVRETXP - INVRETXP) * (1 - null(1 - abs(arr(INVRETXP * 7 / 3) - (NINVRETXP - INVRETXP))))
                + (NINVRETXP - INVRETXP) * null(1 - abs(arr(INVRETXP * 7 / 3) - (NINVRETXP - INVRETXP))) ;

INVRETXLR = min(arr(INVRETXL * 13 / 7) , NINVRETXL - INVRETXL) * (1 - null(1 - abs(arr(INVRETXL * 13 / 7) - (NINVRETXL - INVRETXL))))
                + (NINVRETXL - INVRETXL) * null(1 - abs(arr(INVRETXL * 13 / 7) - (NINVRETXL - INVRETXL))) ;

INVRETXMR = min(arr(INVRETXM * 13 / 7) , NINVRETXM - INVRETXM) * (1 - null(1 - abs(arr(INVRETXM * 13 / 7) - (NINVRETXM - INVRETXM))))
                + (NINVRETXM - INVRETXM) * null(1 - abs(arr(INVRETXM * 13 / 7) - (NINVRETXM - INVRETXM))) ;

INVRETXNR = min(arr(INVRETXN * 13 / 7) , NINVRETXN - INVRETXN) * (1 - null(1 - abs(arr(INVRETXN * 13 / 7) - (NINVRETXN - INVRETXN))))
                + (NINVRETXN - INVRETXN) * null(1 - abs(arr(INVRETXN * 13 / 7) - (NINVRETXN - INVRETXN))) ;

INVRETXOR = min(arr(INVRETXO * 13 / 7) , NINVRETXO - INVRETXO) * (1 - null(1 - abs(arr(INVRETXO * 13 / 7) - (NINVRETXO - INVRETXO))))
                + (NINVRETXO - INVRETXO) * null(1 - abs(arr(INVRETXO * 13 / 7) - (NINVRETXO - INVRETXO))) ;

INVRETXUR = min(arr(INVRETXU * 7 / 3) , NINVRETXU - INVRETXU) * (1 - null(1 - abs(arr(INVRETXU * 7 / 3) - (NINVRETXU - INVRETXU))))
                + (NINVRETXU - INVRETXU) * null(1 - abs(arr(INVRETXU * 7 / 3) - (NINVRETXU - INVRETXU))) ;

INVRETXQR = min(arr(INVRETXQ * 13 / 7) , NINVRETXQ - INVRETXQ) * (1 - null(1 - abs(arr(INVRETXQ * 13 / 7) - (NINVRETXQ - INVRETXQ))))
                + (NINVRETXQ - INVRETXQ) * null(1 - abs(arr(INVRETXQ * 13 / 7) - (NINVRETXQ - INVRETXQ))) ;

INVRETXRR = min(arr(INVRETXR * 13 / 7) , NINVRETXR - INVRETXR) * (1 - null(1 - abs(arr(INVRETXR * 13 / 7) - (NINVRETXR - INVRETXR))))
                + (NINVRETXR - INVRETXR) * null(1 - abs(arr(INVRETXR * 13 / 7) - (NINVRETXR - INVRETXR))) ;

INVRETXSR = min(arr(INVRETXS * 13 / 7) , NINVRETXS - INVRETXS) * (1 - null(1 - abs(arr(INVRETXS * 13 / 7) - (NINVRETXS - INVRETXS))))
                + (NINVRETXS - INVRETXS) * null(1 - abs(arr(INVRETXS * 13 / 7) - (NINVRETXS - INVRETXS))) ;

INVRETXTR = min(arr(INVRETXT * 13 / 7) , NINVRETXT - INVRETXT) * (1 - null(1 - abs(arr(INVRETXT * 13 / 7) - (NINVRETXT - INVRETXT))))
                + (NINVRETXT - INVRETXT) * null(1 - abs(arr(INVRETXT * 13 / 7) - (NINVRETXT - INVRETXT))) ;

INVRETYBR = min(arr(INVRETYB * 7 / 3) , NINVRETYB - INVRETYB) * (1 - null(1 - abs(arr(INVRETYB * 7 / 3) - (NINVRETYB - INVRETYB))))
                + (NINVRETYB - INVRETYB) * null(1 - abs(arr(INVRETYB * 7 / 3) - (NINVRETYB - INVRETYB))) ;

INVRETYAR = min(arr(INVRETYA * 13 / 7) , NINVRETYA - INVRETYA) * (1 - null(1 - abs(arr(INVRETYA * 13 / 7) - (NINVRETYA - INVRETYA))))
                + (NINVRETYA - INVRETYA) * null(1 - abs(arr(INVRETYA * 13 / 7) - (NINVRETYA - INVRETYA))) ;

regle 402070:
application : iliad ;


NINVENT12 = NRLOGSOC + NRDOMSOC1 ;


VARTMP1 = 0 ;

NINVRETSB = max(min(CODHSB , NNRI2-NINVENT12) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSB ;

NINVRETSG = max(min(CODHSG , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSG ;

NINVRETSL = max(min(CODHSL , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSL ;

NINVRETSQ = max(min(CODHSQ , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSQ ;

NINVRETSV = max(min(CODHSV , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSV ;

NINVRETTA = max(min(CODHTA , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETTA ;

NINVRETSA = max(min(CODHSA , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSA ;

NINVRETSF = max(min(CODHSF , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSF ;

NINVRETSK = max(min(CODHSK , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSK ;

NINVRETSP = max(min(CODHSP , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSP ;

NINVRETSU = max(min(CODHSU , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSU ;

NINVRETSZ = max(min(CODHSZ , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSZ ;

NINVRETSC = max(min(CODHSC , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSC ;

NINVRETSH = max(min(CODHSH , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSH ;

NINVRETSM = max(min(CODHSM , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSM ;

NINVRETSR = max(min(CODHSR , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSR ;

NINVRETSW = max(min(CODHSW , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSW ;

NINVRETTB = max(min(CODHTB , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETTB ;

NINVRETSE = max(min(CODHSE , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSE ;

NINVRETSJ = max(min(CODHSJ , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSJ ;

NINVRETSO = max(min(CODHSO , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSO ;

NINVRETST = max(min(CODHST , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETST ;

NINVRETSY = max(min(CODHSY , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETSY ;

NINVRETTD = max(min(CODHTD , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETTD ;

NINVRETAB = max(min(CODHAB , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAB ;

NINVRETAG = max(min(CODHAG , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAG ;

NINVRETAL = max(min(CODHAL , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAL ;

NINVRETAQ = max(min(CODHAQ , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAQ ;

NINVRETAV = max(min(CODHAV , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAV ;

NINVRETBB = max(min(CODHBB , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBB ;

NINVRETAA = max(min(CODHAA , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAA ;

NINVRETAF = max(min(CODHAF , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAF ;

NINVRETAK = max(min(CODHAK , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAK ;

NINVRETAP = max(min(CODHAP , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAP ;

NINVRETAU = max(min(CODHAU , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAU ;

NINVRETBA = max(min(CODHBA , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBA ;

NINVRETAC = max(min(CODHAC , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAC ;

NINVRETAH = max(min(CODHAH , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAH ;

NINVRETAM = max(min(CODHAM , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAM ;

NINVRETAR = max(min(CODHAR , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAR ;

NINVRETAW = max(min(CODHAW , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAW ;

NINVRETBE = max(min(CODHBE , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBE ;

NINVRETAE = max(min(CODHAE , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAE ;

NINVRETAJ = max(min(CODHAJ , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAJ ;

NINVRETAO = max(min(CODHAO , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAO ;

NINVRETAT = max(min(CODHAT , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAT ;

NINVRETAY = max(min(CODHAY , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETAY ;

NINVRETBG = max(min(CODHBG , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBG ;

NINVRETCD = max(min(CODHCD , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCD ;

NINVRETBJ = max(min(CODHBJ , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBJ ;

NINVRETBO = max(min(CODHBO , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBO ;

NINVRETBT = max(min(CODHBT , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBT ;

NINVRETBY = max(min(CODHBY , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBY ;

NINVRETCC = max(min(CODHCC , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCC ;

NINVRETBI = max(min(CODHBI , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBI ;

NINVRETBN = max(min(CODHBN , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBN ;

NINVRETBS = max(min(CODHBS , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBS ;

NINVRETBX = max(min(CODHBX , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBX ;

NINVRETBK = max(min(CODHBK , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBK ;

NINVRETBP = max(min(CODHBP , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBP ;

NINVRETBU = max(min(CODHBU , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBU ;

NINVRETBZ = max(min(CODHBZ , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBZ ;

NINVRETCE = max(min(CODHCE , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCE ;

NINVRETBM = max(min(CODHBM , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBM ;

NINVRETBR = max(min(CODHBR , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBR ;

NINVRETBW = max(min(CODHBW , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETBW ;

NINVRETCB = max(min(CODHCB , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCB ;

NINVRETCG = max(min(CODHCG , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCG ;

NINVRETCT = max(min(CODHCT , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCT ;

NINVRETCJ = max(min(CODHCJ , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCJ ;

NINVRETCO = max(min(CODHCO , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCO ;

NINVRETCS = max(min(CODHCS , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCS ;

NINVRETCI = max(min(CODHCI , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCI ;

NINVRETCN = max(min(CODHCN , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCN ;

NINVRETCK = max(min(CODHCK , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCK ;

NINVRETCP = max(min(CODHCP , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCP ;

NINVRETCU = max(min(CODHCU , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCU ;

NINVRETCM = max(min(CODHCM , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCM ;

NINVRETCR = max(min(CODHCR , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCR ;

NINVRETCW = max(min(CODHCW , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETCW ;

NINVRETDT = max(min(CODHDT , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDT ;

NINVRETDJ = max(min(CODHDJ , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDJ ;

NINVRETDO = max(min(CODHDO , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDO ;

NINVRETDS = max(min(CODHDS , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDS ;

NINVRETDI = max(min(CODHDI , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDI ;

NINVRETDN = max(min(CODHDN , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDN ;

NINVRETDK = max(min(CODHDK , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDK ;

NINVRETDP = max(min(CODHDP , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDP ;

NINVRETDU = max(min(CODHDU , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDU ;

NINVRETDM = max(min(CODHDM , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDM ;

NINVRETDR = max(min(CODHDR , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDR ;

NINVRETDW = max(min(CODHDW , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETDW ;

NINVRETET = max(min(CODHET , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETET ;

NINVRETEO = max(min(CODHEO , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETEO ;

NINVRETES = max(min(CODHES , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETES ;

NINVRETEN = max(min(CODHEN , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETEN ;

NINVRETEP = max(min(CODHEP , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETEP ;

NINVRETEU = max(min(CODHEU , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETEU ;

NINVRETER = max(min(CODHER , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + NINVRETER ;

NINVRETEW = max(min(CODHEW , NNRI2-NINVENT12-VARTMP1) , 0) * (1 - V_CNR) ;
VARTMP1 = 0 ;


NINVRETSBR = NINVRETSB - arr(NINVRETSB * TX375/100) ;

NINVRETSGR = NINVRETSG - arr(NINVRETSG * TX375/100) ;

NINVRETSAR = NINVRETSA - arr(NINVRETSA * TX4737/100) ;

NINVRETSFR = NINVRETSF - arr(NINVRETSF * TX4737/100) ;

NINVRETABR = NINVRETAB - arr(NINVRETAB * TX375/100) ;

NINVRETAGR = NINVRETAG - arr(NINVRETAG * TX375/100) ;

NINVRETAAR = NINVRETAA - arr(NINVRETAA * TX4737/100) ;

NINVRETAFR = NINVRETAF - arr(NINVRETAF * TX4737/100) ;

NINVRETBJR = NINVRETBJ - arr(NINVRETBJ * TX375/100) ;

NINVRETBOR = NINVRETBO - arr(NINVRETBO * TX375/100) ;

NINVRETBIR = NINVRETBI - arr(NINVRETBI * TX4737/100) ;

NINVRETBNR = NINVRETBN - arr(NINVRETBN * TX4737/100) ;

NINVRETSLR = NINVRETSL - arr(NINVRETSL * TX375/100) ;

NINVRETSQR = NINVRETSQ - arr(NINVRETSQ * TX375/100) ;

NINVRETSVR = NINVRETSV - arr(NINVRETSV * TX375/100) ;

NINVRETTAR = NINVRETTA - arr(NINVRETTA * TX375/100) ;

NINVRETSKR = NINVRETSK - arr(NINVRETSK * TX4737/100) ;

NINVRETSPR = NINVRETSP - arr(NINVRETSP * TX4737/100) ;

NINVRETSUR = NINVRETSU - arr(NINVRETSU * TX4737/100) ;

NINVRETSZR = NINVRETSZ - arr(NINVRETSZ * TX4737/100) ;

NINVRETALR = NINVRETAL - arr(NINVRETAL * TX375/100) ;

NINVRETAQR = NINVRETAQ - arr(NINVRETAQ * TX375/100) ;

NINVRETAVR = NINVRETAV - arr(NINVRETAV * TX375/100) ;

NINVRETBBR = NINVRETBB - arr(NINVRETBB * TX375/100) ;

NINVRETAKR = NINVRETAK - arr(NINVRETAK * TX4737/100) ;

NINVRETAPR = NINVRETAP - arr(NINVRETAP * TX4737/100) ;

NINVRETAUR = NINVRETAU - arr(NINVRETAU * TX4737/100) ;

NINVRETBAR = NINVRETBA - arr(NINVRETBA * TX4737/100) ;

NINVRETBTR = NINVRETBT - arr(NINVRETBT * TX375/100) ;

NINVRETBYR = NINVRETBY - arr(NINVRETBY * TX375/100) ;

NINVRETCDR = NINVRETCD - arr(NINVRETCD * TX34/100) ;

NINVRETBSR = NINVRETBS - arr(NINVRETBS * TX4737/100) ;

NINVRETBXR = NINVRETBX - arr(NINVRETBX * TX4737/100) ;

NINVRETCCR = NINVRETCC - arr(NINVRETCC * TX44/100) ;

NINVRETCTR = NINVRETCT - arr(NINVRETCT * TX34/100) ;

NINVRETCJR = NINVRETCJ - arr(NINVRETCJ * TX375/100) ;

NINVRETCOR = NINVRETCO - arr(NINVRETCO * TX375/100) ;

NINVRETCSR = NINVRETCS - arr(NINVRETCS * TX44/100) ;

NINVRETCIR = NINVRETCI - arr(NINVRETCI * TX4737/100) ;

NINVRETCNR = NINVRETCN - arr(NINVRETCN * TX4737/100) ;

NINVRETDTR = NINVRETDT - arr(NINVRETDT * TX34/100) ;

NINVRETDJR = NINVRETDJ - arr(NINVRETDJ * TX375/100) ;

NINVRETDOR = NINVRETDO - arr(NINVRETDO * TX375/100) ;

NINVRETDSR = NINVRETDS - arr(NINVRETDS * TX44/100) ;

NINVRETDIR = NINVRETDI - arr(NINVRETDI * TX4737/100) ;

NINVRETDNR = NINVRETDN - arr(NINVRETDN * TX4737/100) ;

NINVRETETR = NINVRETET - arr(NINVRETET * TX34/100) ;

NINVRETEOR = NINVRETEO - arr(NINVRETEO * TX375/100) ;

NINVRETESR = NINVRETES - arr(NINVRETES * TX44/100) ;

NINVRETENR = NINVRETEN - arr(NINVRETEN * TX4737/100) ;

regle 402080:
application : iliad ;


VARTMP1 = 0 ;

INVRETSB = min(arr(NINVRETSB * TX375/100) , max(0 , PLAF_INVDOM3 -INVRETSOC)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSB ;

INVRETSG = min(arr(NINVRETSG * TX375/100) , max(0 , PLAF_INVDOM3 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSG ;

INVRETSL = min(arr(NINVRETSL * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSL ;

INVRETSQ = min(arr(NINVRETSQ * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSQ ;

INVRETSV = min(arr(NINVRETSV * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSV ;

INVRETTA = min(arr(NINVRETTA * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETTA ;

INVRETSA = min(arr(NINVRETSA * TX4737/100) , max(0 , PLAF_INVDOM3 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSA ;

INVRETSF = min(arr(NINVRETSF * TX4737/100) , max(0 , PLAF_INVDOM3 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSF ;

INVRETSK = min(arr(NINVRETSK * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSK ;

INVRETSP = min(arr(NINVRETSP * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSP ;

INVRETSU = min(arr(NINVRETSU * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSU ;

INVRETSZ = min(arr(NINVRETSZ * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSZ ;

INVRETAB = min(arr(NINVRETAB * TX375/100) , max(0 , PLAF_INVDOM3 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAB ;

INVRETAG = min(arr(NINVRETAG * TX375/100) , max(0 , PLAF_INVDOM3 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAG ;

INVRETAL = min(arr(NINVRETAL * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAL ;

INVRETAQ = min(arr(NINVRETAQ * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAQ ;

INVRETAV = min(arr(NINVRETAV * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAV ;

INVRETBB = min(arr(NINVRETBB * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBB ;

INVRETAA = min(arr(NINVRETAA * TX4737/100) , max(0 , PLAF_INVDOM3 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAA ;

INVRETAF = min(arr(NINVRETAF * TX4737/100) , max(0 , PLAF_INVDOM3 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAF ;

INVRETAK = min(arr(NINVRETAK * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAK ;

INVRETAP = min(arr(NINVRETAP * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAP ;

INVRETAU = min(arr(NINVRETAU * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAU ;

INVRETBA = min(arr(NINVRETBA * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBA ;

INVRETCD = min(arr(NINVRETCD * TX34/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCD ;

INVRETBJ = min(arr(NINVRETBJ * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBJ ;

INVRETBO = min(arr(NINVRETBO * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBO ;

INVRETBT = min(arr(NINVRETBT * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBT ;

INVRETBY = min(arr(NINVRETBY * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBY ;

INVRETCC = min(arr(NINVRETCC * TX44/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCC ;

INVRETBI = min(arr(NINVRETBI * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBI ;

INVRETBN = min(arr(NINVRETBN * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBN ;

INVRETBS = min(arr(NINVRETBS * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBS ;

INVRETBX = min(arr(NINVRETBX * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBX ;

INVRETCT = min(arr(NINVRETCT * TX34/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCT ;

INVRETCJ = min(arr(NINVRETCJ * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCJ ;

INVRETCO = min(arr(NINVRETCO * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCO ;

INVRETCS = min(arr(NINVRETCS * TX44/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCS ;

INVRETCI = min(arr(NINVRETCI * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCI ;

INVRETCN = min(arr(NINVRETCN * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCN ;

INVRETDT = min(arr(NINVRETDT * TX34/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETDT ;

INVRETDJ = min(arr(NINVRETDJ * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETDJ ;

INVRETDO = min(arr(NINVRETDO * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETDO ;

INVRETDS = min(arr(NINVRETDS * TX44/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETDS ;

INVRETDI = min(arr(NINVRETDI * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETDI ;

INVRETDN = min(arr(NINVRETDN * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETDN ;

INVRETET = min(arr(NINVRETET * TX34/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETET ;

INVRETEO = min(arr(NINVRETEO * TX375/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETEO ;

INVRETES = min(arr(NINVRETES * TX44/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETES ;

INVRETEN = min(arr(NINVRETEN * TX4737/100) , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETEN ;

INVRETSC = min(NINVRETSC , max(0 , PLAF_INVDOM3 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSC ;

INVRETSH = min(NINVRETSH , max(0 , PLAF_INVDOM3 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSH ;

INVRETSM = min(NINVRETSM , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSM ;

INVRETSR = min(NINVRETSR , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSR ;

INVRETSW = min(NINVRETSW , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETSW ;

INVRETTB = min(NINVRETTB , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETTB ;

INVRETAC = min(NINVRETAC , max(0 , PLAF_INVDOM3 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAC ;

INVRETAH = min(NINVRETAH , max(0 , PLAF_INVDOM3 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAH ;

INVRETAM = min(NINVRETAM , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAM ;

INVRETAR = min(NINVRETAR , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAR ;

INVRETAW = min(NINVRETAW , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETAW ;

INVRETBE = min(NINVRETBE , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBE ;

INVRETBK = min(NINVRETBK , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBK ;

INVRETBP = min(NINVRETBP , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBP ;

INVRETBU = min(NINVRETBU , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBU ;

INVRETBZ = min(NINVRETBZ , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETBZ ;

INVRETCE = min(NINVRETCE , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCE ;

INVRETCK = min(NINVRETCK , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCK ;

INVRETCP = min(NINVRETCP , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCP ;

INVRETCU = min(NINVRETCU , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETCU ;

INVRETDK = min(NINVRETDK , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETDK ;

INVRETDP = min(NINVRETDP , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETDP ;

INVRETDU = min(NINVRETDU , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETDU ;

INVRETEP = min(NINVRETEP , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETEP ;

INVRETEU = min(NINVRETEU , max(0 , PLAF_INVDOM4 -INVRETSOC-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = 0 ;

INVRETENT = INVRETSB + INVRETSG + INVRETSL + INVRETSQ + INVRETSV + INVRETTA + INVRETSA + INVRETSF + INVRETSK + INVRETSP + INVRETSU + INVRETSZ + INVRETAB 
            + INVRETAG + INVRETAL + INVRETAQ + INVRETAV + INVRETBB + INVRETAA + INVRETAF + INVRETAK + INVRETAP + INVRETAU + INVRETBA + INVRETBJ + INVRETBO 
	    + INVRETBT + INVRETBY + INVRETCD + INVRETBI + INVRETBN + INVRETBS + INVRETBX + INVRETCC + INVRETCT + INVRETCJ + INVRETCO + INVRETCS + INVRETCI 
	    + INVRETCN + INVRETDT + INVRETDJ + INVRETDO + INVRETDS + INVRETDI + INVRETDN + INVRETET + INVRETEO + INVRETES + INVRETEN + INVRETSC + INVRETSH 
	    + INVRETSM + INVRETSR + INVRETSW + INVRETTB + INVRETAC + INVRETAH + INVRETAM + INVRETAR + INVRETAW + INVRETBE + INVRETBK + INVRETBP + INVRETBU 
	    + INVRETBZ + INVRETCE + INVRETCK + INVRETCP + INVRETCU + INVRETDK + INVRETDP + INVRETDU + INVRETEP + INVRETEU ;

INVRETSE = NINVRETSE ;

INVRETSJ = NINVRETSJ ;

INVRETSO = NINVRETSO ;

INVRETST = NINVRETST ;

INVRETSY = NINVRETSY ;

INVRETTD = NINVRETTD ;

INVRETAE = NINVRETAE ;

INVRETAJ = NINVRETAJ ;

INVRETAO = NINVRETAO ;

INVRETAT = NINVRETAT ;

INVRETAY = NINVRETAY ;

INVRETBG = NINVRETBG ;

INVRETBM = NINVRETBM ;

INVRETBR = NINVRETBR ;

INVRETBW = NINVRETBW ;

INVRETCB = NINVRETCB ;

INVRETCG = NINVRETCG ;

INVRETCM = NINVRETCM ;

INVRETCR = NINVRETCR ;

INVRETCW = NINVRETCW ;

INVRETDM = NINVRETDM ;

INVRETDR = NINVRETDR ;

INVRETDW = NINVRETDW ;

INVRETER = NINVRETER ;

INVRETEW = NINVRETEW ;


INVRETSBR = min(arr(INVRETSB * 5/3) , NINVRETSB - INVRETSB) * (1 - null(1 - abs(arr(INVRETSB * 5/3) - (NINVRETSB - INVRETSB))))  
             + (NINVRETSB - INVRETSB) * null(1 - abs(arr(INVRETSB * 5/3) - (NINVRETSB - INVRETSB))) ;

INVRETSGR = min(arr(INVRETSG * 5/3) , NINVRETSG - INVRETSG) * (1 - null(1 - abs(arr(INVRETSG * 5/3) - (NINVRETSG - INVRETSG))))
             + (NINVRETSG - INVRETSG) * null(1 - abs(arr(INVRETSG * 5/3) - (NINVRETSG - INVRETSG))) ;

INVRETSLR = min(arr(INVRETSL * 5/3) , NINVRETSL - INVRETSL) * (1 - null(1 - abs(arr(INVRETSL * 5/3) - (NINVRETSL - INVRETSL))))
             + (NINVRETSL - INVRETSL) * null(1 - abs(arr(INVRETSL * 5/3) - (NINVRETSL - INVRETSL))) ;

INVRETSQR = min(arr(INVRETSQ * 5/3) , NINVRETSQ - INVRETSQ) * (1 - null(1 - abs(arr(INVRETSQ * 5/3) - (NINVRETSQ - INVRETSQ))))
             + (NINVRETSQ - INVRETSQ) * null(1 - abs(arr(INVRETSQ * 5/3) - (NINVRETSQ - INVRETSQ))) ;

INVRETSVR = min(arr(INVRETSV * 5/3) , NINVRETSV - INVRETSV) * (1 - null(1 - abs(arr(INVRETSV * 5/3) - (NINVRETSV - INVRETSV))))
             + (NINVRETSV - INVRETSV) * null(1 - abs(arr(INVRETSV * 5/3) - (NINVRETSV - INVRETSV))) ;

INVRETTAR = min(arr(INVRETTA * 5/3) , NINVRETTA - INVRETTA) * (1 - null(1 - abs(arr(INVRETTA * 5/3) - (NINVRETTA - INVRETTA))))
             + (NINVRETTA - INVRETTA) * null(1 - abs(arr(INVRETTA * 5/3) - (NINVRETTA - INVRETTA))) ;

INVRETSAR = min(arr(INVRETSA * 10/9) , NINVRETSA - INVRETSA) * (1 - null(1 - abs(arr(INVRETSA * 10/9) - (NINVRETSA - INVRETSA))))
             + (NINVRETSA - INVRETSA) * null(1 - abs(arr(INVRETSA * 10/9) - (NINVRETSA - INVRETSA))) ; 

INVRETSFR = min(arr(INVRETSF * 10/9) , NINVRETSF - INVRETSF) * (1 - null(1 - abs(arr(INVRETSF * 10/9) - (NINVRETSF - INVRETSF))))
             + (NINVRETSF - INVRETSF) * null(1 - abs(arr(INVRETSF * 10/9) - (NINVRETSF - INVRETSF))) ;

INVRETSKR = min(arr(INVRETSK * 10/9) , NINVRETSK - INVRETSK) * (1 - null(1 - abs(arr(INVRETSK * 10/9) - (NINVRETSK - INVRETSK))))
             + (NINVRETSK - INVRETSK) * null(1 - abs(arr(INVRETSK * 10/9) - (NINVRETSK - INVRETSK))) ; 

INVRETSPR = min(arr(INVRETSP * 10/9) , NINVRETSP - INVRETSP) * (1 - null(1 - abs(arr(INVRETSP * 10/9) - (NINVRETSP - INVRETSP))))
             + (NINVRETSP - INVRETSP) * null(1 - abs(arr(INVRETSP * 10/9) - (NINVRETSP - INVRETSP))) ;

INVRETSUR = min(arr(INVRETSU * 10/9) , NINVRETSU - INVRETSU) * (1 - null(1 - abs(arr(INVRETSU * 10/9) - (NINVRETSU - INVRETSU))))
             + (NINVRETSU - INVRETSU) * null(1 - abs(arr(INVRETSU * 10/9) - (NINVRETSU - INVRETSU))) ; 

INVRETSZR = min(arr(INVRETSZ * 10/9) , NINVRETSZ - INVRETSZ) * (1 - null(1 - abs(arr(INVRETSZ * 10/9) - (NINVRETSZ - INVRETSZ))))
             + (NINVRETSZ - INVRETSZ) * null(1 - abs(arr(INVRETSZ * 10/9) - (NINVRETSZ - INVRETSZ))) ;

INVRETABR = min(arr(INVRETAB * 5/3) , NINVRETAB - INVRETAB) * (1 - null(1 - abs(arr(INVRETAB * 5/3) - (NINVRETAB - INVRETAB))))
             + (NINVRETAB - INVRETAB) * null(1 - abs(arr(INVRETAB * 5/3) - (NINVRETAB - INVRETAB))) ;

INVRETAGR = min(arr(INVRETAG * 5/3) , NINVRETAG - INVRETAG) * (1 - null(1 - abs(arr(INVRETAG * 5/3) - (NINVRETAG - INVRETAG))))
             + (NINVRETAG - INVRETAG) * null(1 - abs(arr(INVRETAG * 5/3) - (NINVRETAG - INVRETAG))) ;

INVRETALR = min(arr(INVRETAL * 5/3) , NINVRETAL - INVRETAL) * (1 - null(1 - abs(arr(INVRETAL * 5/3) - (NINVRETAL - INVRETAL))))
             + (NINVRETAL - INVRETAL) * null(1 - abs(arr(INVRETAL * 5/3) - (NINVRETAL - INVRETAL))) ;

INVRETAQR = min(arr(INVRETAQ * 5/3) , NINVRETAQ - INVRETAQ) * (1 - null(1 - abs(arr(INVRETAQ * 5/3) - (NINVRETAQ - INVRETAQ))))
             + (NINVRETAQ - INVRETAQ) * null(1 - abs(arr(INVRETAQ * 5/3) - (NINVRETAQ - INVRETAQ))) ;

INVRETAVR = min(arr(INVRETAV * 5/3) , NINVRETAV - INVRETAV) * (1 - null(1 - abs(arr(INVRETAV * 5/3) - (NINVRETAV - INVRETAV))))
             + (NINVRETAV - INVRETAV) * null(1 - abs(arr(INVRETAV * 5/3) - (NINVRETAV - INVRETAV))) ;

INVRETBBR = min(arr(INVRETBB * 5/3) , NINVRETBB - INVRETBB) * (1 - null(1 - abs(arr(INVRETBB * 5/3) - (NINVRETBB - INVRETBB))))
             + (NINVRETBB - INVRETBB) * null(1 - abs(arr(INVRETBB * 5/3) - (NINVRETBB - INVRETBB))) ;

INVRETAAR = min(arr(INVRETAA * 10/9) , NINVRETAA - INVRETAA) * (1 - null(1 - abs(arr(INVRETAA * 10/9) - (NINVRETAA - INVRETAA))))
             + (NINVRETAA - INVRETAA) * null(1 - abs(arr(INVRETAA * 10/9) - (NINVRETAA - INVRETAA))) ;

INVRETAFR = min(arr(INVRETAF * 10/9) , NINVRETAF - INVRETAF) * (1 - null(1 - abs(arr(INVRETAF * 10/9) - (NINVRETAF - INVRETAF))))
             + (NINVRETAF - INVRETAF) * null(1 - abs(arr(INVRETAF * 10/9) - (NINVRETAF - INVRETAF))) ;

INVRETAKR = min(arr(INVRETAK * 10/9) , NINVRETAK - INVRETAK) * (1 - null(1 - abs(arr(INVRETAK * 10/9) - (NINVRETAK - INVRETAK))))
             + (NINVRETAK - INVRETAK) * null(1 - abs(arr(INVRETAK * 10/9) - (NINVRETAK - INVRETAK))) ;

INVRETAPR = min(arr(INVRETAP * 10/9) , NINVRETAP - INVRETAP) * (1 - null(1 - abs(arr(INVRETAP * 10/9) - (NINVRETAP - INVRETAP))))
             + (NINVRETAP - INVRETAP) * null(1 - abs(arr(INVRETAP * 10/9) - (NINVRETAP - INVRETAP))) ;

INVRETAUR = min(arr(INVRETAU * 10/9) , NINVRETAU - INVRETAU) * (1 - null(1 - abs(arr(INVRETAU * 10/9) - (NINVRETAU - INVRETAU))))
             + (NINVRETAU - INVRETAU) * null(1 - abs(arr(INVRETAU * 10/9) - (NINVRETAU - INVRETAU))) ;

INVRETBAR = min(arr(INVRETBA * 10/9) , NINVRETBA - INVRETBA) * (1 - null(1 - abs(arr(INVRETBA * 10/9) - (NINVRETBA - INVRETBA))))
             + (NINVRETBA - INVRETBA) * null(1 - abs(arr(INVRETBA * 10/9) - (NINVRETBA - INVRETBA))) ;

INVRETBJR = min(arr(INVRETBJ * 5/3) , NINVRETBJ - INVRETBJ) * (1 - null(1 - abs(arr(INVRETBJ * 5/3) - (NINVRETBJ - INVRETBJ))))
             + (NINVRETBJ - INVRETBJ) * null(1 - abs(arr(INVRETBJ * 5/3) - (NINVRETBJ - INVRETBJ))) ;

INVRETBOR = min(arr(INVRETBO * 5/3) , NINVRETBO - INVRETBO) * (1 - null(1 - abs(arr(INVRETBO * 5/3) - (NINVRETBO - INVRETBO))))
             + (NINVRETBO - INVRETBO) * null(1 - abs(arr(INVRETBO * 5/3) - (NINVRETBO - INVRETBO))) ;

INVRETBTR = min(arr(INVRETBT * 5/3) , NINVRETBT - INVRETBT) * (1 - null(1 - abs(arr(INVRETBT * 5/3) - (NINVRETBT - INVRETBT))))
             + (NINVRETBT - INVRETBT) * null(1 - abs(arr(INVRETBT * 5/3) - (NINVRETBT - INVRETBT))) ;

INVRETBYR = min(arr(INVRETBY * 5/3) , NINVRETBY - INVRETBY) * (1 - null(1 - abs(arr(INVRETBY * 5/3) - (NINVRETBY - INVRETBY))))
             + (NINVRETBY - INVRETBY) * null(1 - abs(arr(INVRETBY * 5/3) - (NINVRETBY - INVRETBY))) ;

INVRETCDR = min(arr(INVRETCD * 33/17) , NINVRETCD - INVRETCD) * (1 - null(1 - abs(arr(INVRETCD * 33/17) - (NINVRETCD - INVRETCD))))
             + (NINVRETCD - INVRETCD) * null(1 - abs(arr(INVRETCD * 33/17) - (NINVRETCD - INVRETCD))) ;

INVRETBIR = min(arr(INVRETBI * 10/9) , NINVRETBI - INVRETBI) * (1 - null(1 - abs(arr(INVRETBI * 10/9) - (NINVRETBI - INVRETBI))))
             + (NINVRETBI - INVRETBI) * null(1 - abs(arr(INVRETBI * 10/9) - (NINVRETBI - INVRETBI))) ;

INVRETBNR = min(arr(INVRETBN * 10/9) , NINVRETBN - INVRETBN) * (1 - null(1 - abs(arr(INVRETBN * 10/9) - (NINVRETBN - INVRETBN))))
             + (NINVRETBN - INVRETBN) * null(1 - abs(arr(INVRETBN * 10/9) - (NINVRETBN - INVRETBN))) ;

INVRETBSR = min(arr(INVRETBS * 10/9) , NINVRETBS - INVRETBS) * (1 - null(1 - abs(arr(INVRETBS * 10/9) - (NINVRETBS - INVRETBS))))
             + (NINVRETBS - INVRETBS) * null(1 - abs(arr(INVRETBS * 10/9) - (NINVRETBS - INVRETBS))) ;

INVRETBXR = min(arr(INVRETBX * 10/9) , NINVRETBX - INVRETBX) * (1 - null(1 - abs(arr(INVRETBX * 10/9) - (NINVRETBX - INVRETBX))))
             + (NINVRETBX - INVRETBX) * null(1 - abs(arr(INVRETBX * 10/9) - (NINVRETBX - INVRETBX))) ;

INVRETCCR = min(arr(INVRETCC * 14/11) , NINVRETCC - INVRETCC) * (1 - null(1 - abs(arr(INVRETCC * 14/11) - (NINVRETCC - INVRETCC))))
             + (NINVRETCC - INVRETCC) * null(1 - abs(arr(INVRETCC * 14/11) - (NINVRETCC - INVRETCC))) ;

INVRETCTR = min(arr(INVRETCT * 33/17) , NINVRETCT - INVRETCT) * (1 - null(1 - abs(arr(INVRETCT * 33/17) - (NINVRETCT - INVRETCT))))
             + (NINVRETCT - INVRETCT) * null(1 - abs(arr(INVRETCT * 33/17) - (NINVRETCT - INVRETCT))) ;

INVRETCJR = min(arr(INVRETCJ * 5/3) , NINVRETCJ - INVRETCJ) * (1 - null(1 - abs(arr(INVRETCJ * 5/3) - (NINVRETCJ - INVRETCJ))))
             + (NINVRETCJ - INVRETCJ) * null(1 - abs(arr(INVRETCJ * 5/3) - (NINVRETCJ - INVRETCJ))) ;

INVRETCOR = min(arr(INVRETCO * 5/3) , NINVRETCO - INVRETCO) * (1 - null(1 - abs(arr(INVRETCO * 5/3) - (NINVRETCO - INVRETCO))))
             + (NINVRETCO - INVRETCO) * null(1 - abs(arr(INVRETCO * 5/3) - (NINVRETCO - INVRETCO))) ;

INVRETCSR = min(arr(INVRETCS * 14/11) , NINVRETCS - INVRETCS) * (1 - null(1 - abs(arr(INVRETCS * 14/11) - (NINVRETCS - INVRETCS))))
             + (NINVRETCS - INVRETCS) * null(1 - abs(arr(INVRETCS * 14/11) - (NINVRETCS - INVRETCS))) ;

INVRETCIR = min(arr(INVRETCI * 10/9) , NINVRETCI - INVRETCI) * (1 - null(1 - abs(arr(INVRETCI * 10/9) - (NINVRETCI - INVRETCI))))
             + (NINVRETCI - INVRETCI) * null(1 - abs(arr(INVRETCI * 10/9) - (NINVRETCI - INVRETCI))) ;

INVRETCNR = min(arr(INVRETCN * 10/9) , NINVRETCN - INVRETCN) * (1 - null(1 - abs(arr(INVRETCN * 10/9) - (NINVRETCN - INVRETCN))))
             + (NINVRETCN - INVRETCN) * null(1 - abs(arr(INVRETCN * 10/9) - (NINVRETCN - INVRETCN))) ;

INVRETDTR = min(arr(INVRETDT * 33/17) , NINVRETDT - INVRETDT) * (1 - null(1 - abs(arr(INVRETDT * 33/17) - (NINVRETDT - INVRETDT))))
            + (NINVRETDT - INVRETDT) * null(1 - abs(arr(INVRETDT * 33/17) - (NINVRETDT - INVRETDT))) ;

INVRETDJR = min(arr(INVRETDJ * 5/3) , NINVRETDJ - INVRETDJ) * (1 - null(1 - abs(arr(INVRETDJ * 5/3) - (NINVRETDJ - INVRETDJ))))
            + (NINVRETDJ - INVRETDJ) * null(1 - abs(arr(INVRETDJ * 5/3) - (NINVRETDJ - INVRETDJ))) ;

INVRETDOR = min(arr(INVRETDO * 5/3) , NINVRETDO - INVRETDO) * (1 - null(1 - abs(arr(INVRETDO * 5/3) - (NINVRETDO - INVRETDO))))
            + (NINVRETDO - INVRETDO) * null(1 - abs(arr(INVRETDO * 5/3) - (NINVRETDO - INVRETDO))) ;

INVRETDSR = min(arr(INVRETDS * 14/11) , NINVRETDS - INVRETDS) * (1 - null(1 - abs(arr(INVRETDS * 14/11) - (NINVRETDS - INVRETDS))))
            + (NINVRETDS - INVRETDS) * null(1 - abs(arr(INVRETDS * 14/11) - (NINVRETDS - INVRETDS))) ;

INVRETDIR = min(arr(INVRETDI * 10/9) , NINVRETDI - INVRETDI) * (1 - null(1 - abs(arr(INVRETDI * 10/9) - (NINVRETDI - INVRETDI))))
            + (NINVRETDI - INVRETDI) * null(1 - abs(arr(INVRETDI * 10/9) - (NINVRETDI - INVRETDI))) ;

INVRETDNR = min(arr(INVRETDN * 10/9) , NINVRETDN - INVRETDN) * (1 - null(1 - abs(arr(INVRETDN * 10/9) - (NINVRETDN - INVRETDN))))
            + (NINVRETDN - INVRETDN) * null(1 - abs(arr(INVRETDN * 10/9) - (NINVRETDN - INVRETDN))) ;

INVRETETR = min(arr(INVRETET * 33/17) , NINVRETET - INVRETET) * (1 - null(1 - abs(arr(INVRETET * 33/17) - (NINVRETET - INVRETET))))
            + (NINVRETET - INVRETET) * null(1 - abs(arr(INVRETET * 33/17) - (NINVRETET - INVRETET))) ;

INVRETEOR = min(arr(INVRETEO * 5/3) , NINVRETEO - INVRETEO) * (1 - null(1 - abs(arr(INVRETEO * 5/3) - (NINVRETEO - INVRETEO))))
            + (NINVRETEO - INVRETEO) * null(1 - abs(arr(INVRETEO * 5/3) - (NINVRETEO - INVRETEO))) ;

INVRETESR = min(arr(INVRETES * 14/11) , NINVRETES - INVRETES) * (1 - null(1 - abs(arr(INVRETES * 14/11) - (NINVRETES - INVRETES))))
            + (NINVRETES - INVRETES) * null(1 - abs(arr(INVRETES * 14/11) - (NINVRETES - INVRETES))) ;

INVRETENR = min(arr(INVRETEN * 10/9) , NINVRETEN - INVRETEN) * (1 - null(1 - abs(arr(INVRETEN * 10/9) - (NINVRETEN - INVRETEN))))
            + (NINVRETEN - INVRETEN) * null(1 - abs(arr(INVRETEN * 10/9) - (NINVRETEN - INVRETEN))) ;

regle 402100:
application : iliad ;


VARTMP1 = 0 ;

INVRETQB = NINVRETQB ; 

INVRETQC = NINVRETQC ; 

INVRETQT = NINVRETQT ; 

INVRETQL = min(NINVRETQL , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETQL ;

INVRETQM = min(NINVRETQM , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETQM ;

INVRETQD = min(NINVRETQD , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETQD ;

INVRETOB = min(NINVRETOB , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOB ;

INVRETOC = min(NINVRETOC , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOC ;

INVRETOI = min(NINVRETOI , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOI ;

INVRETOJ = min(NINVRETOJ , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOJ ;

INVRETOK = min(NINVRETOK , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOK ;

INVRETOM = min(NINVRETOM , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOM ;

INVRETON = min(NINVRETON , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETON ;

INVRETOP = min(NINVRETOP , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOP ;

INVRETOQ = min(NINVRETOQ , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOQ ;

INVRETOR = min(NINVRETOR , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOR ;

INVRETOT = min(NINVRETOT , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOT ;

INVRETOU = min(NINVRETOU , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOU ;

INVRETOV = min(NINVRETOV , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOV ;

INVRETOW = min(NINVRETOW , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOW ;

INVRETOD = min(NINVRETOD , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOD ;

INVRETOE = min(NINVRETOE , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOE ;

INVRETOF = min(NINVRETOF , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOF ;

INVRETOG = min(NINVRETOG , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOG ;

INVRETOX = min(NINVRETOX , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOX ;

INVRETOY = min(NINVRETOY , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOY ;

INVRETOZ = min(NINVRETOZ , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETOZ ;

INVRETUA = min(NINVRETUA , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUA ;

INVRETUB = min(NINVRETUB , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUB ;

INVRETUC = min(NINVRETUC , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUC ;

INVRETUD = min(NINVRETUD , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUD ;

INVRETUE = min(NINVRETUE , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUE ;

INVRETUF = min(NINVRETUF , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUF ;

INVRETUG = min(NINVRETUG , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUG ;

INVRETUH = min(NINVRETUH , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUH ;

INVRETUI = min(NINVRETUI , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUI ;

INVRETUJ = min(NINVRETUJ , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUJ ;

INVRETUK = min(NINVRETUK , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUK ;

INVRETUL = min(NINVRETUL , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUL ;

INVRETUM = min(NINVRETUM , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUM ;

INVRETUN = min(NINVRETUN , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUN ;

INVRETUO = min(NINVRETUO , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUO ;

INVRETUP = min(NINVRETUP , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUP ;

INVRETUQ = min(NINVRETUQ , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUQ ;

INVRETUR = min(NINVRETUR , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUR ;

INVRETUS = min(NINVRETUS , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUS ;

INVRETUT = min(NINVRETUT , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUT ;

INVRETUU = min(NINVRETUU , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETUU ;

INVRETVA = min(NINVRETVA , max(0 , PLAF_INVDOM -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETVA ;

INVRETVB = min(NINVRETVB , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETVB ;

INVRETVC = min(NINVRETVC , max(0 , PLAF_INVDOM3 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETVC ;

INVRETVD = min(NINVRETVD , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETVD ;

INVRETVE = min(NINVRETVE , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETVE ;

INVRETVF = min(NINVRETVF , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETVF ;

INVRETVG = min(NINVRETVG , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + INVRETVG ;

INVRETVH = min(NINVRETVH , max(0 , PLAF_INVDOM4 -INVRETSOC-INVRETENT-VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = 0 ;

INVRETLOG = INVRETQL + INVRETQM + INVRETQD + INVRETOB + INVRETOC + INVRETOI + INVRETOJ + INVRETOK + INVRETOM + INVRETON + INVRETOP + INVRETOQ
            + INVRETOR + INVRETOT + INVRETOU + INVRETOV + INVRETOW + INVRETOD + INVRETOE + INVRETOF + INVRETOG + INVRETOX + INVRETOY + INVRETOZ 
            + INVRETUA + INVRETUB + INVRETUC + INVRETUD + INVRETUE + INVRETUF + INVRETUG + INVRETUH + INVRETUI + INVRETUJ + INVRETUK + INVRETUL
            + INVRETUM + INVRETUN + INVRETUO + INVRETUP + INVRETUQ + INVRETUR + INVRETUS + INVRETUT + INVRETUU + INVRETVA + INVRETVB + INVRETVC
	    + INVRETVD + INVRETVE + INVRETVF + INVRETVG + INVRETVH ;

regle 402060:
application : iliad ;


RLOGDOM = min(ALOGDOM , RRI1) * (1 - V_CNR) * (1 - ART1731BIS) 
          + min(min(ALOGDOM , RRI1) * (1 - V_CNR) , RLOGDOM_2) * ART1731BIS ; 

RINVDOMTOMLG = RLOGDOM ;

RLOGDOMTEO = (RLOG01_1 + RLOG02_1 + RLOG03_1 + RLOG04_1 + RLOG05_1 + RLOG06_1 + RLOG07_1 + RLOG08_1) ;

regle 402110:
application : iliad ;


RRISUP = RRI1 - RLOGDOM - RCOMP - RRETU - RDONS - CRDIE - RLOCNPRO - RDUFLOTOT - RPINELTOT - RNOUV 
              - RPENTOT - RFOR - RTOURREP - RTOUREPA - RREHAB - RCOD7KZ - RRESTIMO1 - RCELTOT - RPATNATOT ; 


RDOMSOC1 = min(ADOMSOC1 , RRISUP) * (1 - V_CNR) ;

RLOGSOC = min(ALOGSOC , max(0 , RRISUP - ADOMSOC1)) * (1 - V_CNR) ;

RLOGSOCTEO = (arr((((INVRETXQ + INVRETXQR) * (1 - INDPLAF) + (INVRETXQA + INVRETXQRA) * INDPLAF)
	           + ((INVRETXL + INVRETXLR) * (1 - INDPLAF) + (INVRETXLA + INVRETXLRA) * INDPLAF) 
                   + ((INVRETXF + INVRETXFR) * (1 - INDPLAF) + (INVRETXFA + INVRETXFRA) * INDPLAF)
                   + ((INVRETXA + INVRETXAR) * (1 - INDPLAF) + (INVRETXAA + INVRETXARA) * INDPLAF)
                   + ((INVRETRA + INVRETRAR) * (1 - INDPLAF) + (INVRETRAA + INVRETRARA) * INDPLAF)) * TX65/100)
              + arr((((INVRETXR + INVRETXRR) * (1 - INDPLAF) + (INVRETXRA + INVRETXRRA) * INDPLAF)
	           + ((INVRETXM + INVRETXMR) * (1 - INDPLAF) + (INVRETXMA + INVRETXMRA) * INDPLAF) 
                   + ((INVRETXG + INVRETXGR) * (1 - INDPLAF) + (INVRETXGA + INVRETXGRA) * INDPLAF)
                   + ((INVRETXB + INVRETXBR) * (1 - INDPLAF) + (INVRETXBA + INVRETXBRA) * INDPLAF)
                   + ((INVRETRB + INVRETRBR) * (1 - INDPLAF) + (INVRETRBA + INVRETRBRA) * INDPLAF)) * TX65/100)
              + arr((((INVRETXS + INVRETXSR) * (1 - INDPLAF) + (INVRETXSA + INVRETXSRA) * INDPLAF)
	           + ((INVRETXN + INVRETXNR) * (1 - INDPLAF) + (INVRETXNA + INVRETXNRA) * INDPLAF) 
                   + ((INVRETXH + INVRETXHR) * (1 - INDPLAF) + (INVRETXHA + INVRETXHRA) * INDPLAF)
                   + ((INVRETXC + INVRETXCR) * (1 - INDPLAF) + (INVRETXCA + INVRETXCRA) * INDPLAF)
                   + ((INVRETRC + INVRETRCR) * (1 - INDPLAF) + (INVRETRCA + INVRETRCRA) * INDPLAF)) * TX65/100)
              + arr((((INVRETXT + INVRETXTR) * (1 - INDPLAF) + (INVRETXTA + INVRETXTRA) * INDPLAF)
	           + ((INVRETXO + INVRETXOR) * (1 - INDPLAF) + (INVRETXOA + INVRETXORA) * INDPLAF) 
                   + ((INVRETXI + INVRETXIR) * (1 - INDPLAF) + (INVRETXIA + INVRETXIRA) * INDPLAF)
                   + ((INVRETXE + INVRETXER) * (1 - INDPLAF) + (INVRETXEA + INVRETXERA) * INDPLAF)
                   + ((INVRETRD + INVRETRDR) * (1 - INDPLAF) + (INVRETRDA + INVRETRDRA) * INDPLAF)) * TX65/100)
              + arr((((INVRETXU + INVRETXUR) * (1 - INDPLAF) + (INVRETXUA + INVRETXURA) * INDPLAF)
	           + ((INVRETXP + INVRETXPR) * (1 - INDPLAF) + (INVRETXPA + INVRETXPRA) * INDPLAF) 
                   + ((INVRETXK + INVRETXKR) * (1 - INDPLAF) + (INVRETXKA + INVRETXKRA) * INDPLAF)) * TX70/100)
              + arr((((INVRETYB + INVRETYBR) * (1 - INDPLAF) + (INVRETYBA + INVRETYBRA) * INDPLAF)) * TX70/100)
              + arr((((INVRETYA + INVRETYAR) * (1 - INDPLAF) + (INVRETYAA + INVRETYARA) * INDPLAF)) * TX65/100)
             ) * (1 - V_CNR) ; 

regle 402120:
application : iliad ;


RCOLENT = min(ACOLENT , max(0 , RRISUP - ALOGSOC - ADOMSOC1)) * (1 - V_CNR) ;

RLOCENT = min(ALOCENT , max(0 , RRISUP - ALOGSOC - ADOMSOC1 - ACOLENT)) * (1 - V_CNR) ;

RIDOMENT = RLOCENT ;

RCOLENTTEO = (
               arr(((INVRETBI + INVRETBIR) * (1 - INDPLAF) + (INVRETBIA + INVRETBIRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETBJ + INVRETBJR) * (1 - INDPLAF) + (INVRETBJA + INVRETBJRA) * INDPLAF) * TX625/100)
              + arr(((INVRETAK + INVRETAKR) * (1 - INDPLAF) + (INVRETAKA + INVRETAKRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETAL + INVRETALR) * (1 - INDPLAF) + (INVRETALA + INVRETALRA) * INDPLAF) * TX625/100)
              + arr(((INVRETAA + INVRETAAR) * (1 - INDPLAF) + (INVRETAAA + INVRETAARA) * INDPLAF) * TX5263/100)
              + arr(((INVRETAB + INVRETABR) * (1 - INDPLAF) + (INVRETABA + INVRETABRA) * INDPLAF) * TX625/100)
              + arr(((INVRETSA + INVRETSAR) * (1 - INDPLAF) + (INVRETSAA + INVRETSARA) * INDPLAF) * TX5263/100)
              + arr(((INVRETSB + INVRETSBR) * (1 - INDPLAF) + (INVRETSBA + INVRETSBRA) * INDPLAF) * TX625/100)
              + arr(((INVRETSK + INVRETSKR) * (1 - INDPLAF) + (INVRETSKA + INVRETSKRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETSL + INVRETSLR) * (1 - INDPLAF) + (INVRETSLA + INVRETSLRA) * INDPLAF) * TX625/100)

              + arr(((INVRETBN + INVRETBNR) * (1 - INDPLAF) + (INVRETBNA + INVRETBNRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETBO + INVRETBOR) * (1 - INDPLAF) + (INVRETBOA + INVRETBORA) * INDPLAF) * TX625/100)
              + arr(((INVRETAP + INVRETAPR) * (1 - INDPLAF) + (INVRETAPA + INVRETAPRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETAQ + INVRETAQR) * (1 - INDPLAF) + (INVRETAQA + INVRETAQRA) * INDPLAF) * TX625/100)
              + arr(((INVRETAF + INVRETAFR) * (1 - INDPLAF) + (INVRETAFA + INVRETAFRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETAG + INVRETAGR) * (1 - INDPLAF) + (INVRETAGA + INVRETAGRA) * INDPLAF) * TX625/100)
              + arr(((INVRETSF + INVRETSFR) * (1 - INDPLAF) + (INVRETSFA + INVRETSFRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETSG + INVRETSGR) * (1 - INDPLAF) + (INVRETSGA + INVRETSGRA) * INDPLAF) * TX625/100)
              + arr(((INVRETSP + INVRETSPR) * (1 - INDPLAF) + (INVRETSPA + INVRETSPRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETSQ + INVRETSQR) * (1 - INDPLAF) + (INVRETSQA + INVRETSQRA) * INDPLAF) * TX625/100)

              + arr(((INVRETDI + INVRETDIR) * (1 - INDPLAF) + (INVRETDIA + INVRETDIRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETDJ + INVRETDJR) * (1 - INDPLAF) + (INVRETDJA + INVRETDJRA) * INDPLAF) * TX625/100)
              + arr(((INVRETCI + INVRETCIR) * (1 - INDPLAF) + (INVRETCIA + INVRETCIRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETCJ + INVRETCJR) * (1 - INDPLAF) + (INVRETCJA + INVRETCJRA) * INDPLAF) * TX625/100)
              + arr(((INVRETBS + INVRETBSR) * (1 - INDPLAF) + (INVRETBSA + INVRETBSRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETBT + INVRETBTR) * (1 - INDPLAF) + (INVRETBTA + INVRETBTRA) * INDPLAF) * TX625/100)
              + arr(((INVRETAU + INVRETAUR) * (1 - INDPLAF) + (INVRETAUA + INVRETAURA) * INDPLAF) * TX5263/100)
              + arr(((INVRETAV + INVRETAVR) * (1 - INDPLAF) + (INVRETAVA + INVRETAVRA) * INDPLAF) * TX625/100)
              + arr(((INVRETSU + INVRETSUR) * (1 - INDPLAF) + (INVRETSUA + INVRETSURA) * INDPLAF) * TX5263/100)
              + arr(((INVRETSV + INVRETSVR) * (1 - INDPLAF) + (INVRETSVA + INVRETSVRA) * INDPLAF) * TX625/100)

              + arr(((INVRETDN + INVRETDNR) * (1 - INDPLAF) + (INVRETDNA + INVRETDNRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETDO + INVRETDOR) * (1 - INDPLAF) + (INVRETDOA + INVRETDORA) * INDPLAF) * TX625/100)
              + arr(((INVRETDS + INVRETDSR) * (1 - INDPLAF) + (INVRETDSA + INVRETDSRA) * INDPLAF) * TX56/100)
              + arr(((INVRETDT + INVRETDTR) * (1 - INDPLAF) + (INVRETDTA + INVRETDTRA) * INDPLAF) * TX66/100)
              + arr(((INVRETEN + INVRETENR) * (1 - INDPLAF) + (INVRETENA + INVRETENRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETEO + INVRETEOR) * (1 - INDPLAF) + (INVRETEOA + INVRETEORA) * INDPLAF) * TX625/100)
              + arr(((INVRETES + INVRETESR) * (1 - INDPLAF) + (INVRETESA + INVRETESRA) * INDPLAF) * TX56/100)
              + arr(((INVRETET + INVRETETR) * (1 - INDPLAF) + (INVRETETA + INVRETETRA) * INDPLAF) * TX66/100)
              + arr(((INVRETCN + INVRETCNR) * (1 - INDPLAF) + (INVRETCNA + INVRETCNRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETCO + INVRETCOR) * (1 - INDPLAF) + (INVRETCOA + INVRETCORA) * INDPLAF) * TX625/100)
              + arr(((INVRETCS + INVRETCSR) * (1 - INDPLAF) + (INVRETCSA + INVRETCSRA) * INDPLAF) * TX56/100)
              + arr(((INVRETCT + INVRETCTR) * (1 - INDPLAF) + (INVRETCTA + INVRETCTRA) * INDPLAF) * TX66/100)
              + arr(((INVRETBX + INVRETBXR) * (1 - INDPLAF) + (INVRETBXA + INVRETBXRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETBY + INVRETBYR) * (1 - INDPLAF) + (INVRETBYA + INVRETBYRA) * INDPLAF) * TX625/100)
              + arr(((INVRETCC + INVRETCCR) * (1 - INDPLAF) + (INVRETCCA + INVRETCCRA) * INDPLAF) * TX56/100)
              + arr(((INVRETCD + INVRETCDR) * (1 - INDPLAF) + (INVRETCDA + INVRETCDRA) * INDPLAF) * TX66/100)
              + arr(((INVRETBA + INVRETBAR) * (1 - INDPLAF) + (INVRETBAA + INVRETBARA) * INDPLAF) * TX5263/100)
              + arr(((INVRETBB + INVRETBBR) * (1 - INDPLAF) + (INVRETBBA + INVRETBBRA) * INDPLAF) * TX625/100)
              + arr(((INVRETSZ + INVRETSZR) * (1 - INDPLAF) + (INVRETSZA + INVRETSZRA) * INDPLAF) * TX5263/100)
              + arr(((INVRETTA + INVRETTAR) * (1 - INDPLAF) + (INVRETTAA + INVRETTARA) * INDPLAF) * TX625/100)
              ) * (1 - V_CNR) ;

regle 402130:
application : iliad ;


RRIREP_1 = RRI1 - DLOGDOM - RCOMP_1 - RRETU_1 - RDONS_1 - CRDIE_1 - RLOCNPRO_1 - RDUFLOTOT_1 - RPINELTOT_1 - RNOUV_1 
                - RPENTOT - RFOR_1 - RTOURREP_1 - RTOUREPA_1 - RRREHAP_1 - RCOD7KZ_1 - RRESTIMO1 - RCELTOT - RPATNATOT ;

RRIREP = RRIREP_1 * (1-ART1731BIS) + min( RRIREP_1 , RRIREP_2 ) * ART1731BIS ;

VARTMP1 = VARTMP1 + CODHRA + CODHRB + CODHRC + CODHRD ;

REPXA = max(0 , CODHXA - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXA ;

REPXB = max(0 , CODHXB - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXB ;

REPXC = max(0 , CODHXC - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXC ;

REPXE = max(0 , CODHXE - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXE ;

REPDOMSOC4 = REPXA + REPXB + REPXC + REPXE ;


REPXK = max(0 , CODHXK - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXK ;

REPXF = max(0 , CODHXF - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXF ;

REPXG = max(0 , CODHXG - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXG ;

REPXH = max(0 , CODHXH - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXH ;

REPXI = max(0 , CODHXI - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXI ;

REPDOMSOC3 = REPXK + REPXF + REPXG + REPXH + REPXI ;


REPXP = max(0 , CODHXP - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXP ;

REPXL = max(0 , CODHXL - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXL ;

REPXM = max(0 , CODHXM - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXM ;

REPXN = max(0 , CODHXN - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXN ;

REPXO = max(0 , CODHXO - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXO ;

REPDOMSOC2 = REPXP + REPXL + REPXM + REPXN + REPXO ;


REPXU = max(0 , CODHXU - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXU ;

REPXQ = max(0 , CODHXQ - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXQ ;

REPXR = max(0 , CODHXR - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXR ;

REPXS = max(0 , CODHXS - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXS ;

REPXT = max(0 , CODHXT - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHXT ;

REPDOMSOC1 = REPXU + REPXQ + REPXR + REPXS + REPXT ;


REPYB = max(0 , CODHYB - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHYB ;

REPYA = max(0 , CODHYA - max(0 , RRIREP - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHYA ;

REPDOMSOC = REPYB + REPYA ;

REPSOC = CODHRA + CODHRB + CODHRC + CODHRD + CODHXA + CODHXB + CODHXC + CODHXE + CODHXF + CODHXG + CODHXH + CODHXI + CODHXK + CODHXL 
         + CODHXM + CODHXN + CODHXO + CODHXP + CODHXU + CODHXQ + CODHXR + CODHXS + CODHXT + CODHYB + CODHYA ;


REPENT5 = CODHSB + CODHSG + CODHSL + CODHSQ + CODHSV + CODHTA + CODHSA + CODHSF + CODHSK + CODHSP + CODHSU + CODHSZ 
          + CODHSC + CODHSH + CODHSM + CODHSR + CODHSW + CODHTB + CODHSE + CODHSJ + CODHSO + CODHST + CODHSY + CODHTD ;


REPAB = max(0 , CODHAB - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAB ;

REPAG = max(0 , CODHAG - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAG ;

REPAL = max(0 , CODHAL - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAL ;

REPAQ = max(0 , CODHAQ - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAQ ;

REPAV = max(0 , CODHAV - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAV ; 

REPBB = max(0 , CODHBB - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBB ;

REPAA = max(0 , CODHAA - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAA ;

REPAF = max(0 , CODHAF - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAF ;

REPAK = max(0 , CODHAK - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAK ;

REPAP = max(0 , CODHAP - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAP ;

REPAU = max(0 , CODHAU - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAU ;

REPBA = max(0 , CODHBA - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBA ;

REPAC = max(0 , CODHAC - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAC ;

REPAH = max(0 , CODHAH - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAH ;

REPAM = max(0 , CODHAM - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAM ;

REPHAR = max(0 , CODHAR - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAR ;

REPAW = max(0 , CODHAW - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAW ; 

REPBE = max(0 , CODHBE - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBE ;

REPAE = max(0 , CODHAE - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAE ;

REPAJ = max(0 , CODHAJ - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAJ ;

REPAO = max(0 , CODHAO - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAO ;

REPAT = max(0 , CODHAT - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAT ;

REPAY = max(0 , CODHAY - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHAY ;

REPBG = max(0 , CODHBG - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBG ;

REPDOMENTR4 = REPAB + REPAG + REPAL + REPAQ + REPAV + REPBB + REPAA + REPAF + REPAK + REPAP + REPAU + REPBA 
             + REPAC + REPAH + REPAM + REPHAR + REPAW + REPBE + REPAE + REPAJ + REPAO + REPAT + REPAY + REPBG ;


REPCD = max(0 , CODHCD - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCD ; 

REPBJ = max(0 , CODHBJ - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBJ ;

REPBO = max(0 , CODHBO - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBO ;

REPBT = max(0 , CODHBT - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBT ;

REPBY = max(0 , CODHBY - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBY ;

REPCC = max(0 , CODHCC - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCC ;

REPBI = max(0 , CODHBI - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBI ;

REPBN = max(0 , CODHBN - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBN ;

REPBS = max(0 , CODHBS - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBS ;

REPBX = max(0 , CODHBX - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBX ;

REPBK = max(0 , CODHBK - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBK ;

REPBP = max(0 , CODHBP - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBP ;

REPBU = max(0 , CODHBU - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBU ;

REPBZ = max(0 , CODHBZ - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBZ ;

REPCE = max(0 , CODHCE - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCE ;

REPBM = max(0 , CODHBM - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBM ;

REPBR = max(0 , CODHBR - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBR ;

REPBW = max(0 , CODHBW - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHBW ;

REPCB = max(0 , CODHCB - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCB ; 

REPCG = max(0 , CODHCG - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCG ;

REPDOMENTR3 = REPBJ + REPBO + REPBT + REPBY + REPCD + REPBI + REPBN + REPBS + REPBX + REPCC
              + REPBK + REPBP + REPBU + REPBZ + REPCE + REPBM + REPBR + REPBW + REPCB + REPCG ;


REPHCT = max(0 , CODHCT - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCT ;

REPCJ = max(0 , CODHCJ - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCJ ;

REPCO = max(0 , CODHCO - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCO ;

REPCS = max(0 , CODHCS - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCS ;

REPCI = max(0 , CODHCI - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCI ;

REPCN = max(0 , CODHCN - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCN ;

REPCK = max(0 , CODHCK - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCK ;

REPCP = max(0 , CODHCP - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCP ;

REPCU = max(0 , CODHCU - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCU ;

REPCM = max(0 , CODHCM - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCM ;

REPCR = max(0 , CODHCR - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCR ;

REPCW = max(0 , CODHCW - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHCW ;

REPDOMENTR2 = REPHCT + REPCJ + REPCO + REPCS + REPCI + REPCN + REPCK + REPCP + REPCU + REPCM + REPCR + REPCW ;


REPDT = max(0 , CODHDT - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDT ; 

REPDJ = max(0 , CODHDJ - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDJ ;

REPDO = max(0 , CODHDO - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDO ;

REPDS = max(0 , CODHDS - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDS ;

REPDI = max(0 , CODHDI - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDI ;

REPDN = max(0 , CODHDN - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDN ;

REPDK = max(0 , CODHDK - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDK ;

REPDP = max(0 , CODHDP - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDP ;

REPDU = max(0 , CODHDU - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDU ;

REPDM = max(0 , CODHDM - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDM ;

REPDR = max(0 , CODHDR - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDR ;

REPDW = max(0 , CODHDW - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHDW ;

REPDOMENTR1 = REPDT + REPDJ + REPDO + REPDS + REPDI + REPDN + REPDK + REPDP + REPDU + REPDM + REPDR + REPDW ;


REPET = max(0 , CODHET - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHET ; 

REPEO = max(0 , CODHEO - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHEO ;

REPES = max(0 , CODHES - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHES ;

REPEN = max(0 , CODHEN - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHEN ;

REPEP = max(0 , CODHEP - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHEP ;

REPEU = max(0 , CODHEU - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHEU ;

REPER = max(0 , CODHER - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = VARTMP1 + CODHER ;

REPEW = max(0 , CODHEW - max(0 , RRIREP - REPENT5 - VARTMP1)) * (1 - V_CNR) ;
VARTMP1 = 0 ;

REPDOMENTR = REPET + REPEO + REPES + REPEN + REPEP + REPEU + REPER + REPEW ;

regle 402140:
application : iliad ;


ACOTFOR_2 = max(ACOTFOR_P + ACOTFORP2 , ACOTFOR1731) * (1 - PREM8_11) * ART1731BIS ;
RCOTFOR_2 = max(RCOTFOR_P + RCOTFORP2 , RCOTFOR1731) * (1 - PREM8_11) * ART1731BIS ;

AREPA_2 = max(AREPA_P + AREPAP2 , AREPA1731) * (1 - PREM8_11) * ART1731BIS ;
RREPA_2 = max(RREPA_P + RREPAP2 , RREPA1731) * (1 - PREM8_11) * ART1731BIS ;

ADIFAGRI_2 = max(ADIFAGRI_P + ADIFAGRIP2 , ADIFAGRI1731) * (1 - PREM8_11) * ART1731BIS ;
RDIFAGRI_2 = max(RDIFAGRI_P + RDIFAGRIP2 , RDIFAGRI1731) * (1 - PREM8_11) * ART1731BIS ;

APRESSE_2 = max(APRESSE_P + APRESSEP2 , APRESSE1731) * (1 - PREM8_11) * ART1731BIS ;
RPRESSE_2 = max(RPRESSE_P + RPRESSEP2 , RPRESSE1731) * (1 - PREM8_11) * ART1731BIS ;

AFORET_2 = max(AFORET_P + AFORETP2 , AFORET1731) * (1 - PREM8_11) * ART1731BIS ;
RFORET_2 = max(RFORET_P + RFORETP2 , RFORET1731) * (1 - PREM8_11) * ART1731BIS ;

AFIPDOM_2 = max(AFIPDOM_P + AFIPDOMP2 , AFIPDOM1731) * (1 - PREM8_11) * ART1731BIS ;
RFIPDOM_2 = max(RFIPDOM_P + RFIPDOMP2 , RFIPDOM1731) * (1 - PREM8_11) * ART1731BIS ;

AFIPC_2 = max(AFIPC_P + AFIPCP2 , AFIPC1731) * (1 - PREM8_11) * ART1731BIS ;
RFIPC_2 = max(RFIPC_P + RFIPCP2 , RFIPC1731) * (1 - PREM8_11) * ART1731BIS ;

ACINE_2 = max(ACINE_P + ACINEP2 , ACINE1731) * (1 - PREM8_11) * ART1731BIS ;
RCINE_2 = max(RCINE_P + RCINEP2 , RCINE1731) * (1 - PREM8_11) * ART1731BIS ;

ARESTIMO_2 = max(ARESTIMO_P + ARESTIMOP2 , ARESTIMO1731) * (1 - PREM8_11) * ART1731BIS ;
RRESTIMO_2 = max(RRESTIMO_P + RRESTIMOP2 , RRESTIMO1731) * (1 - PREM8_11) * ART1731BIS ;

RRESTIMO1_2 = max(RRESTIMO1_P + RRESTIMO1P2 , RRESTIMO11731) * (1 - PREM8_11) * ART1731BIS ;
RRREHAP_2 = max(RRREHAP_P + RRREHAPP2 , RRREHAP1731) * (1 - PREM8_11) * ART1731BIS ;

RCOD7KZ_2 = max(RCOD7KZ_P + RCOD7KZP2 , RCOD7KZ1731) * (1 - PREM8_11) * ART1731BIS ;

ASOCREPR_2 = max(ASOCREPR_P + ASOCREPRP2 , ASOCREPR1731) * (1 - PREM8_11) * ART1731BIS ;
RSOCREPR_2 = max(RSOCREPR_P + RSOCREPRP2 , RSOCREPR1731) * (1 - PREM8_11) * ART1731BIS ;

APRESCOMP_2 = max(APRESCOMP_P + APRESCOMPP2 , APRESCOMP1731) * (1 - PREM8_11) * ART1731BIS ;
RRPRESCOMP_2 = max(RRPRESCOMP_P + RRPRESCOMPP2 , RRPRESCOMP1731) * (1 - PREM8_11) * ART1731BIS ;

AHEBE_2 = max(AHEBE_P + AHEBEP2 , AHEBE1731) * (1 - PREM8_11) * ART1731BIS ;
RHEBE_2 = max(RHEBE_P + RHEBEP2 , RHEBE1731) * (1 - PREM8_11) * ART1731BIS ;

ASURV_2 = max(ASURV_P + ASURVP2 , ASURV1731) * (1 - PREM8_11) * ART1731BIS ;
RSURV_2 = max(RSURV_P + RSURVP2 , RSURV1731) * (1 - PREM8_11) * ART1731BIS ;

BFCPI_2 = max(BFCPI_P + BFCPIP2 , BFCPI1731) * (1 - PREM8_11) * ART1731BIS ;
RINNO_2 = max(RINNO_P + RINNOP2 , RINNO1731) * (1 - PREM8_11) * ART1731BIS ;

ASOUFIP_2 = max(ASOUFIP_P + ASOUFIPP2 , ASOUFIP1731) * (1 - PREM8_11) * ART1731BIS ;
RSOUFIP_2 = max(RSOUFIP_P + RSOUFIPP2 , RSOUFIP1731) * (1 - PREM8_11) * ART1731BIS ;

ARIRENOV_2 = max(ARIRENOV_P + ARIRENOVP2 , ARIRENOV1731) * (1 - PREM8_11) * ART1731BIS ;
RRIRENOV_2 = max(RRIRENOV_P + RRIRENOVP2 , RRIRENOV1731) * (1 - PREM8_11) * ART1731BIS ;

ALOGDOM_2 = max(ALOGDOM_P + ALOGDOMP2 , ALOGDOM1731) * (1 - PREM8_11) * ART1731BIS ;
RLOGDOM_2 = max(RLOGDOM_P + RLOGDOMP2 , RLOGDOM1731) * (1 - PREM8_11) * ART1731BIS ;

ACOMP_2 = max(ACOMP_P + ACOMPP2 , ACOMP1731) * (1 - PREM8_11) * ART1731BIS ;
RCOMP_2 = max(RCOMP_P + RCOMPP2 , RCOMP1731) * (1 - PREM8_11) * ART1731BIS ;

RNBE_2 = max(RNBE_P + RNBEP2 , RNBE1731) * (1 - PREM8_11) * ART1731BIS ;
RRETU_2 = max(RRETU_P + RRETUP2 , RRETU1731) * (1 - PREM8_11) * ART1731BIS ;

ADONS_2 = max( ADONS_P + ADONSP2 , ADONS1731) * (1-PREM8_11) * ART1731BIS ;
RDONS_2 = max( RDONS_P + RDONSP2 , RDONS1731) * (1-PREM8_11) * ART1731BIS ;

ADUFREPFI_2 = max(ADUFREPFI_P + ADUFREPFIP2 , ADUFREPFI1731) * (1 - PREM8_11) * ART1731BIS ;
RDUFREPFI_2 = max(RDUFREPFI_P + RDUFREPFIP2 , RDUFREPFI1731) * (1 - PREM8_11) * ART1731BIS ;

ADUFREPFK_2 = max(ADUFREPFK_P + ADUFREPFKP2 , ADUFREPFK1731) * (1 - PREM8_11) * ART1731BIS ;
RDUFREPFK_2 = max(RDUFREPFK_P + RDUFREPFKP2 , RDUFREPFK1731) * (1 - PREM8_11) * ART1731BIS ;

ADUFREPFR_2 = max(ADUFREPFR_P + ADUFREPFRP2 , ADUFREPFR1731) * (1 - PREM8_11) * ART1731BIS ;
RDUFREPFR_2 = max(RDUFREPFR_P + RDUFREPFRP2 , RDUFREPFR1731) * (1 - PREM8_11) * ART1731BIS ;

ADUFREPFV_2 = max(ADUFREPFV_P + ADUFREPFVP2 , ADUFREPFV1731) * (1 - PREM8_11) * ART1731BIS ;
RDUFREPFV_2 = max(RDUFREPFV_P + RDUFREPFVP2 , RDUFREPFV1731) * (1 - PREM8_11) * ART1731BIS ;

ADUFREPFW_2 = max(ADUFREPFW_P + ADUFREPFWP2 , ADUFREPFW1731) * (1 - PREM8_11) * ART1731BIS ;
RDUFREPFW_2 = max(RDUFREPFW_P + RDUFREPFWP2 , RDUFREPFW1731) * (1 - PREM8_11) * ART1731BIS ;

ADUFLOEKL_2 = max(ADUFLOEKL_P + ADUFLOEKLP2 , ADUFLOEKL1731) * (1 - PREM8_11) * ART1731BIS ;
RDUFLOEKL_2 = max(RDUFLOEKL_P + RDUFLOEKLP2 , RDUFLOEKL1731) * (1 - PREM8_11) * ART1731BIS ;

ADUFLOGIH_2 = max(ADUFLOGIH_P + ADUFLOGIHP2 , ADUFLOGIH1731) * (1 - PREM8_11) * ART1731BIS ;
RDUFLOGIH_2 = max(RDUFLOGIH_P + RDUFLOGIHP2 , RDUFLOGIH1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPAI_2 = max(APIREPAI_P + APIREPAIP2 , APIREPAI1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPAI_2 = max(RPIREPAI_P + RPIREPAIP2 , RPIREPAI1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPBI_2 = max(APIREPBI_P + APIREPBIP2 , APIREPBI1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPBI_2 = max(RPIREPBI_P + RPIREPBIP2 , RPIREPBI1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPCI_2 = max(APIREPCI_P + APIREPCIP2 , APIREPCI1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPCI_2 = max(RPIREPCI_P + RPIREPCIP2 , RPIREPCI1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPDI_2 = max(APIREPDI_P + APIREPDIP2 , APIREPDI1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPDI_2 = max(RPIREPDI_P + RPIREPDIP2 , RPIREPDI1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPBZ_2 = max(APIREPBZ_P + APIREPBZP2 , APIREPBZ1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPBZ_2 = max(RPIREPBZ_P + RPIREPBZP2 , RPIREPBZ1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPCZ_2 = max(APIREPCZ_P + APIREPCZP2 , APIREPCZ1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPCZ_2 = max(RPIREPCZ_P + RPIREPCZP2 , RPIREPCZ1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPDZ_2 = max(APIREPDZ_P + APIREPDZP2 , APIREPDZ1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPDZ_2 = max(RPIREPDZ_P + RPIREPDZP2 , RPIREPDZ1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPEZ_2 = max(APIREPEZ_P + APIREPEZP2 , APIREPEZ1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPEZ_2 = max(RPIREPEZ_P + RPIREPEZP2 , RPIREPEZ1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPQZ_2 = max(APIREPQZ_P + APIREPQZP2 , APIREPQZ1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPQZ_2 = max(RPIREPQZ_P + RPIREPQZP2 , RPIREPQZ1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPRZ_2 = max(APIREPRZ_P + APIREPRZP2 , APIREPRZ1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPRZ_2 = max(RPIREPRZ_P + RPIREPRZP2 , RPIREPRZ1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPSZ_2 = max(APIREPSZ_P + APIREPSZP2 , APIREPSZ1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPSZ_2 = max(RPIREPSZ_P + RPIREPSZP2 , RPIREPSZ1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPTZ_2 = max(APIREPTZ_P + APIREPTZP2 , APIREPTZ1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPTZ_2 = max(RPIREPTZ_P + RPIREPTZP2 , RPIREPTZ1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPRA_2 = max(APIREPRA_P + APIREPRAP2 , APIREPRA1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPRA_2 = max(RPIREPRA_P + RPIREPRAP2 , RPIREPRA1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPRB_2 = max(APIREPRB_P + APIREPRBP2 , APIREPRB1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPRB_2 = max(RPIREPRB_P + RPIREPRBP2 , RPIREPRB1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPRC_2 = max(APIREPRC_P + APIREPRCP2 , APIREPRC1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPRC_2 = max(RPIREPRC_P + RPIREPRCP2 , RPIREPRC1731) * (1 - PREM8_11) * ART1731BIS ;

APIREPRD_2 = max(APIREPRD_P + APIREPRDP2 , APIREPRD1731) * (1 - PREM8_11) * ART1731BIS ;
RPIREPRD_2 = max(RPIREPRD_P + RPIREPRDP2 , RPIREPRD1731) * (1 - PREM8_11) * ART1731BIS ;

APIQTU_2 = max(APIQTU_P + APIQTUP2 , APIQTU1731) * (1 - PREM8_11) * ART1731BIS ;
RPIQTU_2 = max(RPIQTU_P + RPIQTUP2 , RPIQTU1731) * (1 - PREM8_11) * ART1731BIS ;

APIQRS_2 = max(APIQRS_P + APIQRSP2 , APIQRS1731) * (1 - PREM8_11) * ART1731BIS ;
RPIQRS_2 = max(RPIQRS_P + RPIQRSP2 , RPIQRS1731) * (1 - PREM8_11) * ART1731BIS ;

APIQOP_2 = max(APIQOP_P + APIQOPP2 , APIQOP1731) * (1 - PREM8_11) * ART1731BIS ;
RPIQOP_2 = max(RPIQOP_P + RPIQOPP2 , RPIQOP1731) * (1 - PREM8_11) * ART1731BIS ;

APIQMN_2 = max(APIQMN_P + APIQMNP2 , APIQMN1731) * (1 - PREM8_11) * ART1731BIS ;
RPIQMN_2 = max(RPIQMN_P + RPIQMNP2 , RPIQMN1731) * (1 - PREM8_11) * ART1731BIS ;

APIQKL_2 = max(APIQKL_P + APIQKLP2 , APIQKL1731) * (1 - PREM8_11) * ART1731BIS ;
RPIQKL_2 = max(RPIQKL_P + RPIQKLP2 , RPIQKL1731) * (1 - PREM8_11) * ART1731BIS ;

APIQIJ_2 = max(APIQIJ_P + APIQIJP2 , APIQIJ1731) * (1 - PREM8_11) * ART1731BIS ;
RPIQIJ_2 = max(RPIQIJ_P + RPIQIJP2 , RPIQIJ1731) * (1 - PREM8_11) * ART1731BIS ;

APIQGH_2 = max(APIQGH_P + APIQGHP2 , APIQGH1731) * (1 - PREM8_11) * ART1731BIS ;
RPIQGH_2 = max(RPIQGH_P + RPIQGHP2 , RPIQGH1731) * (1 - PREM8_11) * ART1731BIS ;

APIQEF_2 = max(APIQEF_P + APIQEFP2 , APIQEF1731) * (1 - PREM8_11) * ART1731BIS ;
RPIQEF_2 = max(RPIQEF_P + RPIQEFP2 , RPIQEF1731) * (1 - PREM8_11) * ART1731BIS ;

APIQCD_2 = max(APIQCD_P + APIQCDP2 , APIQCD1731) * (1 - PREM8_11) * ART1731BIS ;
RPIQCD_2 = max(RPIQCD_P + RPIQCDP2 , RPIQCD1731) * (1 - PREM8_11) * ART1731BIS ;

APIQAB_2 = max(APIQAB_P + APIQABP2 , APIQAB1731) * (1 - PREM8_11) * ART1731BIS ;
RPIQAB_2 = max(RPIQAB_P + RPIQABP2 , RPIQAB1731) * (1 - PREM8_11) * ART1731BIS ;

ANOUV_2 = max(ANOUV_P + ANOUVP2 , ANOUV1731) * (1 - PREM8_11) * ART1731BIS ;
RNOUV_2 = max(RNOUV_P + RNOUVP2 , RNOUV1731) * (1 - PREM8_11) * ART1731BIS ;

APENTCY_2 = max(APENTCY_P + APENTCYP2 , APENTCY1731) * (1 - PREM8_11) * ART1731BIS ;
RPENTCY_2 = max(RPENTCY_P + RPENTCYP2 , RPENTCY1731) * (1 - PREM8_11) * ART1731BIS ;

APENTDY_2 = max(APENTDY_P + APENTDYP2 , APENTDY1731) * (1 - PREM8_11) * ART1731BIS ;
RPENTDY_2 = max(RPENTDY_P + RPENTDYP2 , RPENTDY1731) * (1 - PREM8_11) * ART1731BIS ;

APENTEY_2 = max(APENTEY_P + APENTEYP2 , APENTEY1731) * (1 - PREM8_11) * ART1731BIS ;
RPENTEY_2 = max(RPENTEY_P + RPENTEYP2 , RPENTEY1731) * (1 - PREM8_11) * ART1731BIS ;

APENTFY_2 = max(APENTFY_P + APENTFYP2 , APENTFY1731) * (1 - PREM8_11) * ART1731BIS ;
RPENTFY_2 = max(RPENTFY_P + RPENTFYP2 , RPENTFY1731) * (1 - PREM8_11) * ART1731BIS ;

APENTGY_2 = max(APENTGY_P + APENTGYP2 , APENTGY1731) * (1 - PREM8_11) * ART1731BIS ;
RPENTGY_2 = max(RPENTGY_P + RPENTGYP2 , RPENTGY1731) * (1 - PREM8_11) * ART1731BIS ;

AFOREST_2 = max(AFOREST_P + AFORESTP2 , AFOREST1731) * (1 - PREM8_11) * ART1731BIS ;
RFOR_2 = max(RFOR_P + RFORP2 , RFOR1731) * (1 - PREM8_11) * ART1731BIS ;

ATOURREP_2 = max(ATOURREP_P + ATOURREPP2 , ATOURREP1731) * (1 - PREM8_11) * ART1731BIS ;
RTOURREP_2 = max(RTOURREP_P + RTOURREPP2 , RTOURREP1731) * (1 - PREM8_11) * ART1731BIS ;

ATOUREPA_2 = max(ATOUREPA_P + ATOUREPAP2 , ATOUREPA1731) * (1 - PREM8_11) * ART1731BIS ;
RTOUREPA_2 = max(RTOUREPA_P + RTOUREPAP2 , RTOUREPA1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLM_2 = max(ACELRREDLM_P + ACELRREDLMP2 , ACELRREDLM1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLM_2 = max(RCELRREDLM_P + RCELRREDLMP2 , RCELRREDLM1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLN_2 = max(ACELRREDLN_P + ACELRREDLNP2 , ACELRREDLN1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLN_2 = max(RCELRREDLN_P + RCELRREDLNP2 , RCELRREDLN1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLG_2 = max(ACELRREDLG_P + ACELRREDLGP2 , ACELRREDLG1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLG_2 = max(RCELRREDLG_P + RCELRREDLGP2 , RCELRREDLG1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLK_2 = max(ACELRREDLK_P + ACELRREDLKP2 , ACELRREDLK1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLK_2 = max(RCELRREDLK_P + RCELRREDLKP2 , RCELRREDLK1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLS_2 = max(ACELRREDLS_P + ACELRREDLSP2 , ACELRREDLS1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLS_2 = max(RCELRREDLS_P + RCELRREDLSP2 , RCELRREDLS1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLT_2 = max(ACELRREDLT_P + ACELRREDLTP2 , ACELRREDLT1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLT_2 = max(RCELRREDLT_P + RCELRREDLTP2 , RCELRREDLT1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLH_2 = max(ACELRREDLH_P + ACELRREDLHP2 , ACELRREDLH1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLH_2 = max(RCELRREDLH_P + RCELRREDLHP2 , RCELRREDLH1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLL_2 = max(ACELRREDLL_P + ACELRREDLLP2 , ACELRREDLL1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLL_2 = max(RCELRREDLL_P + RCELRREDLLP2 , RCELRREDLL1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLZ_2 = max(ACELRREDLZ_P + ACELRREDLZP2 , ACELRREDLZ1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLZ_2 = max(RCELRREDLZ_P + RCELRREDLZP2 , RCELRREDLZ1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLX_2 = max(ACELRREDLX_P + ACELRREDLXP2 , ACELRREDLX1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLX_2 = max(RCELRREDLX_P + RCELRREDLXP2 , RCELRREDLX1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLI_2 = max(ACELRREDLI_P + ACELRREDLIP2 , ACELRREDLI1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLI_2 = max(RCELRREDLI_P + RCELRREDLIP2 , RCELRREDLI1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLO_2 = max(ACELRREDLO_P + ACELRREDLOP2 , ACELRREDLO1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLO_2 = max(RCELRREDLO_P + RCELRREDLOP2 , RCELRREDLO1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDMG_2 = max(ACELRREDMG_P + ACELRREDMGP2 , ACELRREDMG1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDMG_2 = max(RCELRREDMG_P + RCELRREDMGP2 , RCELRREDMG1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDMH_2 = max(ACELRREDMH_P + ACELRREDMHP2 , ACELRREDMH1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDMH_2 = max(RCELRREDMH_P + RCELRREDMHP2 , RCELRREDMH1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLJ_2 = max(ACELRREDLJ_P + ACELRREDLJP2 , ACELRREDLJ1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLJ_2 = max(RCELRREDLJ_P + RCELRREDLJP2 , RCELRREDLJ1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLP_2 = max(ACELRREDLP_P + ACELRREDLPP2 , ACELRREDLP1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLP_2 = max(RCELRREDLP_P + RCELRREDLPP2 , RCELRREDLP1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLQ_2 = max(ACELRREDLQ_P + ACELRREDLQP2 , ACELRREDLQ1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLQ_2 = max(RCELRREDLQ_P + RCELRREDLQP2 , RCELRREDLQ1731) * (1 - PREM8_11) * ART1731BIS ;

ACELLA_2 = max(ACELLA_P + ACELLAP2 , ACELLA1731) * (1 - PREM8_11) * ART1731BIS ;
RCELLA_2 = max(RCELLA_P + RCELLAP2 , RCELLA1731) * (1 - PREM8_11) * ART1731BIS ;

ACELLB_2 = max(ACELLB_P + ACELLBP2 , ACELLB1731) * (1 - PREM8_11) * ART1731BIS ;
RCELLB_2 = max(RCELLB_P + RCELLBP2 , RCELLB1731) * (1 - PREM8_11) * ART1731BIS ;

ACELLC_2 = max(ACELLC_P + ACELLCP2 , ACELLC1731) * (1 - PREM8_11) * ART1731BIS ;
RCELLC_2 = max(RCELLC_P + RCELLCP2 , RCELLC1731) * (1 - PREM8_11) * ART1731BIS ;

ACELLY_2 = max(ACELLY_P + ACELLYP2 , ACELLY1731) * (1 - PREM8_11) * ART1731BIS ;
RCELLY_2 = max(RCELLY_P + RCELLYP2 , RCELLY1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLR_2 = max(ACELRREDLR_P + ACELRREDLRP2 , ACELRREDLR1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLR_2 = max(RCELRREDLR_P + RCELRREDLRP2 , RCELRREDLR1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLU_2 = max(ACELRREDLU_P + ACELRREDLUP2 , ACELRREDLU1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLU_2 = max(RCELRREDLU_P + RCELRREDLUP2 , RCELRREDLU1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRREDLV_2 = max(ACELRREDLV_P + ACELRREDLVP2 , ACELRREDLV1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRREDLV_2 = max(RCELRREDLV_P + RCELRREDLVP2 , RCELRREDLV1731) * (1 - PREM8_11) * ART1731BIS ;

RCELZO_2 = max(RCELZO_P + RCELZOP2 , RCELZO1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZP_2 = max(RCELZP_P + RCELZPP2 , RCELZP1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZQ_2 = max(RCELZQ_P + RCELZQP2 , RCELZQ1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZR_2 = max(RCELZR_P + RCELZRP2 , RCELZR1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZS_2 = max(RCELZS_P + RCELZSP2 , RCELZS1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZT_2 = max(RCELZT_P + RCELZTP2 , RCELZT1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZU_2 = max(RCELZU_P + RCELZUP2 , RCELZU1731) * (1 - PREM8_11) * ART1731BIS ;

RCELXO_2 = max(RCELXO_P + RCELXOP2 , RCELXO1731) * (1 - PREM8_11) * ART1731BIS ;
RCELXP_2 = max(RCELXP_P + RCELXPP2 , RCELXP1731) * (1 - PREM8_11) * ART1731BIS ;
RCELXQ_2 = max(RCELXQ_P + RCELXQP2 , RCELXQ1731) * (1 - PREM8_11) * ART1731BIS ;

RCELZM_2 = max(RCELZM_P + RCELZMP2 , RCELZM1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZN_2 = max(RCELZN_P + RCELZNP2 , RCELZN1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPHU_2 = max(ACELREPHU_P + ACELREPHUP2 , ACELREPHU1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPHU_2 = max(RCELREPHU_P + RCELREPHUP2 , RCELREPHU1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPHT_2 = max(ACELREPHT_P + ACELREPHTP2 , ACELREPHT1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPHT_2 = max(RCELREPHT_P + RCELREPHTP2 , RCELREPHT1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPHZ_2 = max(ACELREPHZ_P + ACELREPHZP2 , ACELREPHZ1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPHZ_2 = max(RCELREPHZ_P + RCELREPHZP2 , RCELREPHZ1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPHX_2 = max(ACELREPHX_P + ACELREPHXP2 , ACELREPHX1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPHX_2 = max(RCELREPHX_P + RCELREPHXP2 , RCELREPHX1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPHW_2 = max(ACELREPHW_P + ACELREPHWP2 , ACELREPHW1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPHW_2 = max(RCELREPHW_P + RCELREPHWP2 , RCELREPHW1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPHV_2 = max(ACELREPHV_P + ACELREPHVP2 , ACELREPHV1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPHV_2 = max(RCELREPHV_P + RCELREPHVP2 , RCELREPHV1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPHF_2 = max(ACELREPHF_P + ACELREPHFP2 , ACELREPHF1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPHF_2 = max(RCELREPHF_P + RCELREPHFP2 , RCELREPHF1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPHD_2 = max(ACELREPHD_P + ACELREPHDP2 , ACELREPHD1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPHD_2 = max(RCELREPHD_P + RCELREPHDP2 , RCELREPHD1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPHA_2 = max(ACELREPHA_P + ACELREPHAP2 , ACELREPHA1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPHA_2 = max(RCELREPHA_P + RCELREPHAP2 , RCELREPHA1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPGU_2 = max(ACELREPGU_P + ACELREPGUP2 , ACELREPGU1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPGU_2 = max(RCELREPGU_P + RCELREPGUP2 , RCELREPGU1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPGS_2 = max(ACELREPGS_P + ACELREPGSP2 , ACELREPGS1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPGS_2 = max(RCELREPGS_P + RCELREPGSP2 , RCELREPGS1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPGL_2 = max(ACELREPGL_P + ACELREPGLP2 , ACELREPGL1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPGL_2 = max(RCELREPGL_P + RCELREPGLP2 , RCELREPGL1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPGJ_2 = max(ACELREPGJ_P + ACELREPGJP2 , ACELREPGJ1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPGJ_2 = max(RCELREPGJ_P + RCELREPGJP2 , RCELREPGJ1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYH_2 = max(ACELREPYH_P + ACELREPYHP2 , ACELREPYH1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYH_2 = max(RCELREPYH_P + RCELREPYHP2 , RCELREPYH1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYF_2 = max(ACELREPYF_P + ACELREPYFP2 , ACELREPYF1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYF_2 = max(RCELREPYF_P + RCELREPYFP2 , RCELREPYF1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYD_2 = max(ACELREPYD_P + ACELREPYDP2 , ACELREPYD1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYD_2 = max(RCELREPYD_P + RCELREPYDP2 , RCELREPYD1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYB_2 = max(ACELREPYB_P + ACELREPYBP2 , ACELREPYB1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYB_2 = max(RCELREPYB_P + RCELREPYBP2 , RCELREPYB1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYP_2 = max(ACELREPYP_P + ACELREPYPP2 , ACELREPYP1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYP_2 = max(RCELREPYP_P + RCELREPYPP2 , RCELREPYP1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYS_2 = max(ACELREPYS_P + ACELREPYSP2 , ACELREPYS1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYS_2 = max(RCELREPYS_P + RCELREPYSP2 , RCELREPYS1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYO_2 = max(ACELREPYO_P + ACELREPYOP2 , ACELREPYO1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYO_2 = max(RCELREPYO_P + RCELREPYOP2 , RCELREPYO1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYR_2 = max(ACELREPYR_P + ACELREPYRP2 , ACELREPYR1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYR_2 = max(RCELREPYR_P + RCELREPYRP2 , RCELREPYR1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYN_2 = max(ACELREPYN_P + ACELREPYNP2 , ACELREPYN1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYN_2 = max(RCELREPYN_P + RCELREPYNP2 , RCELREPYN1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYQ_2 = max(ACELREPYQ_P + ACELREPYQP2 , ACELREPYQ1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYQ_2 = max(RCELREPYQ_P + RCELREPYQP2 , RCELREPYQ1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYM_2 = max(ACELREPYM_P + ACELREPYMP2 , ACELREPYM1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYM_2 = max(RCELREPYM_P + RCELREPYMP2 , RCELREPYM1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYW_2 = max(ACELREPYW_P + ACELREPYWP2 , ACELREPYW1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYW_2 = max(RCELREPYW_P + RCELREPYWP2 , RCELREPYW1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYZ_2 = max(ACELREPYZ_P + ACELREPYZP2 , ACELREPYZ1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYZ_2 = max(RCELREPYZ_P + RCELREPYZP2 , RCELREPYZ1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYV_2 = max(ACELREPYV_P + ACELREPYVP2 , ACELREPYV1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYV_2 = max(RCELREPYV_P + RCELREPYVP2 , RCELREPYV1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYY_2 = max(ACELREPYY_P + ACELREPYYP2 , ACELREPYY1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYY_2 = max(RCELREPYY_P + RCELREPYYP2 , RCELREPYY1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYU_2 = max(ACELREPYU_P + ACELREPYUP2 , ACELREPYU1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYU_2 = max(RCELREPYU_P + RCELREPYUP2 , RCELREPYU1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYX_2 = max(ACELREPYX_P + ACELREPYXP2 , ACELREPYX1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYX_2 = max(RCELREPYX_P + RCELREPYXP2 , RCELREPYX1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPYT_2 = max(ACELREPYT_P + ACELREPYTP2 , ACELREPYT1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPYT_2 = max(RCELREPYT_P + RCELREPYTP2 , RCELREPYT1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPWT_2 = max(ACELREPWT_P + ACELREPWTP2 , ACELREPWT1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPWT_2 = max(RCELREPWT_P + RCELREPWTP2 , RCELREPWT1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPWU_2 = max(ACELREPWU_P + ACELREPWUP2 , ACELREPWU1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPWU_2 = max(RCELREPWU_P + RCELREPWUP2 , RCELREPWU1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPWV_2 = max(ACELREPWV_P + ACELREPWVP2 , ACELREPWV1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPWV_2 = max(RCELREPWV_P + RCELREPWVP2 , RCELREPWV1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPWW_2 = max(ACELREPWW_P + ACELREPWWP2 , ACELREPWW1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPWW_2 = max(RCELREPWW_P + RCELREPWWP2 , RCELREPWW1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRW_2 = max(ACELRW_P + ACELRWP2 , ACELRW1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRW_2 = max(RCELRW_P + RCELRWP2 , RCELRW1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRV_2 = max(ACELRV_P + ACELRVP2 , ACELRV1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRV_2 = max(RCELRV_P + RCELRVP2 , RCELRV1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRU_2 = max(ACELRU_P + ACELRUP2 , ACELRU1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRU_2 = max(RCELRU_P + RCELRUP2 , RCELRU1731) * (1 - PREM8_11) * ART1731BIS ;

ACELRT_2 = max(ACELRT_P + ACELRTP2 , ACELRT1731) * (1 - PREM8_11) * ART1731BIS ;
RCELRT_2 = max(RCELRT_P + RCELRTP2 , RCELRT1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPWX_2 = max(ACELREPWX_P + ACELREPWXP2 , ACELREPWX1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPWX_2 = max(RCELREPWX_P + RCELREPWXP2 , RCELREPWX1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPWY_2 = max(ACELREPWY_P + ACELREPWYP2 , ACELREPWY1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPWY_2 = max(RCELREPWY_P + RCELREPWYP2 , RCELREPWY1731) * (1 - PREM8_11) * ART1731BIS ;

ACELREPWZ_2 = max(ACELREPWZ_P + ACELREPWZP2 , ACELREPWZ1731) * (1 - PREM8_11) * ART1731BIS ;
RCELREPWZ_2 = max(RCELREPWZ_P + RCELREPWZP2 , RCELREPWZ1731) * (1 - PREM8_11) * ART1731BIS ;

ACELZV_2 = max(ACELZV_P + ACELZVP2 , ACELZV1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZV_2 = max(RCELZV_P + RCELZVP2 , RCELZV1731) * (1 - PREM8_11) * ART1731BIS ;

ACELZE_2 = max(ACELZE_P + ACELZEP2 , ACELZE1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZE_2 = max(RCELZE_P + RCELZEP2 , RCELZE1731) * (1 - PREM8_11) * ART1731BIS ;

ACELZF_2 = max(ACELZF_P + ACELZFP2 , ACELZF1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZF_2 = max(RCELZF_P + RCELZFP2 , RCELZF1731) * (1 - PREM8_11) * ART1731BIS ;

ACELZG_2 = max(ACELZG_P + ACELZGP2 , ACELZG1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZG_2 = max(RCELZG_P + RCELZGP2 , RCELZG1731) * (1 - PREM8_11) * ART1731BIS ;

ACELZH_2 = max(ACELZH_P + ACELZHP2 , ACELZH1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZH_2 = max(RCELZH_P + RCELZHP2 , RCELZH1731) * (1 - PREM8_11) * ART1731BIS ;

ACELZI_2 = max(ACELZI_P + ACELZIP2 , ACELZI1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZI_2 = max(RCELZI_P + RCELZIP2 , RCELZI1731) * (1 - PREM8_11) * ART1731BIS ;

ACELZJ_2 = max(ACELZJ_P + ACELZJP2 , ACELZJ1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZJ_2 = max(RCELZJ_P + RCELZJP2 , RCELZJ1731) * (1 - PREM8_11) * ART1731BIS ;

ACELZK_2 = max(ACELZK_P + ACELZKP2 , ACELZK1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZK_2 = max(RCELZK_P + RCELZKP2 , RCELZK1731) * (1 - PREM8_11) * ART1731BIS ;

ACELZL_2 = max(ACELZL_P + ACELZLP2 , ACELZL1731) * (1 - PREM8_11) * ART1731BIS ;
RCELZL_2 = max(RCELZL_P + RCELZLP2 , RCELZL1731) * (1 - PREM8_11) * ART1731BIS ;

ACELSE_2 = max(ACELSE_P + ACELSEP2 , ACELSE1731) * (1 - PREM8_11) * ART1731BIS ;
RCELSE_2 = max(RCELSE_P + RCELSEP2 , RCELSE1731) * (1 - PREM8_11) * ART1731BIS ;

ACELSF_2 = max(ACELSF_P + ACELSFP2 , ACELSF1731) * (1 - PREM8_11) * ART1731BIS ;
RCELSF_2 = max(RCELSF_P + RCELSFP2 , RCELSF1731) * (1 - PREM8_11) * ART1731BIS ;

ACELSG_2 = max(ACELSG_P + ACELSGP2 , ACELSG1731) * (1 - PREM8_11) * ART1731BIS ;
RCELSG_2 = max(RCELSG_P + RCELSGP2 , RCELSG1731) * (1 - PREM8_11) * ART1731BIS ;

ACELSH_2 = max(ACELSH_P + ACELSHP2 , ACELSH1731) * (1 - PREM8_11) * ART1731BIS ;
RCELSH_2 = max(RCELSH_P + RCELSHP2 , RCELSH1731) * (1 - PREM8_11) * ART1731BIS ;

ACELSI_2 = max(ACELSI_P + ACELSIP2 , ACELSI1731) * (1 - PREM8_11) * ART1731BIS ;
RCELSI_2 = max(RCELSI_P + RCELSIP2 , RCELSI1731) * (1 - PREM8_11) * ART1731BIS ;

ACELSJ_2 = max(ACELSJ_P + ACELSJP2 , ACELSJ1731) * (1 - PREM8_11) * ART1731BIS ;
RCELSJ_2 = max(RCELSJ_P + RCELSJP2 , RCELSJ1731) * (1 - PREM8_11) * ART1731BIS ;

ACELSK_2 = max(ACELSK_P + ACELSKP2 , ACELSK1731) * (1 - PREM8_11) * ART1731BIS ;
RCELSK_2 = max(RCELSK_P + RCELSKP2 , RCELSK1731) * (1 - PREM8_11) * ART1731BIS ;

ACELSL_2 = max(ACELSL_P + ACELSLP2 , ACELSL1731) * (1 - PREM8_11) * ART1731BIS ;
RCELSL_2 = max(RCELSL_P + RCELSLP2 , RCELSL1731) * (1 - PREM8_11) * ART1731BIS ;

ACELSM_2 = max(ACELSM_P + ACELSMP2 , ACELSM1731) * (1 - PREM8_11) * ART1731BIS ;
RCELSM_2 = max(RCELSM_P + RCELSMP2 , RCELSM1731) * (1 - PREM8_11) * ART1731BIS ;

AILMIX_2 = max(AILMIX_P + AILMIXP2 , AILMIX1731) * (1 - PREM8_11) * ART1731BIS ;
RILMIX_2 = max(RILMIX_P + RILMIXP2 , RILMIX1731) * (1 - PREM8_11) * ART1731BIS ;

AILMIY_2 = max(AILMIY_P + AILMIYP2 , AILMIY1731) * (1 - PREM8_11) * ART1731BIS ;
RILMIY_2 = max(RILMIY_P + RILMIYP2 , RILMIY1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPA_2 = max(AILMPA_P + AILMPAP2 , AILMPA1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPA_2 = max(RILMPA_P + RILMPAP2 , RILMPA1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPF_2 = max(AILMPF_P + AILMPFP2 , AILMPF1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPF_2 = max(RILMPF_P + RILMPFP2 , RILMPF1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPK_2 = max(AILMPK_P + AILMPKP2 , AILMPK1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPK_2 = max(RILMPK_P + RILMPKP2 , RILMPK1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPP_2 = max(AILMPP_P + AILMPPP2 , AILMPP1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPP_2 = max(RILMPP_P + RILMPPP2 , RILMPP1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPU_2 = max(AILMPU_P + AILMPUP2 , AILMPU1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPU_2 = max(RILMPU_P + RILMPUP2 , RILMPU1731) * (1 - PREM8_11) * ART1731BIS ;

AINVRED_2 = max(AINVRED_P + AINVREDP2 , AINVRED1731) * (1 - PREM8_11) * ART1731BIS ;
RINVRED_2 = max(RINVRED_P + RINVREDP2 , RINVRED1731) * (1 - PREM8_11) * ART1731BIS ;

AILMIH_2 = max(AILMIH_P + AILMIHP2 , AILMIH1731) * (1 - PREM8_11) * ART1731BIS ;
RILMIH_2 = max(RILMIH_P + RILMIHP2 , RILMIH1731) * (1 - PREM8_11) * ART1731BIS ;

AILMJC_2 = max(AILMJC_P + AILMJCP2 , AILMJC1731) * (1 - PREM8_11) * ART1731BIS ;
RILMJC_2 = max(RILMJC_P + RILMJCP2 , RILMJC1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPB_2 = max(AILMPB_P + AILMPBP2 , AILMPB1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPB_2 = max(RILMPB_P + RILMPBP2 , RILMPB1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPG_2 = max(AILMPG_P + AILMPGP2 , AILMPG1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPG_2 = max(RILMPG_P + RILMPGP2 , RILMPG1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPL_2 = max(AILMPL_P + AILMPLP2 , AILMPL1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPL_2 = max(RILMPL_P + RILMPLP2 , RILMPL1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPQ_2 = max(AILMPQ_P + AILMPQP2 , AILMPQ1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPQ_2 = max(RILMPQ_P + RILMPQP2 , RILMPQ1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPV_2 = max(AILMPV_P + AILMPVP2 , AILMPV1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPV_2 = max(RILMPV_P + RILMPVP2 , RILMPV1731) * (1 - PREM8_11) * ART1731BIS ;

AILMJI_2 = max(AILMJI_P + AILMJIP2 , AILMJI1731) * (1 - PREM8_11) * ART1731BIS ;
RILMJI_2 = max(RILMJI_P + RILMJIP2 , RILMJI1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPC_2 = max(AILMPC_P + AILMPCP2 , AILMPC1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPC_2 = max(RILMPC_P + RILMPCP2 , RILMPC1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPH_2 = max(AILMPH_P + AILMPHP2 , AILMPH1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPH_2 = max(RILMPH_P + RILMPHP2 , RILMPH1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPM_2 = max(AILMPM_P + AILMPMP2 , AILMPM1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPM_2 = max(RILMPM_P + RILMPMP2 , RILMPM1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPR_2 = max(AILMPR_P + AILMPRP2 , AILMPR1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPR_2 = max(RILMPR_P + RILMPRP2 , RILMPR1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPW_2 = max(AILMPW_P + AILMPWP2 , AILMPW1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPW_2 = max(RILMPW_P + RILMPWP2 , RILMPW1731) * (1 - PREM8_11) * ART1731BIS ;

AILMJS_2 = max(AILMJS_P + AILMJSP2 , AILMJS1731) * (1 - PREM8_11) * ART1731BIS ;
RILMJS_2 = max(RILMJS_P + RILMJSP2 , RILMJS1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPD_2 = max(AILMPD_P + AILMPDP2 , AILMPD1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPD_2 = max(RILMPD_P + RILMPDP2 , RILMPD1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPI_2 = max(AILMPI_P + AILMPIP2 , AILMPI1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPI_2 = max(RILMPI_P + RILMPIP2 , RILMPI1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPN_2 = max(AILMPN_P + AILMPNP2 , AILMPN1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPN_2 = max(RILMPN_P + RILMPNP2 , RILMPN1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPS_2 = max(AILMPS_P + AILMPSP2 , AILMPS1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPS_2 = max(RILMPS_P + RILMPSP2 , RILMPS1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPX_2 = max(AILMPX_P + AILMPXP2 , AILMPX1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPX_2 = max(RILMPX_P + RILMPXP2 , RILMPX1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPE_2 = max(AILMPE_P + AILMPEP2 , AILMPE1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPE_2 = max(RILMPE_P + RILMPEP2 , RILMPE1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPJ_2 = max(AILMPJ_P + AILMPJP2 , AILMPJ1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPJ_2 = max(RILMPJ_P + RILMPJP2 , RILMPJ1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPO_2 = max(AILMPO_P + AILMPOP2 , AILMPO1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPO_2 = max(RILMPO_P + RILMPOP2 , RILMPO1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPT_2 = max(AILMPT_P + AILMPTP2 , AILMPT1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPT_2 = max(RILMPT_P + RILMPTP2 , RILMPT1731) * (1 - PREM8_11) * ART1731BIS ;

AILMPY_2 = max(AILMPY_P + AILMPYP2 , AILMPY1731) * (1 - PREM8_11) * ART1731BIS ;
RILMPY_2 = max(RILMPY_P + RILMPYP2 , RILMPY1731) * (1 - PREM8_11) * ART1731BIS ;

APROREP_2 = max(APROREP_P + APROREPP2 , APROREP1731) * (1 - PREM8_11) * ART1731BIS ;
RPROREP_2 = max(RPROREP_P + RPROREPP2 , RPROREP1731) * (1 - PREM8_11) * ART1731BIS ;

AREPNPRO_2 = max(AREPNPRO_P + AREPNPROP2 , AREPNPRO1731) * (1 - PREM8_11) * ART1731BIS ;
RREPNPRO_2 = max(RREPNPRO_P + RREPNPROP2 , RREPNPRO1731) * (1 - PREM8_11) * ART1731BIS ;

AREPMEU_2 = max(AREPMEU_P + AREPMEUP2 , AREPMEU1731) * (1 - PREM8_11) * ART1731BIS ;
RREPMEU_2 = max(RREPMEU_P + RREPMEUP2 , RREPMEU1731) * (1 - PREM8_11) * ART1731BIS ;

AILMIC_2 = max(AILMIC_P + AILMICP2 , AILMIC1731) * (1 - PREM8_11) * ART1731BIS ;
RILMIC_2 = max(RILMIC_P + RILMICP2 , RILMIC1731) * (1 - PREM8_11) * ART1731BIS ;

AILMIB_2 = max(AILMIB_P + AILMIBP2 , AILMIB1731) * (1 - PREM8_11) * ART1731BIS ;
RILMIB_2 = max(RILMIB_P + RILMIBP2 , RILMIB1731) * (1 - PREM8_11) * ART1731BIS ;

AILMIA_2 = max(AILMIA_P + AILMIAP2 , AILMIA1731) * (1 - PREM8_11) * ART1731BIS ;
RILMIA_2 = max(RILMIA_P + RILMIAP2 , RILMIA1731) * (1 - PREM8_11) * ART1731BIS ;

AILMJY_2 = max(AILMJY_P + AILMJYP2 , AILMJY1731) * (1 - PREM8_11) * ART1731BIS ;
RILMJY_2 = max(RILMJY_P + RILMJYP2 , RILMJY1731) * (1 - PREM8_11) * ART1731BIS ;

AILMJX_2 = max(AILMJX_P + AILMJXP2 , AILMJX1731) * (1 - PREM8_11) * ART1731BIS ;
RILMJX_2 = max(RILMJX_P + RILMJXP2 , RILMJX1731) * (1 - PREM8_11) * ART1731BIS ;

AILMJW_2 = max(AILMJW_P + AILMJWP2 , AILMJW1731) * (1 - PREM8_11) * ART1731BIS ;
RILMJW_2 = max(RILMJW_P + RILMJWP2 , RILMJW1731) * (1 - PREM8_11) * ART1731BIS ;

AILMJV_2 = max(AILMJV_P + AILMJVP2 , AILMJV1731) * (1 - PREM8_11) * ART1731BIS ;
RILMJV_2 = max(RILMJV_P + RILMJVP2 , RILMJV1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOE_2 = max(AILMOE_P + AILMOEP2 , AILMOE1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOE_2 = max(RILMOE_P + RILMOEP2 , RILMOE1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOD_2 = max(AILMOD_P + AILMODP2 , AILMOD1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOD_2 = max(RILMOD_P + RILMODP2 , RILMOD1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOC_2 = max(AILMOC_P + AILMOCP2 , AILMOC1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOC_2 = max(RILMOC_P + RILMOCP2 , RILMOC1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOB_2 = max(AILMOB_P + AILMOBP2 , AILMOB1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOB_2 = max(RILMOB_P + RILMOBP2 , RILMOB1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOA_2 = max(AILMOA_P + AILMOAP2 , AILMOA1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOA_2 = max(RILMOA_P + RILMOAP2 , RILMOA1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOJ_2 = max(AILMOJ_P + AILMOJP2 , AILMOJ1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOJ_2 = max(RILMOJ_P + RILMOJP2 , RILMOJ1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOI_2 = max(AILMOI_P + AILMOIP2 , AILMOI1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOI_2 = max(RILMOI_P + RILMOIP2 , RILMOI1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOH_2 = max(AILMOH_P + AILMOHP2 , AILMOH1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOH_2 = max(RILMOH_P + RILMOHP2 , RILMOH1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOG_2 = max(AILMOG_P + AILMOGP2 , AILMOG1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOG_2 = max(RILMOG_P + RILMOGP2 , RILMOG1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOF_2 = max(AILMOF_P + AILMOFP2 , AILMOF1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOF_2 = max(RILMOF_P + RILMOFP2 , RILMOF1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOO_2 = max(AILMOO_P + AILMOOP2 , AILMOO1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOO_2 = max(RILMOO_P + RILMOOP2 , RILMOO1731) * (1 - PREM8_11) * ART1731BIS ;

AILMON_2 = max(AILMON_P + AILMONP2 , AILMON1731) * (1 - PREM8_11) * ART1731BIS ;
RILMON_2 = max(RILMON_P + RILMONP2 , RILMON1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOM_2 = max(AILMOM_P + AILMOMP2 , AILMOM1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOM_2 = max(RILMOM_P + RILMOMP2 , RILMOM1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOL_2 = max(AILMOL_P + AILMOLP2 , AILMOL1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOL_2 = max(RILMOL_P + RILMOLP2 , RILMOL1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOK_2 = max(AILMOK_P + AILMOKP2 , AILMOK1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOK_2 = max(RILMOK_P + RILMOKP2 , RILMOK1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOT_2 = max(AILMOT_P + AILMOTP2 , AILMOT1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOT_2 = max(RILMOT_P + RILMOTP2 , RILMOT1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOS_2 = max(AILMOS_P + AILMOSP2 , AILMOS1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOS_2 = max(RILMOS_P + RILMOSP2 , RILMOS1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOR_2 = max(AILMOR_P + AILMORP2 , AILMOR1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOR_2 = max(RILMOR_P + RILMORP2 , RILMOR1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOQ_2 = max(AILMOQ_P + AILMOQP2 , AILMOQ1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOQ_2 = max(RILMOQ_P + RILMOQP2 , RILMOQ1731) * (1 - PREM8_11) * ART1731BIS ;

AILMOP_2 = max(AILMOP_P + AILMOPP2 , AILMOP1731) * (1 - PREM8_11) * ART1731BIS ;
RILMOP_2 = max(RILMOP_P + RILMOPP2 , RILMOP1731) * (1 - PREM8_11) * ART1731BIS ;

AILMSA_2 = max(AILMSA_P + AILMSAP2 , AILMSA1731) * (1 - PREM8_11) * ART1731BIS ;
RILMSA_2 = max(RILMSA_P + RILMSAP2 , RILMSA1731) * (1 - PREM8_11) * ART1731BIS ;

AILMSB_2 = max(AILMSB_P + AILMSBP2 , AILMSB1731) * (1 - PREM8_11) * ART1731BIS ;
RILMSB_2 = max(RILMSB_P + RILMSBP2 , RILMSB1731) * (1 - PREM8_11) * ART1731BIS ;

AILMSC_2 = max(AILMSC_P + AILMSCP2 , AILMSC1731) * (1 - PREM8_11) * ART1731BIS ;
RILMSC_2 = max(RILMSC_P + RILMSCP2 , RILMSC1731) * (1 - PREM8_11) * ART1731BIS ;

ARESIVIEU_2 = max(ARESIVIEU_P + ARESIVIEUP2 , ARESIVIEU1731) * (1 - PREM8_11) * ART1731BIS ;
RCODIM_2 = max(RCODIM_P+RCODIMP2 , RCODIM1731) * (1 - PREM8_11) * ART1731BIS ;

ARESINEUV_2 = max(ARESINEUV_P + ARESINEUVP2 , ARESINEUV1731) * (1 - PREM8_11) * ART1731BIS ;
RCODIN_2 = max(RCODIN_P + RCODINP2 , RCODIN1731) * (1 - PREM8_11) * ART1731BIS ;
RCODIJ_2 = max(RCODIJ_P + RCODIJP2 , RCODIJ1731) * (1 - PREM8_11) * ART1731BIS ;
ALOCIDEFG_2 = max(ALOCIDEFG_P + ALOCIDEFGP2 , ALOCIDEFG1731) * (1 - PREM8_11) * ART1731BIS ;
ACODID_2 = max(ACODID_P + ACODIDP2 , RCODID1731) * (1 - PREM8_11) * ART1731BIS ;
RCODID_2 = max(RCODID_P + RCODIDP2 , RCODID1731) * (1 - PREM8_11) * ART1731BIS ;

ACODJTJU_2 = max(ACODJTJU_P + ACODJTJUP2 , ACODJTJU1731) * (1 - PREM8_11) * ART1731BIS ;
RCODJT_2 = max(RCODJT_P + RCODJTP2 , RCODJT1731) * (1 - PREM8_11) * ART1731BIS ;

ACODOU_2 = max(ACODOU_P + ACODOUP2 , ACODOU1731) * (1 - PREM8_11) * ART1731BIS ;
RCODOU_2 = max(RCODOU_P + RCODOUP2 , RCODOU1731) * (1 - PREM8_11) * ART1731BIS ;

ACODOV_2 = max(ACODOV_P + ACODOVP2 , ACODOV1731) * (1 - PREM8_11) * ART1731BIS ;
RCODOV_2 = max(RCODOV_P + RCODOVP2 , RCODOV1731) * (1 - PREM8_11) * ART1731BIS ;

ACODOY_2 = max(ACODOY_P + ACODOYP2 , ACODOY1731) * (1 - PREM8_11) * ART1731BIS ;
RCODOY_2 = max(RCODOY_P + RCODOYP2 , RCODOY1731) * (1 - PREM8_11) * ART1731BIS ;

ACODOX_2 = max(ACODOX_P + ACODOXP2 , ACODOX1731) * (1 - PREM8_11) * ART1731BIS ;
RCODOX_2 = max(RCODOX_P + RCODOXP2 , RCODOX1731) * (1 - PREM8_11) * ART1731BIS ;

ACODOW_2 = max(ACODOW_P + ACODOWP2 , ACODOW1731) * (1 - PREM8_11) * ART1731BIS ;
RCODOW_2 = max(RCODOW_P + RCODOWP2 , RCODOW1731) * (1 - PREM8_11) * ART1731BIS ;

APATNAT3_2 = max(APATNAT3_P + APATNAT3P2 , APATNAT31731) * (1 - PREM8_11) * ART1731BIS ;
RPATNAT3_2 = max(RPATNAT3_P + RPATNAT3P2 , RPATNAT31731) * (1 - PREM8_11) * ART1731BIS ;

APATNAT_2 = max(APATNAT_P + APATNATP2 , APATNAT1731) * (1 - PREM8_11) * ART1731BIS ;
RPATNAT_2 = max(RPATNAT_P + RPATNATP2 , RPATNAT1731) * (1 - PREM8_11) * ART1731BIS ;

ADOMSOC1_2 = max(ADOMSOC1_P + ADOMSOC1P2 , ADOMSOC11731) * (1 - PREM8_11) * ART1731BIS ;
RDOMSOC1_2 = max(RDOMSOC1_P + RDOMSOC1P2 , RDOMSOC11731) * (1 - PREM8_11) * ART1731BIS ;

ALOGSOC_2 = max(ALOGSOC_P + ALOGSOCP2 , ALOGSOC1731) * (1 - PREM8_11) * ART1731BIS ;
RLOGSOC_2 = max(RLOGSOC_P + RLOGSOCP2 , RLOGSOC1731) * (1 - PREM8_11) * ART1731BIS ;

ACOLENT_2 = max(ACOLENT_P + ACOLENTP2 , ACOLENT1731) * (1 - PREM8_11) * ART1731BIS ;
RCOLENT_2 = max(RCOLENT_P + RCOLENTP2 , RCOLENT1731) * (1 - PREM8_11) * ART1731BIS ;

ALOCENT_2 = max(ALOCENT_P + ALOCENTP2 , ALOCENT1731) * (1 - PREM8_11) * ART1731BIS ;
RLOCENT_2 = max(RLOCENT_P + RLOCENTP2 , RLOCENT1731) * (1 - PREM8_11) * ART1731BIS ;

RRIREP_2 = max(RRIREP_P + RRIREPP2 , RRIREP1731) * (1-PREM8_11) * ART1731BIS ;

regle 402150:
application : iliad ;



RIDEFRI = (1-COD9ZA+0) * ART1731BIS 
          * positif(positif(RCOTFOR_1 - RCOTFOR_2) + positif(RREPA_1 - RREPA_2) 
	            + positif(RDIFAGRI_1 - RDIFAGRI_2) + positif(RPRESSE_1 - RPRESSE_2) 
		    + positif(RFORET_1 - RFORET_2) + positif(RFIPDOM_1 - RFIPDOM_2) 
		    + positif(RFIPC_1 - RFIPC_2) + positif(RCINE_1 - RCINE_2) 
		    + positif(RRESTIMO_1 - RRESTIMO_2) + positif(RRESTIMO1_1 - RRESTIMO1_2)
	            + positif(RSOCREPR_1 - RSOCREPR_2) + positif(RRPRESCOMP_1 - RRPRESCOMP_2) 
	            + positif(RHEBE_1 - RHEBE_2) + positif(RSURV_1 - RSURV_2) 
	            + positif(RINNO_1 - RINNO_2) + positif(RSOUFIP_1 - RSOUFIP_2) 
	            + positif(RRIRENOV_1 - RRIRENOV_2) + positif(RLOGDOM_1 - RLOGDOM_2) 
	            + positif(RCOMP_1 - RCOMP_2) + positif(RRETU_1 - RRETU_2) 
	            + positif(RRREHAP_1 - RRREHAP_2) + positif(RCOD7KZ_1 - RCOD7KZ_2)
                    + positif(RDONS_1 - RDONS_2) + positif(RDUFREPFI_1 - RDUFREPFI_2) 
		    + positif(RDUFREPFK_1 - RDUFREPFK_2) + positif(RDUFREPFR_1 - RDUFREPFR_2) 
		    + positif(RDUFREPFV_1 - RDUFREPFV_2) + positif(RDUFREPFW_1 - RDUFREPFW_2) 
		    + positif(RDUFLOEKL_1 - RDUFLOEKL_2) + positif(RDUFLOGIH_1 - RDUFLOGIH_2) 
		    + positif(RPIREPAI_1 - RPIREPAI_2) + positif(RPIREPBI_1 - RPIREPBI_2) 
		    + positif(RPIREPCI_1 - RPIREPCI_2) + positif(RPIREPDI_1 - RPIREPDI_2) 
		    + positif(RPIREPBZ_1 - RPIREPBZ_2) + positif(RPIREPCZ_1 - RPIREPCZ_2) 
		    + positif(RPIREPDZ_1 - RPIREPDZ_2) + positif(RPIREPEZ_1 - RPIREPEZ_2) 
	            + positif(RPIREPQZ_1 - RPIREPQZ_2) + positif(RPIREPRZ_1 - RPIREPRZ_2)
	            + positif(RPIREPSZ_1 - RPIREPSZ_2) + positif(RPIREPTZ_1 - RPIREPTZ_2)
	            + positif(RPIREPRA_1 - RPIREPRA_2) + positif(RPIREPRB_1 - RPIREPRB_2)
	            + positif(RPIREPRC_1 - RPIREPRC_2) + positif(RPIREPRD_1 - RPIREPRD_2)
	            + positif(RPIQKL_1 - RPIQKL_2) + positif(RPIQIJ_1 - RPIQIJ_2) 
		    + positif(RPIQGH_1 - RPIQGH_2) + positif(RPIQTU_1 - RPIQTU_2) 
		    + positif(RPIQRS_1 - RPIQRS_2) + positif(RPIQOP_1 - RPIQOP_2) 
		    + positif(RPIQMN_1 - RPIQMN_2) + positif(RPIQEF_1 - RPIQEF_2) 
		    + positif(RPIQCD_1 - RPIQCD_2) + positif(RPIQAB_1 - RPIQAB_2) 
		    + positif(RNOUV_1 - RNOUV_2) + positif(RPENTCY_1 - RPENTCY_2) 
		    + positif(RPENTDY_1 - RPENTDY_2) + positif(RPENTEY_1 - RPENTEY_2) 
		    + positif(RPENTFY_1 - RPENTFY_2) + positif(RPENTGY_1 - RPENTGY_2) 
		    + positif(RFOR_1 - RFOR_2) + positif(RTOURREP_1 - RTOURREP_2) 
		    + positif(RTOUREPA_1 - RTOUREPA_2) + positif(RCELRREDLM_1 - RCELRREDLM_2) 
		    + positif(RCELRREDLN_1 - RCELRREDLN_2) + positif(RCELRREDLG_1 - RCELRREDLG_2) 
		    + positif(RCELRREDLK_1 - RCELRREDLK_2) + positif(RCELRREDLS_1 - RCELRREDLS_2) 
		    + positif(RCELRREDLT_1 - RCELRREDLT_2) + positif(RCELRREDLH_1 - RCELRREDLH_2) 
		    + positif(RCELRREDLL_1 - RCELRREDLL_2) + positif(RCELRREDLZ_1 - RCELRREDLZ_2) 
	            + positif(RCELRREDLX_1 - RCELRREDLX_2) + positif(RCELRREDLI_1 - RCELRREDLI_2) 
	            + positif(RCELRREDLO_1 - RCELRREDLO_2) + positif(RCELRREDMG_1 - RCELRREDMG_2) 
	            + positif(RCELRREDMH_1 - RCELRREDMH_2) + positif(RCELRREDLJ_1 - RCELRREDLJ_2) 
	            + positif(RCELRREDLP_1 - RCELRREDLP_2) + positif(RCELRREDLQ_1 - RCELRREDLQ_2)
	            + positif(RCELRREDLR_1 - RCELRREDLR_2) + positif(RCELRREDLU_1 - RCELRREDLU_2) 
	            + positif(RCELLA_1 - RCELLA_2) + positif(RCELLB_1 - RCELLB_2) 
	            + positif(RCELLC_1 - RCELLC_2) + positif(RCELRREDLV_1 - RCELRREDLV_2) 
	            + positif(RCELLY_1 - RCELLY_2) + positif(RCELREPHU_1 - RCELREPHU_2) 
	            + positif(RCELREPHT_1 - RCELREPHT_2) + positif(RCELREPHZ_1 - RCELREPHZ_2) 
	            + positif(RCELREPHX_1 - RCELREPHX_2) + positif(RCELREPHW_1 - RCELREPHW_2) 
	            + positif(RCELREPHV_1 - RCELREPHV_2) + positif(RCELREPHF_1 - RCELREPHF_2) 
	            + positif(RCELREPHD_1 - RCELREPHD_2) + positif(RCELREPHA_1 - RCELREPHA_2) 
	            + positif(RCELZP_1 - RCELZP_2) + positif(RCELZO_1 - RCELZO_2)
		    + positif(RCELZQ_1 - RCELZQ_2) + positif(RCELXO_1 - RCELXO_2)
		    + positif(RCELZR_1 - RCELZR_2) + positif(RCELZS_1 - RCELZS_2)
		    + positif(RCELZT_1 - RCELZT_2) + positif(RCELZU_1 - RCELZU_2)
		    + positif(RCELXQ_1 - RCELXQ_2) + positif(RCELXP_1 - RCELXP_2)
	            + positif(RCELZM_1 - RCELZM_2) + positif(RCELZN_1 - RCELZN_2)
                    + positif(RCELREPGU_1 - RCELREPGU_2) + positif(RCELREPGS_1 - RCELREPGS_2) 
		    + positif(RCELREPGL_1 - RCELREPGL_2) + positif(RCELREPGJ_1 - RCELREPGJ_2) 
		    + positif(RCELREPYH_1 - RCELREPYH_2) + positif(RCELREPYF_1 - RCELREPYF_2) 
	            + positif(RCELREPYD_1 - RCELREPYD_2) + positif(RCELREPYB_1 - RCELREPYB_2) 
	            + positif(RCELREPYP_1 - RCELREPYP_2) + positif(RCELREPYS_1 - RCELREPYS_2) 
	            + positif(RCELREPYO_1 - RCELREPYO_2) + positif(RCELREPYR_1 - RCELREPYR_2) 
	            + positif(RCELREPYN_1 - RCELREPYN_2) + positif(RCELREPYQ_1 - RCELREPYQ_2)
                    + positif(RCELREPYM_1 - RCELREPYM_2) + positif(RCELREPYW_1 - RCELREPYW_2) 
	            + positif(RCELREPYZ_1 - RCELREPYZ_2) + positif(RCELREPYV_1 - RCELREPYV_2) 
	            + positif(RCELREPYY_1 - RCELREPYY_2) + positif(RCELREPYU_1 - RCELREPYU_2) 
	            + positif(RCELREPYX_1 - RCELREPYX_2) + positif(RCELREPYT_1 - RCELREPYT_2) 
	            + positif(RCELREPWT_1 - RCELREPWT_2) + positif(RCELREPWU_1 - RCELREPWU_2) 
	            + positif(RCELREPWV_1 - RCELREPWV_2) + positif(RCELREPWW_1 - RCELREPWW_2)
                    + positif(RCELRT_1 - RCELRT_2) + positif(RCELRU_1 - RCELRU_2)
                    + positif(RCELRV_1 - RCELRV_2) + positif(RCELRW_1 - RCELRW_2)
	            + positif(RCELREPWX_1 - RCELREPWX_2) + positif(RCELREPWY_1 - RCELREPWY_2) 
	            + positif(RCELREPWZ_1 - RCELREPWZ_2) + positif(RCELZV_1 - RCELZV_2) 
		    + positif(RCELSM_1 - RCELSM_2) + positif(RCELZE_1 - RCELZE_2) 
		    + positif(RCELZF_1 - RCELZF_2) + positif(RCELZG_1 - RCELZG_2) 
		    + positif(RCELZH_1 - RCELZH_2) + positif(RCELZI_1 - RCELZI_2) 
		    + positif(RCELZJ_1 - RCELZJ_2) + positif(RCELZK_1 - RCELZK_2) 
		    + positif(RCELZL_1 - RCELZL_2) + positif(RCELSE_1 - RCELSE_2) 
		    + positif(RCELSF_1 - RCELSF_2) + positif(RCELSG_1 - RCELSG_2) 
		    + positif(RCELSH_1 - RCELSH_2) + positif(RCELSI_1 - RCELSI_2) 
		    + positif(RCELSJ_1 - RCELSJ_2) + positif(RCELSK_1 - RCELSK_2) 
		    + positif(RCELSL_1 - RCELSL_2) + positif(RILMIX_1 - RILMIX_2) 
	            + positif(RILMIY_1 - RILMIY_2) + positif(RILMPA_1 - RILMPA_2) 
	            + positif(RILMPF_1 - RILMPF_2) + positif(RILMPK_1 - RILMPK_2) 
	            + positif(RILMPP_1 - RILMPP_2) + positif(RILMPU_1 - RILMPU_2) 
		    + positif(RILMIH_1 - RILMIH_2) + positif(RILMJC_1 - RILMJC_2) 
		    + positif(RILMPB_1 - RILMPB_2) + positif(RILMPG_1 - RILMPG_2) 
		    + positif(RILMPL_1 - RILMPL_2) + positif(RILMPQ_1 - RILMPQ_2)
		    + positif(RILMPV_1 - RILMPV_2) + positif(RILMPW_1 - RILMPW_2)
	            + positif(RILMJI_1 - RILMJI_2) 
	            + positif(RILMPC_1 - RILMPC_2) + positif(RILMPH_1 - RILMPH_2) 
                    + positif(RILMPM_1 - RILMPM_2) + positif(RILMPR_1 - RILMPR_2) 
	            + positif(RILMJS_1 - RILMJS_2) + positif(RILMPD_1 - RILMPD_2) 
	            + positif(RILMPI_1 - RILMPI_2) + positif(RILMPN_1 - RILMPN_2) 
	            + positif(RILMPS_1 - RILMPS_2) + positif(RILMPE_1 - RILMPE_2) 
	            + positif(RILMPX_1 - RILMPX_2) + positif(RILMPY_1 - RILMPY_2) 
	            + positif(RILMPJ_1 - RILMPJ_2) + positif(RILMPO_1 - RILMPO_2) 
	            + positif(RILMPT_1 - RILMPT_2) + positif(RPROREP_1 - RPROREP_2) 
	            + positif(RREPNPRO_1 - RREPNPRO_2) + positif(RREPMEU_1 - RREPMEU_2) 
	            + positif(RILMIC_1 - RILMIC_2) + positif(RILMIB_1 - RILMIB_2) 
	            + positif(RILMIA_1 - RILMIA_2) + positif(RILMJY_1 - RILMJY_2) 
	            + positif(RILMJX_1 - RILMJX_2) + positif(RILMJW_1 - RILMJW_2) 
	            + positif(RILMJV_1 - RILMJV_2) + positif(RILMOE_1 - RILMOE_2) 
                    + positif(RILMOD_1 - RILMOD_2) + positif(RILMOC_1 - RILMOC_2) 
	            + positif(RILMOB_1 - RILMOB_2) + positif(RILMOA_1 - RILMOA_2) 
	            + positif(RILMOJ_1 - RILMOJ_2) + positif(RILMOI_1 - RILMOI_2) 
	            + positif(RILMOH_1 - RILMOH_2) + positif(RILMOG_1 - RILMOG_2) 
	            + positif(RILMOF_1 - RILMOF_2) + positif(RILMOO_1 - RILMOO_2) 
	            + positif(RILMON_1 - RILMON_2) + positif(RILMOM_1 - RILMOM_2) 
	            + positif(RILMOL_1 - RILMOL_2) + positif(RILMOK_1 - RILMOK_2)  
	            + positif(RILMOT_1 - RILMOT_2) + positif(RILMOS_1 - RILMOS_2)  
	            + positif(RILMOR_1 - RILMOR_2) + positif(RILMOQ_1 - RILMOQ_2)  
	            + positif(RILMOP_1 - RILMOP_2) + positif(RILMSA_1 - RILMSA_2)
	            + positif(RILMSB_1 - RILMSB_2) + positif(RILMSC_1 - RILMSC_2)
	            + positif(RDONIFI_1 - RDONIFI1_2)*IFI1731 + positif(RDONIFI2_1-RDONIFI2_2)*IFI1731
                    + positif(RCODIM_1 - RCODIM_2) + positif(RCODIN_1 - RCODIN_2) 
		    + positif(RCODIJ_1 - RCODIJ_2) + positif(RCODID_1 - RCODID_2) 
                    + positif(RCODJT_1 - RCODJT_2) + positif(RCODOU_1 - RCODOU_2) 
		    + positif(RCODOV_1 - RCODOV_2) + positif(RCODOY_1 - RCODOY_2)
	            + positif(RCODOX_1 - RCODOX_2) + positif(RCODOW_1 - RCODOW_2) 
	            + positif(RPATNAT3_1 - RPATNAT3_2) + positif(RPATNAT_1 - RPATNAT_2) 
	            + positif(ADOMSOC1_1 - ADOMSOC1_2) + positif(ALOGSOC_1 - ALOGSOC_2) 
	            + positif(ACOLENT_1 - ACOLENT_2) + positif(ALOCENT_1 - ALOCENT_2) 
                   ) ;             
         
regle 4666:
application : iliad ;

TOTRI3WG = RAPRESSE + RAFORET + RFIPDOMCOM + RFIPCORSE + RRS + RRCN + RFIP + RENOV + RFC
           + ADUFREPFI_1 + ADUFREPFK_1 + ADUFREPFR_1 + ADUFREPFV_1 + ADUFREPFW_1 + RDUFLO_EKL + RDUFLO_GIH 
	   + APIREPAI_1 + APIREPBI_1 + APIREPCI_1 + APIREPDI_1 + APIREPBZ_1
	   + APIREPCZ_1 + APIREPDZ_1 + APIREPEZ_1 + APIREPQZ_1 + APIREPRZ_1 
	   + APIREPSZ_1 + APIREPTZ_1 + APIREPRA_1 + APIREPRB_1 + APIREPRC_1 + APIREPRD_1
	   + RPINTU + RPINRS + RPINOP + RPINMN + RPINKL + RPINIJ + RPINGH
	   + RPINEF + RPINCD + RPINAB + CELRREDLM
	   + CELRREDLN + CELRREDLG + CELRREDLK + CELRREDLS + CELRREDLT + CELRREDLH 
	   + CELRREDLL + CELRREDLZ + CELRREDLX + CELRREDLI + CELRREDLO + CELRREDMG 
	   + CELRREDMH + CELRREDLJ + CELRREDLP + CELRREDLQ + CELRREDLR + CELRREDLU 
	   + CELRREDLV + COD7LA + COD7LB + COD7LC + COD7LY
	   + RCELREP_HU + RCELREP_HT + RCELREP_HZ + RCELREP_HX
	   + RCELREP_HW + RCELREP_HV + CELREPHF + CELREPHD + CELREPHA + CELREPGU 
	   + CELREPGS + CELREPGL + CELREPGJ + CELREPYH + CELREPYF + CELREPYD + CELREPYB 
	   + CELREPYP + CELREPYS + CELREPYO + CELREPYR + CELREPYN + CELREPYQ + CELREPYM 
	   + CELREPYW + CELREPYZ + CELREPYV + CELREPYY + CELREPYU + CELREPYX + CELREPYT 
	   + CELREPWT + CELREPWU + CELREPWV + CELREPWW + CELREPWX + CELREPWY + CELREPWZ
           + COD7RW + COD7RV + COD7RU + COD7RT
	   + RCEL_ZV + RCEL_ZE + RCEL_ZF + RCEL_ZG + RCEL_ZH + RCEL_ZI + RCEL_ZJ + RCEL_ZK + RCEL_ZL 
	   + RCEL_SE + RCEL_SF + RCEL_SG + RCEL_SH + RCEL_SI + RCEL_SJ + RCEL_SK + RCEL_SL + RCEL_SM
	   + arr(DTOURREP * TX_REDIL25 / 100) + arr(DTOUREPA * TX_REDIL20 / 100) + PATNAT3 + PATNAT4
	   + RAH + RAALIM + RSNNCL + RSNNCM + RSNNCN + RSNNCC + RSNNCQ + RSNNCR
	   + RSNNCV + RSNNCX + RSNNCF + RSN + APLAFREPME4_1 + APENTCY_1 + APENTDY_1 + APENTEY_1 + APENTFY_1 + APENTGY_1
	   + DILMIY + DILMPA + DILMPF + DILMPK + DILMJC + DILMPB + DILMPG + DILMPL + DILMJI + DILMPC 
	   + DILMPH + DILMPM + DILMJS + DILMPD + DILMPI + DILMPN + DILMPE + DILMPJ + DILMPO
	   + RETPROREP + RETREPNPRO + RETREPMEU + DILMIC + DILMIB +DILMIA
	   + DILMJY + DILMJX + DILMJW + DILMJV + DILMOE + DILMOD + DILMOC + DILMOB + DILMOA 
	   + DILMOJ + DILMOI + DILMOH + DILMOG + DILMOF + DILMOO + DILMON + DILMOM + DILMOL 
	   + DILMOK + DILMOP + DILMOQ + DILMOR + DILMOS + DILMOT 
	   + RETCODIM + RETCODIN + RETCODIJ + RETCODID 
	   + RETCODJT + RETCODOU + RETCODOV + RETCODOW + RETCODOX + RETCODOY + RSOCREP + RETRESTIMO + RON 
	   + CRCFA + RETUD + RFCPI + RPRESCOMP + arr(ACOTFOR_R * TX76/100) + RFOREST
	   + RAGRI + RETCODIM + TOTINVDOM ;

regle 4700:
application : iliad ;
RED3WG =  max( min(TOTRI3WG , IDOM13-DEC13-(RMENAGE*null(FLAG_PVRO)+RMENAGE3WG*FLAG_PVRO)) , 0 ) ;
regle 4800:
application : iliad ;

TOTINVDOM = (INVRETRA * (1 - INDPLAF) + INVRETRAA * INDPLAF)
           +(INVRETRB * (1 - INDPLAF) + INVRETRBA * INDPLAF)
           +(INVRETRC * (1 - INDPLAF) + INVRETRCA * INDPLAF)
           +(INVRETRD * (1 - INDPLAF) + INVRETRDA * INDPLAF)
           +(INVRETRAR * (1 - INDPLAF) + INVRETRARA * INDPLAF)
           +(INVRETRBR * (1 - INDPLAF) + INVRETRBRA * INDPLAF)
           +(INVRETRCR * (1 - INDPLAF) + INVRETRCRA * INDPLAF)
           +(INVRETRDR * (1 - INDPLAF) + INVRETRDRA * INDPLAF)
           +(INVRETXA * (1 - INDPLAF) + INVRETXAA * INDPLAF)
           +(INVRETXB * (1 - INDPLAF) + INVRETXBA * INDPLAF)
           +(INVRETXC * (1 - INDPLAF) + INVRETXCA * INDPLAF)
           +(INVRETXE * (1 - INDPLAF) + INVRETXEA * INDPLAF)
           +(INVRETXAR * (1 - INDPLAF) + INVRETXARA * INDPLAF)
           +(INVRETXBR * (1 - INDPLAF) + INVRETXBRA * INDPLAF)
           +(INVRETXCR * (1 - INDPLAF) + INVRETXCRA * INDPLAF)
           +(INVRETXER * (1 - INDPLAF) + INVRETXERA * INDPLAF)
           +(INVRETXF * (1 - INDPLAF) + INVRETXFA * INDPLAF)
           +(INVRETXG * (1 - INDPLAF) + INVRETXGA * INDPLAF)
           +(INVRETXH * (1 - INDPLAF) + INVRETXHA * INDPLAF)
           +(INVRETXI * (1 - INDPLAF) + INVRETXIA * INDPLAF)
           +(INVRETXK * (1 - INDPLAF) + INVRETXKA * INDPLAF)
           +(INVRETXFR * (1 - INDPLAF) + INVRETXFRA * INDPLAF)
           +(INVRETXGR * (1 - INDPLAF) + INVRETXGRA * INDPLAF)
           +(INVRETXHR * (1 - INDPLAF) + INVRETXHRA * INDPLAF)
           +(INVRETXIR * (1 - INDPLAF) + INVRETXIRA * INDPLAF)
           +(INVRETXKR * (1 - INDPLAF) + INVRETXKRA * INDPLAF)
           +(INVRETXL * (1 - INDPLAF) + INVRETXLA * INDPLAF)
           +(INVRETXM * (1 - INDPLAF) + INVRETXMA * INDPLAF)
           +(INVRETXN * (1 - INDPLAF) + INVRETXNA * INDPLAF)
           +(INVRETXO * (1 - INDPLAF) + INVRETXOA * INDPLAF)
           +(INVRETXP * (1 - INDPLAF) + INVRETXPA * INDPLAF)
           +(INVRETXLR * (1 - INDPLAF) + INVRETXLRA * INDPLAF)
           +(INVRETXMR * (1 - INDPLAF) + INVRETXMRA * INDPLAF)
           +(INVRETXNR * (1 - INDPLAF) + INVRETXNRA * INDPLAF)
           +(INVRETXOR * (1 - INDPLAF) + INVRETXORA * INDPLAF)
           +(INVRETXPR * (1 - INDPLAF) + INVRETXPRA * INDPLAF)
           +(INVRETCT * (1 - INDPLAF) + INVRETCTA * INDPLAF)
           +(INVRETCJ * (1 - INDPLAF) + INVRETCJA * INDPLAF)
           +(INVRETCO * (1 - INDPLAF) + INVRETCOA * INDPLAF)
           +(INVRETCS * (1 - INDPLAF) + INVRETCSA * INDPLAF)
           +(INVRETCI * (1 - INDPLAF) + INVRETCIA * INDPLAF)
           +(INVRETCN * (1 - INDPLAF) + INVRETCNA * INDPLAF)
           +(INVRETCK * (1 - INDPLAF) + INVRETCKA * INDPLAF)
           +(INVRETCP * (1 - INDPLAF) + INVRETCPA * INDPLAF)
           +(INVRETCU * (1 - INDPLAF) + INVRETCUA * INDPLAF)
           +(INVRETCM * (1 - INDPLAF) + INVRETCMA * INDPLAF)
           +(INVRETCR * (1 - INDPLAF) + INVRETCRA * INDPLAF)
           +(INVRETCW * (1 - INDPLAF) + INVRETCWA * INDPLAF)
           +(INVRETCTR * (1 - INDPLAF) + INVRETCTRA * INDPLAF)
           +(INVRETCJR * (1 - INDPLAF) + INVRETCJRA * INDPLAF)
           +(INVRETCOR * (1 - INDPLAF) + INVRETCORA * INDPLAF)
           +(INVRETCSR * (1 - INDPLAF) + INVRETCSRA * INDPLAF)
           +(INVRETCIR * (1 - INDPLAF) + INVRETCIRA * INDPLAF)
           +(INVRETCNR * (1 - INDPLAF) + INVRETCNRA * INDPLAF)
           +INVLOG2008 +INVLGDEB2009 +INVLGDEB +INVOMLOGOA
           +INVOMLOGOH +INVOMLOGOL +INVOMLOGOO +INVOMLOGOS
           +(INVRETQL * (1 - INDPLAF) + INVRETQLA * INDPLAF)
           +(INVRETQM * (1 - INDPLAF) + INVRETQMA * INDPLAF)
           +(INVRETQD * (1 - INDPLAF) + INVRETQDA * INDPLAF)
           +(INVRETOB * (1 - INDPLAF) + INVRETOBA * INDPLAF)
           +(INVRETOC * (1 - INDPLAF) + INVRETOCA * INDPLAF)
           +(INVRETOI * (1 - INDPLAF) + INVRETOIA * INDPLAF)
           +(INVRETOJ * (1 - INDPLAF) + INVRETOJA * INDPLAF)
           +(INVRETOK * (1 - INDPLAF) + INVRETOKA * INDPLAF)
           +(INVRETOM * (1 - INDPLAF) + INVRETOMA * INDPLAF)
           +(INVRETON * (1 - INDPLAF) + INVRETONA * INDPLAF)
           +(INVRETOP * (1 - INDPLAF) + INVRETOPA * INDPLAF)
           +(INVRETOQ * (1 - INDPLAF) + INVRETOQA * INDPLAF)
           +(INVRETOR * (1 - INDPLAF) + INVRETORA * INDPLAF)
           +(INVRETOT * (1 - INDPLAF) + INVRETOTA * INDPLAF)
           +(INVRETOU * (1 - INDPLAF) + INVRETOUA * INDPLAF)
           +(INVRETOV * (1 - INDPLAF) + INVRETOVA * INDPLAF)
           +(INVRETOW * (1 - INDPLAF) + INVRETOWA * INDPLAF)
           +(INVRETOD * (1 - INDPLAF) + INVRETODA * INDPLAF)
           +(INVRETOE * (1 - INDPLAF) + INVRETOEA * INDPLAF)
           +(INVRETOF * (1 - INDPLAF) + INVRETOFA * INDPLAF)
           +(INVRETOG * (1 - INDPLAF) + INVRETOGA * INDPLAF)
           +(INVRETOX * (1 - INDPLAF) + INVRETOXA * INDPLAF)
           +(INVRETOY * (1 - INDPLAF) + INVRETOYA * INDPLAF)
           +(INVRETOZ * (1 - INDPLAF) + INVRETOZA * INDPLAF)
           +(INVRETUA * (1 - INDPLAF) + INVRETUAA * INDPLAF)
           +(INVRETUB * (1 - INDPLAF) + INVRETUBA * INDPLAF)
           +(INVRETUC * (1 - INDPLAF) + INVRETUCA * INDPLAF)
           +(INVRETUD * (1 - INDPLAF) + INVRETUDA * INDPLAF)
           +(INVRETUE * (1 - INDPLAF) + INVRETUEA * INDPLAF)
           +(INVRETUF * (1 - INDPLAF) + INVRETUFA * INDPLAF)
           +(INVRETUG * (1 - INDPLAF) + INVRETUGA * INDPLAF)
           +(INVRETUH * (1 - INDPLAF) + INVRETUHA * INDPLAF)
           +(INVRETUI * (1 - INDPLAF) + INVRETUIA * INDPLAF)
           +(INVRETUJ * (1 - INDPLAF) + INVRETUJA * INDPLAF)
           +(INVRETUK * (1 - INDPLAF) + INVRETUKA * INDPLAF)
           +(INVRETUL * (1 - INDPLAF) + INVRETULA * INDPLAF)
           +(INVRETUM * (1 - INDPLAF) + INVRETUMA * INDPLAF)
           +(INVRETUN * (1 - INDPLAF) + INVRETUNA * INDPLAF)
           +(INVRETUO * (1 - INDPLAF) + INVRETUOA * INDPLAF)
           +(INVRETUP * (1 - INDPLAF) + INVRETUPA * INDPLAF)
           +(INVRETUQ * (1 - INDPLAF) + INVRETUQA * INDPLAF)
           +(INVRETUR * (1 - INDPLAF) + INVRETURA * INDPLAF)
           +(INVRETUS * (1 - INDPLAF) + INVRETUSA * INDPLAF)
           +(INVRETUT * (1 - INDPLAF) + INVRETUTA * INDPLAF)
           +(INVRETUU * (1 - INDPLAF) + INVRETUUA * INDPLAF)
           +(INVRETVA * (1 - INDPLAF) + INVRETVAA * INDPLAF)
           +(INVRETVB * (1 - INDPLAF) + INVRETVBA * INDPLAF)
           +(INVRETVC * (1 - INDPLAF) + INVRETVCA * INDPLAF)
           +(INVRETVD * (1 - INDPLAF) + INVRETVDA * INDPLAF)
           +(INVRETVE * (1 - INDPLAF) + INVRETVEA * INDPLAF)
           +(INVRETVF * (1 - INDPLAF) + INVRETVFA * INDPLAF)
           +(INVRETVG * (1 - INDPLAF) + INVRETVGA * INDPLAF)
           +(INVRETVH * (1 - INDPLAF) + INVRETVHA * INDPLAF)
           +(INVRETSB * (1 - INDPLAF) + INVRETSBA * INDPLAF)
           +(INVRETSG * (1 - INDPLAF) + INVRETSGA * INDPLAF)
           +(INVRETSL * (1 - INDPLAF) + INVRETSLA * INDPLAF)
           +(INVRETSQ * (1 - INDPLAF) + INVRETSQA * INDPLAF)
           +(INVRETSV * (1 - INDPLAF) + INVRETSVA * INDPLAF)
           +(INVRETTA * (1 - INDPLAF) + INVRETTAA * INDPLAF)
           +(INVRETSA * (1 - INDPLAF) + INVRETSAA * INDPLAF)
           +(INVRETSF * (1 - INDPLAF) + INVRETSFA * INDPLAF)
           +(INVRETSK * (1 - INDPLAF) + INVRETSKA * INDPLAF)
           +(INVRETSP * (1 - INDPLAF) + INVRETSPA * INDPLAF)
           +(INVRETSU * (1 - INDPLAF) + INVRETSUA * INDPLAF)
           +(INVRETSZ * (1 - INDPLAF) + INVRETSZA * INDPLAF)
           +(INVRETSC * (1 - INDPLAF) + INVRETSCA * INDPLAF)
           +(INVRETSH * (1 - INDPLAF) + INVRETSHA * INDPLAF)
           +(INVRETSM * (1 - INDPLAF) + INVRETSMA * INDPLAF)
           +(INVRETSR * (1 - INDPLAF) + INVRETSRA * INDPLAF)
           +(INVRETSW * (1 - INDPLAF) + INVRETSWA * INDPLAF)
           +(INVRETTB * (1 - INDPLAF) + INVRETTBA * INDPLAF)
           +(INVRETSE * (1 - INDPLAF) + INVRETSEA * INDPLAF)
           +(INVRETSJ * (1 - INDPLAF) + INVRETSJA * INDPLAF)
           +(INVRETSO * (1 - INDPLAF) + INVRETSOA * INDPLAF)
           +(INVRETST * (1 - INDPLAF) + INVRETSTA * INDPLAF)
           +(INVRETSY * (1 - INDPLAF) + INVRETSYA * INDPLAF)
           +(INVRETTD * (1 - INDPLAF) + INVRETTDA * INDPLAF)
           +(INVRETSBR * (1 - INDPLAF) + INVRETSBRA * INDPLAF)
           +(INVRETSGR * (1 - INDPLAF) + INVRETSGRA * INDPLAF)
           +(INVRETSAR * (1 - INDPLAF) + INVRETSARA * INDPLAF)
           +(INVRETSFR * (1 - INDPLAF) + INVRETSFRA * INDPLAF)
           +(INVRETSLR * (1 - INDPLAF) + INVRETSLRA * INDPLAF)
           +(INVRETSQR * (1 - INDPLAF) + INVRETSQRA * INDPLAF)
           +(INVRETSVR * (1 - INDPLAF) + INVRETSVRA * INDPLAF)
           +(INVRETTAR * (1 - INDPLAF) + INVRETTARA * INDPLAF)
           +(INVRETSKR * (1 - INDPLAF) + INVRETSKRA * INDPLAF)
           +(INVRETSPR * (1 - INDPLAF) + INVRETSPRA * INDPLAF)
           +(INVRETSUR * (1 - INDPLAF) + INVRETSURA * INDPLAF)
           +(INVRETSZR * (1 - INDPLAF) + INVRETSZRA * INDPLAF)
           +(INVRETAB * (1 - INDPLAF) + INVRETABA * INDPLAF)
           +(INVRETAG * (1 - INDPLAF) + INVRETAGA * INDPLAF)
           +(INVRETAL * (1 - INDPLAF) + INVRETALA * INDPLAF)
           +(INVRETAQ * (1 - INDPLAF) + INVRETAQA * INDPLAF)
           +(INVRETAV * (1 - INDPLAF) + INVRETAVA * INDPLAF)
           +(INVRETBB * (1 - INDPLAF) + INVRETBBA * INDPLAF)
           +(INVRETAA * (1 - INDPLAF) + INVRETAAA * INDPLAF)
           +(INVRETAF * (1 - INDPLAF) + INVRETAFA * INDPLAF)
           +(INVRETAK * (1 - INDPLAF) + INVRETAKA * INDPLAF)
           +(INVRETAP * (1 - INDPLAF) + INVRETAPA * INDPLAF)
           +(INVRETAU * (1 - INDPLAF) + INVRETAUA * INDPLAF)
           +(INVRETBA * (1 - INDPLAF) + INVRETBAA * INDPLAF)
           +(INVRETAC * (1 - INDPLAF) + INVRETACA * INDPLAF)
           +(INVRETAH * (1 - INDPLAF) + INVRETAHA * INDPLAF)
           +(INVRETAM * (1 - INDPLAF) + INVRETAMA * INDPLAF)
           +(INVRETAR * (1 - INDPLAF) + INVRETARA * INDPLAF)
           +(INVRETAW * (1 - INDPLAF) + INVRETAWA * INDPLAF)
           +(INVRETBE * (1 - INDPLAF) + INVRETBEA * INDPLAF)
           +(INVRETAE * (1 - INDPLAF) + INVRETAEA * INDPLAF)
           +(INVRETAJ * (1 - INDPLAF) + INVRETAJA * INDPLAF)
           +(INVRETAO * (1 - INDPLAF) + INVRETAOA * INDPLAF)
           +(INVRETAT * (1 - INDPLAF) + INVRETATA * INDPLAF)
           +(INVRETAY * (1 - INDPLAF) + INVRETAYA * INDPLAF)
           +(INVRETBG * (1 - INDPLAF) + INVRETBGA * INDPLAF)
           +(INVRETABR * (1 - INDPLAF) + INVRETABRA * INDPLAF)
           +(INVRETAGR * (1 - INDPLAF) + INVRETAGRA * INDPLAF)
           +(INVRETALR * (1 - INDPLAF) + INVRETALRA * INDPLAF)
           +(INVRETAQR * (1 - INDPLAF) + INVRETAQRA * INDPLAF)
           +(INVRETAVR * (1 - INDPLAF) + INVRETAVRA * INDPLAF)
           +(INVRETBBR * (1 - INDPLAF) + INVRETBBRA * INDPLAF)
           +(INVRETAAR * (1 - INDPLAF) + INVRETAARA * INDPLAF)
           +(INVRETAFR * (1 - INDPLAF) + INVRETAFRA * INDPLAF)
           +(INVRETAKR * (1 - INDPLAF) + INVRETAKRA * INDPLAF)
           +(INVRETAPR * (1 - INDPLAF) + INVRETAPRA * INDPLAF)
           +(INVRETAUR * (1 - INDPLAF) + INVRETAURA * INDPLAF)
           +(INVRETBAR * (1 - INDPLAF) + INVRETBARA * INDPLAF)
           +(INVRETBJ * (1 - INDPLAF) + INVRETBJA * INDPLAF)
           +(INVRETBO * (1 - INDPLAF) + INVRETBOA * INDPLAF)
           +(INVRETBT * (1 - INDPLAF) + INVRETBTA * INDPLAF)
           +(INVRETBY * (1 - INDPLAF) + INVRETBYA * INDPLAF)
           +(INVRETCD * (1 - INDPLAF) + INVRETCDA * INDPLAF)
           +(INVRETBI * (1 - INDPLAF) + INVRETBIA * INDPLAF)
           +(INVRETBN * (1 - INDPLAF) + INVRETBNA * INDPLAF)
           +(INVRETBS * (1 - INDPLAF) + INVRETBSA * INDPLAF)
           +(INVRETBX * (1 - INDPLAF) + INVRETBXA * INDPLAF)
           +(INVRETCC * (1 - INDPLAF) + INVRETCCA * INDPLAF)
           +(INVRETBK * (1 - INDPLAF) + INVRETBKA * INDPLAF)
           +(INVRETBP * (1 - INDPLAF) + INVRETBPA * INDPLAF)
           +(INVRETBU * (1 - INDPLAF) + INVRETBUA * INDPLAF)
           +(INVRETBZ * (1 - INDPLAF) + INVRETBZA * INDPLAF)
           +(INVRETCE * (1 - INDPLAF) + INVRETCEA * INDPLAF)
           +(INVRETBM * (1 - INDPLAF) + INVRETBMA * INDPLAF)
           +(INVRETBR * (1 - INDPLAF) + INVRETBRA * INDPLAF)
           +(INVRETBW * (1 - INDPLAF) + INVRETBWA * INDPLAF)
           +(INVRETCB * (1 - INDPLAF) + INVRETCBA * INDPLAF)
           +(INVRETCG * (1 - INDPLAF) + INVRETCGA * INDPLAF)
           +(INVRETBJR * (1 - INDPLAF) + INVRETBJRA * INDPLAF)
           +(INVRETBOR * (1 - INDPLAF) + INVRETBORA * INDPLAF)
           +(INVRETBTR * (1 - INDPLAF) + INVRETBTRA * INDPLAF)
           +(INVRETBYR * (1 - INDPLAF) + INVRETBYRA * INDPLAF)
           +(INVRETCDR * (1 - INDPLAF) + INVRETCDRA * INDPLAF)
           +(INVRETBIR * (1 - INDPLAF) + INVRETBIRA * INDPLAF)
           +(INVRETBNR * (1 - INDPLAF) + INVRETBNRA * INDPLAF)
           +(INVRETBSR * (1 - INDPLAF) + INVRETBSRA * INDPLAF)
           +(INVRETBXR * (1 - INDPLAF) + INVRETBXRA * INDPLAF)
           +(INVRETCCR * (1 - INDPLAF) + INVRETCCRA * INDPLAF);

regle 402160 :
application : iliad ;

DREHAB = COD7XX ;

AREHAB = DREHAB * (1 - V_CNR) ;

RRREHAP = arr(AREHAB * TX20/100) ;

regle 402161 :
application : iliad ;
RRREHAP_1= max(min( RRREHAP , RRI1-RLOGDOM-RCOMP_1-RRETU_1-RDONS_1-CRDIE_1-RDUFLOTOT_1-RPINELTOT_1-RNOUV_1-RPENTCY_1-RPENTDY_1-RPENTEY_1
		   -RPENTFY_1- RPENTGY_1-RFOR_1-RTOURREP_1-RTOUREPA_1) , 0) ;

RREHAB = max( 0 ,RRREHAP_1 * (1-ART1731BIS) + min(RRREHAP_1, RRREHAP_2 ) * ART1731BIS) ;

